=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ CMakeLists.txt	2009-05-15 11:24:24 +0000
@@ -12,9 +12,14 @@
 include(MacroLibrary)
 include(CheckIncludeFile)
 
-add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT_STRICT_ITERATORS)
-
-include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})
+add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+
+string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
+if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
+add_definitions (-DQT_STRICT_ITERATORS)
+endif()
+
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})
 
 #looks like the original test is from Kopete, their port doesn't use Xext so neither shall ours
 if (Q_WS_X11)
@@ -32,6 +37,5 @@
 
 add_subdirectory(src)
 add_subdirectory(data)
-macro_optional_add_subdirectory(doc)
 
 macro_display_feature_log()

=== modified file 'ChangeLog'
--- ChangeLog	2009-04-10 16:16:59 +0000
+++ ChangeLog	2009-05-15 11:24:24 +0000
@@ -22,6 +22,31 @@
 * Mask the password field in the Quick Connect dialog.
 * Fixed a bug causing passive DCC file transfers to stall at 99%.
 * Fixed "/leave" command in queries.
+* Fixed auto-replace rules containing commas in the pattern not being loaded
+  correctly from the config file.
+* Fixed non-regex mode auto-replace rules containing regex special characters
+  and character sequences not working correctly.
+* Improved performance of non-regex mode auto-replace rules.
+* Added option to open log files with the system text editor instead of the
+  built-in log viewer.
+* Added button to intelligently replace line breaks with spaces to the multi-
+  line paste editor.
+* Made the Oxygen nicklist icon theme the default nicklist icon theme.
+* Removed the bundled 'wheather' script (it relied on a KDE 3 service no lon-
+  ger present in KDE 4; a replacement will need to adopt a new approach).
+* Various reliability and correctness improvements and optimizations to DCC.
+* Increased default DCC buffer size to 16384 to reduce CPU load while sending
+  or receiving files.
+* Added KNotify events for "Highlight triggered", "DCC transfer complete"
+  and "DCC transfer error".
+* Fixed Automatic User Information Look Up not being started upon channel
+  join on some IRC servers (namely those that don't send RPL_CHANNELCREATED
+  after joining a channel, such at those used by IRCnet).
+* Updated the server hostname for the pre-configured Freenode network to the
+  one given on their website these days, 'chat.freenode.net'.
+* Added support for browsing the input line history by using the mouse wheel.
+* Fixed problems the bundled 'tinyurl' script had with certain URLs by conver-
+  ting it to use the TinyURL API rather than screen scraping.
 
 
 Changes from 1.0.1 to 1.1:

=== modified file 'data/images/nickicons/CMakeLists.txt'
--- data/images/nickicons/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/CMakeLists.txt	2009-05-15 11:24:24 +0000
@@ -4,5 +4,4 @@
 add_subdirectory(default)
 add_subdirectory(smiling)
 add_subdirectory(square)
-add_subdirectory(oxygen)
-
+add_subdirectory(simplistic)

=== modified file 'data/images/nickicons/alternative/index.desktop'
--- data/images/nickicons/alternative/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/alternative/index.desktop	2009-05-15 11:24:24 +0000
@@ -2,56 +2,46 @@
 Type=Theme
 Name=Big Bullets
 Name[bg]=Големи орнаменти
-Name[br]=Melloù bras
 Name[cs]=Velké odrážky
 Name[de]=Große Kugeln
 Name[el]=Μεγάλα Bullet
-Name[fi]=Isot luettelomerkit
-Name[fr]=Grosse balles
-Name[he]=עיגולים גדולים
-Name[hi]=बिग बुलेट्स
-Name[ja]=ビュレット
-Name[ka]=დიდი ტყვიები
+Name[fr]=Grosses balles
+Name[gl]=Furados grandes
+Name[hne]=बिग बुलेट्स
+Name[km]=ចំណុច​ធំ
 Name[lt]=Dideli ženkliukai
-Name[pa]=ਵੱਡੀਆਂ ਬਿੰਦੀਆਂ
+Name[nds]=Groot Pünkt
+Name[pa]=ਵੱਡੀ ਬਿੰਦੀਆਂ
 Name[pt_BR]=Bolas grandes
-Name[sr]=Велики предзнаци
-Name[sr@Latn]=Veliki predznaci
+Name[ro]=Buline mari
+Name[ru]=Большие пули
 Name[sv]=Stora punkter
-Name[ta]=பெரிய புள்ளிகள்
-Name[tr]=Büyük Mermiler
-Name[uk]=Великі крапки
-Name[xx]=xxBig Bulletsxx
-Name[zh_CN]=圆点
+Name[tr]=Büyük İmler
+Name[uk]=Великі кулі
+Name[x-test]=xxBig Bulletsxx
+Name[zh_TW]=大圓點
 Comment="Big Bullets" by Dario Abatianni
-Comment[ar]="Big Bullets" من Dario Abatianni
 Comment[bg]="Големи орнаменти" от Dario Abatianni
-Comment[ca]="Big Bullets" per Dario Abatianni
-Comment[cs]=Velké odrážky od Daria Abatianniho
-Comment[da]="Big Bullets" af Dario Abatianni
-Comment[de]="Big Bullets" von Dario Abatianni
+Comment[cs]="Velké odrážky" od Daria Abatianniho
+Comment[de]=„Große Kugeln“ von Dario Abatianni
 Comment[el]="Μεγάλα Bullet" από Dario Abatianni
 Comment[es]=«Big Bullets» de Dario Abatianni
 Comment[et]="Big Bullets" (autor Dario Abatianni)
-Comment[fi]="Isot luettelomerkit" (Dario Abatianni)
-Comment[fr]=« Grosses balles » par Dario Abatianni
+Comment[eu]=Dario Abatianni-ren "Big Bullets"
+Comment[fr]=Thème "Grosses balles" par Dario Abatianni
 Comment[ga]="Big Bullets" le Dario Abatianni
-Comment[gl]="Big Bullets" por Dario Abatianni
-Comment[he]="עיגולים גדולים" של Dario Abatianni
-Comment[hi]="बिग बुलेट्स" दारियो अबातिआनी द्वारा
-Comment[it]=«Big Bullets» di Dario Abatianni
-Comment[ja]=Dario Abatianni 作のビュレットテーマ
-Comment[ka]="დიდი ტყვიები" დარიო აბატიანის მიერ
+Comment[gl]=«Big Bullets» por Dario Abatiani
+Comment[hne]="बिग बुलेट्स" दारियो अबातियान्नी द्वारा
+Comment[km]="ចំណុច​ធំ" ដោយ Dario Abatianni
 Comment[lt]=„Dideli ženkliukai“, sukurti Dario Abatianni
+Comment[nds]="Groot Pünkt" vun Dario Abatianni
 Comment[nl]="Big Bullets", door Dario Abatianni
 Comment[pt]="Big Bullets" por Dario Abatianni
 Comment[pt_BR]="Bolas grandes" de Dario Abatianni
-Comment[sr]=„Велики предзнаци“ од Дарија Абатијанија (Dario Abatianni)
-Comment[sr@Latn]=„Veliki predznaci“ od Darija Abatijanija (Dario Abatianni)
+Comment[ro]=„Buline mari” de Dario Abatianni
+Comment[ru]=Сделал Dario Abatianni
 Comment[sv]="Stora punkter" av Dario Abatianni
-Comment[ta]="Big Bullets" டாரியோ அபடையானி
-Comment[tr]=Dario Abatianni tarafından "Büyük Mermiler"
-Comment[uk]="Великі крапки" - Dario Abatianni
-Comment[xx]=xx"Big Bullets" by Dario Abatiannixx
-Comment[zh_CN]=“圆点”，由 Dario Abatianni 设计
-Comment[zh_TW]="Big Bullets"，由 Dario Abatianni 撰寫
+Comment[tr]=Dario Abatianni tarafından "Büyük İmler"
+Comment[uk]="Великі кулі", автор — Dario Abatianni
+Comment[x-test]=xx"Big Bullets" by Dario Abatiannixx
+Comment[zh_TW]=「大圓點」，由 Dario Abatianni 提供

=== modified file 'data/images/nickicons/christmas/index.desktop'
--- data/images/nickicons/christmas/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/christmas/index.desktop	2009-05-15 11:24:24 +0000
@@ -1,68 +1,52 @@
 [Desktop Entry]
 Type=Theme
 Name=Christmas Theme
-Name[ar]=سمة Christmas
 Name[bg]=Коледна тема
-Name[br]=Giz Nedeleg
-Name[ca]=Tema nadalenc
 Name[cs]=Vánoční téma
-Name[da]=Juletema
 Name[de]=Weihnachtsdesign
 Name[el]=Χριστουγεννιάτικο θέμα
 Name[es]=Tema navideño
 Name[et]=Jõuluteema
-Name[fi]=Jouluteema
+Name[eu]=Gabonetako gaia
 Name[fr]=Thème de Noël
 Name[gl]=Tema de Nadal
-Name[he]=ערכת חג מולד
-Name[it]=Tema natalizio
-Name[ja]=クリスマス
-Name[ka]=საშობაო გაფორმება
+Name[hne]=क्रिसमस थीम
+Name[km]=ស្បែក​បុណ្យ​ណូអែល
 Name[lt]=Kalėdinė tema
+Name[nds]=Wiehnacht-Muster
 Name[nl]=Kerstthema
-Name[pa]=ਕਰਿਸਮਿਸ ਸਰੂਪ
+Name[pa]=ਕ੍ਰਿਸਮਿਸ ਥੀਮ
 Name[pt]=Tema de Natal
 Name[pt_BR]=Tema de Natal
+Name[ro]=Tematică de Crăciun
 Name[ru]=Рождественская
-Name[sr]=Божићна тема
-Name[sr@Latn]=Božićna tema
 Name[sv]=Jultema
-Name[ta]=கிறிஸ்துமஸ் பொருள்
 Name[tr]=Noel Teması
 Name[uk]=Різдвяна тема
-Name[xx]=xxChristmas Themexx
-Name[zh_CN]=耶诞节主题
-Name[zh_TW]=聖誕主題
+Name[x-test]=xxChristmas Themexx
+Name[zh_TW]=聖誕節
 Comment="Christmas Theme" by Kenichiro Takahashi
-Comment[ar]=سمة "Christmas Theme" من Kenichiro Takahashi
 Comment[bg]="Коледна тема" от Kenichiro Takahashi
-Comment[br]=« Giz Nedeleg » gant Kenichiro Takahashi
-Comment[ca]="Tema nadalenc" per Kenichiro Takahashi
-Comment[cs]=Vánoční téma od Kenichiro Takahashi
-Comment[da]="Juletema" af Kenichiro Takahashi
-Comment[de]="Christmas Theme" von Kenichiro Takahashi
+Comment[cs]="Vánoční téma" od Kenichiro Takahashi
+Comment[de]=„Weihnachtsdesign“ von Kenichiro Takahashi
 Comment[el]="Χριστουγεννιάτικο θέμα" από Kenichiro Takahashi
 Comment[es]=«Tema navideño» de Kenichiro Takahashi
 Comment[et]="Jõuluteema" (autor Kenichiro Takahashi)
-Comment[fi]="Jouluteema" (Kenichiro Takahashi)
-Comment[fr]=« Thème de Noël » par Kenichiro Takahashi
+Comment[eu]=Kenichiro Takahashi-ren "Christmas Theme"
+Comment[fr]="Thème de Noël" par Kenichiro Takahashi
 Comment[ga]="Christmas Theme" le Kenichiro Takahashi
-Comment[gl]="Tema de Nadal" por Kenichiro Takahashi
-Comment[he]="ערכת חג מולד " של Kenichiro Takahashi
-Comment[it]=«Tema natalizio» di Kenichiro Takahashi
-Comment[ja]=Kenichiro Takahashi 作のクリスマステーマ
-Comment[ka]="საშობაო გაფორმება" კენიჩირო ტაკაჰაშის მიერ
+Comment[gl]=«Christmas Theme» por Kenichiro Takahashi
+Comment[hne]="क्रिसमस थीम" केनिचिरो ताकाहाशी
+Comment[km]="ស្បែក​បុណ្យ​ណូអែល" ដោយ Kenichiro Takahashi
 Comment[lt]=„Kalėdinė tema“, sukurta Kenichiro Takahashi
+Comment[nds]="Wiehnacht-Muster" vun Kenichiro Takahashi
 Comment[nl]="Christmas Theme" door Kenichiro Takahashi
 Comment[pt]="Tema de Natal" por Kenichiro Takahashi
 Comment[pt_BR]="Tema de Natal" de Kenichiro Takahashi
+Comment[ro]=„Tematică de Crăciun” de Kenichiro Takahashi
 Comment[ru]=Сделал Kenichiro Takahashi
-Comment[sr]=„Божићна тема“ од Кеничира Такахашија (Kenichiro Takahashi)
-Comment[sr@Latn]=„Božićna tema“ od Keničira Takahašija (Kenichiro Takahashi)
 Comment[sv]="Jultema" av Kenichiro Takahashi
-Comment[ta]="Christmas Theme" கெனிசிரோ டகாஹாஷி
 Comment[tr]=Kenichiro Takahashi tarafından "Noel Teması"
-Comment[uk]="Різдвяна тема" - Kenichiro Takahashi
-Comment[xx]=xx"Christmas Theme" by Kenichiro Takahashixx
-Comment[zh_CN]=“耶诞节主题”，由 Kenichiro Takahashi 设计
-Comment[zh_TW]="聖誕"主題，由 Kenichiro Takahashi 撰寫
+Comment[uk]="Різдвяна тема", автор — Kenichiro Takahashi
+Comment[x-test]=xx"Christmas Theme" by Kenichiro Takahashixx
+Comment[zh_TW]=「聖誕節」，由 Kenichiro Takahashi 提供

=== modified file 'data/images/nickicons/classic/index.desktop'
--- data/images/nickicons/classic/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/classic/index.desktop	2009-05-15 11:24:24 +0000
@@ -1,70 +1,55 @@
 [Desktop Entry]
 Type=Theme
 Name=Classic Theme
-Name[ar]=سمة كلاسيكية
+Name[be]=Класічная тэма
 Name[bg]=Класическа тема
-Name[br]=Giz da gustum
-Name[ca]=Tema clàssic
 Name[cs]=Klasické téma
-Name[da]=Klassisk tema
 Name[de]=Klassisches Design
 Name[el]=Κλασικό θέμα
 Name[es]=Tema clásico
-Name[et]=Klassikaline teema
-Name[fi]=Klassinen teema
+Name[et]=Klassikaline Teema
+Name[eu]=Gai klasikoa
 Name[fr]=Thème classique
 Name[ga]=Téama Clasaiceach
-Name[gl]=Tema Clásico
-Name[he]=הערכה הישנה והטובה
+Name[gl]=Tema clásico
 Name[hi]=क्लासिक प्रसंग
-Name[it]=Tema classico
-Name[ja]=クラシック
-Name[ka]=კლასიკური გაფორმება
+Name[hne]=क्लासिक प्रसंग
+Name[km]=ស្បែក​ក្លាស៊ីក
 Name[lt]=Klasikinė tema
+Name[nds]=Klass'sch Muster
 Name[nl]=Klassiek thema
-Name[pa]=ਟਕਸਾਲੀ ਸਰੂਪ
+Name[pa]=ਕਲਾਸਿਕ ਥੀਮ
 Name[pt]=Tema Clássico
-Name[pt_BR]=Tema Clássico
-Name[ru]=Классическая
-Name[sr]=Класична тема
-Name[sr@Latn]=Klasična tema
+Name[pt_BR]=Tema clássico
+Name[ro]=Tematica clasică
+Name[ru]=Классическая тема
 Name[sv]=Klassiskt tema
-Name[ta]=சிறந்த தலைப்பு
-Name[tr]=Klasik tema
+Name[tr]=Klasik Tema
 Name[uk]=Класична тема
-Name[xx]=xxClassic Themexx
-Name[zh_CN]=经典主题
-Name[zh_TW]=傳統式主題
+Name[x-test]=xxClassic Themexx
+Name[zh_TW]=傳統
 Comment="LED" by Dario Abatianni
-Comment[ar]="LED" من Dario Abatianni
 Comment[bg]="LED" от Dario Abatianni
-Comment[br]=« LED » gant Dario Abatianni
-Comment[ca]="LED" per Dario Abatianni
-Comment[cs]=LED od Daria Abatianniho
-Comment[da]="LED" af Dario Abatianni
-Comment[de]="LED" von Dario Abatianni
+Comment[cs]="LED" od Daria Abatianniho
+Comment[de]=„LED“ von Dario Abatianni
 Comment[el]="LED" από Dario Abatianni
 Comment[es]=«LED» de Dario Abatianni
 Comment[et]="LED" (autor Dario Abatianni)
-Comment[fi]="LEDit" (Dario Abatianni)
-Comment[fr]=« LED » par Dario Abatianni
+Comment[eu]=Dario Abatianni-ren "LED"
+Comment[fr]="LED" par Dario Abatianni
 Comment[ga]="LED" le Dario Abatianni
-Comment[gl]="LED" led Dario Abatianni
-Comment[he]="LED" של Dario Abatianni
-Comment[hi]="एलईडी" दारियो अबातिआनी द्वारा
-Comment[it]=«LED» di Dario Abatianni
-Comment[ja]=Dario Abatianni 作の LED テーマ
-Comment[ka]="LED" დარიო აბატიანის მიერ
+Comment[gl]=«LED» por Dario Abatianni
+Comment[hne]="एलईडी" दारियो अबातिनी द्वारा
+Comment[km]="LED" ដោយ Dario Abatianni
 Comment[lt]=„LED“, sukurta Dario Abatianni
+Comment[nds]="LED" vun Dario Abatianni
 Comment[nl]="LED", door Dario Abatianni
 Comment[pt]="LED" por Dario Abatianni
 Comment[pt_BR]="LED" de Dario Abatianni
-Comment[sr]=„LED“ од Дарија Абатијанија (Dario Abatianni)
-Comment[sr@Latn]=„LED“ od Darija Abatijanija (Dario Abatianni)
+Comment[ro]=„LED” de Dario Abatianni
+Comment[ru]=Сделал Dario Abatianni
 Comment[sv]="Lampor" av Dario Abatianni
-Comment[ta]="LED" டைரியோ அபடியானி
 Comment[tr]=Dario Abatianni tarafından "LED"
-Comment[uk]="LED" - Dario Abatianni
-Comment[xx]=xx"LED" by Dario Abatiannixx
-Comment[zh_CN]=“指示灯”，由 Dario Abatianni 设计
-Comment[zh_TW]="LED" 由 Dario Abatianni 撰寫
+Comment[uk]="LED", автор — Dario Abatianni
+Comment[x-test]=xx"LED" by Dario Abatiannixx
+Comment[zh_TW]=「LED」，由 Dario Abatianni 提供

=== modified file 'data/images/nickicons/default/CMakeLists.txt'
--- data/images/nickicons/default/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/default/CMakeLists.txt	2009-05-15 11:24:24 +0000
@@ -1,4 +1,3 @@
 install(FILES  irc_admin.png irc_away.png irc_halfop.png irc_normal.png
 	irc_op.png  			irc_owner.png irc_voice.png
 	index.desktop DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/default)
-

=== modified file 'data/images/nickicons/default/index.desktop'
--- data/images/nickicons/default/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/default/index.desktop	2009-05-15 11:24:24 +0000
@@ -1,69 +1,29 @@
 [Desktop Entry]
 Type=Theme
-Name=KDE 3 Default Theme
-Name[ar]=السِمة الإفتراضية
+Name=Default Theme
 Name[bg]=Стандартна тема
-Name[br]=Giz dre ziouer
-Name[ca]=Tema per omissió
 Name[cs]=Výchozí téma
-Name[da]=Standardtema
 Name[de]=Standard-Design
 Name[el]=Προκαθορισμένο θέμα
 Name[es]=Tema predeterminado
 Name[et]=Vaiketeema
-Name[fi]=Oletusteema
+Name[eu]=Gai lehenetsia
 Name[fr]=Thème par défaut
 Name[ga]=Téama Réamhshocraithe
-Name[gl]=Tema por omisión
-Name[he]=ערכת ברירת מחדל
-Name[hi]=डिफ़ॉल्ट प्रसंग
-Name[it]=Tema predefinito
-Name[ja]=標準テーマ
-Name[ka]=ნაგულისხმები გაფორმება
+Name[gl]=Tema predeterminado
+Name[hne]=डिफाल्ट प्रसंग
+Name[km]=ស្បែក​លំនាំដើម
 Name[lt]=Numatyta tema
+Name[nds]=Standardmuster
 Name[nl]=Standaardthema
-Name[pa]=ਮੂਲ ਸਰੂਪ
+Name[pa]=ਡਿਫਾਲਟ ਥੀਮ
 Name[pt]=Tema Predefinido
-Name[pt_BR]=Tema Padrão
-Name[ru]=Стандартная
-Name[sr]=Подразумевана тема
-Name[sr@Latn]=Podrazumevana tema
+Name[pt_BR]=Tema padrão
+Name[ro]=Tematica implicită
+Name[ru]=Оформление по умолчанию
 Name[sv]=Standardtema
-Name[ta]=முன்னிருப்பு தலைப்பு
-Name[tr]=Öntanımlı tema
+Name[tr]=Öntanımlı Tema
 Name[uk]=Типова тема
-Name[xx]=xxDefault Themexx
-Name[zh_CN]=默认页面
+Name[x-test]=xxDefault Themexx
 Name[zh_TW]=預設主題
-Comment="Simplistic" by Shintaro Matsuoka
-Comment[ar]="Simplistic" من Shintaro Matsuoka
-Comment[bg]="Опростена" от Shintaro Matsuoka
-Comment[ca]="Simplistic" per Shintaro Matsuoka
-Comment[cs]=Jednoduché téma od Shintara Matsuoky
-Comment[da]="Simplistic" af Shintaro Matsuoka
-Comment[de]="Simplistic" von Shintaro Matsuoka
-Comment[el]="Απλοϊκό" από Shintaro Matsuoka
-Comment[es]=«Simplistic» de Shintaro Matsuoka
-Comment[et]="Simplistic" (autor Shintaro Matsuoka)
-Comment[fi]="Yksinkertainen" (Shintaro Matsuoka)
-Comment[fr]=« Simpliste » par Shintaro Matsuoka
-Comment[ga]="Simplistic" le Shintaro Matsuoka
-Comment[gl]="Simples" por Shintaro Matsuoka
-Comment[he]="מראה פשוט" של Shintaro Matsuoka
-Comment[hi]="सिम्प्लिस्टिक" शिनतारो मात्सुओका द्वारा
-Comment[it]=«Simplistic» di Shintaro Matsuoka
-Comment[ja]=Shintaro Matsuoka 作のシンプルなテーマ
-Comment[ka]="Simplistic" შინტარო მაცუოკას მიერ
-Comment[lt]=„Supaprastinta“, sukurta Shintaro Matsuoka
-Comment[nl]="Simplistic", door Shintaro Matsuoka
-Comment[pt]="Simplistic" por Shintaro Matsuoka
-Comment[pt_BR]="Simplista" de Shintaro Matsuoka
-Comment[sr]=„Једноставно“ од Шинтара Мацуоке (Shintaro Matsuoka)
-Comment[sr@Latn]=„Jednostavno“ od Šintara Macuoke (Shintaro Matsuoka)
-Comment[sv]="Förenklat" av Shintaro Matsuoka
-Comment[ta]="Simplistic" ஷிண்டாரோ மாட்சொக்கா
-Comment[tr]=Shintaro Matsuoka tarafından "Basitlik"
-Comment[uk]="Проста" - Shintaro Matsuoka
-Comment[xx]=xx"Simplistic" by Shintaro Matsuokaxx
-Comment[zh_CN]=“简洁”，由 Shintaro Matsuoka 设计
-Comment[zh_TW]="Simplistic" 由 Shintaro Matsuoka 撰寫
+Comment="Oxygen" by Nuno Pinheiro

=== modified file 'data/images/nickicons/default/irc_admin.png'
Binary files data/images/nickicons/default/irc_admin.png and data/images/nickicons/default/irc_admin.png differ
=== modified file 'data/images/nickicons/default/irc_away.png'
Binary files data/images/nickicons/default/irc_away.png and data/images/nickicons/default/irc_away.png differ
=== modified file 'data/images/nickicons/default/irc_halfop.png'
Binary files data/images/nickicons/default/irc_halfop.png and data/images/nickicons/default/irc_halfop.png differ
=== modified file 'data/images/nickicons/default/irc_normal.png'
Binary files data/images/nickicons/default/irc_normal.png and data/images/nickicons/default/irc_normal.png differ
=== modified file 'data/images/nickicons/default/irc_op.png'
Binary files data/images/nickicons/default/irc_op.png and data/images/nickicons/default/irc_op.png differ
=== modified file 'data/images/nickicons/default/irc_owner.png'
Binary files data/images/nickicons/default/irc_owner.png and data/images/nickicons/default/irc_owner.png differ
=== modified file 'data/images/nickicons/default/irc_voice.png'
Binary files data/images/nickicons/default/irc_voice.png and data/images/nickicons/default/irc_voice.png differ
=== removed directory 'data/images/nickicons/oxygen'
=== removed file 'data/images/nickicons/oxygen/CMakeLists.txt'
--- data/images/nickicons/oxygen/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/oxygen/CMakeLists.txt	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-install(FILES  irc_admin.png irc_away.png irc_halfop.png irc_normal.png
-	irc_op.png  			irc_owner.png irc_voice.png
-	index.desktop DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/oxygen)

=== removed file 'data/images/nickicons/oxygen/index.desktop'
--- data/images/nickicons/oxygen/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/oxygen/index.desktop	1970-01-01 00:00:00 +0000
@@ -1,24 +0,0 @@
-[Desktop Entry]
-Type=Theme
-Name=Oxygen Theme
-Name[da]=Oxygen-tema
-Name[de]=Oxygen-Design
-Name[es]=Tema «Oxígeno»
-Name[et]=Oxygeni teema
-Name[it]=Tema Oxygen
-Name[ja]=Oxygen テーマ
-Name[sr]=Кисеоник тема
-Name[sr@Latn]=Kiseonik tema
-Name[sv]=Oxygen-tema
-Name[zh_TW]=Oxygen 主題
-Comment="Oxygen" by Nuno Pinheiro
-Comment[da]="Oxygen" af Nuno Pinheiro
-Comment[de]="Oxygen" von Nuno Pinheiro
-Comment[es]=«Oxígeno» de Nuno Pinheiro
-Comment[et]="Oxygen" (autor Nuno Pinheiro)
-Comment[it]=«Oxygen» di Nuno Pinheiro
-Comment[ja]=Nuno Pinheiro 作の Oxygen テーマ
-Comment[sr]=„Кисеоник“ од Нуна Пињеира
-Comment[sr@Latn]=„Kiseonik“ od Nuna Pinjeira
-Comment[sv]="Oxygen" av Nuno Pinheiro
-Comment[zh_TW]="Oxygen"，由 Nuno Pinheiro 提供

=== removed file 'data/images/nickicons/oxygen/irc_admin.png'
Binary files data/images/nickicons/oxygen/irc_admin.png and data/images/nickicons/oxygen/irc_admin.png differ
=== removed file 'data/images/nickicons/oxygen/irc_away.png'
Binary files data/images/nickicons/oxygen/irc_away.png and data/images/nickicons/oxygen/irc_away.png differ
=== removed file 'data/images/nickicons/oxygen/irc_halfop.png'
Binary files data/images/nickicons/oxygen/irc_halfop.png and data/images/nickicons/oxygen/irc_halfop.png differ
=== removed file 'data/images/nickicons/oxygen/irc_normal.png'
Binary files data/images/nickicons/oxygen/irc_normal.png and data/images/nickicons/oxygen/irc_normal.png differ
=== removed file 'data/images/nickicons/oxygen/irc_op.png'
Binary files data/images/nickicons/oxygen/irc_op.png and data/images/nickicons/oxygen/irc_op.png differ
=== removed file 'data/images/nickicons/oxygen/irc_owner.png'
Binary files data/images/nickicons/oxygen/irc_owner.png and data/images/nickicons/oxygen/irc_owner.png differ
=== removed file 'data/images/nickicons/oxygen/irc_voice.png'
Binary files data/images/nickicons/oxygen/irc_voice.png and data/images/nickicons/oxygen/irc_voice.png differ
=== added directory 'data/images/nickicons/simplistic'
=== added file 'data/images/nickicons/simplistic/CMakeLists.txt'
--- data/images/nickicons/simplistic/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ data/images/nickicons/simplistic/CMakeLists.txt	2009-06-03 19:41:13 +0000
@@ -0,0 +1,4 @@
+install(FILES  irc_admin.png irc_away.png irc_halfop.png irc_normal.png
+	irc_op.png  			irc_owner.png irc_voice.png
+	index.desktop DESTINATION ${DATA_INSTALL_DIR}/konversation/themes/simplistic)
+

=== added file 'data/images/nickicons/simplistic/index.desktop'
--- data/images/nickicons/simplistic/index.desktop	1970-01-01 00:00:00 +0000
+++ data/images/nickicons/simplistic/index.desktop	2009-05-15 11:24:24 +0000
@@ -0,0 +1,29 @@
+[Desktop Entry]
+Type=Theme
+Name=KDE 3 Default Theme
+Comment="Simplistic" by Shintaro Matsuoka
+Comment[bg]="Опростена" от Shintaro Matsuoka
+Comment[cs]="Jednoduché téma" od Shintara Matsuoky
+Comment[de]=„Standard“ von Shintaro Matsuoka
+Comment[el]="Απλοϊκό" από Shintaro Matsuoka
+Comment[en_GB]=Simplistic by Shintaro Matsuoka
+Comment[es]=«Simplistic» de Shintaro Matsuoka
+Comment[et]="Simplistic" (autor Shintaro Matsuoka)
+Comment[eu]=Shintaro Matsuoka-ren "Simplistic"
+Comment[fr]="Simpliste" par Shintaro Matsuoka
+Comment[ga]="Simplistic" le Shintaro Matsuoka
+Comment[gl]=«Simplistic» por Shintaro Matsuoka
+Comment[hne]="सिंप्लिस्टिक" शिनतारो मात्सुओका द्वारा
+Comment[km]="Simplistic" ដោយ Shintaro Matsuoka
+Comment[lt]=„Supaprastinta“, sukurta Shintaro Matsuoka
+Comment[nds]="Eenfach" vun Shintaro Matsuoka
+Comment[nl]="Simplistic", door Shintaro Matsuoka
+Comment[pt]="Simplistic" por Shintaro Matsuoka
+Comment[pt_BR]="Simplista" de Shintaro Matsuoka
+Comment[ro]=„Simplist” de Shintaro Matsuoka
+Comment[ru]=Сделал Shintaro Matsuoka
+Comment[sv]="Förenklat" av Shintaro Matsuoka
+Comment[tr]=Shintaro Matsuoka tarafından "Basitlik"
+Comment[uk]="Спрощена", автор — Shintaro Matsuoka
+Comment[x-test]=xx"Simplistic" by Shintaro Matsuokaxx
+Comment[zh_TW]=「單純」，由 Shintaro Matsuoka 提供

=== added file 'data/images/nickicons/simplistic/irc_admin.png'
Binary files data/images/nickicons/simplistic/irc_admin.png and data/images/nickicons/simplistic/irc_admin.png differ
=== added file 'data/images/nickicons/simplistic/irc_away.png'
Binary files data/images/nickicons/simplistic/irc_away.png and data/images/nickicons/simplistic/irc_away.png differ
=== added file 'data/images/nickicons/simplistic/irc_halfop.png'
Binary files data/images/nickicons/simplistic/irc_halfop.png and data/images/nickicons/simplistic/irc_halfop.png differ
=== added file 'data/images/nickicons/simplistic/irc_normal.png'
Binary files data/images/nickicons/simplistic/irc_normal.png and data/images/nickicons/simplistic/irc_normal.png differ
=== added file 'data/images/nickicons/simplistic/irc_op.png'
Binary files data/images/nickicons/simplistic/irc_op.png and data/images/nickicons/simplistic/irc_op.png differ
=== added file 'data/images/nickicons/simplistic/irc_owner.png'
Binary files data/images/nickicons/simplistic/irc_owner.png and data/images/nickicons/simplistic/irc_owner.png differ
=== added file 'data/images/nickicons/simplistic/irc_voice.png'
Binary files data/images/nickicons/simplistic/irc_voice.png and data/images/nickicons/simplistic/irc_voice.png differ
=== modified file 'data/images/nickicons/smiling/index.desktop'
--- data/images/nickicons/smiling/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/smiling/index.desktop	2009-05-15 11:24:24 +0000
@@ -1,70 +1,53 @@
 [Desktop Entry]
 Type=Theme
 Name=Smiling Theme
-Name[ar]=سمة ضاحِكة  ( Smiling )
 Name[bg]=Тема "Усмивка"
-Name[br]=Giz Mousc'hoarzh
-Name[ca]=Tema Smiling
 Name[cs]=Smajlíkové téma
-Name[da]=Smilende tema
 Name[de]=Smiley-Design
 Name[el]=Θέμα χαμόγελου
 Name[es]=Tema «Smiling»
 Name[et]=Naerusuuteema
-Name[fi]=Hymiöteema
-Name[fr]=Thème sourire
+Name[eu]="Smiling" gaia
+Name[fr]=Thème Smiley
 Name[ga]=Téama "Smiling"
-Name[gl]=Tema Sorrinte
-Name[he]=ערכה מחייכת
-Name[hi]=मुस्कुराता प्रसंग
-Name[it]=Tema sorridente
-Name[ja]=スマイリー
-Name[ka]=მომღიმარი გაფორმება
+Name[gl]=Tema de sorrisos
+Name[hne]=मुस्कान प्रसंग
+Name[km]=ស្បែក​ញញឹម
 Name[lt]=Besišypsanti tema
+Name[nds]=Smuustermuster
 Name[nl]=Smiling-thema
-Name[pa]=ਖੁਸ਼ ਸਰੂਪ
+Name[pa]=ਖੁਸ਼ ਥੀਮ
 Name[pt]=Tema "Smiling"
-Name[pt_BR]=Tema Sorridente
-Name[ru]=Улыбочки
-Name[sr]=Насмејана тема
-Name[sr@Latn]=Nasmejana tema
+Name[pt_BR]=Tema sorridente
+Name[ro]=Tematică zîmbitoare
+Name[ru]=Смайлики
 Name[sv]=Leende tema
-Name[ta]=சிரிக்கின்ற பொருள்
 Name[tr]=Gülümseyen Tema
-Name[uk]=Тема посмішок
-Name[xx]=xxSmiling Themexx
-Name[zh_CN]=微笑主题
-Name[zh_TW]=微笑主題
+Name[uk]=Тема "Посмішки"
+Name[x-test]=xxSmiling Themexx
+Name[zh_TW]=微笑
 Comment="Smiling" stolen from Kopete by John Tapsell
-Comment[ar]=أخِذ "Smiling"  من Kopete من قِبل John Tapsell
 Comment[bg]=Тема "Усмивка" е откраднато от Kopete от John Tapsell
-Comment[ca]="Smiling" robat del Kopete per John Tapsell
-Comment[cs]=Smajlíkové téma od Johna Tapsella převzato z Kopete
-Comment[da]="Smilende" stjålet fra Kopete af John Tapsell
-Comment[de]="Smiling" geklaut bei Kopete von John Tapsell
+Comment[cs]="Smajlíkové téma" od Johna Tapsella převzato z Kopete
+Comment[de]=„Smiley“ geklaut bei Kopete von John Tapsell
 Comment[el]="Χαμόγελο" κλεμμένο από το Kopete από John Tapsell
 Comment[es]=«Smiling» tomado de Kopete por John Tapsell
 Comment[et]="Smiling" (Kopetest hiivas John Tapsell)
-Comment[fi]="Hymiöteema" Kopetesta (John Tapsell)
-Comment[fr]=« Sourire » volé à Kopete par John Tapsell
+Comment[eu]=John Tapsell-ek Kopete-tik hartutako "Smiling"
+Comment[fr]="Smiley" copié de Kopete par John Tapsell
 Comment[ga]="Smiling", goidte ó Kopete ag John Tapsell
-Comment[gl]="Sorriso" roubado de Kopete por John Tapsell
-Comment[he]="ערכה מחייכת" נגנבה מ־Kopete  על ידי John Tapsell
-Comment[hi]="मुस्कान" को के-ऑप्टी से जॉन तापसेल द्वारा चुराया गया
-Comment[it]=«Sorridente» rubato a Kopete da John Tapsell
-Comment[ja]=John Tapsell 作の Kopete のテーマを借用
-Comment[ka]="მომღიმარი" მოპარულია Kopete-დან ჯონ ტაპსელის მიერ
+Comment[gl]=«Smiling» roubado de Kopete por John Tapsell
+Comment[hne]="मुस्कान" जान टापसेल द्वारा केआप्टी से लाया गया
+Comment[km]="ញញឹម" យក​ពី Kopete ដោយ John Tapsell
 Comment[lt]=„Besišypsanti tema“, John Tapsell pavogta iš Kopete programos
+Comment[nds]="Smuustern", muust bi Kopete vun John Tapsell
 Comment[nl]="Smiling", overgenomen van Kopete, door John Tapsell
 Comment[pt]="Smiling" retirado do Kopete por John Tapsell
-Comment[pt_BR]="Sorridente" roubado do Kopete por John Tapsell
+Comment[pt_BR]="Sorridente" obtido do Kopete por John Tapsell
+Comment[ro]=„Zîmbitoare” furată de la Kopete de John Tapsell
 Comment[ru]=Украл у Kopete John Tapsell
-Comment[sr]=„Насмејано“ украо из Kopete-а Џон Тапсел (John Tapsell)
-Comment[sr@Latn]=„Nasmejano“ ukrao iz Kopete-a Džon Tapsel (John Tapsell)
 Comment[sv]="Leende" stulen från Kopete av John Tapsell
-Comment[ta]=Kopeteல் இருந்து "Smiling" ஸ்டோலன் ஜான் டாப்செல்
-Comment[tr]=John Tapsell tarafından Kopete'in "Gülümseyen"i
-Comment[uk]="Посмішки" взято з Kopete - John Tapsell
-Comment[xx]=xx"Smiling" stolen from Kopete by John Tapsellxx
-Comment[zh_CN]=“微笑”，借鉴自 John Tapsell 为 Kopete 设计的造型
-Comment[zh_TW]="微笑"主題，從 Kopete 偷來的，由 John Tapsell 撰寫
+Comment[tr]=John Tapsell tarafından Kopete uygulamasının "Gülümseyen" yüzleri
+Comment[uk]="Посмішки" взято з Kopete, автор — John Tapsell
+Comment[x-test]=xx"Smiling" stolen from Kopete by John Tapsellxx
+Comment[zh_TW]=「微笑」，從 Kopete 「偷」來的，由 John Tapsell 提供

=== modified file 'data/images/nickicons/square/index.desktop'
--- data/images/nickicons/square/index.desktop	2009-04-10 16:16:59 +0000
+++ data/images/nickicons/square/index.desktop	2009-05-15 11:24:24 +0000
@@ -1,69 +1,51 @@
 [Desktop Entry]
 Type=Theme
 Name=Square Theme
-Name[ar]=سمة Square
 Name[bg]=Тема "Квадрат"
-Name[br]=Giz karrez
-Name[ca]=Tema Square
 Name[cs]=Square téma
-Name[da]=Square tema
 Name[de]=Rechteck-Design
 Name[el]=Τετράγωνο θέμα
 Name[es]=Tema «Square»
 Name[et]=Kandiline teema
-Name[fi]=Neliöteema
-Name[fr]=Thème carré
+Name[eu]="Square" gaia
+Name[fr]=Thème Carrés
 Name[ga]=Téama "Square"
-Name[gl]=Tema Cadrado
-Name[he]=ערכה מרובעת
-Name[it]=Tema quadrato
-Name[ja]=四角
-Name[ka]=კვადრატული გაფორმება
+Name[gl]=Tema de cadros
+Name[km]=ស្បែក​ការេ
 Name[lt]=Kvadratinė tema
+Name[nds]=Quadraat-Muster
 Name[nl]=Vierkant thema
-Name[pa]=ਵਰਗ ਸਰੂਪ
+Name[pa]=ਵਰਗ ਥੀਮ
 Name[pt]=Tema Quadrado
-Name[pt_BR]=Tema Quadrado
+Name[pt_BR]=Tema quadrado
+Name[ro]=Tematică pătrată
 Name[ru]=Квадратики
-Name[sr]=Квадратна тема
-Name[sr@Latn]=Kvadratna tema
 Name[sv]=Kvadratiskt tema
-Name[ta]=சதுர பொருள்
 Name[tr]=Kare Teması
-Name[uk]=Квадратна тема
-Name[xx]=xxSquare Themexx
-Name[zh_CN]=方块主题
-Name[zh_TW]=方塊主題
+Name[uk]=Тема "Квадрат"
+Name[x-test]=xxSquare Themexx
+Name[zh_TW]=方塊
 Comment="SQUARE" by Kenichiro Takahashi
-Comment[ar]="SQUARE" تأليف Kenichiro Takahashi
 Comment[bg]=Тема "Квадрат" от Kenichiro Takahashi
-Comment[br]=« SQUARE » gant Kenichiro Takahashi
-Comment[ca]="SQUARE" per Kenichiro Takahashi
 Comment[cs]="SQUARE" od Kenichiro Takahashi
-Comment[da]="SQUARE" af Kenichiro Takahashi
-Comment[de]="SQUARE" von Kenichiro Takahashi
+Comment[de]=„Rechteck“ von Kenichiro Takahashi
 Comment[el]="Τετράγωνο" από Kenichiro Takahashi
 Comment[es]=«SQUARE» de Kenichiro Takahashi
 Comment[et]="SQUARE" (autor Kenichiro Takahashi)
-Comment[fi]="NELIÖT" (Kenichiro Takahashi)
-Comment[fr]=« CARRÉ » par Kenichiro Takahashi
+Comment[eu]=Kenichiro Takahashi-ren "SQUARE"
+Comment[fr]="CARRÉS" par Kenichiro Takahashi
 Comment[ga]="SQUARE" le Kenichiro Takahashi
-Comment[gl]="Cadrado" por Kenichiro Takahashi
-Comment[he]="ערכה מרובעת" של Kenichiro Takahashi
-Comment[it]=«Quadrato» di Kenichiro Takahashi
-Comment[ja]=Kenichiro Takahashi 作の四角いテーマ
-Comment[ka]="კვადრატული" კენიჩირო ტაკაჰაშის მიერ
+Comment[gl]=«SQUARE» por Kenichiro Takahashi
+Comment[km]="ការេ" ដោយ Kenichiro Takahashi
 Comment[lt]=„Kvadratinė tema“, sukurta Kenichiro Takahashi
+Comment[nds]="Quadraat" vun Kenichiro Takahashi
 Comment[nl]="SQUARE" door Kenichiro Takahashi
 Comment[pt]="QUADRADO" por Kenichiro Takahashi
-Comment[pt_BR]="Quadrado" por Kenichiro Takahashi
+Comment[pt_BR]="QUADRADO" por Kenichiro Takahashi
+Comment[ro]=„PĂTRAT” de Kenichiro Takahashi
 Comment[ru]=Сделал Kenichiro Takahashi
-Comment[sr]=„Квадрат“ од Кеничира Такахашија (Kenichiro Takahashi)
-Comment[sr@Latn]=„Kvadrat“ od Keničira Takahašija (Kenichiro Takahashi)
 Comment[sv]="KVADRATISK" av Kenichiro Takahashi
-Comment[ta]="SQUARE" கெனிசிரோ டகாஹாஷி
 Comment[tr]=Kenichiro Takahashi tarafından "KARE"
-Comment[uk]="КВАДРАТ" - Kenichiro Takahashi
-Comment[xx]=xx"SQUARE" by Kenichiro Takahashixx
-Comment[zh_CN]=“方块”，由 Kenichiro Takahashi 设计
-Comment[zh_TW]="方塊"主題，由 Kenichiro Takahashi 撰寫
+Comment[uk]="КВАДРАТ" автор — Kenichiro Takahashi
+Comment[x-test]=xx"SQUARE" by Kenichiro Takahashixx
+Comment[zh_TW]=「方塊」，由 Kenichiro Takahashi 提供

=== modified file 'data/konversation.desktop'
--- data/konversation.desktop	2009-04-10 16:16:59 +0000
+++ data/konversation.desktop	2009-05-15 11:24:24 +0000
@@ -4,43 +4,41 @@
 Icon=konversation
 X-DocPath=konversation/index.html
 GenericName=IRC Client
-GenericName[ar]=زبون IRC
+GenericName[be]=Кліент IRC
 GenericName[bg]=IRC клиент
-GenericName[br]=Kliant IRC
-GenericName[ca]=Client IRC
 GenericName[cs]=IRC klient
-GenericName[cy]=Dibynnydd IRC
-GenericName[da]=IRC-klient
 GenericName[de]=IRC-Programm
 GenericName[el]=Πελάτης IRC
 GenericName[es]=Cliente de IRC
 GenericName[et]=IRC klient
+GenericName[eu]=IRC bezeroa
+GenericName[fr]=Client IRC
 GenericName[ga]=Cliant IRC
-GenericName[gl]=Cliente IRC
-GenericName[he]=לקוח IRC
-GenericName[it]=Client IRC
-GenericName[ja]=IRC クライアント
-GenericName[ka]=IRC საუბარი
+GenericName[gl]=Cliente de IRC
+GenericName[hne]=आईआरसी क्लायंट
+GenericName[km]=ម៉ាស៊ីន​ភ្ញៀវ IRC
 GenericName[lt]=IRC klientas
-GenericName[ms]=Klien IRC
+GenericName[nds]=IRC-Client
 GenericName[nl]=IRC-client
-GenericName[pa]=IRC ਕਲਾਂਇਟ
+GenericName[pa]=IRC ਕਲਾਇਟ
 GenericName[pt]=Cliente de IRC
 GenericName[pt_BR]=Cliente IRC
-GenericName[sr]=IRC клијент
-GenericName[sr@Latn]=IRC klijent
+GenericName[ro]=Client IRC
+GenericName[ru]=Клиент IRC
 GenericName[sv]=IRC-klient
 GenericName[tr]=IRC İstemcisi
 GenericName[uk]=Клієнт IRC
-GenericName[xx]=xxIRC Clientxx
+GenericName[x-test]=xxIRC Clientxx
 GenericName[zh_CN]=IRC 客户端
 GenericName[zh_TW]=IRC 客戶端程式
 Terminal=false
 Name=Konversation
+Name[es]=archivoation
 Name[hi]=कनवर्सेसन
-Name[pa]=ਗੱਲਬਾਤ
-Name[ta]=உரையாடல்
-Name[xx]=xxKonversationxx
+Name[hne]=कनवर्सेसन
+Name[pa]=ਕੰਨਵਰਸ਼ੇਸ਼ਨ
+Name[ro]=Konversație
+Name[x-test]=xxKonversationxx
 Categories=Qt;KDE;Network;IRCClient;
 X-KDE-ServiceTypes=DBUS/InstantMessenger
 X-DBUS-StartupType=Unique

=== modified file 'data/konversation.notifyrc'
--- data/konversation.notifyrc	2009-04-10 16:16:59 +0000
+++ data/konversation.notifyrc	2009-05-15 11:24:24 +0000
@@ -2,972 +2,817 @@
 IconName=konversation
 Comment=Konversation
 Comment[hi]=कनवर्सेसन
-Comment[pa]=ਕੇ-ਗੱਲਬਾਤ
-Comment[ta]=உரையாடல்
-Comment[xx]=xxKonversationxx
+Comment[hne]=कनवर्सेसन
+Comment[pa]=ਕੰਨਵਰਸ਼ੇਸ਼ਨ
+Comment[ro]=Konversație
+Comment[x-test]=xxKonversationxx
 
 [Event/message]
 Name=New message
-Name[ar]=رسالة جديدة
+Name[be]=Новае паведамленне
 Name[bg]=Ново съобщение
-Name[br]=Kemennad nevez
-Name[bs]=Nova poruka
-Name[ca]=Nou missatge
 Name[cs]=Nová zpráva
-Name[da]=Ny besked
 Name[de]=Neue Nachricht
 Name[el]=Νέο μήνυμα
 Name[es]=Nuevo mensaje
 Name[et]=Uus sõnum
-Name[fi]=Uusi viesti
+Name[eu]=Mezu berria
 Name[fr]=Nouveau message
 Name[ga]=Teachtaireacht nua
 Name[gl]=Nova mensaxe
-Name[he]=הודעה חדשה
-Name[hi]=नया संदेश
-Name[hu]=Új üzenet
-Name[it]=Nuovo messaggio
-Name[ja]=新規メッセージ
-Name[ka]=ახალი შეტყობინება
+Name[hne]=नवा संदेस
+Name[km]=សារ​ថ្មី
 Name[lt]=Nauja žinutė
+Name[nds]=Nieg Naricht
 Name[nl]=Nieuw bericht
+Name[oc]=Messatge novèl
 Name[pa]=ਨਵਾਂ ਸੁਨੇਹਾ
 Name[pt]=Nova mensagem
 Name[pt_BR]=Nova mensagem
+Name[ro]=Mesaj nou
 Name[ru]=Новое сообщение
-Name[sr]=Нова порука
-Name[sr@Latn]=Nova poruka
 Name[sv]=Nytt meddelande
-Name[ta]=புதியச் செய்தி
 Name[tr]=Yeni ileti
 Name[uk]=Нове повідомлення
-Name[uz]=Yangi xabar
-Name[uz@cyrillic]=Янги хабар
-Name[xx]=xxNew messagexx
+Name[x-test]=xxNew messagexx
 Name[zh_CN]=新消息
-Name[zh_TW]=新的訊息
+Name[zh_TW]=新訊息
 Comment=New message arrived in a channel
-Comment[ar]=وصلة رِسالة جديدة في قناة
 Comment[bg]=Пристигна ново съобщение в канала
-Comment[br]=Deuet eo ur postel nevez en ur c'hanol
-Comment[bs]=Nova poruka pristigla na kanal
-Comment[ca]=Ha arribat un nou missatge a un canal
 Comment[cs]=Na kanálu se objevila nová zpráva
-Comment[da]=Ny besked ankom i kanal
 Comment[de]=Neue Nachricht in einem Kanal
 Comment[el]=Νέο μήνυμα έφτασε στο κανάλι
 Comment[es]=Ha llegado un nuevo mensaje a un canal
 Comment[et]=Kanalile saabus uus sõnum
-Comment[fi]=Kanavalle saapui uusi viesti
-Comment[fr]=Un nouveau message est arrivé dans un canal
+Comment[eu]=Mezu berri bat iritsi da kanal batera
+Comment[fr]=Un nouveau message est arrivé sur le canal
 Comment[ga]=Tháinig teachtaireacht nua i gcainéal
-Comment[gl]=Chegou unha mensaxe nova nun canal
-Comment[he]=הודעה חדשה הגיעה לחדר
-Comment[hi]=चैनल में नया संदेश आया
-Comment[hu]=Új üzenet érkezett egy csatornára
-Comment[it]=Nuovo messaggio arrivato in un canale
-Comment[ja]=新しいメッセージがチャンネルに届きました
-Comment[ka]=ახალი შეტყობინება მოვიდა არხზე
+Comment[gl]=Recebiuse unha nova mensaxe nunha canle
+Comment[hne]=चैनल मं नवा संदेस आइस
+Comment[km]=សារ​ថ្មី​មកដល់​ក្នុង​ប៉ុស្ដិ៍
 Comment[lt]=Kanale gauta nauja žinutė
+Comment[nds]=Nieg Naricht op en Kanaal ankamen
 Comment[nl]=Nieuw bericht gearriveerd in een kanaal
-Comment[pa]=ਇੱਕ ਚੈਨਲ 'ਚ ਨਵਾਂ ਸੁਨੇਹਾ ਆਇਆ ਹੈ
+Comment[pa]=ਇੱਕ ਚੈਨਲ ਵਿੱਚ ਨਵਾਂ ਸੁਨੇਹਾ ਆਇਆ ਹੈ
 Comment[pt]=Nova mensagem chegou ao canal
 Comment[pt_BR]=Uma nova mensagem chegou em um canal
+Comment[ro]=A sosit un mesaj nou într-un canal
 Comment[ru]=Получено новое сообщение на канале
-Comment[sr]=Нова порука је стигла у каналу
-Comment[sr@Latn]=Nova poruka je stigla u kanalu
 Comment[sv]=Nytt meddelande anlände i en kanal
-Comment[ta]=தடங்களிருந்து புதிய தகவல் வந்தது
-Comment[tr]=Kanala yeni ileti geldi
-Comment[uk]=В канал надійшло нове повідомлення
-Comment[xx]=xxNew message arrived in a channelxx
-Comment[zh_CN]=频道中有新消息
-Comment[zh_TW]=新訊息已送達頻道
+Comment[tr]=Odaya yeni ileti geldi
+Comment[uk]=На каналі з’явилося нове повідомлення
+Comment[x-test]=xxNew message arrived in a channelxx
+Comment[zh_CN]=频道里有新消息
+Comment[zh_TW]=在某頻道中有新訊息
 Action=None
 
 [Event/nick]
 Name=Nick written
-Name[ar]=كُُتِب الأسم المستعار
 Name[bg]=Написан псевдоним
-Name[bs]=Nick zapisan
-Name[ca]=Escriure sobrenom
 Name[cs]=Zapsána přezdívka
-Name[da]=Alias skrevet
 Name[de]=Spitzname erwähnt
 Name[el]=Το ψευδώνυμο γράφτηκε
+Name[en_GB]=Nickname written
 Name[es]=Apodo escrito
 Name[et]=Hüüdnimi kirjutatud
-Name[fi]=Nimimerkki kirjoitettiin
-Name[fr]=Pseudonyme écrit
+Name[eu]=Goitizena idatzia
+Name[fr]=Pseudo écrit
 Name[ga]=Scríobhadh do leasainm
-Name[gl]=Alcume escrito
-Name[he]=הכינוי נכתב
-Name[hi]=निक लिखा
-Name[hu]=becenév kiírva
-Name[it]=Nick scritto
-Name[ja]=ニックが書かれました
-Name[ka]=მეტსახელი დაწერილია
+Name[gl]=Escribiuse o seu alcume
+Name[hne]=निक रिटन
+Name[km]=សមត្ថិនាម​ដែល​បាន​សរសេរ
 Name[lt]=Paminėtas slapyvardis
+Name[nds]=Ökelnaam bruukt
 Name[nl]=Bijnaam geschreven
 Name[pa]=ਨਾਂ ਲਿਖਿਆ
 Name[pt]=Alcunha escrita
 Name[pt_BR]=Apelido escrito
+Name[ro]=Poreclă scrisă
 Name[ru]=Упоминание вашего ника
-Name[sr]=Надимак је уписан
-Name[sr@Latn]=Nadimak je upisan
 Name[sv]=Något skrivet till smeknamnet
-Name[ta]=பட்டை எழுத்து
 Name[tr]=Takma ad yazıldı
-Name[uk]=Написане прізвисько
-Name[xx]=xxNick writtenxx
-Name[zh_CN]=昵称写入
-Name[zh_TW]=有人提到您的暱稱
+Name[uk]=Написано псевдонім
+Name[x-test]=xxNick writtenxx
+Name[zh_CN]=使用的昵称
+Name[zh_TW]=暱稱被提及
 Comment=Someone wrote your nick in a message
-Comment[ar]=أحد ما كتب إسمك المستعار في رسالة ما
 Comment[bg]=Псевдонимът ви бе написан в съобщение
-Comment[bs]=Neko je spomenuo vaš nick u poruci
-Comment[ca]=Algú ha escrit el vostre sobrenom en un missatge
 Comment[cs]=Někdo ve zprávě napsal vaší přezdívku
-Comment[da]=Nogen skrev dit alias i en besked
 Comment[de]=Jemand hat Ihren Spitznamen in einer Nachricht erwähnt
 Comment[el]=Κάποιος έγραψε το ψευδώνυμο σας σε ένα μήνυμα
+Comment[en_GB]=Someone wrote your nickname in a message
 Comment[es]=Alguien ha escrito su apodo en un mensaje
 Comment[et]=Keegi kasutas sõnumis sinu hüüdnime
-Comment[fi]=Joku kirjoitti nimimerkkisi viestiin
-Comment[fr]=Quelqu'un a écrit votre pseudonyme dans un message
+Comment[eu]=Norbaitek zure goitizena idatzi du mezu batean
+Comment[fr]=Quelqu'un a écrit votre pseudo dans un message
 Comment[ga]=Scríobh duine éigin do leasainm i dteachtaireacht
-Comment[gl]=Alguén escrebeu o seu alcume nunha mensaxe
-Comment[he]=מישהו כתב את הכינוי שלך בהודעה
-Comment[hi]=संदेश मे किसी ने आपका निक लिखा
-Comment[hu]=Valaki leírta az Ön becenevét az egyik csatornán
-Comment[it]=Qualcuno ha scritto il tuo nick in un messaggio
-Comment[ja]=誰かがあなたのニックをメッセージに書きました
-Comment[ka]=ვიღაცამ შეტყობინებაში თქვენი მეტსახელი დაწერა
+Comment[gl]=Alguén escribiu o seu alcume nunha mensaxe
+Comment[km]=មាន​នរណា​ម្នាក់​សរសេរ​សមត្ថិនាម​របស់​អ្នក​នៅ​ក្នុង​សារ
 Comment[lt]=Kažkas paminėjo jūsų slapyvardį žinutėje
+Comment[nds]=Een hett Dien Ökelnaam binnen en Naricht bruukt
 Comment[nl]=Iemand schreef uw bijnaam in een bericht
+Comment[pa]=ਕਿਸੇ ਨੇ ਤੁਹਾਡਾ ਨਾਂ ਇੱਕ ਸੁਨੇਹੇ ਵਿੱਚ ਲਿਖਿਆ ਹੈ
 Comment[pt]=Alguém escrever a sua alcunha numa mensagem
-Comment[pt_BR]=Alguém escreveu o seu nick em uma mensagem
+Comment[pt_BR]=Alguém escreveu o seu apelido em uma mensagem
+Comment[ro]=Cineva v-a scris porecla într-un mesaj
 Comment[ru]=Кто-то написал ваше имя в своём собщении
-Comment[sr]=Неко је написао ваш надимак у поруци
-Comment[sr@Latn]=Neko je napisao vaš nadimak u poruci
 Comment[sv]=Någon skrev ett meddelande till ditt smeknamn
-Comment[ta]=உங்கள் வடுத் தகவலில் ஒரு சிலர் எழுதியுள்ளனர் 
 Comment[tr]=Birisi iletisinde sizin takma adınızı yazdı
-Comment[uk]=Хтось в повідомленні написав ваше прізвисько
-Comment[xx]=xxSomeone wrote your nick in a messagexx
-Comment[zh_CN]=有人在消息中输入了你的昵称
+Comment[uk]=Хтось написав ваш псевдонім у повідомленні
+Comment[x-test]=xxSomeone wrote your nick in a messagexx
+Comment[zh_CN]=有人在消息里用了您的昵称
 Comment[zh_TW]=有人在訊息中提到您的暱稱
 Action=None
 
+[Event/highlight]
+Name=Highlight triggered
+Comment=Someone triggered a highlight
+Action=None
+
 [Event/queryMessage]
 Name=Private message
 Name[bg]=Лично съобщение
 Name[cs]=Soukromá zpráva
-Name[da]=Provat besked
 Name[de]=Private Nachricht
 Name[el]=Προσωπικό μήνυμα
 Name[es]=Mensaje privado
 Name[et]=Privaatsõnum
+Name[eu]=Mezu pribatua
+Name[fr]=Message privé
 Name[ga]=Teachtaireacht phríobháideach
-Name[it]=Messaggio privato
-Name[ja]=プライベートメッセージ
+Name[gl]=Mensaxe privada
+Name[hne]=निजी संदेस
+Name[km]=សារ​ឯកជន
+Name[lt]=Asmeninė žinutė
+Name[nds]=Privaatnaricht
 Name[nl]=Privaat bericht
 Name[pa]=ਪ੍ਰਾਈਵੇਟ ਸੁਨੇਹਾ
 Name[pt]=Mensagem privada
-Name[pt_BR]=Mensagem particular
-Name[sr]=Приватна порука
-Name[sr@Latn]=Privatna poruka
+Name[pt_BR]=Mensagem privada
+Name[ro]=Mesaj privat
+Name[ru]=Личное сообщение
 Name[sv]=Privat meddelande
 Name[tr]=Özel ileti
-Name[uk]=Приватне повідомлення
-Name[xx]=xxPrivate messagexx
+Name[uk]=Особисте повідомлення
+Name[x-test]=xxPrivate messagexx
 Name[zh_CN]=私人消息
 Name[zh_TW]=私密訊息
 Comment=You received a private message
 Comment[bg]=Получихте лично съобщение
 Comment[cs]=Obdrželi jste soukromou zprávu
-Comment[da]=Du modtog en privat besked
 Comment[de]=Sie haben eine private Nachricht erhalten
 Comment[el]=Λάβατε ένα προσωπικό μήνυμα
 Comment[es]=Ha recibido un mensaje privado
 Comment[et]=Sa said privaatsõnumi
+Comment[eu]=Mezu pribatu bat jaso duzu
+Comment[fr]=Vous avez reçu un message privé
 Comment[ga]=Fuair tú teachtaireacht phríobháideach
-Comment[it]=Hai ricevuto un messaggio privato
-Comment[ja]=プライベートメッセージを受け取りました
+Comment[gl]=Recibiu unha mensaxe privada
+Comment[hne]=आपको निजी संदेस मिला
+Comment[km]=អ្នក​បាន​ទទួល​សារ​ឯកជន​មួយ
+Comment[lt]=Gavote asmeninę žinutę
+Comment[nds]=Du hest en Privaatnaricht kregen
 Comment[nl]=U ontving een privaat bericht
+Comment[pa]=ਤੁਹਾਨੂੰ ਇੱਕ ਪ੍ਰਾਈਵੇਟ ਸੁਨੇਹਾ ਆਇਆ ਹੈ
 Comment[pt]=Você recebeu uma mensagem privada
-Comment[pt_BR]=Você recebeu uma mensagem particular
-Comment[sr]=Примили сте приватну поруку
-Comment[sr@Latn]=Primili ste privatnu poruku
+Comment[pt_BR]=Você recebeu uma mensagem privada
+Comment[ro]=Ați primit un mesaj privat
+Comment[ru]=Вам написали личное сообщение
 Comment[sv]=Du har tagit emot ett privat meddelande
 Comment[tr]=Bir özel ileti aldınız
-Comment[uk]=Ви отримали приватне повідомлення
-Comment[xx]=xxYou received a private messagexx
-Comment[zh_CN]=您收到了私人消息
-Comment[zh_TW]=您接收到一個私密訊息
+Comment[uk]=До вас надійшло особисте повідомлення
+Comment[x-test]=xxYou received a private messagexx
+Comment[zh_CN]=您收到一条私人消息
+Comment[zh_TW]=您接收到了一個私密訊息
 Action=None
 
 [Event/nickchange]
 Name=Nick changed
-Name[ar]=تغيّر الإسم المستعار
 Name[bg]=Псевдонимът е променен
-Name[bs]=Nick promijenjen
-Name[ca]=Sobrenom canviat
 Name[cs]=Přezdívka změněna
-Name[da]=Alias ændret
 Name[de]=Spitzname geändert
 Name[el]=Το ψευδώνυμο άλλαξε
 Name[es]=Apodo modificado
 Name[et]=Hüüdnimi muudetud
-Name[fi]=Nimimerkki muuttui
-Name[fr]=Pseudonyme modifié
+Name[eu]=Goitizena aldatuta
+Name[fr]=Pseudo changé
 Name[ga]=Athraíodh leasainm
-Name[gl]=Alcume trocado
-Name[he]=הכינוי שונה
-Name[hi]=निक बदला
-Name[hu]=Becenév módosítva
-Name[it]=Nick cambiato
-Name[ja]=ニック変更
-Name[ka]=მეტსახელი შეიცვალა
+Name[gl]=Alcume modificado
+Name[hne]=उपनाम बदलिस
+Name[km]=បាន​ផ្លាស់ប្ដូរ​សមត្ថិនាម
 Name[lt]=Slapyvardis pakeistas
+Name[nds]=Ökelnaam ännert
 Name[nl]=Bijnaam gewijzigd
-Name[pa]=Nick ਬਦਲਿਆ
+Name[pa]=ਨਾਂ ਬਦਲਿਆ
 Name[pt]=Alcunha alterada
-Name[pt_BR]=Apelido modificado
+Name[pt_BR]=Apelido alterado
+Name[ro]=Poreclă schimbată
 Name[ru]=Изменён ник
-Name[sr]=Надимак је промењен
-Name[sr@Latn]=Nadimak je promenjen
 Name[sv]=Smeknamn ändrat
-Name[ta]= மாற்றியப் பட்டை 
 Name[tr]=Takma ad değişti
-Name[uk]=Змінене прізвисько
-Name[xx]=xxNick changedxx
-Name[zh_CN]=昵称改变
-Name[zh_TW]=變更暱稱
+Name[uk]=Змінено псевдонім
+Name[x-test]=xxNick changedxx
+Name[zh_CN]=昵称已改变
+Name[zh_TW]=暱稱已變更
 Comment=Someone changed their nick
-Comment[ar]=أحد ما غيّر إسمه المستعار
 Comment[bg]=Някой си промени псевдонима
-Comment[bs]=Neko je promijenio svoj nick
-Comment[ca]=Algú ha canviat el seu sobrenom
 Comment[cs]=Někdo změnil svou přezdívku
-Comment[da]=Nogen ændrede deres alias
 Comment[de]=Jemand hat seinen Spitznamen geändert
 Comment[el]=Κάποιος άλλαξε το ψευδώνυμο του
+Comment[en_GB]=Someone changed their nickname
 Comment[es]=Alguien ha cambiado su apodo
 Comment[et]=Keegi muutis oma hüüdnime
-Comment[fi]=Joku muutti nimimerkkiään
-Comment[fr]=Quelqu'un a changé de pseudonyme
+Comment[eu]=Norbaitek bere goitizena aldatu du
+Comment[fr]=Quelqu'un a changé son pseudo
 Comment[ga]=D'athraigh duine éigin a leasainm
-Comment[gl]=Alguén trocou de alcume
-Comment[he]=מישהו שינה את הכינוי שלו
-Comment[hi]=किसी ने अपना निक बदला
-Comment[hu]=Valaki megváltoztatta a becenevét
-Comment[it]=Qualcuno ha cambiato il proprio nick
-Comment[ja]=誰かがニックを変更しました
-Comment[ka]=ვიღაცამ მეტსახელი შეიცვალა
+Comment[gl]=Alguén mudou de alcume
+Comment[km]=មាន​នរណា​ម្នាក់​បាន​ប្ដូរ​សមត្ថិនាម​របស់​អ្នក
 Comment[lt]=Kažkas pasikeitė savo slapyvardį
+Comment[nds]=Een hett sien Ökelnaam ännert
 Comment[nl]=Iemand veranderde zijn of haar bijnaam
+Comment[pa]=ਕਿਸੇ ਨੇ ਆਪਣਾ ਨਾਂ ਬਦਲਿਆ ਹੈ
 Comment[pt]=Alguém mudou a sua alcunha
-Comment[pt_BR]=Alguém mudou o seu apelido
+Comment[pt_BR]=Alguém alterou o seu apelido
+Comment[ro]=Cineva și-a schimbat porecla
 Comment[ru]=Кто-то сменил своё имя
-Comment[sr]=Неко је променио свој надимак
-Comment[sr@Latn]=Neko je promenio svoj nadimak
 Comment[sv]=Någon ändrade sitt smeknamn
-Comment[ta]=வடுவை ஒரு சிலர் மாற்றினர் 
 Comment[tr]=Birileri takma adlarını değiştirdi
-Comment[uk]=Хтось змінив своє прізвисько
-Comment[xx]=xxSomeone changed their nickxx
-Comment[zh_CN]=有人改变了昵称
+Comment[uk]=Хтось змінив свій псевдонім
+Comment[x-test]=xxSomeone changed their nickxx
+Comment[zh_CN]=有人修改了昵称
 Comment[zh_TW]=有人變更了暱稱
 Action=None
 
 [Event/dcc_incoming]
 Name=Incoming file
-Name[ar]=ملف وارِد
+Name[be]=Уваходны файл
 Name[bg]=Пристигащ файл
-Name[br]=Restr resev
-Name[bs]=Dolazeća datoteka
-Name[ca]=Fitxer entrant
 Name[cs]=Příchozí soubor
-Name[da]=Indkommende fil
 Name[de]=Datei angeboten
 Name[el]=Εισερχόμενο αρχείο
-Name[es]=Fichero entrante
+Name[es]=Archivo entrante
 Name[et]=Sisenev fail
-Name[fi]=Saapuva tiedosto
-Name[fr]=Fichier entrant
+Name[eu]=Fitxategia sartu nahian
+Name[fr]=Fichier en attente de réception
 Name[ga]=Comhad isteach
-Name[gl]=Ficheiro recebido
-Name[he]=קובץ נכנס
-Name[hi]=आनेवाली फाइल
-Name[hu]=Bejövő fájl
-Name[it]=File in arrivo
-Name[ja]=受信ファイル
-Name[ka]=შემომავალი ფაილი
-Name[lt]=Atsiunčiama byla
+Name[gl]=Ficheiro recibido
+Name[hne]=आवक फाइल
+Name[km]=ឯកសារ​មកដល់
+Name[lt]=Atsiunčiamas failas
+Name[nds]=Datei kummt an
 Name[nl]=Bestand aangeboden
 Name[pa]=ਆ ਰਹੀ ਫਾਇਲ
 Name[pt]=Ficheiro recebido
-Name[pt_BR]=Arquivo de entrada
+Name[pt_BR]=Arquivo recebido
+Name[ro]=Fișier de intrare
 Name[ru]=Входящий файл
-Name[sr]=Долазећи фајл
-Name[sr@Latn]=Dolazeći fajl
 Name[sv]=Inkommande fil
-Name[ta]=உள்ளீடு கோப்பு
 Name[tr]=Gelen dosya
 Name[uk]=Вхідний файл
-Name[xx]=xxIncoming filexx
-Name[zh_CN]=收到的文件
-Name[zh_TW]=送來檔案
+Name[x-test]=xxIncoming filexx
+Name[zh_CN]=正在传入的文件
+Name[zh_TW]=傳來檔案
 Comment=Someone wants to transmit a file to you over DCC
-Comment[ar]=أحد ما يريد إرسال ملف إليك عبر DCC
 Comment[bg]=Някой иска да ви изпрати файл чрез DCC
-Comment[bs]=Neko želi da vam pošalje datoteku koristeći DCC
-Comment[ca]=Algú desitja enviar-vos un fitxer sobre DCC
 Comment[cs]=Někdo vám chce přes DCC poslat soubor
-Comment[da]=Nogen ønsker at transmittere en fil til dig over DCC
 Comment[de]=Jemand bietet Ihnen eine Datei zum DCC-Download an
 Comment[el]=Κάποιος θέλει να σας στείλει ένα αρχείο μέσω DCC
-Comment[es]=Alguien quiere transmitirle un fichero a través de DCC
+Comment[es]=Alguien quiere transmitirle un archivo a través de DCC
 Comment[et]=Keegi tahab sulle faili edastada üle DCC
-Comment[fi]=Joku haluaa lähettää DCC-tiedoston sinulle
-Comment[fr]=Quelqu'un souhaite vous transmettre un fichier via DCC
-Comment[gl]=Alguén quer transmitir-lle un ficheiro por DCC
-Comment[he]=משיהו רוצה לשלוח לך קובץ דרך DCC
-Comment[hi]=कोई एक फाइल आपके डीसीसी पर ट्रांसमिट करना चाहता है
-Comment[hu]=Valaki fájl szeretne küldeni Önnek DCC-n keresztül
-Comment[it]=Qualcuno vuole trasmetterti un file via DCC
-Comment[ja]=誰かが DCC であなたにファイルを転送したいそうです
-Comment[ka]=ვიღაცას სურს DCC-ს მეშვეობით გადმოგცეთ ფაილი
-Comment[lt]=Kažkas nori jums atsiųsti bylą per DCC
+Comment[eu]=Norbaitek fitxategi bat bidali nahi dizu DCC bidez
+Comment[fr]=Quelqu'un souhaite vous envoyer un fichier via DCC
+Comment[ga]=Is mian le duine éigin comhad a sheoladh chugat trí DCC
+Comment[gl]=Alguén quer transmitirlle un ficheiro mediante DCC
+Comment[km]=មាន​នរណា​ម្នាក់​ចង់​បញ្ជូន​ឯកសារ​ឲ្យ​អ្នក​តាម DCC
+Comment[lt]=Kažkas nori jums atsiųsti failą per DCC
+Comment[nds]=Een will Di en Datei över DCC överdregen
 Comment[nl]=Iemand wil via DCC een bestand naar u sturen
+Comment[pa]=ਕੋਈ ਤੁਹਾਨੂੰ DCC ਰਾਹੀਂ ਇੱਕ ਫਾਇਲ ਭੇਜਣੀ ਚਾਹੁੰਦਾ ਹੈ
 Comment[pt]=Alguém quer transmitir um ficheiro através de DCC
 Comment[pt_BR]=Alguém deseja transmitir um arquivo para você via DCC
+Comment[ro]=Cineva dorește să vă transmită un fișier prin DCC
 Comment[ru]=Кто-то хочет передать вам файл
-Comment[sr]=Неко жели да вам пошаље фајл преко DCC-а
-Comment[sr@Latn]=Neko želi da vam pošalje fajl preko DCC-a
 Comment[sv]=Någon vill skicka en fil till dig via direktkommunikation
-Comment[ta]= ஒரு சிலர் உங்களுக்குக் கோப்பினை வழங்க DCCலிருந்து விரும்புகின்றனர் 
 Comment[tr]=Birisi size DCC üzerinden dosya göndermek istiyor
-Comment[uk]=Хтось хоче надіслати вам файл через DCC
-Comment[xx]=xxSomeone wants to transmit a file to you over DCCxx
-Comment[zh_CN]=有人希望通过 DCC 向你传输文件
+Comment[uk]=Хтось бажає передати вам файл за допомогою DCC
+Comment[x-test]=xxSomeone wants to transmit a file to you over DCCxx
+Comment[zh_CN]=有些人想要通过 DCC 向您传送文件
 Comment[zh_TW]=有人要透過 DCC 傳送檔案給您
 Action=None
 
+[Event/dcc_error]
+Name=DCC transfer error
+Comment=An error occurred in a DCC transfer
+Action=None
+
+[Event/dcctransfer_done]
+Name=DCC transfer complete
+Comment=A DCC transfer successfully completed
+Action=None
+
 [Event/join]
 Name=Nick joined channel
-Name[ar]=الإسم المستعار إنضمّ إلى القناة
 Name[bg]=Псевдонимът се присъедини към канала
-Name[bs]=Nick se pridružio kanalu
-Name[ca]=El sobrenom ha accedit al canal
 Name[cs]=Přezdívka se objevila na kanálu
-Name[da]=Alias gik med i kanal
 Name[de]=Benutzer betritt Kanal
 Name[el]=Το ψευδώνυμο συνδέθηκε στο κανάλι
+Name[en_GB]=Nickname joined channel
 Name[es]=Apodo se ha unido al canal
-Name[et]=Hüüdnimi ühines kanaliga
-Name[fi]=Nimimerkki liittyi kanavalle
-Name[fr]=Un pseudonyme a rejoint le canal
+Name[et]=Kasutaja ühines kanaliga
+Name[eu]=Goitizena kanalera sartu da
+Name[fr]=Quelqu'un a rejoint le canal
 Name[ga]=Chuaigh leasainm le cainéal
-Name[gl]=Alguén se uniu ao canal
-Name[he]=כינוי התחבר אל החדר
-Name[hi]=निक चैनल में शामिल हुआ
-Name[hu]=Valaki belépett a csatornára
-Name[it]=Nick entrato nel canale
-Name[ja]=ニックがチャンネルに入りました
-Name[ka]=მეტსახელი არხს შეუერთდა
+Name[gl]=Alguén se uniu á canle
+Name[km]=សមត្ថិនាម​ដែលបាន​ចូល​រួម​ប៉ុស្ដិ៍
 Name[lt]=Slapyvardis prisijungė kanale
+Name[nds]=Ökelnaam na Kanaal tokamen
 Name[nl]=Bijnaam neemt deel aan kanaal
-Name[pa]=Nick ਚੈਨਲ 'ਚ ਦਾਖਲ
+Name[pa]=ਨਾਂ ਚੈਨਲ ਵਿੱਚ ਦਾਖਲ ਹੋਇਆ
 Name[pt]=Alcunha juntou-se ao canal
 Name[pt_BR]=Apelido entrou no canal
+Name[ro]=Poreclă se alăturează la canal
 Name[ru]=Пользователь вошёл на канал
-Name[sr]=Надимак се прикључио каналу
-Name[sr@Latn]=Nadimak se priključio kanalu
 Name[sv]=Någon med smeknamnet gick med i en kanal
-Name[ta]=இணைத்தத் தடப்பட்டை 
-Name[tr]=Takma ad kanala girdi
-Name[uk]=Прізвисько приєдналось до каналу
-Name[xx]=xxNick joined channelxx
-Name[zh_CN]=昵称加入频道
-Name[zh_TW]=加入頻道
+Name[tr]=Kişi odaya girdi
+Name[uk]=Псевдонім увійшов на канал
+Name[x-test]=xxNick joined channelxx
+Name[zh_CN]=昵称加入了频道
+Name[zh_TW]=有人加入了頻道
 Comment=New nick joined a channel
-Comment[ar]=إسم مستعار جديد إنضمّ إلى القناة
 Comment[bg]=Нов псевдоним се присъедини към канала
-Comment[bs]=Novi nick se pridružio kanalu
-Comment[ca]=Un nou sobrenom ha accedit a un canal
 Comment[cs]=Na kanálu se objevila nová přezdívka
-Comment[da]=Nyt alias gik med i en kanal
 Comment[de]=Jemand betritt einen Kanal
 Comment[el]=Νέο ψευδώνυμο συνδέθηκε σε ένα κανάλι
+Comment[en_GB]=New nickname joined a channel
 Comment[es]=Un nuevo usuario se ha unido a un canal
-Comment[et]=Kanaliga ühines uus hüüdnimi
-Comment[fi]=Uusi nimimerkki liittyi kanavalle
-Comment[fr]=Un pseudonyme a rejoint le canal
+Comment[et]=Kanaliga ühines uus kasutaja
+Comment[eu]=Goitizen berri bat sartu da kanalera
+Comment[fr]=Un nouveau pseudo a rejoint un canal
 Comment[ga]=Chuaigh leasainm nua le cainéal
-Comment[gl]=Un alcume novo uniu-se ao canal
-Comment[he]=כינוי חדש התחבר לחדר
-Comment[hi]=नया निक एक चैनल में शामिल हुआ
-Comment[hu]=Új felhasználó lépett be az egyik csatornára
-Comment[it]=Un nuovo nick è entrato nel canale
-Comment[ja]=新しいニックがチャンネルに入りました
-Comment[ka]=ახალი მეტსახელი არხს შეუერთდა
+Comment[gl]=Un novo alcume uniuse á canle
+Comment[km]=សមត្ថិនាម​ថ្មី​ដែល​បាន​ចូលរួម​ប៉ុស្ដិ៍
 Comment[lt]=Naujas slapyvardis prisijungė kanale
+Comment[nds]=Op en Kanaal gifft dat en nieg Ökelnaam
 Comment[nl]=Nieuwe bijnaam neemt deel aan een kanaal
+Comment[pa]=ਨਵਾਂ ਨਾਂ ਇੱਕ ਚੈਨਲ ਵਿੱਚ ਆਇਆ
 Comment[pt]=Um novo utilizador juntou-se ao canal
-Comment[pt_BR]=Um novo apelido entrou em um canal
+Comment[pt_BR]=Um novo apelido entrou no canal
+Comment[ro]=O poreclă nouă s-a alăturat unui canal
 Comment[ru]=Новые люди на канале
-Comment[sr]=Нови надимак се прикључио каналу
-Comment[sr@Latn]=Novi nadimak se priključio kanalu
 Comment[sv]=Någon med ett nytt smeknamn gick med i en kanal
-Comment[ta]=புதிய வடுத் தடத்தில் சேர்ந்தது
-Comment[tr]=Kanala yeni bir kişi girdi
-Comment[uk]=Нове прізвисько приєдналось до каналу
-Comment[xx]=xxNew nick joined a channelxx
-Comment[zh_CN]=新昵称加入了频道
-Comment[zh_TW]=有人加入了頻道
+Comment[tr]=Odaya yeni bir kişi girdi
+Comment[uk]=На канал увійшов особа з новим псевдонімом
+Comment[x-test]=xxNew nick joined a channelxx
+Comment[zh_CN]=新的昵称加入了一个频道
+Comment[zh_TW]=有新來的人加入了頻道
 Action=None
 
 [Event/part]
 Name=Nick left channel
-Name[ar]=الإسم المستعار غادر القناة
 Name[bg]=Псевдонимът напусна канала
-Name[bs]=Nick napustio kanal
-Name[ca]=El sobrenom ha abandonat el canal
 Name[cs]=Přezdívka opustila kanál
-Name[da]=Alias forlod kanal
 Name[de]=Benutzer verlässt Kanal
 Name[el]=Το ψευδώνυμο έφυγε από το κανάλι
+Name[en_GB]=Nickname left channel
 Name[es]=Apodo ha dejado el canal
-Name[et]=Hüüdnimi lahkus kanalilt
-Name[fi]=Nimimerkki poistui kanavalta
-Name[fr]=Un pseudonyme a quitté le canal
+Name[et]=Kasutaja lahkus kanalilt
+Name[eu]=Goitizena kanaletik irten da
+Name[fr]=Quelqu'un a quitté le canal
 Name[ga]=D'fhág leasainm cainéal
-Name[gl]=Alguén deixou o canal
-Name[he]=כינוי עזב את החדר
-Name[hi]=निक चैनल छोड़ा
-Name[hu]=Valaki kilépett a csatornáról
-Name[it]=Nick uscito dal canale
-Name[ja]=ニック退出
-Name[ka]=მეტსახელმა დატოვა არხი
+Name[gl]=Alguén deixou a canle
+Name[km]=សមត្ថិនាម​បាន​ចេញ​ពី​ប៉ុស្ដិ៍
 Name[lt]=Slapyvardis atsijungė nuo kanalo
+Name[nds]=Ökelnaam hett Kanaal verlaten
 Name[nl]=Bijnaam verlaat kanaal
-Name[pa]=Nick ਨੇ ਚੈਨਲ ਛੱਡਿਆ
+Name[pa]=ਨਾਂ ਚੈਨਲ ਛੱਡ ਗਿਆ
 Name[pt]=Alcunha saiu do canal
 Name[pt_BR]=Apelido deixou o canal
+Name[ro]=Poreclă părăsește canalul
 Name[ru]=Пользователь вышел из канала
-Name[sr]=Надимак је напустио канал
-Name[sr@Latn]=Nadimak je napustio kanal
 Name[sv]=Någon med smeknamnet lämnade en kanal
-Name[ta]=இடது தடப் பட்டை 
-Name[tr]=Takma ad kanaldan ayrıldı
-Name[uk]=Прізвисько покинуло канал
-Name[xx]=xxNick left channelxx
-Name[zh_CN]=昵称离开频道
-Name[zh_TW]=離開頻道
+Name[tr]=Kişi odadan ayrıldı
+Name[uk]=Псевдонім залишив канал
+Name[x-test]=xxNick left channelxx
+Name[zh_CN]=昵称离开了频道
+Name[zh_TW]=有人離開頻道
 Comment=A nick left a channel
-Comment[ar]=إسم مستعار غادر القناة
 Comment[bg]=Псевдонимът напусна канала
-Comment[bs]=Nick je napustio kanal
-Comment[ca]=Un sobrenom ha deixat un canal
 Comment[cs]=Přezdívka opustila kanál
-Comment[da]=Et alias forlod en kanal
 Comment[de]=Jemand verlässt einen Kanal
 Comment[el]=Ένα ψευδώνυμο έφυγε από ένα κανάλι
+Comment[en_GB]=A nickname left a channel
 Comment[es]=Un usuario ha abandonado un canal
-Comment[et]=Hüüdnimi lahkus kanalilt
-Comment[fi]=Nimimerkki poistui kanavalta
-Comment[fr]=Un pseudonyme a quitté le canal
+Comment[et]=Kasutaja lahkus kanalilt
+Comment[eu]=Goitizen bat kanaletik irten da
+Comment[fr]=Une personne a quitté un canal
 Comment[ga]=D'fhág leasainm cainéal
-Comment[gl]=Alguén abandonou o canal
-Comment[he]=כינוי עזב את החדר
-Comment[hu]=Valaki kilépett egy csatornáról
-Comment[it]=Un nick è uscito dal canale
-Comment[ja]=ニックがチャンネルから退出しました
-Comment[ka]=მეტსახელმა დატოვა არხი
+Comment[gl]=Un alcume abandonou a canle
+Comment[km]=សមត្ថិនាម​ដែល​បាន​ចេញ​ពី​ប៉ុស្ដិ៍
 Comment[lt]=Slapyvardis atsijungė nuo kanalo
+Comment[nds]=Een hett en Kanaal verlaten
 Comment[nl]=Een bijnaam heeft een kanaal verlaten
 Comment[pa]=ਇੱਕ ਨਾਂ ਨੇ ਚੈਨਲ ਛੱਡਿਆ
 Comment[pt]=Um utilizador abandonou o canal
-Comment[pt_BR]=Alguém deixou um canal
+Comment[pt_BR]=Um apelido deixou um canal
+Comment[ro]=O poreclă a părăsit canalul
 Comment[ru]=Пользователь покинул канал
-Comment[sr]=Надимак је напустио канал
-Comment[sr@Latn]=Nadimak je napustio kanal
 Comment[sv]=Någon med ett smeknamn lämnade en kanal
-Comment[ta]=தடத்தை விட்டு வடு நீங்கியது
-Comment[tr]=Bir takma ad kanaldan ayrıldı
-Comment[uk]=Прізвисько покинуло канал
-Comment[xx]=xxA nick left a channelxx
-Comment[zh_CN]=一个昵称离开了频道
+Comment[tr]=Bir kişi odadan ayrıldı
+Comment[uk]=Особа з псевдонімом залишила канал
+Comment[x-test]=xxA nick left a channelxx
+Comment[zh_CN]=昵称离开了一个频道
 Comment[zh_TW]=有人離開了頻道
 Action=None
 
 [Event/mode]
 Name=Mode change
-Name[ar]=تغيير النمط
 Name[bg]=Смяна на режим
-Name[bs]=Promjena režima
-Name[ca]=Mode canviat
 Name[cs]=Změna režimu
-Name[da]=Tilstand ændret
 Name[de]=Moduswechsel
 Name[el]=Αλλαγή κατάστασης
 Name[es]=Cambio de modo
 Name[et]=Režiimi muutus
-Name[fi]=Tilamuutos
+Name[eu]=Modu aldaketa
 Name[fr]=Changement de mode
 Name[ga]=Athrú móid
-Name[gl]=Cámbio de modo
-Name[he]=שינוי מצב
-Name[hi]=मोड बदला
-Name[hu]=Módváltás
-Name[it]=Cambio di modalità
-Name[ja]=モード変更
-Name[ka]=რეჟიმის შეცვლა
+Name[gl]=Mudanza de modo
+Name[km]=ផ្លាស់ប្ដូរ​របៀប
 Name[lt]=Pasikeitė būsena
+Name[nds]=Bedriefoort wesselt
 Name[nl]=Moduswisseling
-Name[pa]=ਢੰਗ ਤਬਦੀਲ
+Name[pa]=ਮੋਡ ਬਦਲ
 Name[pt]=Mudança de modo
-Name[pt_BR]=Mudança de modo
+Name[pt_BR]=Alteração de modo
+Name[ro]=Schimbare regim
 Name[ru]=Смена режима
-Name[sr]=Режим је измењен
-Name[sr@Latn]=Režim je izmenjen
 Name[sv]=Tillståndsändring
-Name[ta]=பாங்கை மாற்று
 Name[tr]=Kip değiştir
 Name[uk]=Зміна режиму
-Name[xx]=xxMode changexx
+Name[x-test]=xxMode changexx
 Name[zh_CN]=模式改变
 Name[zh_TW]=模式變更
 Comment=A user or channel mode was changed
-Comment[ar]=تغيّر مستخدِم أو قناة ما
 Comment[bg]=Променен е потребителски режим или канал
-Comment[bs]=Mod korisnika ili kanala je promijenjen
-Comment[ca]=A mode d'usuari o de canal ha estat canviat
 Comment[cs]=Uživatel nebo kanál byl změněn
-Comment[da]=En bruger- eller kanaltilstand blev ændret
 Comment[de]=Ein Benutzer- oder Kanal-Modus wurde geändert
 Comment[el]=Η κατάσταση ενός χρήστης ή καναλιού άλλαξε
 Comment[es]= Un modo de usuario o de canal ha sido modificado
-Comment[et]=Kasutaja või kanalirežiim muudeti
-Comment[fi]=Käyttäjän tai kanavan tila vaihtui
-Comment[fr]=Un utilisateur ou un mode de canal a été changé
+Comment[et]=Kasutaja või kanali režiim muudeti
+Comment[eu]=Erabiltzaile- edo kanale-modu bat aldatu da
+Comment[fr]=Le mode d'un utilisateur ou d'un canal a été changé
 Comment[ga]=Athraíodh mód úsáideora nó mód cainéil
-Comment[gl]=Foi modificado un modo de usuário ou canal
-Comment[he]=משתמש או חדר שינה את המצב שלו
-Comment[hi]=एक उपयोगकर्ता या चैनल मोड बदला
-Comment[hu]=Egy felhasználó vagy egy csatornamód megváltozott
-Comment[it]=Una modalità utente o canale è stata cambiata
-Comment[ja]=ユーザまたはチャンネルモードが変更されました
-Comment[ka]=მომხმარებლის ან არხის რეჟიმი შეიცვალა
+Comment[gl]=Foi modificado un usuario ou modo da canle
+Comment[km]=អ្នកប្រើ ឬ​របៀប​ប៉ុស្ដិ៍​ត្រូវ​បាន​ផ្លាស់ប្ដូរ
 Comment[lt]=Pasikeitė naudotojo arba kanalo būsena
+Comment[nds]=En Bruker- oder Kanaalbedriefoort hett sik ännert
 Comment[nl]=Een gebruiker- of kanaalmodus is gewijzigd
+Comment[pa]=ਇੱਕ ਯੂਜਰ ਜਾਂ ਚੈਨਲ ਮੋਡ ਬਦਲਿਆ ਗਿਆ ਸੀ
 Comment[pt]=O modo de um utilizador ou canal foi alterado
-Comment[pt_BR]=Um usuário ou modo de canal foi modificado
+Comment[pt_BR]=Um usuário ou modo de canal foi alterado
+Comment[ro]=Regimul unui canal sau utilizator s-a schimbat
 Comment[ru]=Режим пользователя или канала изменены
-Comment[sr]=Корисник или режим канала је промењен
-Comment[sr@Latn]=Korisnik ili režim kanala je promenjen
 Comment[sv]=Tillståndet för en användare eller kanal ändrades
-Comment[ta]=பயனர் அல்லது தடங்கள் மாறியது
-Comment[tr]=Bir kullanıcı veya kanal kipi değiştirildi
-Comment[uk]=Змінено користувацький або канальний режим
-Comment[xx]=xxA user or channel mode was changedxx
-Comment[zh_CN]=一个用户或频道模式改变了
-Comment[zh_TW]=某位使用者或某個頻道的模式已被變更
+Comment[tr]=Bir kullanıcı veya oda kipi değiştirildi
+Comment[uk]=Було змінено режим користувача або каналу
+Comment[x-test]=xxA user or channel mode was changedxx
+Comment[zh_CN]=一个用户或频道模式已改变
+Comment[zh_TW]=某個使用者或頻道的模式被變更了
 Action=None
 
 [Event/notify]
 Name=Notify
-Name[ar]=بلِغ
 Name[bg]=Известяване
-Name[bs]=Obavijesti
-Name[ca]=Notificació
-Name[da]=Bekendtgør
+Name[cs]=Informace
 Name[de]=Benachrichtigung
 Name[el]=Ειδοποίηση
 Name[es]=Notificar
 Name[et]=Märguanne
-Name[fi]=Ilmoitus
+Name[eu]=Ohartarazi
 Name[fr]=Notification
 Name[ga]=Cuir Fógra Chugam
-Name[gl]=Notificar
-Name[he]=הודעה
+Name[gl]=Notificación
 Name[hi]=नोटिफाई
-Name[hu]=Értesítés
-Name[it]=Notifica
-Name[ja]=通知
-Name[ka]=შეტყობინება
+Name[hne]=नोटिफाई
+Name[km]=ជូនដំណឹង
 Name[lt]=Perspėti
+Name[nds]=Bescheed
 Name[nl]=Notificatie
 Name[pa]=ਸੂਚਨਾ
 Name[pt]=Notificação
 Name[pt_BR]=Notificar
+Name[ro]=Notifică
 Name[ru]=Уведомление
-Name[sr]=Обавести
-Name[sr@Latn]=Obavesti
 Name[sv]=Underrättelse
-Name[ta]=குறிப்பு
 Name[tr]=Bildirim
-Name[uk]=Сповіщати
-Name[xx]=xxNotifyxx
-Name[zh_CN]=通告
+Name[uk]=Повідомити
+Name[x-test]=xxNotifyxx
+Name[zh_CN]=通知
 Name[zh_TW]=通知
 Comment=A user on your watched nicks list has come online
-Comment[ar]=مستخدِم مِن أفراد لائحتك لِلأسماء المستعارة سجل دخولهُ
 Comment[bg]=Потребител от списъка ви с наблюдавани псевдоними влезе в канала
-Comment[ca]=S'ha connectat un usuari de la vostra llista de sobrenoms vigilats
 Comment[cs]=Uživatel z vašeho seznamu je online
-Comment[da]=En bruger på din liste af aliasser gik online
-Comment[de]=Ein Benutzer aus Ihrer "Beobachten"-Liste ist online
+Comment[de]=Ein Benutzer aus Ihrer „Beobachten“-Liste ist online
 Comment[el]=Ένας χρήστης από τη λίστα ψευδώνυμων παρακολούθησης συνδέθηκε στο δίκτυο
+Comment[en_GB]=A user on your watched nicknames list has come online
 Comment[es]=Un usuario de su lista de apodos vigilados se ha conectado
 Comment[et]=Jälgitavate hüüdnimede nimekirjas olev kasutaja tuli võrku
-Comment[fi]=Seurattu nimimerkki tuli paikalle
-Comment[fr]=Un utilisateur de votre liste de pseudos surveillés est maintenant en ligne
-Comment[gl]=Un usuário da sua lista de seguimento conectou-se
-Comment[he]=משתמש ברשימה תצוגה שלך נכנס לרשת
-Comment[hi]=आपकी मित्र सूची का एक उपयोक्ता ऑनलाइन हुआ
-Comment[hu]=Az értesítési listán szereplő egyik felhasználó online módba váltott
-Comment[it]=Si è collegato un utente nella tua lista di nick sorvegliati
-Comment[ja]=ニック監視リストのユーザがオンラインになりました
-Comment[ka]=მომხმარებელი თქვენი სათვალყურო სიიდან ხაზზე გამოვიდა
+Comment[eu]=Zure lagun bat konektatu da
+Comment[fr]=Un utilisateur dont vous surveillez le pseudo s'est connecté
+Comment[ga]=Tá úsáideoir ó do liosta faire ar líne anois
+Comment[gl]=Un usuario na súa lista de alcumes a vixilar acaba de conectarse
+Comment[km]=អ្នកប្រើ​នៅ​លើ​បញ្ជី​សមត្ថិនាម​ដែល​បាន​ឃ្លាំមើល​របស់​អ្នក​ បាន​នៅលើ​បណ្ដាញ
 Comment[lt]=Prisijungė naudotojas iš stebimų slapyvardžių sąrašo
+Comment[nds]=En Bruker op Dien List mit beluert Ökelnaams hett sik tokoppelt
 Comment[nl]=Een gebruiker op uw gevolgdebijnamenlijst is online
+Comment[pa]=ਤੁਹਾਡੀ ਵਾਚ ਲਿਸਟ ਵਿੱਚੋਂ ਇੱਕ ਯੂਜ਼ਰ ਆਨਲਾਈਨ ਆਇਆ ਹੈ
 Comment[pt]=Um utilizador da sua lista de notificações ligou-se
-Comment[pt_BR]=Um usuário de sua lista de apelidos ficou online
+Comment[pt_BR]=Um usuário de sua lista de apelidos ficou on-line
+Comment[ro]=Un utilizator de pe lista cu porecle urmărite s-a conectat
 Comment[ru]=Наблюдаемый пользователь в сети
-Comment[sr]=Корисник са ваше листе праћених надимака је дошао на везу
-Comment[sr@Latn]=Korisnik sa vaše liste praćenih nadimaka je došao na vezu
 Comment[sv]=En användare i din lista med bevakade smeknamn har kopplat upp
-Comment[ta]= உங்கள் வடுகளின் பட்டியலைப் பயனர் கண்காணித்து நிகழ்நிலையில் வருகின்றனர்
 Comment[tr]=İzlenen takma adlar listenizdeki bir kullanıcı bağlandı
-Comment[uk]=Вийшов у мережу користувач із вашого списку прізвиськ
-Comment[xx]=xxA user on your watched nicks list has come onlinexx
-Comment[zh_CN]=一名在您的监视昵称列表上的用户已经上线
-Comment[zh_TW]=您監看的暱稱清單中有某人上線了
+Comment[uk]=Користувач з вашого списку спостереження за псевдо увійшов до мережі
+Comment[x-test]=xxA user on your watched nicks list has come onlinexx
+Comment[zh_CN]=您昵称列表里的一个用户上线了
+Comment[zh_TW]=在您監看的暱稱清單中的某人上線了
 Action=None
 
 [Event/query]
 Name=Query
-Name[ar]=أطلب
 Name[bg]=Запитване
-Name[br]=Goulenn
-Name[ca]=Conversa
 Name[cs]=Dotaz
-Name[cy]=Ymholiad
+Name[de]=Gespräch
 Name[el]=Ερώτηση
 Name[es]=Consulta
 Name[et]=Päring
-Name[fi]=Kysely
-Name[fr]=Requête
+Name[eu]=Kontsulta
+Name[fr]=Discussion
 Name[ga]=Iarratas
-Name[gl]=Procura
-Name[he]=שאילתה
+Name[gl]=Conversa privada
 Name[hi]=क्वैरी
-Name[it]=Conversazione privata
-Name[ja]=クエリ
-Name[ka]=გამოკითხვა
+Name[hne]=क्वैरी
+Name[km]=សំណួរ​
 Name[lt]=Pokalbis
+Name[nds]=Anfraag
 Name[nl]=Aanvraag
+Name[oc]=Consulta
 Name[pa]=ਕਿਊਰੀ
 Name[pt]=Procura
-Name[pt_BR]=Busca
-Name[ru]=Диалог
-Name[sr]=Упит
-Name[sr@Latn]=Upit
+Name[pt_BR]=Consulta
+Name[ro]=Interogare
+Name[ru]=Запрос
 Name[sv]=Fråga
-Name[ta]=கேள்வி
 Name[tr]=Sorgu
 Name[uk]=Запит
-Name[xx]=xxQueryxx
-Name[zh_CN]=对话
-Name[zh_TW]=查詢
+Name[x-test]=xxQueryxx
+Name[zh_CN]=请求
+Name[zh_TW]=通話階段（Query）
 Comment=Someone started a conversation (query) with you
-Comment[ar]=أحدٌ ما إبتدء مكالمة  ( طلب )  معك
 Comment[bg]=Някой започна личен разговор с вас
-Comment[ca]=Algú ha iniciat una conversa (query) amb vostè
 Comment[cs]=Někdo s vámi zahájil rozhovor (dotaz)
-Comment[da]=Nogen startede en konversation (query) med dig
 Comment[de]=Jemand hat ein Gespräch (query) mit Ihnen begonnen
 Comment[el]=Κάποιος ξεκίνησε μια συζήτηση (ερώτηση) μαζί σας
 Comment[es]=Alguien empezó una conversación (consulta) con usted
 Comment[et]=Keegi alustas sinuga vestlust (esitas päringu)
-Comment[fi]=Joku aloitti keskustelun (kyselyn) kanssasi
-Comment[fr]=Quelqu'un a commencé une conversation (requête) avec vous
+Comment[eu]=Norbaitek elkarrizketa (kontsulta) bat hasi du zurekin
+Comment[fr]=Quelqu'un a commencé une discussion (query) avec vous
 Comment[ga]=Thosaigh duine éigin comhrá (iarratas) leat
-Comment[gl]=Alguén comezou una conversa (está a procurá-la) privada
-Comment[he]=מישהו יזם שיחה אתך (query)
-Comment[hi]=किसी ने आपके साथ वार्तालाप (क्वैरी) प्रारंभ किया
-Comment[it]=Qualcuno ha avviato una conversazione privata (query) con te
-Comment[ja]=誰かがあなたと会話 (クエリ) を開始しました
-Comment[ka]=ვიღაცამ თქვენთან საუბარი (გამოკითხვა) დაიწყო
+Comment[gl]=Alguén comezou unha conversa privada con vde. 
+Comment[km]=មាន​នរណា​ម្នាក់​បាន​ចាប់ផ្ដើម​ការ​សន្ទនា (សំណួរ) ជាមួយ​អ្នក
 Comment[lt]=Kažkas pradėjo su jumis pokalbį
+Comment[nds]=Een hett en Klöönsnack mit Di anfungen ("query")
 Comment[nl]=Iemand begon een conversatie (aanvraag) met u
+Comment[pa]=ਕੋਈ ਤੁਹਾਡੇ ਨਾਲ ਗੱਲ (ਕਿਊਰੀ) ਸ਼ੁਰੂ ਕਰਨੀ ਚਾਹੁੰਦਾ ਹੈ
 Comment[pt]=Alguém iniciou uma conversa (procura) consigo
-Comment[pt_BR]=Alguém começou a conversa (query) com você
+Comment[pt_BR]=Alguém começou a conversa (consulta) com você
+Comment[ro]=Cineva a pornit o conversație (interogare) cu dumneavoastră
 Comment[ru]=Кто-то начал диалог с вами
-Comment[sr]=Неко је започео разговор (упит) са вама
-Comment[sr@Latn]=Neko je započeo razgovor (upit) sa vama
 Comment[sv]=Någon startade en konversation med dig (ställde en fråga till dig)
-Comment[ta]=ஒருவர் உங்களுடன் உரையாடலை துவக்கியிருக்கிறார் (கேள்வி)
 Comment[tr]=Birisi sizinle sohbet başlattı
-Comment[uk]=Хтось почав з вами розмову (запит)
-Comment[xx]=xxSomeone started a conversation (query) with youxx
-Comment[zh_CN]=有人向您打开了一个对话。
-Comment[zh_TW]=有人開啟了與您的私密對話
+Comment[uk]=Хтось почав розмову (запит) з вами
+Comment[x-test]=xxSomeone started a conversation (query) with youxx
+Comment[zh_CN]=有人您发起了会话(请求)
+Comment[zh_TW]=有人啟動了一個與您的通話階段
 Action=None
 
 [Event/kick]
 Name=Kick
-Name[ar]=ركل
 Name[bg]=Изритване
-Name[ca]=Expulsió
 Name[cs]=Vykopnutí
-Name[cy]=Lluchio
 Name[el]=Απομάκρυνση
 Name[es]=Expulsar
 Name[et]=Väljaviskamine
-Name[fi]=Ulosheitto
-Name[fr]=Bannir
-Name[ga]=Ciceáil amach
-Name[gl]=Expulsón
-Name[he]=בעיטה
-Name[it]=Espulsione
-Name[ja]=追い出し (Kick)
+Name[eu]=Bota
+Name[fr]=Jeter dehors
+Name[ga]=Ciceáil
+Name[gl]=Expulsión
+Name[hi]=किक
+Name[hne]=किक
+Name[km]=ទាត់ចេញ
 Name[lt]=Išspirtas
-Name[pa]=ਠੁੱਢਾ
+Name[nds]=Rutsmeten
+Name[pa]=ਕਿੱਕ
 Name[pt_BR]=Retirar
-Name[sr]=Избачени
-Name[sr@Latn]=Izbačeni
+Name[ro]=Dat afară
+Name[ru]=Выкинуть
+Name[sv]=Sparka ut
 Name[tr]=Tekmele
-Name[uk]=Виштовхнуто
-Name[xx]=xxKickxx
-Name[zh_CN]=踢出
+Name[uk]=Стусан
+Name[x-test]=xxKickxx
+Name[zh_CN]=驱逐
 Name[zh_TW]=踢出
 Comment=Someone kicked you out of a channel
-Comment[ar]=أحدٌ ما طلب ركلك خارجأً عن القناة
 Comment[bg]=Някой ви изрита от канала
-Comment[ca]=Algú us ha expulsat d'un canal
 Comment[cs]=Někdo vás vykopnul z kanálu
-Comment[da]=Nogen sparkede dig ud af kanalen
 Comment[de]=Jemand hat Sie aus einem Kanal geworfen
 Comment[el]=Κάποιος σας απομάκρυνε από ένα κανάλι
 Comment[es]=Alguien le ha expulsado de un canal
 Comment[et]=Keegi viskas su kanalilt välja
-Comment[fi]=Joku heitti sinut kanavalta ulos
-Comment[fr]=Quelqu'un vous a banni du canal
+Comment[eu]=Norbaitek kanal batetik bota zaitu
+Comment[fr]=Quelqu'un vous a jeté hors du canal
 Comment[ga]=Chiceáil duine éigin thú amach as cainéal
-Comment[gl]=Foi expulsado do canal por alguén
-Comment[he]=מישהו בעט אותך מערוץ
-Comment[it]=Qualcuno ti ha espulso da un canale
-Comment[ja]=誰かがあなたをチャンネルから追い出しました
-Comment[ka]=ვიღაცამ არხიდან გაგაპანღურათ
+Comment[gl]=Foi expulsado da canle por alguén
+Comment[km]=មាន​នរណាម្នាក់​បាន​ទាត់អ្នក​ចេញ​ពី​ប៉ុស្ដិ៍
 Comment[lt]=Kažkas jus išspyrė iš kanalo
+Comment[nds]=Een hett Di ut en Kanaal smeten
 Comment[nl]=Iemand heeft u van het kanaal gekicked
+Comment[pa]=ਕਿਸੇ ਨੇ ਤੁਹਾਨੂੰ ਇੱਕ ਚੈਨਲ ਵਿੱਚੋਂ ਕਿੱਕ ਮਾਰੀ ਹੈ
 Comment[pt]=Alguém o expulsou de um canal
 Comment[pt_BR]=Alguém retirou você de um canal
-Comment[ru]=Кто-то выпнул вас с канала
-Comment[sr]=Неко вас је избацио са канала
-Comment[sr@Latn]=Neko vas je izbacio sa kanala
+Comment[ro]=Cineva v-a dat afară dintr-un canal
+Comment[ru]=Кто-то выкинул вас с канала
 Comment[sv]=Någon sparkade ut dig från en kanal
-Comment[ta]=யாரோ உங்களை வழிமுறையில் இருந்து வெளித்தள்ளிவிட்டார்கள்
 Comment[tr]=Birisi sizi odadan tekmeledi
-Comment[uk]=Хтось виштовхнув вас із каналу
-Comment[xx]=xxSomeone kicked you out of a channelxx
-Comment[zh_CN]=有人把您踢出了频道
-Comment[zh_TW]=有人將您踢出頻道
+Comment[uk]=Хтось виштурхав вас з каналу
+Comment[x-test]=xxSomeone kicked you out of a channelxx
+Comment[zh_CN]=有人将您驱逐出一个频道
+Comment[zh_TW]=有人把您踢出了頻道
 Action=None
 
 [Event/connectionFailure]
 Name=Connection failure
-Name[ar]=عطل في الإتصال
 Name[bg]=Неуспешно свързване
-Name[br]=Sac'het eo ar gevreadenn
-Name[ca]=Error de connexió
-Name[cs]=Selhání připojení
-Name[da]=Forbindelse mislykket
 Name[de]=Verbindungsfehler
 Name[el]=Αποτυχία σύνδεσης
+Name[en_GB]=Connexion failure
 Name[es]=Fallo de la conexión
 Name[et]=Ühenduse viga
-Name[fi]=Yhteysvirhe
-Name[ga]=Theip ar nascadh
-Name[gl]=Erro de conexón
-Name[he]=שגיאת התחברות
-Name[it]=Errore di connessione
-Name[ja]=接続失敗
-Name[ka]=კავშირი ვერ შედგა
+Name[eu]=Konexio errorea
+Name[fr]=Échec de connexion
+Name[ga]=Theip ar cheangal
+Name[gl]=Fallo na conexón
+Name[hne]=कनेक्सन फेल
+Name[km]=បរាជ័យ​ការ​តភ្ជាប់
 Name[lt]=Nepavyko prisijungti
+Name[nds]=Tokoppelfehler
 Name[nl]=Verbindingsfout
-Name[pa]=ਕੁਨੈਕਸ਼ਨ ਫੇਲ੍ਹ
+Name[pa]=ਕੁਨੈਕਸ਼ਨ ਫੇਲ੍ਹ ਹੋਇਆ
 Name[pt]=Erro na ligação
-Name[pt_BR]=Erro na conexão
-Name[sr]=Грешка везе
-Name[sr@Latn]=Greška veze
+Name[pt_BR]=Falha na conexão
+Name[ro]=Eșec conexiune
+Name[ru]=Ошибка соединения
 Name[sv]=Uppkopplingsfel
 Name[tr]=Bağlantı hatası
-Name[uk]=Помилка з'єднання
-Name[xx]=xxConnection failurexx
+Name[uk]=Невдала спроба зв’язку
+Name[x-test]=xxConnection failurexx
 Name[zh_CN]=连接失败
 Name[zh_TW]=連線失敗
 Comment=Failed to connect to server
-Comment[ar]=فشلتُ في الإتصال بِلخادِم
 Comment[bg]=Неуспех при свързване към сървър
-Comment[ca]=No s'ha pogut connectar al servidor
 Comment[cs]=Chyba při připojení k serveru
-Comment[da]=Mislykkedes at forbinde til server
 Comment[de]=Fehler beim Verbinden zum Server
 Comment[el]=Η σύνδεση με τον εξυπηρετητή απέτυχε
 Comment[es]=No ha sido posible conectarse al servidor
-Comment[et]=Ühendumine serveriga ebaõnnestus
-Comment[fi]=Palvelimeen yhdistäminen epäonnistui
-Comment[ga]=Theip ar nascadh le freastalaí
+Comment[et]=Ühendumine serveriga nurjus
+Comment[eu]=Errorea zerbitzarira konektatzean
+Comment[fr]=Échec de la connexion au serveur
+Comment[ga]=Theip ar cheangal le freastalaí
 Comment[gl]=Non foi posíbel conectar co servidor
-Comment[he]=החיבור לשרת נכשל
-Comment[it]=Connessione al server non riuscita
-Comment[ja]=サーバへの接続に失敗しました
-Comment[ka]=სერვერთან დაკავშირება ვერ განხორციელდა
+Comment[hne]=सर्वर से जुड़े मं फेल
+Comment[km]=បរាជ័យ​ក្នុង​ការ​តភ្ជាប់​ទៅ​ម៉ាស៊ីន​បម្រើ
 Comment[lt]=Nepavyko prisijungti prie serverio
+Comment[nds]=Tokoppeln na Server is fehlslaan
 Comment[nl]=Verbinden met de server is mislukt
+Comment[pa]=ਸਰਵਰ ਨਾਲ ਕੁਨੈਕਟ ਕਰਨ ਲਈ ਫੇਲ੍ਹ ਹੈ
 Comment[pt]=Não foi possível ligar ao servidor
 Comment[pt_BR]=Falha ao conectar-se ao servidor
-Comment[sr]=Неуспело повезивање са сервером
-Comment[sr@Latn]=Neuspelo povezivanje sa serverom
+Comment[ro]=Imposibil de conectat la server
+Comment[ru]=Ошибка соединения с сервером.
 Comment[sv]=Misslyckades koppla upp till server
 Comment[tr]=Sunucuya bağlanılamadı
-Comment[uk]=Не вдалося з'єднатись з сервером
-Comment[xx]=xxFailed to connect to serverxx
+Comment[uk]=Не вдалося з’єднатися з сервером
+Comment[x-test]=xxFailed to connect to serverxx
 Comment[zh_CN]=连接服务器失败
 Comment[zh_TW]=連線到伺服器失敗
 Action=Taskbar
 
 [Event/channelJoin]
 Name=You joined a channel
-Name[ar]=إنضممت إلى قناة
 Name[bg]=Вие се присъединихте към канал
-Name[br]=Emellet out bet ur c'hanol
-Name[ca]=Heu entrat a un canal
 Name[cs]=Připojili jste se ke kanálu
-Name[da]=Du gik med i en kanal
-Name[de]=Sie haben einen Kanel betreten
+Name[de]=Sie haben einen Kanal betreten
 Name[el]=Συνδεθήκατε σε ένα κανάλι
 Name[es]=Se ha unido a un canal
 Name[et]=Sa ühinesid kanaliga
-Name[fi]=Liityit kanavalle
+Name[eu]=Kanal batean sartu zara
+Name[fr]=Vous avez rejoint un canal
 Name[ga]=Chuaigh tú le cainéal
-Name[gl]=Uniu-se a un canal
-Name[he]=אתה הצטרפת אל חדר
-Name[it]=Sei entrato in un canale
-Name[ja]=チャンネルに入りました
-Name[ka]=თქვენ შეუერთდით არხს
+Name[gl]=Uniuse a unha canle
+Name[km]=អ្នក​បាន​ចូល​រួម​ប៉ុស្ដិ៍
 Name[lt]=Prisijungėte prie kanalo
+Name[nds]=Du büst na en Kanaal tokamen
 Name[nl]=U nam deel aan een kanaal
-Name[pa]=ਤੁਸੀਂ ਇੱਕ ਚੈਨਲ 'ਚ ਦਾਖਲ ਹੋ ਗਏ
+Name[pa]=ਤੁਸੀਂ ਇੱਕ ਚੈਨਲ ਵਿੱਚ ਦਾਖਲ ਹੋਏ
 Name[pt]=Você juntou-se a um canal
-Name[pt_BR]=Você entrou no canal
-Name[sr]=Прикључили сте се каналу
-Name[sr@Latn]=Priključili ste se kanalu
+Name[pt_BR]=Você entrou em um canal
+Name[ro]=V-ați alăturat unui canal
+Name[ru]=Вы зашли на канал
 Name[sv]=Du gick med i en kanal
 Name[tr]=Bir odaya girdiniz
-Name[uk]=Ви приєднались до каналу
-Name[xx]=xxYou joined a channelxx
+Name[uk]=Ви увійшли на канал
+Name[x-test]=xxYou joined a channelxx
 Name[zh_CN]=您加入了一个频道
 Name[zh_TW]=您加入了一個頻道
 Comment=You joined a channel
-Comment[ar]=إنضممت إلى قناة
 Comment[bg]=Вие се присъединихте към канал
-Comment[br]=Emellet out bet ur c'hanol
-Comment[ca]=Heu entrat a un canal
 Comment[cs]=Připojili jste se ke kanálu
-Comment[da]=Du gik med i en kanal
 Comment[de]=Sie haben einen Kanal betreten
 Comment[el]=Συνδεθήκατε σε ένα κανάλι
 Comment[es]=Se ha unido a un canal
 Comment[et]=Sa ühinesid kanaliga
-Comment[fi]=Liityit kanavalle
+Comment[eu]=Kanal batean sartu zara
+Comment[fr]=Vous avez rejoint un canal
 Comment[ga]=Chuaigh tú le cainéal
-Comment[gl]=Uniu-se a un canal
-Comment[he]=אתה הצטרפת אל חדר
-Comment[it]=Sei entrato in un canale
-Comment[ja]=チャンネルに入りました
-Comment[ka]=თქვენ შეუერთდით არხს
+Comment[gl]=Uniuse a unha canle
+Comment[km]=អ្នក​បាន​ចូល​រួម​ប៉ុស្ដិ៍
 Comment[lt]=Prisijungėte prie kanalo
+Comment[nds]=Du büst na en Kanaal tokamen
 Comment[nl]=U nam deel aan een kanaal
-Comment[pa]=ਤੁਸੀਂ ਇੱਕ ਚੈਨਲ 'ਚ ਦਾਖਲ ਹੋ ਗਏ
+Comment[pa]=ਤੁਸੀਂ ਚੈਨਲ ਵਿੱਚ ਦਾਖਲ ਹੋਏ
 Comment[pt]=Você juntou-se a um canal
 Comment[pt_BR]=Você entrou em um canal
-Comment[sr]=Прикључили сте се каналу
-Comment[sr@Latn]=Priključili ste se kanalu
+Comment[ro]=V-ați alăturat unui canal
+Comment[ru]=Вы зашли на канал
 Comment[sv]=Du gick med i en kanal
 Comment[tr]=Bir odaya girdiniz
-Comment[uk]=Ви приєднались до каналу
-Comment[xx]=xxYou joined a channelxx
+Comment[uk]=Ви увійшли на канал
+Comment[x-test]=xxYou joined a channelxx
 Comment[zh_CN]=您加入了一个频道
 Comment[zh_TW]=您加入了一個頻道
 Action=Taskbar
 
 [Event/dccChat]
 Name=DCC Chat
-Name[ar]=مكالمة DCC
 Name[bg]=DCC разговор
-Name[br]=Flapañ DCC
-Name[ca]=Xat DCC
 Name[cs]=DCC pokec
-Name[cy]=Sgwrs DCC
-Name[da]=Dcc-chat
 Name[de]=DCC-Chat
 Name[el]=Συζήτηση DCC
 Name[es]=Charla DCC
 Name[et]=DCC vestlus
-Name[fi]=DCC-keskustelu
+Name[eu]=DCC Elkarrizketa
+Name[fr]=Chat DCC
 Name[ga]=Comhrá DCC
 Name[gl]=Conversa DCC
-Name[he]=שיחת DCC
-Name[it]=Chat DCC
-Name[ja]=DCC チャット
-Name[ka]=Dcc საუბარი
+Name[hi]=डीसीसी गपशप
+Name[hne]=डीसीसी गपसप
+Name[km]=ជជែក​កំសាន្ត DCC
 Name[lt]=DCC pokalbis
-Name[ms]=Chat DCC
+Name[nds]=DCC-Klönen
 Name[nl]=DCC-gesprek
 Name[pa]=DCC ਗੱਲਬਾਤ
 Name[pt]=Conversa DCC
-Name[pt_BR]= Conversa privada (DCC)
-Name[sr]=DCC ћаскање
-Name[sr@Latn]=DCC ćaskanje
+Name[pt_BR]=Bate-papo DCC
+Name[ro]=Discuție DCC
+Name[ru]=Чат DCC
 Name[sv]=DCC-chatt
 Name[tr]=DCC Sohbeti
-Name[uk]=Балачка DCC
-Name[xx]=xxDCC Chatxx
+Name[uk]=DCC-балачка
+Name[x-test]=xxDCC Chatxx
 Name[zh_CN]=DCC 聊天
-Name[zh_TW]=DCC 聊天
+Name[zh_TW]=DCC 聊天階段
 Comment=Someone started a DCC chat with you
-Comment[ar]=أحدٌ ما إبتدء مكالمة DCC معك
 Comment[bg]=Някой е започнал разговор с вас в DCC
-Comment[ca]=Algú ha iniciat un xat DCC amb vostè
 Comment[cs]=Někdo si s vámi chce pokecat přes DCC
-Comment[da]=Nogen startede en dcc-chat med dig
 Comment[de]=Jemand hat einen DCC-Chat mit Ihnen begonnen
 Comment[el]=Κάποιος ξεκίνησε μια συζήτηση DCC μαζί σας
 Comment[es]=Alguien empezó una charla de tipo DCC con usted
 Comment[et]=Keegi alustas sinuga DCC vestlust
-Comment[fi]=Joku aloitti DCC-keskustelun kanssasi
+Comment[eu]=Norbaitek DCC elkarrizketa bat hasi du zurekin
+Comment[fr]=Quelqu'un a démarré un chat DCC avec vous
 Comment[ga]=Thosaigh duine éigin comhrá DCC leat
-Comment[gl]=Alguén comezou unha conversa DCC contigo
-Comment[he]=מישהו התחיל שיחת DCC אתך
-Comment[it]=Qualcuno ha avviato una conversazione DCC con te
-Comment[ja]=誰かがあなたと DCC チャットを開始しました
-Comment[ka]=ვიღაცამ თქვენთან dcc საუბარი დაიწყო
+Comment[gl]=Alguén comezou unha conversa DCC con vde. 
+Comment[km]=មាន​នរណា​ម្នាក់​បាន​ចាប់ផ្ដើម​ការ​ជជែក​កំសាន្ដ DCC ជាមួយ​អ្នក
 Comment[lt]=Kažkas su jumis pradėjo DCC pokalbį
+Comment[nds]=Een hett en DCC-Klöönsnack mit Di anfungen
 Comment[nl]=Iemand begon een DCC-gesprek met u
 Comment[pt]=Alguém iniciou uma conversa DCC consigo
-Comment[pt_BR]=Alguém começou uma conversa privada (DCC) com você
-Comment[sr]=Неко је започео DCC ћаскање са вама
-Comment[sr@Latn]=Neko je započeo DCC ćaskanje sa vama
+Comment[pt_BR]=Alguém iniciou um bate-papo DCC com você
+Comment[ro]=Cineva a pornit o discuție DCC cu dumneavoastră
+Comment[ru]=Кто-то начал DCC-разговор с вами.
 Comment[sv]=Någon startade en DCC-chatt med dig
 Comment[tr]=Birisi sizinle DCC sohbeti başlattı
-Comment[uk]=Хтось почав з вами DCC-балачку
-Comment[xx]=xxSomeone started a DCC chat with youxx
-Comment[zh_CN]=有人向您打开了一个 DCC 聊天对话
-Comment[zh_TW]=有人開啟了與您的 DCC 聊天
+Comment[uk]=Хтось розпочав DCC-балачку з вами
+Comment[x-test]=xxSomeone started a DCC chat with youxx
+Comment[zh_CN]=有人与您开始了一个 DCC 聊天会话
+Comment[zh_TW]=有人啟動了與您的 DCC 聊天階段
 Action=None

=== modified file 'data/scripts/CMakeLists.txt'
--- data/scripts/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ data/scripts/CMakeLists.txt	2009-05-15 11:24:24 +0000
@@ -10,7 +10,6 @@
     sysinfo
     tinyurl
     uptime
-    #weather
     DESTINATION ${DATA_INSTALL_DIR}/konversation/scripts)
 
 install(FILES

=== removed file 'data/scripts/weather'
--- data/scripts/weather	2009-04-10 16:16:59 +0000
+++ data/scripts/weather	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-#!/usr/bin/env python
-# -*- coding: utf-8 -*-
-#
-# Copyright 2005,2007 by İsmail Dönmez <ismail@pardus.org.tr>
-# Licensed under GPL v2 or later at your option
-
-import sys
-from subprocess import *
-
-port = sys.argv[1]
-server = sys.argv[2]
-target = sys.argv[3]
-
-msg_template = "Current weather for %%B%s%%B : Temperature: %%B%s%%B, Pressure: %%B%s%%B, Wind: %%B%s%%B"
-msg_detailed_template = "Current weather for %%B%s%%B : %%B%s%%B, Temperature: %%B%s%%B, Pressure: %%B%s%%B, Wind: %%B%s%%B"
-
-def printMessage(message=None):
-    Popen(['dcop', port, 'default', 'say', server, target, message]).communicate()
-
-def printError(message=None):
-    Popen(['dcop', port, 'default', 'error', message]).communicate()
-
-def getData(section, station=None):
-    if station:
-        data = Popen(['dcop','KWeatherService','WeatherService', section, station], stdout=PIPE).communicate()[0].rstrip("\n")
-    else:
-        data = Popen(['dcop','KWeatherService','WeatherService', section], stdout=PIPE).communicate()[0].rstrip("\n")
-        
-    return data
-
-def stationMessage(station):
-     city = getData("stationName", station)
-     temperature = getData("temperature", station)
-     pressure = getData("pressure", station)
-     wind = getData("wind", station)
-     detail = getData("weather", station)
-     detail2 = getData("cover", station)
-
-     if detail2:
-         if detail:
-             detail = detail+', '+detail2
-         else:
-             detail = detail2
-
-     if detail:
-         return msg_detailed_template % (city,detail,temperature,pressure,wind)
-     else:
-         return msg_template % (city,temperature,pressure,wind)
-
-def printWeather(index):
-    stations = getData("listStations").split("\n")
-
-    if index != None:
-        if index <= 0:
-            printError("Station index should be bigger than zero!")
-        elif index > len(stations):
-            printError("Station index is out of range")
-        else:
-            printMessage(stationMessage(stations[index-1]))
-    else:
-        for station in stations:
-            printMessage(stationMessage(station))
-    
-if __name__ == "__main__":
-    try:
-        index = int(sys.argv[4])
-    except IndexError:
-        index = None
-
-    printWeather(index)

=== modified file 'debian/README.source'
--- debian/README.source	2009-03-16 20:08:41 +0000
+++ debian/README.source	2009-05-15 11:24:24 +0000
@@ -5,14 +5,14 @@
 
 * upstream   - upstream source code.
 * master     - the Debianization branch (upstream source and debian directory).
-* build      - build branch; master and exported debian/patches ready for
-               building. This branch is used for tagging.
+               This branch also contains exported debian/patches ready for
+               building.
 
 Topic branches should be named as follows:
 
 * general/*  - namespace for general upstream patches. Patches can be named
-               freely, but it is recommended to prefix names with 'fix_' for
-               patches fixing bugs and with 'feature_' for patches introducing
+               freely, but it is recommended to suffix names with '_fix' for
+               patches fixing bugs and with '_feature' for patches introducing
                new features. These patches should be based on the upstream
                branch.
 * debian/*   - Debian specific patches should be put in this namespace. These

=== modified file 'debian/changelog'
--- debian/changelog	2009-04-10 16:16:59 +0000
+++ debian/changelog	2009-05-15 11:24:24 +0000
@@ -1,3 +1,17 @@
+konversation (1.1.75+svn968012-1) experimental; urgency=low
+
+  * New upstream development snapshot:
+    - Last Changed Author: hein
+    - Last Changed Rev: 968012
+    - Last Changed Date: 2009-05-14 21:03:55 +0300
+  * Update README.source.
+  * Use dh --quilt instead of custom patch handling, build depend on
+    quilt 0.46-7~.
+  * Update patches to upstream changes.
+  * Update konversation.install: remove docs.
+
+ -- Modestas Vainius <modestas@vainius.eu>  Fri, 15 May 2009 11:24:24 +0300
+
 konversation (1.1.75+svn951877-1) experimental; urgency=low
 
   * New upstream development snapshot:

=== modified file 'debian/control'
--- debian/control	2009-04-10 16:16:59 +0000
+++ debian/control	2009-05-15 11:24:24 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modestas@vainius.eu>
-Build-Depends: debhelper (>= 7.0.50), cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), quilt (>= 0.46-4.1),
+Build-Depends: debhelper (>= 7.0.50), cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), quilt (>= 0.46-7~),
  libqt4-dev (>= 4.4.3), kdelibs5-dev (>= 4:4.2.0), kdepimlibs5-dev (>= 4:4.2.0),
  libx11-dev, x11proto-core-dev, libxss-dev
 Standards-Version: 3.8.1

=== modified file 'debian/debhelper/kde.mk'
--- debian/debhelper/kde.mk	2009-04-10 16:16:59 +0000
+++ debian/debhelper/kde.mk	2009-05-15 11:24:24 +0000
@@ -1,12 +1,11 @@
-# Using quilt patch system
-include /usr/share/quilt/quilt.make
-
 # Include default KDE 4 cmake configuration variables
 include /usr/share/pkg-kde-tools/makefiles/1/variables.mk
 
 # CMake module
 include debian/debhelper/cmake.mk
 
+DH ?= dh
+
 # CMake configuration flags
 DEB_CMAKE_KDE_DEFAULT_FLAGS = $(DEB_CMAKE_KDE4_FLAGS) $(DEB_CMAKE_CUSTOM_FLAGS)
 CMAKE_ARGS = $(DEB_CMAKE_KDE_DEFAULT_FLAGS)
@@ -57,6 +56,10 @@
 $(DEB_KDE_OVERRIDE_DH_AUTO_INSTALL): cmake_install
 .PHONY: $(DEB_KDE_OVERRIDE_DH_AUTO_INSTALL)
 
+DEB_KDE_OVERRIDE_DH_AUTO_CLEAN ?= override_dh_auto_clean
+$(DEB_KDE_OVERRIDE_DH_AUTO_CLEAN): cmake_clean
+.PHONY: $(DEB_KDE_OVERRIDE_DH_AUTO_CLEAN)
+
 # dh_strip override - automatic -dbg package
 DEB_DBG_PACKAGE_NAME ?= $(DEB_SOURCE_PACKAGE)-dbg
 ifeq ($(DEB_DBG_PACKAGE_NAME),$(filter $(DEB_DBG_PACKAGE_NAME),$(shell dh_listpackages -s)))
@@ -67,28 +70,16 @@
 
 endif
 
-# Clean rule is more complex. Cleaning should be done
-# before unpatching.
-clean_before_unpatch: cmake_clean
-	dh clean
-
-unpatch: clean_before_unpatch
-
-kde/clean: unpatch
-
 # Required relationship between default targets
 $(filter-out build clean,$(DEB_ALL_DEFAULT_TARGETS)): build
 
-kde/build: patch
-
 # Default implementation (DH) of default targets.
-# Exclude clean as we have a specific target for it
-$(filter-out kde/clean,$(KDE_ALL_DEFAULT_TARGETS)):
-	dh $(subst kde/,,$@)
+$(KDE_ALL_DEFAULT_TARGETS):
+	$(DH) $(subst kde/,,$@)
 
 # An implicit rule which runs default kde/ targets
 # It can be easily overriden.
 %: kde/%
 	
 
-.PHONY: $(KDE_ALL_DEFAULT_TARGETS) clean_before_unpatch
+.PHONY: $(KDE_ALL_DEFAULT_TARGETS)

=== modified file 'debian/konversation.install'
--- debian/konversation.install	2009-04-10 16:16:59 +0000
+++ debian/konversation.install	2009-05-15 11:24:24 +0000
@@ -5,7 +5,6 @@
 
 usr/bin/konversation
 usr/share/applications/kde4/konversation.desktop
-usr/share/doc/kde4/HTML/en/konversation/*
 usr/share/icons/hicolor/128x128/apps/konversation.png
 usr/share/icons/hicolor/16x16/actions/kimproxyaway.png
 usr/share/icons/hicolor/16x16/actions/kimproxyoffline.png

=== modified file 'debian/patches/debian/aboutdata_add_debian_version.diff'
--- debian/patches/debian/aboutdata_add_debian_version.diff	2009-04-10 16:16:59 +0000
+++ debian/patches/debian/aboutdata_add_debian_version.diff	2009-05-15 11:24:24 +0000
@@ -12,10 +12,10 @@
  2 files changed, 14 insertions(+), 1 deletions(-)
 
 diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
-index e242545..0500f69 100644
+index 0dbbff6..fdab468 100644
 --- a/src/CMakeLists.txt
 +++ b/src/CMakeLists.txt
-@@ -194,6 +194,11 @@ set(blowfish_SRCS
+@@ -195,6 +195,11 @@ set(blowfish_SRCS
  set (completed_SRCS ${core_SRCS}  ${irc_SRCS} ${viewer_SRCS} ${prefs_SRCS} ${dcc_SRCS} ${linkaddressbook_SRCS} ${blowfish_SRCS})
  set (konversation_SRCS ${completed_SRCS})
  
@@ -28,7 +28,7 @@
      identitydialog.ui
      queuetunerbase.ui
 diff --git a/src/main.cpp b/src/main.cpp
-index b04e03e..27c4c8a 100644
+index c81a181..331bc71 100644
 --- a/src/main.cpp
 +++ b/src/main.cpp
 @@ -25,6 +25,14 @@
@@ -56,4 +56,4 @@
          KAboutData::License_GPL,
          ki18n("(C) 2002-2009 by the Konversation team"),
 -- 
-tg: (62bc25a..) debian/aboutdata_add_debian_version (depends on: upstream)
+tg: (ee0e699..) debian/aboutdata_add_debian_version (depends on: upstream)

=== modified file 'debian/patches/debian/dbug_autoreplace.diff'
--- debian/patches/debian/dbug_autoreplace.diff	2009-04-10 16:16:59 +0000
+++ debian/patches/debian/dbug_autoreplace.diff	2009-05-15 11:24:24 +0000
@@ -11,16 +11,16 @@
  1 files changed, 1 insertions(+), 0 deletions(-)
 
 diff --git a/src/config/preferences.cpp b/src/config/preferences.cpp
-index 7080185..9402986 100644
+index fe4a4a2..4bd833d 100644
 --- a/src/config/preferences.cpp
 +++ b/src/config/preferences.cpp
-@@ -127,6 +127,7 @@ void Preferences::clearQuickButtonList()
- const QStringList Preferences::defaultAutoreplaceList()
- {
-     return QStringList() << "1,o,\\[\\[([^\\s]+)\\]\\],http://en.wikipedia.org/wiki/Special:Search?go=Go&search=%1"
-+                         << "1,o,([Dd][Bb][Uu][Gg]:)(\\w+),http://bugs.debian.org/%2"
-                          << "1,o,(BUG:|bug:)([0-9]+),http://bugs.kde.org/show_bug.cgi?id=%2";
+@@ -129,6 +129,7 @@ const QList<QStringList> Preferences::defaultAutoreplaceList()
+     QList<QStringList> defaultList;
+     defaultList.append(QStringList() << "1" << "o" << "\\[\\[([^\\s]+)\\]\\]" << "http://en.wikipedia.org/wiki/Special:Search?go=Go&search=%1");
+     defaultList.append(QStringList() << "1" << "o" << "(BUG:|bug:)([0-9]+)" << "http://bugs.kde.org/show_bug.cgi?id=%2");
++    defaultList.append(QStringList() << "1" << "o" << "([Dd][Bb][Uu][Gg]:)(\\w+)" << "http://bugs.debian.org/%2");
+     return defaultList;
  }
  
 -- 
-tg: (62bc25a..) debian/dbug_autoreplace (depends on: upstream)
+tg: (ee0e699..) debian/dbug_autoreplace (depends on: upstream)

=== modified file 'debian/patches/debian/debian_channel.diff'
--- debian/patches/debian/debian_channel.diff	2009-04-10 16:16:59 +0000
+++ debian/patches/debian/debian_channel.diff	2009-05-15 11:24:24 +0000
@@ -11,7 +11,7 @@
  1 files changed, 6 insertions(+), 4 deletions(-)
 
 diff --git a/src/config/preferences.cpp b/src/config/preferences.cpp
-index 7080185..0769563 100644
+index fe4a4a2..cd71ee1 100644
 --- a/src/config/preferences.cpp
 +++ b/src/config/preferences.cpp
 @@ -69,14 +69,16 @@ Preferences::Preferences()
@@ -21,7 +21,7 @@
 -    serverGroup->setName("Freenode");
 +    serverGroup->setName("Debian IRC");
      Konversation::ServerSettings server;
--    server.setHost("irc.freenode.org");
+-    server.setHost("chat.freenode.net");
 -    server.setPort(8001);
 +    server.setHost("irc.debian.org");
 +    server.setPort(7000);
@@ -36,4 +36,4 @@
      serverGroup->setExpanded(false);
      mServerGroupList.append(serverGroup);
 -- 
-tg: (62bc25a..) debian/debian_channel (depends on: upstream)
+tg: (ee0e699..) debian/debian_channel (depends on: upstream)

=== modified file 'debian/rules'
--- debian/rules	2009-04-10 16:16:59 +0000
+++ debian/rules	2009-05-15 11:24:24 +0000
@@ -5,6 +5,10 @@
 # See debian/patches/01_aboutdata_add_debian_version.diff
 DEBIAN_PACKAGE_VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | sed 's/^Version:[[:space:]]*\([^[:space:]]\+\).*$$/\1/')
 DEB_CMAKE_CUSTOM_FLAGS += -DDEBIAN_PACKAGE_VERSION="$(DEBIAN_PACKAGE_VERSION)"
+DH = dh --with quilt
 
 include debian/debhelper/kde.mk
+
+include /usr/share/quilt/quilt.make
 -include /usr/share/topgit/tg2quilt.mk
+.PHONY: /usr/share/topgit/tg2quilt.mk

=== removed directory 'doc'
=== removed file 'doc/CMakeLists.txt'
--- doc/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ doc/CMakeLists.txt	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-add_subdirectory(konversation)

=== removed directory 'doc/konversation'
=== removed file 'doc/konversation/CMakeLists.txt'
--- doc/konversation/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ doc/konversation/CMakeLists.txt	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-kde4_create_handbook( index.docbook  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en )

=== removed file 'doc/konversation/addchannel.png'
Binary files doc/konversation/addchannel.png and doc/konversation/addchannel.png differ
=== removed file 'doc/konversation/addnetwork_co.png'
Binary files doc/konversation/addnetwork_co.png and doc/konversation/addnetwork_co.png differ
=== removed file 'doc/konversation/addserver_co.png'
Binary files doc/konversation/addserver_co.png and doc/konversation/addserver_co.png differ
=== removed file 'doc/konversation/channel_screen_co.png'
Binary files doc/konversation/channel_screen_co.png and doc/konversation/channel_screen_co.png differ
=== removed file 'doc/konversation/channel_screen_tour_co.png'
Binary files doc/konversation/channel_screen_tour_co.png and doc/konversation/channel_screen_tour_co.png differ
=== removed file 'doc/konversation/channellist_screen_co.png'
Binary files doc/konversation/channellist_screen_co.png and doc/konversation/channellist_screen_co.png differ
=== removed file 'doc/konversation/checkidentities.png'
Binary files doc/konversation/checkidentities.png and doc/konversation/checkidentities.png differ
=== removed file 'doc/konversation/colorchooser_screen.png'
Binary files doc/konversation/colorchooser_screen.png and doc/konversation/colorchooser_screen.png differ
=== removed file 'doc/konversation/colorize.png'
Binary files doc/konversation/colorize.png and doc/konversation/colorize.png differ
=== removed file 'doc/konversation/configure.png'
Binary files doc/konversation/configure.png and doc/konversation/configure.png differ
=== removed file 'doc/konversation/dccstatus_screen_co.png'
Binary files doc/konversation/dccstatus_screen_co.png and doc/konversation/dccstatus_screen_co.png differ
=== removed file 'doc/konversation/editserver_screen_co.png'
Binary files doc/konversation/editserver_screen_co.png and doc/konversation/editserver_screen_co.png differ
=== removed file 'doc/konversation/first_channel_co.png'
Binary files doc/konversation/first_channel_co.png and doc/konversation/first_channel_co.png differ
=== removed file 'doc/konversation/first_serverlist_co.png'
Binary files doc/konversation/first_serverlist_co.png and doc/konversation/first_serverlist_co.png differ
=== removed file 'doc/konversation/highlighting_screen_co.png'
Binary files doc/konversation/highlighting_screen_co.png and doc/konversation/highlighting_screen_co.png differ
=== removed file 'doc/konversation/identities_adv_co.png'
Binary files doc/konversation/identities_adv_co.png and doc/konversation/identities_adv_co.png differ
=== removed file 'doc/konversation/identities_away_co.png'
Binary files doc/konversation/identities_away_co.png and doc/konversation/identities_away_co.png differ
=== removed file 'doc/konversation/identities_gen_co.png'
Binary files doc/konversation/identities_gen_co.png and doc/konversation/identities_gen_co.png differ
=== removed file 'doc/konversation/index.docbook'
--- doc/konversation/index.docbook	2009-04-10 16:16:59 +0000
+++ doc/konversation/index.docbook	1970-01-01 00:00:00 +0000
@@ -1,3483 +0,0 @@
-<?xml version="1.0" ?>
-<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
-  <!-- Define an entity for your application if it is not part of KDE
-       CVS -->
-  <!ENTITY kappname "&konversation;">
-  <!ENTITY package "kdeextragear-2">
-  <!ENTITY irc "<acronym>IRC</acronym>">
-  <!ENTITY CTCP "<acronym>CTCP</acronym>">
-  <!ENTITY nickname "<acronym>nickname</acronym>">
-  <!ENTITY Nickname "<acronym>Nickname</acronym>">
-  <!ENTITY led "<acronym>LED</acronym>">
-  <!ENTITY osd "<acronym>OSD</acronym>">
-  <!ENTITY url "<acronym>URL</acronym>">
-  <!ENTITY mime "<acronym>MIME</acronym>">
-  <!ENTITY konviwebsite "http://konversation.kde.org">
-  <!ENTITY % imageobjectco.module "INCLUDE">
-  <!ENTITY % addindex "IGNORE">
-  <!ENTITY % English "INCLUDE"> <!-- ONLY If you are writing non-English
-                                     original documentation, change
-                                     the language here -->
-
-  <!-- Do not define any other entities; instead, use the entities
-       from entities/general.entities and $LANG/user.entities. -->
-]>
-
-
-<!-- ................................................................ -->
-
-<!-- The language must NOT be changed here. -->
-<!-- If you are writing original documentation in a language other -->
-<!-- than English, change the language above ONLY, not here -->
-<book lang="&language;">
-
-<!-- This header contains all of the meta-information for the document such
-as Authors, publish date, the abstract, and Keywords -->
-
-<bookinfo>
-<title>The &konversation; Handbook</title>
-
-<authorgroup>
-<author>
-<!-- This is just put in as an example.  For real documentation, please
-     define a general entity in entities/contributor.entities, e.g.
-<!ENTITY George.N.Ugnacious "<personname><firstname>George</firstname><othername>N.</othername><surname>Ugnacious</surname></personname>">
-<!ENTITY George.N.Ugnacious.mail "<email>gnu@kde.org</email>">
-and use `&George.N.Ugnacious; &George.N.Ugnacious.mail;' in the author element.
- -->
-<personname>
-<firstname>Gary</firstname>
-<othername>R.</othername>
-<surname>Cramblitt</surname>
-</personname>
-<email>garycramblitt@comcast.net</email>
-</author>
-<!-- TRANS:ROLES_OF_TRANSLATORS -->
-</authorgroup>
-
-<!-- Note to Translators:
-	This document contains a number of screen images with callouts.  Because the stylesheets do not currently
-	support merging callout images with screen images, the "areaspec" elements herein are dummy entries
-	used to satisfy the "callout" elements.
-
-	-grc
--->
-
-<copyright>
-<year>2003-2005</year>
-<holder>Gary R. Cramblitt</holder>
-</copyright>
-
-<!-- Translators: put here the copyright notice of the translation -->
-<!-- Put here the FDL notice.  Read the explanation in fdl-notice.docbook
-     and in the FDL itself on how to use it. -->
-<legalnotice>&FDLNotice;</legalnotice>
-
-<!-- Date and version information of the documentation
-Don't forget to include this last date and this last revision number, we
-need them for translation coordination !
-Please respect the format of the date (YYYY-MM-DD) and of the version
-(V.MM.LL), it could be used by automation scripts.
-Do NOT change these in the translation. -->
-
-<date>2005-05-23</date>
-<releaseinfo>0.18</releaseinfo>
-
-<!-- Abstract about this handbook -->
-
-<abstract>
-<para>
-&konversation; is a user-friendly &irc; client for the K Desktop Environment.
-</para>
-</abstract>
-
-<!-- This is a set of Keywords for indexing by search engines.
-Please at least include KDE, the KDE package it is in, the name
- of your application, and a few relevant keywords. -->
-
-<keywordset>
-<keyword>KDE</keyword>
-<keyword>kdeextragear-2</keyword>
-<keyword>Konversation</keyword>
-<keyword>irc</keyword>
-<keyword>internet relay chat</keyword>
-<keyword>chat</keyword>
-<keyword>communications</keyword>
-</keywordset>
-
-</bookinfo>
-
-<!-- The contents of the documentation begin here.  Label
-each chapter so with the id attribute. This is necessary for two reasons: it
-allows you to easily reference the chapter from other chapters of your
-document, and if there is no ID, the name of the generated HTML files will vary
-from time to time making it hard to manage for maintainers and for the CVS
-system. Any chapter labelled (OPTIONAL) may be left out at the author's
-discretion. Other chapters should not be left out in order to maintain a
-consistent documentation style across all KDE apps. -->
-
-<!-- CODE SNIPPETS
-The following are useful snippets for cross-referencing to sections of this document.
-If using the snippets plugin, copy them to your snippets.
-Please keep synced with id attributes.
-
-See <link linkend="irc-basics">If you haven't used &irc; before...</link> for more information
-See <link linkend="identity">Setting your identity</link> for more information
-See <link linkend="identity-away">Setting your identity</link> for more information
-See <link linkend="identity-advanced">Setting your identity</link> for more information
-See <link linkend="serverlist">Defining new networks, servers and auto join channels</link> for more information
-See <link linkend="serverlist-addnetwork">Defining new networks, servers and auto join channels</link> for more information
-See <link linkend="serverlist-addserver">Defining new networks, servers and auto join channels</link> for more information
-See <link linkend="serverlist-addchannel">Defining new networks, servers and auto join channels</link> for more information
-See <link linkend="list-channels">Listing available channels</link> for more information
-See <link linkend="channel-screen-tour">A tour of the main screen</link> for more information
-See <link linkend="quickconnect">Quick Connect</link> for more information
-See <link linkend="irc-cmds">Frequently-used &irc; commands</link> for more information
-See <link linkend="query">Private conversations (queries)</link> for more information
-See <link linkend="cfg-notifications">Setting notifications</link> for more information
-See <link linkend="nicksonline">Monitoring who is online</link> for more information
-See <link linkend="highlighting">Message highlighting</link> for more information
-See <link linkend="cfg-osd">Configuring On Screen Display (&osd;)</link> for more information
-See <link linkend="color-msgs">Sending colorful messages</link> for more information
-See <link linkend="nickthemes">Configuring &nickname; themes</link> for more information.
-See <link linkend="quick-buttons">Configuring Quick Buttons</link> for more information
-See <link linkend="dcc">Sending and receiving files</link> for more information
-See <link linkend="linkaddressbook">Integrating with &kaddressbook;</link> for more information
-See <link linkend="urlcatcher">Capturing &URL;s from messages.</link> for more information
-See <link linkend="webbrowser">Setting your preferred web browser.</link> for more information
-See <link linkend="rememberlines">Marking Channel and Query Logs</link> for more information
-See <link linkend="logging">Logging</link> for more information
-See <link linkend="konvi-cmds">&konversation; commands</link> for more information
-See <link linkend="scripting">Scripting</link> for more information
-See <link linkend="kapp-mainwindow">The main &konversation; window</link> for more information
-See <link linkend="getting-kapp">How to obtain &konversation;</link> for more information
-See <link linkend="requirements">Requirements</link> for more information
-
--->
-
-<chapter id="introduction">
-<title>Introduction</title>
-
-<!-- The introduction chapter contains a brief introduction for the
-application that explains what it does and where to report
-problems. Basically a long version of the abstract.  Don't include a
-revision history. (see installation appendix comment) -->
-
-<para>
-&konversation; is an &irc; client for &kde; 3.2 or later.  It offers the following features:
-</para>
-
-<para>
-<itemizedlist>
-<listitem><para>SSL support.</para></listitem>
-<listitem><para>User-friendly tabbed interface.</para></listitem>
-<listitem><para>Customizable Quick Buttons for often-used commands</para></listitem>
-<listitem><para>Automatic reconnect and rejoin.</para></listitem>
-<listitem><para>DCC send and receive.</para></listitem>
-<listitem><para>&Nickname; watch list.</para></listitem>
-<listitem><para>Visual and auditory notifications for a wide variety of events, such as messages containing
- your &nickname;, or &nickname;s on your watch list going online or offline.
-</para></listitem>
-<listitem><para>Customizable highlighting of messages by &nickname; or
-regular expression pattern.</para></listitem>
-<listitem><para>&Nickname; completion.</para></listitem>
-<listitem><para>Capture and save all &URL;s appearing in messages.</para></listitem>
-<listitem><para>On-screen display of messages, even when minimized.</para></listitem>
-<listitem><para>&Nickname; ignore list.</para></listitem>
-<listitem><para>Automatic logging and log management.</para></listitem>
-<listitem><para>Marking of lines in logs.</para></listitem>
-<listitem><para>Scripting.</para></listitem>
-<listitem><para>Integration with &kaddressbook;.</para></listitem>
-</itemizedlist>
-</para>
-
-<para>The &konversation; website is
-<ulink url="&konviwebsite;">&konviwebsite;</ulink>.
- Questions and answers for &konversation; can be discussed on the
- <ulink url="http://lists.sourceforge.net/mailman/listinfo/konversation-users">&konversation;-Users</ulink> mailing list. Please subscribe to learn about new features, bug reports and the like. To stay informed of new releases, you can join our
- <ulink url="http://lists.sourceforge.net/mailman/listinfo/konversation-announce">&konversation;-Announce</ulink> mailing list. This is a low volume mailing list only used to announce new releases or patches.
-</para>
-
-<para>Developers for &konversation; can often be contacted via &irc; at  <ulink url="irc://irc.kde.org/%23konversation">irc.kde.org channel #konversation</ulink>.
-</para>
-
-</chapter>
-
-<chapter id="using-kapp">
-<title>Using &konversation;</title>
-
-<!-- =================================================================== -->
-
-<sect1 id="irc-basics">
-<title>If you haven't used &irc; before...</title>
-
-<para>Simply put, &irc; is a chat protocol, defined by official Internet
-standards, and capable of stealing many hours of your life. To use
-&irc;, you must connect to a server, and then join a channel (equivalent
-to a chat room) or just engage in private conversations.</para>
-
-<para>To connect to a server and channel, open &konversation;.  The <guilabel>Server List</guilabel> screen appears.</para>
-
-<para>
-<screenshot>
-<screeninfo>Server List</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-first-serverlist-1" coords="1 1"/>
-				<area id="pt-first-serverlist-2" coords="1 1"/>
-				<area id="pt-first-serverlist-3" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="first_serverlist_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Server List</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-first-serverlist-1"><para>The list of configured &irc;
-<guilabel>Networks</guilabel> are listed here.  An &irc; network is a collection of cooperating servers.  You need
-only connect to one of the servers in the network to be connected to the entire
-&irc; network.  Once connected, &konversation; will automatically join the
-<guilabel>Channels</guilabel> shown.  When &konversation; is started for the first time, the
-<userinput><replaceable>Freenode</replaceable></userinput> network
-and <userinput><replaceable>#kde</replaceable></userinput> channel are already entered for you.  Click on a network to select it.</para></callout>
-<callout arearefs="pt-first-serverlist-2"><para>Click here to define a new <guilabel>Network</guilabel>, including the server
-to connect to, and the <guilabel>Channels</guilabel> to automatically join once connected.  See <link  linkend="serverlist">Defining new networks, servers, and auto join channels</link> for more information.</para></callout>
-<callout arearefs="pt-first-serverlist-3"><para>Click here to connect to the selected &irc; network and channel.</para></callout>
-</calloutlist>
-</para>
-
-<note>
-<para>When you click the <guibutton>Connect</guibutton> button the first time you open
-&konversation;, you may see the following message, telling you that your
-default <guilabel>identity</guilabel> is not set up correctly.</para>
-
-<para>
-<screenshot>
-	<screeninfo>Check Identities</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="checkidentities.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>Check Identities</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>The first time you open &konversation; it obtains information
-about the current user from the operating system and fills in defaults
-for the Identity.  If the operating system user information is not
-complete, for example, no Full Name is defined, you may see the message
-above.  To correct this problem, click <guibutton>OK</guibutton> and
-see <link linkend="identity">Setting your identity</link> for more
-information.</para>
-</note>
-
-<para>
-The <interface>Main</interface> screen will be displayed showing the messages sent by the server to the client.
-(If &konversation; will not connect to the server, see <link linkend="faq">Questions and Answers</link>.)  When the server messages have finished scrolling past, &konversation; will join the channel or channels chosen.
-</para>
-
-<para>
-<screenshot>
-<screeninfo>Channel.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-first-channel-1" coords="1 1"/>
-				<area id="pt-first-channel-2" coords="1 1"/>
-				<area id="pt-first-channel-3" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="first_channel_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Channel</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-first-channel-1"><para>This is called the <interface>Input Line</interface>.  To send a message to everyone in the channel, type the message here and press &Enter;.
- Your message, as well as everyone else's messages appear in the channel scroll above.
- Each message is preceded by the time and user's &nickname;.</para></callout>
-
-<callout arearefs="pt-first-channel-2"><para>You may join additional servers and channels.  Each server, channel, channel list, and other screen gets a separate tab here.
-To display a list of available channels, see <link linkend="list-channels">Listing available channels</link>.
-To join a channel,
-type: <userinput><command>/join</command> <replaceable>#channelname</replaceable></userinput> in
-the Input Line.  (The <userinput>#</userinput> is required.) You may also type <userinput><command>/j</command></userinput> as a shorthand to <userinput><command>/join</command></userinput>. To leave a channel, just type <userinput><command>/part</command></userinput>.  To switch the display to a different server or channel, click the corresponding tab.
-</para></callout>
-
-<callout arearefs="pt-first-channel-3"><para>This is called the <interface>Nick Panel</interface>.  It lists the &nickname;s of all the users who have joined the channel, including yourself.</para></callout>
-
-</calloutlist>
-</para>
-
-<para>That's the basics, for more detailed information, read on...</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="identity">
-<title>Setting your identity</title>
-
-<para>Before you start using &konversation; regularly, you should set how you will be identified on the network.</para>
-
-<para>Click
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Identities</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Identities</guilabel> screen will appear.  You can also display the <guilabel>Identities</guilabel> screen by clicking the <guibutton>Edit</guibutton> button on the
- <guilabel>Add Network</guilabel> screen.</action>
-</para>
-
-<para>
-<screenshot>
-<screeninfo>Identities (General tab)</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-identity-gen-1" coords="1 1"/>
-				<area id="pt-identity-gen-2" coords="1 1"/>
-				<area id="pt-identity-gen-3" coords="1 1"/>
-				<area id="pt-identity-gen-4" coords="1 1"/>
-				<area id="pt-identity-gen-5" coords="1 1"/>
-				<area id="pt-identity-gen-6" coords="1 1"/>
-				<area id="pt-identity-gen-7" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="identities_gen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Identities (General tab)</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-identity-gen-1"><para>Click here to select an <guilabel>Identity</guilabel> to edit.</para></callout>
-<callout arearefs="pt-identity-gen-2"><para>Use these buttons to add,
-duplicate, rename, or remove an <guilabel>Identity</guilabel>.</para></callout>
-<callout arearefs="pt-identity-gen-3"><para>Enter your real name here.  &irc; is not intended to keep you hidden from your friends or enemies. Keep this in mind if you are tempted to behave maliciously. A fake "real name" can be a good way to mask your gender from all the nerds out there, but the PC you use can always be traced so you will never be truly anonymous.</para></callout>
-<callout arearefs="pt-identity-gen-4"><para>Use these buttons to
-<guibutton>Add</guibutton>, <guilabel>Edit</guilabel>, or <guilabel>Delete</guilabel> a &nickname;.</para></callout>
-<callout arearefs="pt-identity-gen-5"><para>This is your list of &nickname;s.
-A &nickname; is the name that other users will know you by.
-You may use any name you desire.  The first character must be a letter.  Other characters may be letters, numbers, or the special characters <literal>-[]\`_^{}|</literal>.</para>
-
-<para>Since &nickname;s must be unique across an entire &irc; network, your desired name may be rejected by the server because someone else is already using that &nickname;.  Enter alternate &nickname;s for yourself.  If your first choice is rejected by the server, &konversation; will try the alternate &nickname;s.
-</para>
-
-<para>
-According to RFC 2812, the maximum &nickname; length is 9, but
-this is actually determined by the server.  To determine the maximum for a server, connect to the server.  In the
-<interface>Server Messages</interface> tab, look for a <computeroutput>[Support]</computeroutput> message.
-For example</para>
-
-<para>
-<computeroutput>
-[18:51] *Eisfuchs* [21:45] [Support] Eisfuchs MODES=4 MAXCHANNELS=20 NICKLEN=16 USERLEN=10 HOSTLEN=63 TOPICLEN=450 KICKLEN=450 CHANNELLEN=30 KEYLEN=23 CHANTYPES=# PREFIX=@+ CASEMAPPING=ascii CAPAB IRCD=dancer
-</computeroutput>
-</para>
-
-<para>
-The <computeroutput>NICKLEN</computeroutput> parameter specifies the maximum &nickname; length.
-</para>
-</callout>
-
-<callout arearefs="pt-identity-gen-6"><para>Use these buttons to change the
-order of the &nickname;s.  The top &nickname; is tried first, then the next
-&nickname;, and so on.</para></callout>
-<callout arearefs="pt-identity-gen-7"><para>If you have registered your &nickname; with the &irc; network, enter the service and password to authenticate your &nickname;.
-When &konversation; connects, it will automatically send
-<userinput><command>/msg</command> <replaceable>service</replaceable> <command>IDENTIFY</command> <replaceable>password</replaceable></userinput> to the server.
-If you don't know what this is, leave these boxes blank.</para></callout>
-</calloutlist>
-</para>
-
-<anchor id="identity-away"/>
-
-<para>Click the <guilabel>Away</guilabel> tab.</para>
-
-<para>
-	<screenshot>
-		<screeninfo>Identities (Away tab)</screeninfo>
-		<mediaobjectco>
-			<imageobjectco>
-				<areaspec units="calspair">
-					<area id="pt-identity-away-1" coords="1 1"/>
-					<area id="pt-identity-away-2" coords="1 1"/>
-					<area id="pt-identity-away-3" coords="1 1"/>
-				</areaspec>
-				<imageobject>
-					<imagedata fileref="identities_away_co.png" format="PNG"/>
-				</imageobject>
-			</imageobjectco>
-			<textobject>
-				<phrase>Identities (Away tab)</phrase>
-			</textobject>
-		</mediaobjectco>
-	</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-identity-away-1"><para>
-Enter a &nickname; that indicates you are away.  Whenever you perform an
-<userinput><command>/away </command><replaceable>msg</replaceable></userinput> command in
-any channel joined with this <guilabel>Identity</guilabel>,
-&konversation; will automatically change your &nickname; to the <guilabel>Away nickname</guilabel>.  Other users will be able to tell you are away
-from your computer.
-Whenever you perform an <userinput><command>/away</command></userinput> command
-in any channel in which
-you are away, &konversation; will automatically change your &nickname; back
-to the original.  If you do not wish to automatically change your
-&nickname; when going away, leave blank.</para></callout>
-<callout arearefs="pt-identity-away-2"><para>If you check this box,
-whenever you perform an <userinput><command>/away</command></userinput> command, a horizontal line will appear in the channel, marking the point where you
-went away.  Other &irc; users do not see this horizontal line.
-</para></callout>
-<callout arearefs="pt-identity-away-3"><para>If you check this box,
-&konversation; will automatically send the <guilabel>Away message</guilabel> to all channels joined with this <guilabel>Identity</guilabel>.
-<userinput><replaceable>%s</replaceable></userinput> is replaced with
-<userinput><replaceable>msg</replaceable></userinput>.
-Whenever you perform an
-<userinput><command>/away</command></userinput> command, the <guilabel>Return message</guilabel> will be displayed in all channels joined with this <guilabel>Identity</guilabel>.</para>
-
-<note><para>Away messages are often considered annoying by other users.
-Use this option carefully, with consideration for your fellow &irc; users.
-</para></note>
-</callout>
-</calloutlist>
-</para>
-
-<anchor id="identity-advanced"/>
-
-<para>Click the <guilabel>Advanced</guilabel> tab.</para>
-
-<para>
-	<screenshot>
-		<screeninfo>Identities (Advanced tab)</screeninfo>
-		<mediaobjectco>
-			<imageobjectco>
-				<areaspec units="calspair">
-					<area id="pt-identity-adv-1" coords="1 1"/>
-					<area id="pt-identity-adv-2" coords="1 1"/>
-					<area id="pt-identity-adv-3" coords="1 1"/>
-					<area id="pt-identity-adv-4" coords="1 1"/>
-					<area id="pt-identity-adv-5" coords="1 1"/>
-					<area id="pt-identity-adv-6" coords="1 1"/>
-				</areaspec>
-				<imageobject>
-					<imagedata fileref="identities_adv_co.png" format="PNG"/>
-				</imageobject>
-			</imageobjectco>
-			<textobject>
-				<phrase>Identities (Advanced tab)</phrase>
-			</textobject>
-		</mediaobjectco>
-	</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-identity-adv-1"><para>You can enter a command
-here that will be executed before connecting to the server.  If this identity
-is used for more than one server, the command will be executed for
-each server.</para></callout>
-<callout arearefs="pt-identity-adv-2"><para>This setting affects how
-characters you type are encoded for sending to the server.  It also affects
-how messages are displayed.  When you first open &konversation;, it
-automatically retrieves this setting from the operating system.  If you
-seem to be having trouble seeing other user's messages correctly, try
-changing this setting.</para></callout>
-<callout arearefs="pt-identity-adv-3"><para>When you connect, many servers
-query your computer for an IDENT response.  If you computer is not running
-an IDENT server, this response is sent by &konversation;.  No spaces
-are allowed.  Your first name is suggested.</para></callout>
-<callout arearefs="pt-identity-adv-4"><para>Whenever you leave a channel,
-this message is sent to the channel.</para></callout>
-<callout arearefs="pt-identity-adv-5"><para>Whenever you are kicked from
-a channel (usually by an &irc; operator), this message is sent to the
-channel.</para></callout>
-<callout arearefs="pt-identity-adv-6"><para>Click to apply your changes.  In order for all the changes to take effect, you must disconnect from the server and re-connect.  The easiest way to do that is to quit &konversation; and restart.</para></callout>
-</calloutlist>
-</para>
-
-<!--
-<para>TODO:
-<itemizedlist>
-
-<listitem><para>
-The characters allowed in a nick given above comes from RFC 2812.  Any special Konversation considerations?
-</para></listitem>
-
-<listitem><para>
-Limits on Real Name and Ident?
-</para></listitem>
-
-</itemizedlist>
-</para>
--->
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="serverlist">
-<title>Defining new networks, servers and auto join channels</title>
-
-<para>The <guilabel>Server List</guilabel> screen appears when you open the
-&konversation; program.  It also appears when you choose
-<menuchoice>
-<guisubmenu>File</guisubmenu>
-<guisubmenu>Server List</guisubmenu>
-</menuchoice>
-on the main menu.  <action>The <guilabel>Server List</guilabel></action> screen
-lists your existing defined &irc; <guilabel>Network</guilabel>s, listed by group.
-An &irc; network is a collection of cooperating servers.  When you connect
-to any server in a network, you have access to all the channels of the network.
-Examples of &irc; networks are
-<userinput><replaceable>Freenode</replaceable></userinput> and
-<userinput><replaceable>Undernet</replaceable></userinput>.
-</para>
-
-<para>
-<screenshot>
-	<screeninfo>Server List</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-serverlist-1" coords="1 1"/>
-				<area id="pt-serverlist-2" coords="1 1"/>
-				<area id="pt-serverlist-3" coords="1 1"/>
-				<area id="pt-serverlist-4" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="serverlist_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Server List</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-serverlist-1"><para>Your existing defined
-<guilabel>Network</guilabel>s are listed here along with
-the <guilabel>Identity</guilabel> used to connect to the network,
-and the <guilabel>Channels</guilabel> automatically joined when connected.
-If you have specified a group for your networks, networks are listed
-indented under the group.  Click on a network to select it.
-</para></callout>
-<callout arearefs="pt-serverlist-2"><para>Use these buttons to
-<guibutton>Add</guibutton> a new network, <guibutton>Edit</guibutton>
-a highlighted network, or <guibutton>Delete</guibutton> a highlighted network.
-</para></callout>
-<callout arearefs="pt-serverlist-3"><para>Click this button to connect
-to the highlighted <guilabel>Network</guilabel> and close the
-<guilabel>Server List</guilabel> screen.  You may highlight
-more than one network if you wish, which will connect to all the
-highlighted networks.</para></callout>
-<callout arearefs="pt-serverlist-4"><para>Clicking this button does not
-discard the changes you have made.  It merely means you do not wish to
-connect to any networks at this time.</para></callout>
-</calloutlist>
-</para>
-
-<anchor id="serverlist-addnetwork" />
-
-<para>When you click the <guibutton>Add</guibutton> button,
-the <guilabel>Add Network</guilabel> screen appears.</para>
-
-<para>
-<screenshot>
-	<screeninfo>Add Network</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-addnetwork-1" coords="1 1"/>
-				<area id="pt-addnetwork-2" coords="1 1"/>
-				<area id="pt-addnetwork-3" coords="1 1"/>
-				<area id="pt-addnetwork-4" coords="1 1"/>
-				<area id="pt-addnetwork-5" coords="1 1"/>
-				<area id="pt-addnetwork-6" coords="1 1"/>
-				<area id="pt-addnetwork-7" coords="1 1"/>
-				<area id="pt-addnetwork-8" coords="1 1"/>
-				<area id="pt-addnetwork-9" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="addnetwork_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Add Network</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-addnetwork-1"><para>Enter the name of the
-<guilabel>Network</guilabel> here.  You may create as many entries
-in the <guilabel>Server List</guilabel> screen with the same
-<guilabel>Network</guilabel> as you like.</para></callout>
-<callout arearefs="pt-addnetwork-2"><para>Optional.  If you enter something
-here, all the <guilabel>Network</guilabel>s with the same
-<guilabel>Group</guilabel> will be listed together in the
-<guilabel>Server List</guilabel> screen.</para></callout>
-<callout arearefs="pt-addnetwork-3"><para>Choose an existing
-<guilabel>Identity</guilabel> or click the <guibutton>Edit</guibutton>
-button to add a new Identity or edit an existing one.  The
-<guilabel>Identity</guilabel> will identify you and determine
-your &nickname; when you connect to the network.</para></callout>
-<callout arearefs="pt-addnetwork-4"><para>Optional.  This command will be sent to the server after connecting.  Example: <userinput>/msg NickServ IDENTIFY
-<replaceable>konvirocks</replaceable></userinput>.  This example is for the freenode network, which requires users to register their &nickname;
-with a password and login when connecting.  <userinput><replaceable>konvirocks</replaceable></userinput>
-is the password for the &nickname; given in <guilabel>Identity</guilabel>.
-You may enter more than one command by separating them with semicolons.</para></callout>
-<callout arearefs="pt-addnetwork-5"><para>Check here if you want
-&konversation; to automatically connect to this network whenever
-you open &konversation;.</para></callout>
-<callout arearefs="pt-addnetwork-6"><para>This is a list of &irc;
-<guilabel>Servers</guilabel> in the network.  When connecting to the network,
-&konversation; will
-attempt to connect to the top server first.  If this fails,
-it will attempt the second server.  If this fails, it will attempt
-the third, and so on.  At least one server must be specified.
-Click a server to highlight it.</para></callout>
-<callout arearefs="pt-addnetwork-7"><para>Use these buttons to
-<guibutton>Add</guibutton> a server, <guibutton>Edit</guibutton> a
-highlighted server, or <guibutton>Delete</guibutton> a highlighted
-server.  You can also adjust the order of the server list and therefore
-the order of connection attempts.</para></callout>
-<callout arearefs="pt-addnetwork-8"><para>Optional.  This is a list of the
-channels that will be automatically joined once &konversation;
-has connected to a server.  You may leave this blank if you
-wish to not automatically join any channels.</para></callout>
-<callout arearefs="pt-addnetwork-9"><para>Use these buttons to
-<guibutton>Add</guibutton> a channel, <guibutton>Edit</guibutton> a
-highlighted channel, or <guibutton>Delete</guibutton> a highlighted
-channel.  You may also change the order the channels are joined.
-</para></callout>
-</calloutlist>
-</para>
-
-<note><para>Avoid mixing servers on different &irc; networks under the same
-<guilabel>Network</guilabel>.  Avoid entering the same server under
-two different <guilabel>Network</guilabel>s.  Otherwise, &konversation;
-<link linkend="linkaddressbook">integration with your address book</link> and
-<link linkend="nicksonline">monitoring of online &nickname;s</link> will not function
-correctly.</para>
-</note>
-
-<anchor id="serverlist-addserver" />
-
-<para>When you click the <guibutton>Add</guibutton> button in the <guilabel>Servers</guilabel> frame, the Add Server screen appears.</para>
-
-<para>
-<screenshot>
-	<screeninfo>Add Server</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-addserver-1" coords="1 1"/>
-				<area id="pt-addserver-2" coords="1 1"/>
-				<area id="pt-addserver-3" coords="1 1"/>
-				<area id="pt-addserver-4" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="addserver_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Add Server</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-addserver-1"><para>The name or IP number of the server.  irchelp.org maintains a
-<ulink url="http://www.irchelp.org/irchelp/networks/">list</ulink> of servers.</para></callout>
-<callout arearefs="pt-addserver-2"><para>Enter the port number required to connect to the server.  For most servers, this should be <userinput>6667</userinput>.</para></callout>
-<callout arearefs="pt-addserver-3"><para>If the server requires a password
-in order to connect, enter it here, otherwise leave blank.</para></callout>
-<callout arearefs="pt-addserver-4"><para>Check if you want to use
-Secure Socket Layer (SSL) protocol to communicate with the server.
-This protects the privacy of your communications between your computer
-and the &irc; server.  The server must
-support SSL protocol for this to work.  In most cases, if the server
-does not support SSL, the connection will fail.</para></callout>
-</calloutlist>
-</para>
-
-<anchor id="serverlist-addchannel" />
-
-<para>When you click the <guibutton>Add</guibutton> button in the
-<guilabel>Auto Join Channels</guilabel> frame, the <guilabel>Add Channel</guilabel>
-screen appears.</para>
-
-<para>
-<screenshot>
-	<screeninfo>Add Channel</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="addchannel.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>Add Channel</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>Enter a channel name.  Do not forget leading <userinput><replaceable>#</replaceable></userinput>.  If the channel requires
-a password in order to join, enter it, otherwise leave blank.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="list-channels">
-<title>Listing available channels</title>
-
-<para>To display a list of available channels, choose
-<menuchoice>
- <guisubmenu>Windows</guisubmenu>
- <guisubmenu>Channel List</guisubmenu>
-</menuchoice> on the main menu.
-  <action>After a warning screen, a new tab is created called the <guilabel>Channel List</guilabel>.</action>
-</para>
-
-<para>
-<screenshot>
-<screeninfo>The Channel List tab.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-channellist-1" coords="1 1"/>
-				<area id="pt-channellist-2" coords="1 1"/>
-				<area id="pt-channellist-3" coords="1 1"/>
-				<area id="pt-channellist-4" coords="1 1"/>
-				<area id="pt-channellist-5" coords="1 1"/>
-				<area id="pt-channellist-6" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="channellist_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Channel List tab.</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-channellist-1"><para>Enter a filter string here.</para></callout>
-
-<callout arearefs="pt-channellist-2"><para>You can limit the channel list to those channels with a minimum or maximum number of users here. Choosing 0 disables the respective criteria.</para></callout>
-
-<callout arearefs="pt-channellist-3"><para>Click here to retrieve the list of channels from the server and apply the filter.</para></callout>
-
-<callout arearefs="pt-channellist-4"><para>The filtered list of channels is displayed here.  Notice that if you don't use regular expressions, &konversation; lists any channel whose name contains the filter string you entered.  The channel name does not have to start with the string you entered.</para></callout>
-
-<callout arearefs="pt-channellist-5"><para>Select a channel you want to join by clicking on it. Right click on the channel to get a list of all web addresses mentioned in the channel's topic.</para></callout>
-
-<callout arearefs="pt-channellist-6"><para>Click here to join the channel.  A new tab is created for the channel.</para></callout>
-
-</calloutlist>
-</para>
-
-<para>You should avoid clicking the <guibutton>Refresh List</guibutton> button.  Most servers have thousands
-of channels, and performing this puts a high load on the server.  Besides, it can require several minutes to complete,
-depending upon your network bandwidth.  If your client is too slow, the server may even disconnect you.
-</para>
-
-<para>Sometimes there are "secret" channels on servers.  Such channels are not listed in the <guilabel>Channel List</guilabel>.
-You can still join these channels if you know their name.  In any <interface>Input Line</interface>, type: <userinput><command>/join</command>
-<replaceable>#channelname</replaceable></userinput>.  (The <userinput>#</userinput> is required.)  A new tab is created for the channel.  If you join a channel and the Nick Panel lists only your &nickname;, it means that the channel did not exist before.  The server created the channel and you are the operator.  In this case, you probably want to close the channel by typing: <userinput><command>/part</command></userinput>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="channel-screen-tour">
-<title>A tour of the main screen</title>
-
-<para>Let's learn more about the <interface>Main</interface> screen.
-The screen is shown below with a channel tab selected.</para>
-
-<para>
-<screenshot>
-<screeninfo>The Main screen.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-channeltour-1" coords="1 1"/>
-				<area id="pt-channeltour-2" coords="1 1"/>
-				<area id="pt-channeltour-3" coords="1 1"/>
-				<area id="pt-channeltour-4" coords="1 1"/>
-				<area id="pt-channeltour-5" coords="1 1"/>
-				<area id="pt-channeltour-6" coords="1 1"/>
-				<area id="pt-channeltour-7" coords="1 1"/>
-				<area id="pt-channeltour-8" coords="1 1"/>
-				<area id="pt-channeltour-9" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="channel_screen_tour_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Main screen</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-channeltour-1"><para>This is called the <interface>Input Line</interface>.
-It appears only when the current tab is a channel.
-To send a message to everyone in the channel, type the message here and press &Enter;.
- Your message, as well as everyone else's messages appear in the channel scroll above.
- Each message is preceded by the time and user's &nickname;.</para>
-
- <para>You can also paste text from the clipboard.  If the pasted text has more than one line (newlines),
- a dialog box appears.  Edit the text as desired and click <guibutton>OK</guibutton>.
- </para>
-
- <para>If the pasted text is longer than 256 characters, or it contains more than one line, a warning message
- appears advising you that large postings can cause connection resets and flooding.  You can still proceed with
- the input, but doing so is a bad idea, as flooding will annoy other users in the channel, or you may
- be disconnected from the server.  It is better to send the message in shorter chunks.</para>
-
- <!-- Uncomment when this is implemented.
- &konversation; will automatically split messages that exceed the 510 character RFC limit into multiple messages.
- -->
-
- <para>
- A convention used in many channels is to precede messages directed at one user with their &nickname;.  &konversation;
- provides a convenient &nickname; completion feature.  Start typing the user's &nickname;, then press <keycap>Tab</keycap>.  &konversation; will complete the rest of the user's &nickname; followed by a colon.  To customize the completion feature, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice> from the main menu, expand <guilabel>Behavior</guilabel>,
-click on <guilabel>General</guilabel>, and click the
-<guilabel>Completion mode</guilabel> box.
- </para>
-
- <para>
- You can also enter an &irc; command here by first typing <userinput><command>/</command></userinput>
- followed by a valid &irc; command.   See <link linkend="irc-cmds">Frequently-used &irc; commands</link>.  On some servers, you can type <userinput><command>/help</command></userinput> for a list of available commands, or type <userinput><command>/help </command><replaceable>command</replaceable></userinput> for help
- on a specific command.
- </para></callout>
-
-<callout arearefs="pt-channeltour-2">
-
-<para>You may join additional servers and channels.  Each server and each channel gets a separate tab here.
-To display a list of available channels, see <link linkend="list-channels">Listing available channels</link>.
-To join a channel, type: <userinput><command>/join</command>
-<replaceable>#channelname</replaceable></userinput> in the Input Line.  (The <userinput>#</userinput> is required.)  To leave a channel, just type <userinput><command>/part</command></userinput>.
-Tabs also appear here if you open a <link linkend="list-channels">Channel List</link>, participate in a <link linkend="query">private conversation (query)</link>, open the <link linkend="urlcatcher">&URL; Catcher</link>, or open one or more <guilabel>Konsole</guilabel>s.  To switch the display to a different screen, click the corresponding tab,
-or use the mouse wheel to cycle through the tabs.
-</para>
-
-<para>  To set other options for tabs, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice> from the main menu, expand <guilabel>Behavior</guilabel>,
-click on <guilabel>General</guilabel>.
-</para>
-
-</callout>
-
-<callout arearefs="pt-channeltour-3"><para>These &led;s will blink when there is something you haven't seen in that tab.
-The &led; will blink slower when the only unseen messages are <command>join</command>, <command>part</command>,  <command>quit</command>, or &nickname; changes.  They blink faster if there are unseen regular messages.
-  The colors are as follows:
-<itemizedlist>
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="led_green_on.png" format="PNG"  /></imageobject></inlinemediaobject>
-Channel
-</para>
-</listitem>
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="led_blue_on.png" format="PNG"  /></imageobject></inlinemediaobject>
-<interface>Server Messages</interface>, <link linkend="list-channels">Channel List</link>, or
-<link linkend="urlcatcher">&URL; catcher</link>
-</para>
-</listitem>
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="led_yellow_on.png" format="PNG"  /></imageobject></inlinemediaobject>
-<guilabel>Konsole</guilabel> or <link linkend="dcc">DCC Status</link>.
-</para>
-</listitem>
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="led_red_on.png" format="PNG"  /></imageobject></inlinemediaobject>
-<link linkend="query">Private Message (Query)</link>.
-</para>
-</listitem>
-</itemizedlist>
-</para></callout>
-
-<callout arearefs="pt-channeltour-4"><para>Click here to close the current tab.  Closing a <interface>Channel</interface> tab will leave the channel.  Closing a <interface>Server Messages</interface> tab will leave all channels you've joined, close all open queries at that server and disconnect from the server.</para></callout>
-
-<callout arearefs="pt-channeltour-5"><para>Click this button to change your own &nickname;. It appears only when the current tab is a channel.  To hide this button, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice> from the main menu, expand <guilabel>Appearance</guilabel>,
-click on <guilabel>Chat Window</guilabel>, and uncheck the
-<guilabel>Show box to change own nickname</guilabel> box.
-</para></callout>
-
-<callout arearefs="pt-channeltour-6"><para>The channel topic is displayed here.
-Hover the mouse over the topic to see long topics.  You can change the topic by
-clicking the button to the left of the topic.  To hide channel topics, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice> from the main menu, expand <guilabel>Appearance</guilabel>,
-click on <guilabel>Chat Window</guilabel>, and uncheck the
-<guilabel>Show channel topic</guilabel> box.
-</para></callout>
-
-<callout arearefs="pt-channeltour-7"><para>These buttons display the current state of channel modes.  A button is down if that mode is on.  If you have the correct privileges, you can also change channel modes by clicking on these buttons, or click the button to the
-left of the topic.  To hide channel mode buttons, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice> from the main menu, expand <guilabel>Appearance</guilabel>,
-click on <guilabel>Chat Window</guilabel>, and uncheck the
-<guilabel>Show channel mode buttons</guilabel> box.
-</para></callout>
-
-<callout arearefs="pt-channeltour-8">
-<para>
-This is called the <interface>Nick Panel</interface>.  It is displayed whenever the current tab is a channel.  It lists the &nickname;s of all the users who have joined the channel, including yourself.  Hover the mouse pointer over a &nickname; to display additional information
-about the user.  You may change how the icons are displayed next to each &nickname; by changing
-the &nickname; icon theme.  See <link linkend="nickthemes">Configuring &nickname; themes</link>
- for more information.
-The <guilabel>Big Bullets</guilabel> theme, as shown in the screen above, uses the following icons:
-<itemizedlist>
-
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="irc_normal.png" format="PNG"  /></imageobject></inlinemediaobject>
-normal user
-</para>
-</listitem>
-
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="irc_voice.png" format="PNG"  /></imageobject></inlinemediaobject>
-voiced user.  User may talk in a moderated channel.<!-- (see TODO) -->
-</para>
-</listitem>
-
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="irc_halfop.png" format="PNG"  /></imageobject></inlinemediaobject>
-channel halfop <!-- (see TODO) -->
-</para>
-</listitem>
-
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="irc_op.png" format="PNG"  /></imageobject></inlinemediaobject>
-channel operator
-</para>
-</listitem>
-
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="irc_owner.png" format="PNG"  /></imageobject></inlinemediaobject>
-channel owner <!-- (see TODO) -->
-</para>
-</listitem>
-
-<listitem>
-<para><inlinemediaobject><imageobject><imagedata fileref="irc_admin.png" format="PNG"  /></imageobject></inlinemediaobject>
-channel admin <!-- (see TODO) -->
-</para>
-</listitem>
-
-</itemizedlist>
-</para>
-
-<para>In addition, if a user is away, a small red cross will be drawn in the corner of the icon.
-<inlinemediaobject><imageobject><imagedata fileref="irc_away.png" format="PNG"  /></imageobject></inlinemediaobject></para>
-
-<para>
-Click with the &RMB; on any &nickname; to display a context menu of operations you can perform with that &nickname;.
-For example, you can <link linkend="dcc">send a file</link> to the &nickname;.
-This is also the place where you can <link linkend="linkaddressbook">associate a &nickname; to a contact in your address book.</link>
-</para>
-
-<para>To hide the <interface>Nick Panel</interface>, choose
-<menuchoice>
-	<guisubmenu>Window</guisubmenu>
-	<guisubmenu>Hide Nicklist</guisubmenu>
-</menuchoice> from the main menu.
-</para>
-
-</callout>
-
-<callout arearefs="pt-channeltour-9"><para>These are called the <interface>Quick Buttons</interface>.
-By default, they are not shown.  To display them, see
-<link linkend="quick-buttons">Configuring Quick Buttons</link>.
-You can customize their definitions to whatever commands you wish.</para></callout>
-
-</calloutlist>
-</para>
-
-<para><emphasis>Note </emphasis>You can control how messages are displayed in the
-message scroll of channel and query tabs.  For example, you can change the color
-of messages, play a sound when a message containing a string
-is received, or automatically reply to messages.
-See <link linkend="highlighting">
-Message highlighting</link> for more information.
-</para>
-
-<para><emphasis>Note: </emphasis>Channel names sometimes begin with <userinput>&amp;</userinput>, <userinput>&plus;</userinput>,
-or <userinput>!</userinput>.  The first character of a channel name determines the type of channel (RFC 2811) as follows:
-<itemizedlist>
-<listitem><para>
-<userinput>#</userinput>  - Regular channels.
-</para></listitem>
-<listitem><para>
-<userinput>!</userinput>  - Regular channels.
-</para></listitem>
-<listitem><para>
-<userinput>&amp;</userinput>  - Local.  Channels that can only be joined from the server hosting the channel.
-  All other channels can be joined from any server in the network.
-</para></listitem>
-<listitem><para>
-<userinput>&plus;</userinput>  - Channels that do not support channel modes.  This means
-   that all the modes are unset, with the exception of the 't' channel flag which is set.
-</para></listitem>
-</itemizedlist>
-Channel names are up to 50 characters long and may contain any characters except for space, comma, and Ctrl-G.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="quickconnect">
-<title>Quick Connect</title>
-
-<para>Sometimes you want to connect to a server without going through the trouble
-of creating a new server in the <link linkend="serverlist">Server List</link>.
-</para>
-
-<para>Choose
-<menuchoice>
-	<guisubmenu>File</guisubmenu>
-	<guisubmenu>Quick Connect</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Quick Connect</guilabel> screen will appear.</action>
-</para>
-
-<para>
-<screenshot>
-<screeninfo>The Quick Connect screen.</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="quickconnect_screen.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>The Quick Connect screen</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>Enter the server address in the <guilabel>Server host</guilabel> box, your desired
-&nickname; in the <guilabel>Nick</guilabel> box, and click the <guibutton>Connect</guibutton> button.
-When &konversation; has connected to the server, enter command
-<userinput><command>/join</command> <replaceable>#channelname</replaceable></userinput> to
-join a channel.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="irc-cmds">
-<title>Frequently-used &irc; commands</title>
-
-<para>The following is a short list of frequently-used &irc; commands.  See <ulink url="http://www.faqs.org/rfcs/rfc2812.html">RFC 2812</ulink> for a complete list of all commands, or
-visit <ulink url="http://www.irchelp.org/">irchelp.org</ulink>.  For a list of commands
-treated specially by &konversation;, see <link linkend="konvi-cmds">&konversation; commands</link>
-</para>
-
-<para>
-<variablelist>
-
-<varlistentry>
-<term><userinput><command>/help</command></userinput></term>
-<listitem><para>Lists commands available on the current server.  Not supported by all servers.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/help </command><replaceable>cmd</replaceable></userinput></term>
-<listitem><para>Provides help for <userinput><replaceable>cmd</replaceable></userinput>.  Not supported by all servers.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/join <replaceable>#channel</replaceable></command></userinput></term>
-<listitem><para>Joins <userinput><replaceable>#channel</replaceable></userinput>.  If the channel does not already exist, it is created and you are the channel operator.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/part</command></userinput></term>
-<listitem><para>Leaves the current channel and closes the <interface>channel</interface> tab.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/part </command> <replaceable>#channel</replaceable></userinput></term>
-<listitem><para>Leaves <userinput><replaceable>#channel</replaceable></userinput> and closes the corresponding <interface>channel</interface> tab.
-Synonym for <userinput><command>/leave</command></userinput></para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/me </command><replaceable>msg</replaceable></userinput></term>
-<listitem><para>Sends <userinput><replaceable>msg</replaceable></userinput> to the channel preceded by your &nickname;.  For example, if
-your &nickname; were <userinput><replaceable>Tux</replaceable></userinput>, typing <userinput><replaceable>/me brews a cup a tea.</replaceable></userinput> displays the message <interface>Tux brews a cup of tea.</interface>  Unless they've filtered against these types of messages, all users see it.  This kind of message is typically used to convey non-verbal information, such as your current emotional state, or what you are physically doing.  If you are leaving your workstation for a short time, use the /away command instead.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/away </command> <replaceable>msg</replaceable></userinput></term>
-<listitem><para>If anyone tries to send you a private message or invite you to a channel, they will be told that you are
-away from your workstation with <userinput><replaceable>msg</replaceable></userinput>.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/away</command></userinput></term>
-<listitem><para>Cancels an <userinput><command>/away </command> <replaceable>msg</replaceable></userinput> command.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/query </command><replaceable>nick</replaceable></userinput></term>
-<listitem><para>Creates a new tab with the user's <userinput><replaceable>nick</replaceable></userinput> for private conversation, commonly known on &irc; as a <link linkend="query">Query</link>. Everything written here is only visible to you and your query partner.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/msg </command><replaceable>nick</replaceable>  <replaceable>msg</replaceable></userinput></term>
-<listitem><para>Sends <userinput><replaceable>msg</replaceable></userinput> to the user with &nickname;  <userinput><replaceable>nick</replaceable></userinput>.
-Only <userinput><replaceable>nick</replaceable></userinput> sees the message.
-Use <userinput><command>/query</command></userinput> for longer conversations.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/invite </command><replaceable>nick</replaceable></userinput></term>
-<listitem><para>Invites the user with &nickname; <userinput><replaceable>nick</replaceable></userinput> to join a channel.  This command is especially useful if the channel is invite-only.</para></listitem>
-</varlistentry>
-
-</variablelist>
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="query">
-<title>Private conversations (queries)</title>
-
-<para>
-A private conversation is one that only you and one other person can see.  Private conversations are called "queries" in &konversation;.  To initiate a private conversation,
-type <userinput><command>/query </command><replaceable>nick</replaceable></userinput> in any input line,
-where <replaceable>nick</replaceable> is the &nickname; of the person you want to talk with.  You can also
-click with the &RMB; on the person's &nickname; in the <guilabel>Nick Panel</guilabel> and choose
-<menuchoice>
-	<guisubmenu>Open Query</guisubmenu>
-</menuchoice>
-<action>A new tab will be created</action>.  Announce yourself by sending a message.
-</para>
-
-<para>
-Queries are just like channels, except that only you and the other person can participate in the channel.</para>
-
-<para>
-To leave the query, just close the tab.  Note however, that if the other person sends you another message in the query, the tab will open again.</para>
-
-<para>To leave all queries, choose
-<menuchoice>
-	<guisubmenu>Window</guisubmenu>
-	<guisubmenu>Close All Open Queries</guisubmenu>
-</menuchoice> on the main menu, or press
-press <keycap>F11</keycap>.</para>
-
-<para>
-When someone else initiates a query with you, &konversation; creates a new tab with their
-&nickname;.  If you don't wish to talk with the person, close the tab.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="cfg-notifications">
-<title>Setting notifications</title>
-
-<para>
-<guilabel>Notifications</guilabel> are actions that &konversation; will perform whenever an event occurs.  Suppose you have &konversation; running, but minimized or hidden behind other application windows on your desktop.  If someone wants to communicate with you, or your buddy joins a channel, you'd like to be alerted.  Notifications will accomplish this.
-</para>
-
-<para>
-To configure notifications, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Notifications</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Notification Settings</guilabel> screen will appear.</action>
- </para>
-
-<para>Immediately click the <guibutton>More Options</guibutton> button.</para>
-
-<para>
-<screenshot>
-<screeninfo>The Notification Settings screen.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-notification-1" coords="1 1"/>
-				<area id="pt-notification-2" coords="1 1"/>
-				<area id="pt-notification-3" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="notification_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Notification Settings screen</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-notification-1"><para>Click here to select an event.</para></callout>
-
-<callout arearefs="pt-notification-2"><para>Check the types of notifications you'd like to happen when the event occurs.  (<guilabel>Mark taskbar entry</guilabel> causes the entry in the taskbar to flash when the event occurs.)</para></callout>
-
-</calloutlist>
-</para>
-
-<para>Repeat by selecting another event and checking the notifications desired.  When you've configured all the desired notifications, click the <guibutton>Apply</guibutton> button.</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-notification-3"><para>Once you've set up your notifications, you can enable or disable all notification actions here.  For example, you can choose to play a sound whenever your &nickname; is mentioned in a message.  When you are at your workstation, you can disable the sounds, but while you are away from your workstation but nearby, you can enable the sounds in order to get your attention.</para></callout>
-
-</calloutlist>
-</para>
-
-<tip><para>You can also alert yourself when someone mentions your &nickname;
-in a message using &konversation;'s
-<link linkend="highlighting">highlighting feature</link>.</para></tip>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="nicksonline">
-<title>Monitoring who is online</title>
-
-<para>
-&konversation; will keep you informed when your buddies are connected to the &irc; network
-or not.
-</para>
-
-<para>You can associate online &nickname;s with contact entries in your address book.
-When you do this, the &nickname; and &irc; network where the &nickname; is online are
-entered into the contact in the address book.  The &irc; network is recorded because &nickname;s
-are unique across a single &irc; network.  The &nickname; in two different &irc; networks
-is not necessarily the same person, but the same &nickname; on two different servers
-within the same &irc; network generally is the same person.</para>
-
-<note><para>This is why it is important to use the same <guilabel>Network</guilabel>
-for all servers in the same &irc; network, when <link linkend="serverlist">
-defining networks, servers, and auto join channels</link>.</para></note>
-
-<para>You can also define &nickname;s you want watched that are not in your address book.
-In this case also, each &nickname; has an associated &irc; network.  See below.</para>
-
-<para>To activate the &nickname; watching feature, choose
-<menuchoice>
-	<guisubmenu>Windows</guisubmenu>
-	<guisubmenu>Watched Nicks Online</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Watched Nicks Online</guilabel> screen will appear.</action>
-</para>
-
-<para>
-<screenshot>
-	<screeninfo>Watched Nicks Online.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-nicksonline-1" coords="1 1"/>
-				<area id="pt-nicksonline-2" coords="1 1"/>
-				<area id="pt-nicksonline-3" coords="1 1"/>
-				<area id="pt-nicksonline-4" coords="1 1"/>
-				<area id="pt-nicksonline-5" coords="1 1"/>
-				<area id="pt-nicksonline-6" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="nicksonline_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Watched Nicks Online</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-nicksonline-1"><para>The &nickname;s in your watch list and
-also the &nickname;s associated with entries in your address book are listed here.
-They are listed under their associated &irc; network.  If no &nickname;s are listed,
-either you haven't specified any &nickname;s to watch, or you need to activate
-the &nickname; watching feature (see below).  Expand each online &nickname; to see a list
-of channels the &nickname; has joined.  The icons next to each channel are the same as
-the icons that appear in the <interface>Nick Panel</interface> in the
-<link linkend="channel-screen-tour">channel</link> screens.
-</para></callout>
-<callout arearefs="pt-nicksonline-2"><para>The information known about the &nickname;
-is displayed here.  When the <guilabel>Watched Nicks Online</guilabel> screen is first
-displayed, this information is sparse.  Every 8 seconds,
-one <userinput><command>WHOIS</command></userinput> command is automatically sent to the server
-to request information for &nickname;s that do not have any information.  This continues until
-all &nickname;s have information.
-</para></callout>
-<callout arearefs="pt-nicksonline-3"><para>Nicknames that are not connected to any
-of the &irc; networks you are connected to are listed in the <guilabel>Offline</guilabel>
-part of the listing.
-</para></callout>
-<callout arearefs="pt-nicksonline-4"><para>Nicknames that are associated with
-a contact entry in your address book have this icon
-(<inlinemediaobject><imageobject><imagedata fileref="kaddressbook.png" format="PNG"  /></imageobject></inlinemediaobject>) next to their information.
-</para></callout>
-<callout arearefs="pt-nicksonline-5"><para>Use these buttons to associate a &nickname;
-with a contact in your address book, remove an association, or open the address book
-to edit the contact information.  See the
-<ulink url="help:kaddressbook">&kaddressbook; Handbook</ulink> for additional instructions
-on using the &kde; address book.
-</para></callout>
-</calloutlist>
-</para>
-
-<para>
-To add additional &nickname;s to watch, click the <guilabel>Edit Watch List</guilabel> button.
-The <guilabel>Watched Nicknames</guilabel> screen appears.
-</para>
-
-<para>
-<screenshot>
-<screeninfo>Watched Nicknames</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-notifylist-1" coords="1 1"/>
-				<area id="pt-notifylist-2" coords="1 1"/>
-				<area id="pt-notifylist-3" coords="1 1"/>
-				<area id="pt-notifylist-4" coords="1 1"/>
-				<area id="pt-notifylist-5" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="notifylist_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Watched Nicknames</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-notifylist-1"><para>Check this box to activate the <guilabel>nickname watcher</guilabel> feature.</para></callout>
-
-<callout arearefs="pt-notifylist-2"><para>If you want the
-<guilabel>Watched Nicks Online</guilabel> screen to automatically display when you
-open &konversation;, check this box.</para></callout>
-
-<callout arearefs="pt-notifylist-3"><para>The &nickname;s of the users you want to monitor are listed here.  Each &nickname; has an associated &irc; network.</para></callout>
-
-<callout arearefs="pt-notifylist-4"><para>Click these buttons to add or remove &nickname;s from the list.</para></callout>
-
-<callout arearefs="pt-notifylist-5"><para>The <guilabel>Watched Nicks Online</guilabel> feature works by periodically polling the server.  This box sets how often that occurs.  Avoid numbers less than 20 seconds because it places excessive load on the server.</para></callout>
-
-<callout arearefs="pt-notifylist-5"><para>In the <guilabel>Watched Nicks Online</guilabel>
-screen above, you may double click on any &nickname; and this command will be sent to the
-server.  <userinput><command>%u</command></userinput> will be replaced with the
-&nickname;.  The <userinput><command>%n</command></userinput> is required at the
-end of the command.</para></callout>
-
-</calloutlist>
-</para>
-
-<para>Click the <guibutton>OK</guibutton> button when you have finished adding or removing &nickname;s.</para>
-
-<para><emphasis>Note: </emphasis>Whenever you display the <guilabel>Watched Nicks Online</guilabel> screen, it may take a while before any &nickname;s are displayed until &konversation; has polled the server.  Normally, you leave the <guilabel>Watched Nicks Online</guilabel> screen running.
-</para>
-
-<para>&konversation; also displays a message in all the <link linkend="channel-screen-tour">channels</link> whenever a user in
-your <guilabel>Watched Nicknames</guilabel> list connects or disconnects from the server.  The message looks like this:
-</para>
-
-<para><computeroutput>[17:52] [Notify] psn is online (irc.kde.org).</computeroutput></para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="highlighting">
-<title>Message highlighting</title>
-
-<para>You can control how messages are displayed in channel and query screens.</para>
-
-<para>To activate the highlighting feature, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure &konversation;</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Edit Preferences</guilabel> screen will appear.</action>
- </para>
-
-<para>
-<screenshot>
-<screeninfo>The Highlighting screen.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-highlight-1" coords="1 1"/>
-				<area id="pt-highlight-2" coords="1 1"/>
-				<area id="pt-highlight-3" coords="1 1"/>
-				<area id="pt-highlight-4" coords="1 1"/>
-				<area id="pt-highlight-5" coords="1 1"/>
-				<area id="pt-highlight-6" coords="1 1"/>
-				<area id="pt-highlight-7" coords="1 1"/>
-				<area id="pt-highlight-8" coords="1 1"/>
-				<area id="pt-highlight-9" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="highlighting_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Highlighting screen</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-highlight-1"><para>Click here to select the <guilabel>Highlighting</guilabel> screen.</para></callout>
-<callout arearefs="pt-highlight-2"><para>Click here to add a new item
-to the <guilabel>Highlight list</guilabel>.
-When an item in the list is selected, you may edit it in the panel below.</para></callout>
-<callout arearefs="pt-highlight-3"><para>Enter a string pattern here.
-Any message received that matches this pattern, anywhere in the message, will activate
-the highlighting for the message.  If you have the &kde; Regular Expression Editor
-utility installed on your system, the button to the right of the pattern will
-be enabled.  Click to display the editor, which will assist you
-in preparing more complex patterns.  (The &kde; Regular Expression Editor
-is part of the <command>kdeutils</command> package.)
-</para></callout>
-<callout arearefs="pt-highlight-4"><para>If the pattern is found
-in a message, the entire message will be displayed
-in the color you select here.</para></callout>
-<callout arearefs="pt-highlight-5"><para>If you wish, &konversation; will
-play a sound when the pattern is matched.  Click the button to choose
-an audio file to be played.  Click the test button to hear the sound.</para></callout>
-<callout arearefs="pt-highlight-6"><para>If you'd like for &konversation; to
-automatically send a reply message when the pattern is matched, enter the
-message here.  Use this feature with caution, as you may annoy &irc; users
-with too much chatter if not careful.  You can also enter
-&irc; or &konversation; commands here.</para></callout>
-<callout arearefs="pt-highlight-7"><para>If you have configured sounds
-for any of your highlights, you can disable all of them by unchecking
-this box.</para></callout>
-<callout arearefs="pt-highlight-8"><para>If you check this box,
-whenever someone mentions your &nickname; in a message, the message
-will be displayed in the color you choose at the right.</para></callout>
-<callout arearefs="pt-highlight-9"><para>Normally, highlighting
-does not apply to messages you type.  If you wish to highlight the
-messages you type, check this box and choose a color at the right.</para></callout>
-
-</calloutlist>
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="cfg-osd">
-<title>Configuring On Screen Display (&osd;)</title>
-
-<para><acronym>On Screen Display</acronym> (&osd;) is a unique feature of &konversation;.  With &osd; turned on,
- channel messages will appear on your desktop screen, even if &konversation; is minimized.  Here's an example of &osd; in
-  action.  The message in the upper lefthand part of the screen is from &konversation;, which is running
-minimized in the system tray.</para>
-
-<para>
-<screenshot>
-<screeninfo>Example of On Screen Display</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="osd_demo.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>Example of On Screen Display</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>To activate &osd;, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure &konversation;</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Edit Preferences</guilabel> screen will appear.</action>
- </para>
-
-<para>
-<screenshot>
-<screeninfo>The On Screen Display screen.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-osd-1" coords="1 1"/>
-				<area id="pt-osd-2" coords="1 1"/>
-				<area id="pt-osd-3" coords="1 1"/>
-				<area id="pt-osd-4" coords="1 1"/>
-				<area id="pt-osd-5" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="osd_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The On Screen Display screen</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-osd-1"><para>Click here to expand the <guilabel>Notification</guilabel> item.</para></callout>
-
-<callout arearefs="pt-osd-2"><para>Click here to select the <guilabel>On Screen Display</guilabel> screen.</para></callout>
-
-<callout arearefs="pt-osd-3"><para>Check this box to activate &osd;.</para></callout>
-
-<callout arearefs="pt-osd-4"><para>Click this button to choose a font for &osd;.  (<emphasis>Note: </emphasis> Not all fonts work.  Luxi Sans 22 and Impact 22 are known to work.)</para></callout>
-
-<callout arearefs="pt-osd-5"><para>Check the boxes here to select the types of messages you'd like to appear on screen, then click the <guibutton>Apply</guibutton> button.</para></callout>
-
-</calloutlist>
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="color-msgs">
-<title>Sending colorful messages</title>
-
-<para>
-You can add color to the messages you send in any channel.  In the <interface>Input Line</interface> of any channel, start typing your message.  Click the
-<inlinemediaobject>
-	<imageobject>
-		<imagedata fileref="colorize.png" format="PNG" />
-	</imageobject>
-	<textobject>
-		<phrase>Insert &irc; Color Button</phrase>
-	</textobject>
-</inlinemediaobject>
-Insert &irc; Color button or choose
-<menuchoice>
-	<guisubmenu>Insert</guisubmenu>
-	<guisubmenu>&irc; Color</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>&irc; Color Chooser</guilabel> screen will appear.</action>
-</para>
-
-<para>
-<screenshot>
-<screeninfo>The &irc; Color Chooser screen.</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="colorchooser_screen.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>The &irc; Color Chooser screen</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>
-Choose a color and click <guibutton>OK</guibutton>.  Continue typing your message in the <interface>Input Line</interface>.
-To change the color again, click the <guibutton>Insert &irc; Color</guibutton>  button.  Choose a different color
-and click <guibutton>OK</guibutton>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="nickthemes">
-<title>Configuring &nickname; themes</title>
-
-<para>You can change the icons displayed next to &nickname;s in the
-<interface>Nick Panel</interface> of channel tabs.
-To change the &nickname; theme, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Edit Preferences</guilabel> screen will appear.</action>
- Click <guilabel>Appearance</guilabel> to expand it, then click <guilabel>Themes</guilabel>
- to display the <guilabel>Themes</guilabel> screen.
- </para>
-
-<para>
-<screenshot>
-<screeninfo>The Themes screen.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-themes-1" coords="1 1"/>
-				<area id="pt-themes-2" coords="1 1"/>
-				<area id="pt-themes-3" coords="1 1"/>
-				<area id="pt-themes-4" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="nickthemes_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Themes screen</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-themes-1"><para>Click to select the nick <guilabel>Themes</guilabel> screen.</para></callout>
-<callout arearefs="pt-themes-2"><para>Select a theme.</para></callout>
-<callout arearefs="pt-themes-3"><para>Sample icons are displayed here in the chosen theme.</para></callout>
-<callout arearefs="pt-themes-4"><para>If you have downloaded a nick theme
-from elsewhere, click to install it.</para></callout>
-
-</calloutlist>
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="quick-buttons">
-<title>Configuring Quick Buttons</title>
-
-<para>You can enable a feature to display <interface>Quick Buttons</interface> on the <link linkend="channel-screen-tour">Main</link> screen, eight <interface>Quick Buttons</interface> appear.  To display the Quick Buttons, choose
-<menuchoice>
-    <guisubmenu>Settings</guisubmenu>
-    <guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice>
-on the main menu.  <action>The <guilabel>Edit Preferences</guilabel> screen will appear.</action>
-Click <guilabel>Appearance</guilabel> to expand it, then click <guilabel>Chat Window</guilabel>.
-Check the <guilabel>Show quick buttons</guilabel> box and click <guibutton>OK</guibutton>.
-</para>
-
-<para>The buttons may be customized to your liking for performing often-used &irc;
-commands.
-To customize the <interface>Quick Buttons</interface>, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Edit Preferences</guilabel> screen will appear.</action>
- Click <guilabel>Behavior</guilabel> to expand it, then click <guilabel>Quick Buttons</guilabel>
- to display the <guilabel>Quick Buttons</guilabel> screen.
- </para>
-
-<para>
-<screenshot>
-<screeninfo>The Quick Buttons screen</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="quickbuttons_screen.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>The Quick Buttons screen</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>
-There are 8 <interface>Quick Button</interface>s.  Click on an entry to change it.
-The <guilabel>Button name</guilabel> column is the name that
-will appear on the button in the <link linkend="channel-screen-tour">Main</link> screen.  Keep the names short.
-The <guilabel>Button Action</guilabel> column is the action that will be performed when you click the
-<interface>Quick Button</interface>.  Tips for creating actions are given on the screen.
-</para>
-
-<para>
-Click <guibutton>OK</guibutton> to complete the changes.
-</para>
-
-<para>Example:</para>
-
-<para>
-<variablelist>
-	<varlistentry>
-		<term>
-			<guilabel>Button Name</guilabel>: <userinput><replaceable>Msg</replaceable></userinput>
-		</term>
-		<listitem>
-			<para>
-				<guilabel>Button Action</guilabel>: <userinput><replaceable>Msg %u </replaceable></userinput> (there is a space after <userinput><replaceable>%u</replaceable></userinput>)
-			</para>
-		</listitem>
-	</varlistentry>
-</variablelist>
-</para>
-
-<para>
-To use this button in the <link linkend="channel-screen-tour">Main</link> screen,
-click on a &nickname; in the <interface>Nick Panel</interface>, then click the button.
-<computeroutput>/MSG </computeroutput> will appear in the <interface>Input Line</interface>
-followed by the chosen &nickname;.  Type a message you want to send to that person and press
-&Enter;.  The message will be sent to the user.  Only that user will see the message.
-</para>
-
-<para>
-<emphasis>Note: </emphasis>You cannot add or delete <interface>Quick Buttons</interface>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="dcc">
-<title>Sending and receiving files</title>
-
-<para>
-You may send files via &irc; to other users online, or they may send you files.
-</para>
-
-<para>
-<emphasis>WARNING: Never open a file someone sends you unless they are a trusted source.  It could be a virus.</emphasis>
-</para>
-
-<para>
-To send a file to someone in a channel, click with the &RMB; on the &nickname; of the person in the
-<interface>Nick Panel</interface> of the <link linkend="channel-screen-tour">Main</link> screen.
-Choose
-<menuchoice>
-	<guisubmenu>Send File</guisubmenu>
-</menuchoice>
-<action>A dialog appears for you to choose a file to send.</action>  Next, a new <guilabel>DCC Status</guilabel> tab appears.
-</para>
-
-<para>
-<screenshot>
-<screeninfo>DCC Status tab</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-dccstatus-1" coords="1 1"/>
-				<area id="pt-dccstatus-2" coords="1 1"/>
-				<area id="pt-dccstatus-3" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="dccstatus_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>DCC Status tab</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-dccstatus-1"><para>The &nickname; of the recipient and file name appear here.</para></callout>
-
-<callout arearefs="pt-dccstatus-2">
-<para>The <guilabel>Status</guilabel> column indicates the status of the file send or receive as follows:</para>
-
-<para>
-<variablelist>
-	<varlistentry>
-		<term>
-			<guilabel>Offering</guilabel>
-		</term>
-		<listitem>
-			<para>You are trying to send a file to the recipient.  &konversation; is waiting for the recipient to accept the file.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Connecting</guilabel>
-		</term>
-		<listitem>
-			<para>&konversation; is trying to establish a connection with the other end.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Sending</guilabel>
-		</term>
-		<listitem>
-			<para>&konversation; is sending the file to the other end.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Receiving</guilabel>
-		</term>
-		<listitem>
-			<para>&konversation; is receiving the file from the other end.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Done</guilabel>
-		</term>
-		<listitem>
-			<para>The file has been successfully transfered.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Stalled</guilabel>
-		</term>
-		<listitem>
-			<para>The transfer was started but is not currently progressing.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Aborted</guilabel>
-		</term>
-		<listitem>
-			<para>Either you clicked the <guibutton>Abort</guibutton> button, or the other person aborted the transfer.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Failed</guilabel>
-		</term>
-		<listitem>
-			<para>An error occurred and the transfer was not successful..
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Queued</guilabel>
-		</term>
-		<listitem>
-			<para>The transfer has been accepted and will begin when the software on the receiving end acknowledges.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Lookup</guilabel>
-		</term>
-		<listitem>
-			<para>&konversation; is trying to get the IP number of the sender.
-			</para>
-		</listitem>
-	</varlistentry>
-	<varlistentry>
-		<term>
-			<guilabel>Resuming</guilabel>
-		</term>
-		<listitem>
-			<para>When a transfer begins but the file already exists on the user's system, the user will be prompted <interface>File already exists.  Resume transfer?</interface> This status indicates the user resumed the transfer.
-			</para>
-		</listitem>
-	</varlistentry>
-</variablelist>
-</para>
-
-</callout>
-
-<callout arearefs="pt-dccstatus-3">
-<para>When someone wants to send you a file, the <guilabel>DCC Status</guilabel> tab will be created (if not already created).  Click the <guilabel>DCC Status</guilabel> tab to display it.  Click the file to select it, then click this button to accept the file and the transfer will begin.  <emphasis>Note: </emphasis>You may configure &konversation; to automatically accept sends from other
-people by choosing
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-	<guisubmenu>DCC Settings</guisubmenu>
-</menuchoice> on the main menu.
-</para>
-</callout>
-
-</calloutlist>
-</para>
-
-<para>
-If you have trouble sending or receiving files, your firewall or router may be blocking DCC ports.
-See <link linkend="faq">Questions and Answers</link>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="linkaddressbook">
-<title>Integrating with &kaddressbook;</title>
-
-<para>You can associate any &nickname; with a contact in &kaddressbook;.
-Once you've done this, &konversation; will display the contact real name
-in parenthesis after the &nickname; in the <interface>Nick Panel</interface>.
-</para>
-
-<para>
-To associate a &nickname; with a contact in &kaddressbook;,
-click with the &RMB; on the &nickname; of the person in the
-<interface>Nick Panel</interface> of the <link linkend="channel-screen-tour">Main</link> screen.  Choose
-<menuchoice>
-	<guisubmenu>Whois</guisubmenu>
-</menuchoice>
-to <action>display information to help you determine the user's real name</action>.
-Next, click with the &RMB; on the &nickname; of the person again and choose
-<menuchoice>
-	<guisubmenu>Addressbook associations</guisubmenu>
-</menuchoice>.
-  <action>A submenu appears</action>.  If the &nickname; is not already associated with a contact,
-choose
-<menuchoice>
-	<guisubmenu>Create new contact</guisubmenu>
-</menuchoice>.
-  <action>The <guilabel>Edit Contact</guilabel> screen appears</action>.
-</para>
-
-<para>
-<screenshot>
-<screeninfo>The Edit Contact screen.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-kimproxy-create-1" coords="1 1"/>
-				<area id="pt-kimproxy-create-2" coords="1 1"/>
-				<area id="pt-kimproxy-create-3" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="kimproxy_create_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Edit Contact screen.</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-kimproxy-create-1"><para>The &nickname; is automatically filled in here.
-If you know the person's real name, replace the &nickname; with the real name.
-</para></callout>
-
-<callout arearefs="pt-kimproxy-create-2">
-<para>Notice that the &nickname; does <emphasis>not</emphasis> appear here.  Instead, ..</para>
-</callout>
-
-<callout arearefs="pt-kimproxy-create-3">
-<para>Click here.  The <guilabel>IM Addresses</guilabel> window appears.</para></callout>
-
-</calloutlist>
-</para>
-
-<para>
-<screenshot>
-	<screeninfo>The IM Addresses Window.</screeninfo>
-	<mediaobject>
-		<imageobject>
-			<imagedata fileref="kimproxy_create_screen2.png" format="PNG"/>
-		</imageobject>
-		<textobject>
-			<phrase>The IM Addresses Window.</phrase>
-		</textobject>
-	</mediaobject>
-</screenshot>
-</para>
-
-<para>Notice that &konversation; fills in the &nickname; for you with protocol
-<guilabel>IRC</guilabel>.
-</para>
-
-<para>See the
-<ulink url="help:kaddressbook">&kaddressbook; Handbook</ulink> for additional instructions
-on using the &kde; address book.</para>
-
-<para>Fill in any additional information about the &nickname; you know and click
-<guilabel>OK</guilabel>.  The real name of the person will appear inside
-parenthesis next to the &nickname; in the <guilabel>Nick Panel</guilabel>
-of &konversation;.  The real name also appears when the mouse hovers over
-the &nickname;.</para>
-
-<para>Once a &nickname; has been associated with a contact in &kaddressbook;,
-you can click with the &RMB; on the &nickname; of the person in the
-<interface>Nick Panel</interface> and edit the associated contact, associate
-the &nickname; with a different contact, or delete the association.
-</para>
-
-<para>If you have associated a &nickname; with a contact, and the user changes their &nickname; while you are running &konversation;,
-it will automatically associate the new &nickname; with the contact, keeping the
-original association as well.</para>
-
-<para>If you associate an &irc; &nickname; with a contact in
-<ulink url="help:kopete">&kopete;</ulink>,
-the association will also appear in &konversation;, and vice versa.</para>
-
-<para>Note: It is possible to highlight more than one &nickname; in the
-<interface>Nick Panel</interface>, click with the mouse &RMB;, and perform
-multiple associations.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="urlcatcher">
-<title>Capturing &URL;s from messages</title>
-
-<para>In any <link linkend="channel-screen-tour">channel</link>, users sometimes post the &URL;s of interesting
-websites or other resources on the web.  You can double-click any such &URL; and &konversation; will launch
-the application associated with the &URL;.
-The application launched depends upon the &MIME; type of the &URL;.
-For example, a &URL; beginning with
-<interface>http:</interface> will activate your default &kde; web browser and display the web page.
-(You can also specify the <link linkend="webbrowser">web browser</link> to use.)
-If the &URL; scrolls off the screen, you might have trouble finding it
-again.  &konversation; can keep a convenient list of all &URL;s for you.  To activate this feature, choose
-<menuchoice>
-	<guisubmenu>Windows</guisubmenu>
-	<guisubmenu>&url; Catcher</guisubmenu>
-</menuchoice> on the main menu.
-<action>A new tab called <guilabel>&url; Catcher</guilabel> is created.</action>
-</para>
-
-<para>
-<screenshot>
-<screeninfo>The &url; Catcher tab.</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-urlcatcher-1" coords="1 1"/>
-				<area id="pt-urlcatcher-2" coords="1 1"/>
-				<area id="pt-urlcatcher-3" coords="1 1"/>
-				<area id="pt-urlcatcher-4" coords="1 1"/>
-				<area id="pt-urlcatcher-5" coords="1 1"/>
-				<area id="pt-urlcatcher-6" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="urlcatcher_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The &url; Catcher tab.</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-urlcatcher-1"><para>This is the list of &URL;s seen since you started &konversation;.  The <guilabel>Nick</guilabel> column is the &nickname; of the person who posted the &URL;.  If the &nickname; is blank, the &url; appeared in a <interface>Server Messages</interface> tab.  (&URL;s appearing in join and leave messages
-are not listed.)  Click on a &URL; to select it.</para></callout>
-
-<callout arearefs="pt-urlcatcher-2"><para>Click here to activate the application associated with the selected &URL;.
-The application launched depends upon the &MIME; type of the &URL;.  For example, a &URL; beginning with
-<interface>http:</interface> will activate your default web browser and display the web page.  For web pages, you can
-also specify the <link linkend="webbrowser">web browser</link> to use.</para></callout>
-
-<callout arearefs="pt-urlcatcher-3"><para>Click here to copy the selected &URL; to the &kde; clipboard..</para></callout>
-
-<callout arearefs="pt-urlcatcher-4"><para>Click here to delete the selected  &URL; from the list.</para></callout>
-
-<callout arearefs="pt-urlcatcher-5"><para>Click here to save the list of &URL;s to a file.</para></callout>
-
-<callout arearefs="pt-urlcatcher-6"><para>Click here to clear the list.</para></callout>
-
-</calloutlist>
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="webbrowser">
-<title>Setting your preferred web browser</title>
-
-<para>When you click on a highlighted &URL; anywhere in &konversation;, it will launch the default
-&kde; application associated with the &MIME; type of the &URL;.  For example, when clicking on
-a &URL; beginning with <interface>http</interface>, &konqueror; is launched to display the
-web page.  You can specify an application different from the &kde; default.  For example, you can
-use Mozilla instead.
-</para>
-
-<para>To choose a different web browser, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure &konversation;</guisubmenu>
-</menuchoice>
- on the main menu.  <action>The <guilabel>Edit Preferences</guilabel> screen will appear.</action>
- </para>
-
- <para>
-<screenshot>
-<screeninfo>The Web Browser screen</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-webbrowser-1" coords="1 1"/>
-				<area id="pt-webbrowser-2" coords="1 1"/>
-				<area id="pt-webbrowser-3" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="webbrowser_screen_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>The Web Browser screen</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-
-<callout arearefs="pt-webbrowser-1"><para>Click here to display the <guilabel>Web Browser</guilabel> screen.</para></callout>
-
-<callout arearefs="pt-webbrowser-2"><para>Click here to specify that you want to use a custom web browser.</para></callout>
-
-<callout arearefs="pt-webbrowser-3"><para>Enter the command to launch your desired web browser.
-When you click on a &URL; <userinput><replaceable>%u</replaceable></userinput> will be replaced with the &URL;.</para></callout>
-
-</calloutlist>
-</para>
-
-<para><emphasis>Tip: </emphasis>(&UNIX; systems only) The default command is <userinput>mozilla '%u'</userinput>, which will
-start a new instance of Mozilla each time you click on a &URL;.  If you prefer that Mozilla display the web page
-in a new tab of an already-running instance, create a file containing the following:
-</para>
-
-<para>
-<literallayout>
-#!/bin/sh
-mozilla -remote "openURL($@, new-tab)" || exec mozilla "$@";
-</literallayout>
-</para>
-
-<para>Name the file <userinput><replaceable>moz</replaceable></userinput>, place it in the PATH, and
-make it executable (<userinput>chmod a+x moz</userinput>).  Then enter <userinput>
-<replaceable>moz '%u'</replaceable></userinput> for the web browser command in the screen above.
-</para>
-
-<para><emphasis>Note: </emphasis>The <guilabel>Web Browser</guilabel> setting does not apply to
-<interface>mailto:</interface> &URL;s.  <interface>mailto:</interface> &URL;s always launch the default
-&kde; mailer.
-</para>
-
-<para>Click <guibutton>Apply</guibutton> to save your changes.  You must reconnect to each server and
-channel for the changes to take effect.  The easiest way to do this is to quit and restart &konversation;.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="rememberlines">
-<title>Marking Channel and Query Logs</title>
-
-<para>You can insert a marker into <link linkend="channel-screen-tour">channel</link>
-and <link linkend="query">query</link> screens
-to help you quickly locate information.  To do this, choose
-<menuchoice>
-	<guisubmenu>Insert</guisubmenu>
-	<guisubmenu>Remember Line</guisubmenu>
-</menuchoice>
-on the main menu, or press <keycombo action="simul">&Ctrl;<keycap>R</keycap></keycombo>.
-  <action>A line will appear at the bottom of the text on the screen.
- The line will scroll with the rest of the text in the screen.</action>
-</para>
-
-<para>To make the <interface>Remember Line</interface>
-be inserted in all channels and queries at once, choose
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure Konversation</guisubmenu>
-</menuchoice> from the main menu, expand <guilabel>Behavior</guilabel>,
-click on <guilabel>Chat Window</guilabel>, and check the
-<guilabel>Show remember line in all channels/queries</guilabel> box.
-</para>
-
-<para>To make &konversation; automatically insert a
-<interface>Remember Line</interface> whenever you do an
-<userinput><command>/away</command> <replaceable>msg</replaceable></userinput>
-command, see <link linkend="identity-away">Setting your identity</link>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="logging">
-<title>Logging</title>
-
-<para>If logging is enabled, &konversation; keeps a log of each <interface>Server</interface>,
-<link linkend="channel-screen-tour">Channel</link>, and
-<link linkend="query">Private conversation (query)</link> session.
-Each session is stored in a log file on disk.
-When you open the same session again, &konversation; appends to the log.
-The log grows to a limit you can set (see below).  When the limit is reached, the oldest
-messages are discarded.
-</para>
-
-<para>Whenever you open a session again, approximately the last 1024 characters
-of the previous session are read from the tail of the log and shown on the screen.
-</para>
-
-<para>As your session continues, messages scroll off the top of the display.
-You can scroll backwards to view these messages.  Eventually, in order to conserve
-memory, the oldest messages are discarded from the scroll.  This is called
-the <guilabel>Scrollback limit</guilabel>.  Messages that disappear from the display
-because of the <guilabel>Scrollback limit</guilabel> are still available in the log
-file, if logging is enabled.</para>
-
-<para>To view the logfile for a session, click the tab for the session to make it the
-current session and choose
-<menuchoice>
-	<guisubmenu>Window</guisubmenu>
-	<guisubmenu>Open Logfile</guisubmenu>
-</menuchoice> from the main menu.  <action>A new tab appears</action> displaying
-the log file.
-</para>
-
-<para>
-<screenshot>
-<screeninfo>Logfile</screeninfo>
-	<mediaobjectco>
-		<imageobjectco>
-			<areaspec units="calspair">
-				<area id="pt-logviewer-1" coords="1 1"/>
-				<area id="pt-logviewer-2" coords="1 1"/>
-				<area id="pt-logviewer-3" coords="1 1"/>
-				<area id="pt-logviewer-4" coords="1 1"/>
-				<area id="pt-logviewer-5" coords="1 1"/>
-			</areaspec>
-			<imageobject>
-				<imagedata fileref="logviewer_co.png" format="PNG"/>
-			</imageobject>
-		</imageobjectco>
-		<textobject>
-			<phrase>Logfile</phrase>
-		</textobject>
-	</mediaobjectco>
-</screenshot>
-</para>
-
-<para>
-<calloutlist>
-<callout arearefs="pt-logviewer-1"><para>The messages in the log file are displayed here.
-The oldest messages are at the top and the most recent are at the bottom.</para></callout>
-<callout arearefs="pt-logviewer-2"><para>Click this button to save the log file to another file.</para></callout>
-<callout arearefs="pt-logviewer-3"><para>Click to refresh the log file display.
-While you are viewing a log file, newer messages in the corresponding
-session are <emphasis>not</emphasis> automatically added to the log file
-display.  Use this button to view the most recent messages.</para></callout>
-<callout arearefs="pt-logviewer-4"><para>Click to erase the log file display
-and the log file on disk.</para></callout>
-<callout arearefs="pt-logviewer-5"><para>Use this box to set the maximum size
-of the log file.  This setting does not take effect until you restart
-&konversation;.  Each log file may have a separate setting.</para></callout>
-</calloutlist>
-</para>
-
-<para>The <guilabel>Scrollback limit</guilabel> can be changed by choosing
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure &konversation;</guisubmenu>
-</menuchoice> on the main menu, then expand <guilabel>Behavior</guilabel> and
-click on <guilabel>Chat Window</guilabel>.  The <guilabel>Scrollback limit</guilabel>
-box appears on this screen.  If you set it to <guilabel>Unlimited</guilabel>,
-messages are not discarded from the scroll.
-</para>
-
-<para>You can enable or disable logging and set other logging options, by choosing
-<menuchoice>
-	<guisubmenu>Settings</guisubmenu>
-	<guisubmenu>Configure &konversation;</guisubmenu>
-</menuchoice> on the main menu, then expand <guilabel>Behavior</guilabel> and
-click on <guilabel>Logging</guilabel>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="konvi-cmds">
-<title>&konversation; commands</title>
-
-<para>The following commands are interpreted by &konversation; and may differ from standard
-&irc; commands.  Items inside square brackets are optional.  Items separated by bar (|) are
-alternate forms of the command.  Commands not listed here are sent to the server as entered.
-</para>
-
-<para>
-<variablelist>
-
-<varlistentry>
-<term><userinput><command>/me</command> <replaceable>msg</replaceable></userinput></term>
-<listitem><para>Sends <userinput><replaceable>msg</replaceable></userinput> to the channel preceded by your &nickname;.  For example, if
-your &nickname; were <userinput><replaceable>Tux</replaceable></userinput>, typing <userinput><replaceable>/me brews a cup a tea.</replaceable></userinput> displays the message <interface>Tux brews a cup of tea.</interface>  Unless they've filtered against these types of messages, all users see it.  This kind of message is typically used to convey non-verbal information, such as your current emotional state, or what you are physically doing.  If you are leaving your workstation for a short time, use the /away command instead.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/ame</command> <replaceable>msg</replaceable></userinput></term>
-<listitem><para>Like the <userinput><command>/me</command></userinput> command above except that
-the message is sent to all the channels and queries you have open on all the servers you have connected in &konversation;.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/join</command> <replaceable>channel</replaceable> <replaceable>[pwd]</replaceable></userinput></term>
-<listitem><para>Joins <userinput><replaceable>channel</replaceable></userinput>.  If the server permits it,
-and if the channel does not already exist, it is created and you are the channel operator.  If the channel requires a password in order to join, specify as <userinput><replaceable>pwd</replaceable></userinput>.  Most channel names begin with <userinput><replaceable>#</replaceable></userinput></para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/j</command> <replaceable>channel</replaceable> <replaceable>[pwd]</replaceable></userinput></term>
-<listitem><para>Same as <userinput><command>/join</command></userinput> above.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/part</command> <replaceable>[channel]</replaceable> <replaceable>[reason]</replaceable></userinput></term>
-<listitem><para>Leaves <userinput><replaceable>channel</replaceable></userinput> with <userinput><replaceable>reason</replaceable></userinput> and closes the corresponding <interface>channel</interface> tab.
-Within a &konversation; channel or query tab, you can just enter  <userinput><command>/part</command></userinput> which closes that channel or query with your default reason
-as given in the <link linkend="identity">Settings</link>.</para></listitem>
-</varlistentry>
-
-<varlistentry><term><userinput><command>/leave</command> <replaceable>[channel]</replaceable> <replaceable>[reason]</replaceable></userinput></term>
-<listitem><para>Same as <userinput><command>/part</command></userinput> above.</para></listitem>
-</varlistentry>
-
-<varlistentry><term><userinput><command>/quit</command></userinput></term>
-<listitem><para>When entered in any channel, query, or DCC tab, disconnects from the corresponding server
-and closes all channel, query, or DCC tabs open on that server.</para></listitem>
-</varlistentry>
-
-<varlistentry><term><userinput><command>/notice</command> <replaceable>nick|channel</replaceable> <replaceable>msg</replaceable></userinput></term>
-<listitem><para>Sends <userinput><replaceable>msg</replaceable></userinput> to the user with &nickname; <userinput><replaceable>nick</replaceable></userinput> or to everyone in <userinput><replaceable>channel</replaceable></userinput>.  The following is an example
-of what appears to you in the channel tab</para>
-
-<para><computeroutput>[17:14] [Notice] Sending notice "I think I understand" to #konversation</computeroutput></para>
-
-<para>And this is what the recipients see</para>
-
-<para><computeroutput>[17:15] [Notice] -Eisfuchs- I think I understand</computeroutput></para>
-
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/query </command><replaceable>nick</replaceable></userinput></term>
-<listitem><para>Creates a new tab with the user's <userinput><replaceable>nick</replaceable></userinput> for private conversation, commonly known on &irc; as a <link linkend="query">Query</link>. Everything written here is only visible to you and your query partner.  You may enter more than one &nickname; separated by spaces and a query tab will be opened for each &nickname;.  Each such query tab will be private between you and the query partner.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/msg </command><replaceable>nick|channel</replaceable></userinput>
- <userinput><replaceable>message</replaceable></userinput></term>
-<listitem><para>Sends a private message to the user with &nickname; <userinput><replaceable>nick</replaceable></userinput> or to all users in <userinput><replaceable>channel</replaceable></userinput>.  Unlike <userinput><command>/query</command></userinput>,
-does not open a new tab.  If <userinput><replaceable>message</replaceable></userinput> begins with <userinput><command>/me </command></userinput>, the message is formatted in the same manner as a
-<userinput><command>/me</command></userinput> command.</para>
-
-<para>Examples</para>
-
-<para><userinput><replaceable>/msg Eisfuchs I need some help with the msg command</replaceable></userinput></para>
-
-<para><userinput><replaceable>/msg #konversation New version of Konvi is online!</replaceable></userinput></para>
-
-<para><userinput><replaceable>/msg Eisfuchs /me is compiling the Handbook right now.</replaceable></userinput></para>
-
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/smsg </command><replaceable>nick|channel</replaceable></userinput>
-<userinput><replaceable>message</replaceable></userinput></term>
-<listitem><para>Same as <userinput><command>/msg</command></userinput> except the message is not
-displayed on your screen.  This is useful for preventing passwords and other sensitive information from remaining exposed on your screen or being logged.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/amsg </command><replaceable>nick|channel</replaceable></userinput>
- <userinput><replaceable>message</replaceable></userinput></term>
-<listitem><para>Like the <userinput><command>/msg</command></userinput> command above except that
-the message is sent to all the channels and queries you have open on all the servers you have connected in &konversation;.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/op </command> <replaceable>nick</replaceable></userinput></term>
-<listitem><para>When entered into a channel tab, attempts to give
- <userinput><replaceable>nick</replaceable></userinput> operator privilege for the
-channel.  May not work if you lack sufficient privilege in the channel (you must be a
-channel operator yourself).  You may enter more than one &nickname; separated by spaces.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/deop </command><replaceable>nick</replaceable></userinput></term>
-<listitem><para>When entered into a channel tab, takes away channel operator privilege from
-<userinput><replaceable>nick</replaceable></userinput>.  You may enter more than one &nickname; separated by spaces.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/oper </command><replaceable>[nick]</replaceable></userinput></term>
-<listitem><para>Grants the user with &nickname; <userinput><replaceable>nick</replaceable></userinput> &irc;-Op (Administrator) privilege.  This only works if the &nickname; is listed in the server's O: line.  &irc;-Ops
-have the privilege to <userinput><command>/kill</command></userinput> &nickname;s,
-<userinput><command>/connect</command></userinput> servers to the &irc; network, and more.
-If <userinput><replaceable>nick</replaceable></userinput> is not entered,
-attempts to grant yourself &irc;-Op privilege.  You will be prompted for your &irc;-Op user name and password in either case.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/voice </command> <replaceable>nick</replaceable></userinput></term>
-<listitem><para>In certain channels (with +m flag), users cannot send messages unless they have voice privilege.
-This command attempts to give <userinput><replaceable>nick</replaceable></userinput> voice privilege.
-You must have channel operator privilege to execute this command.  This command is mostly used
-when you are an operator for a moderated channel.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/unvoice </command> <replaceable>nick</replaceable></userinput></term>
-<listitem><para>Takes away voice privilege from <userinput><replaceable>nick</replaceable></userinput> in the channel.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/topic </command><replaceable>[channel]</replaceable> <replaceable>[message]</replaceable></userinput></term>
-<listitem><para>Attempts to set the topic of <userinput><replaceable>channel</replaceable></userinput> to
-<userinput><replaceable>message</replaceable></userinput>.  When entered in a channel tab,  <userinput><replaceable>channel</replaceable></userinput> may be omitted and defaults to the channel active in the tab.  If <userinput><replaceable>message</replaceable></userinput> is omitted, displays the current
-topic of the channel.  Changing a channel topic may fail if you lack sufficient privilege.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/away </command> <replaceable>reason</replaceable></userinput></term>
-<listitem><para>If anyone tries to send you a private message or invite you to a channel, they will be told that you are
-away from your workstation for <userinput><replaceable>reason</replaceable></userinput>.  To change your state back to normal, enter <userinput><command>/away</command></userinput> without a reason.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/aaway </command> <replaceable>reason</replaceable></userinput></term>
-<listitem><para>Like the <userinput><command>/away</command></userinput> command above except that
-the command is sent to all the servers you have connected in &konversation;.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/invite </command><replaceable>nick</replaceable> <replaceable>[channel]</replaceable></userinput></term>
-<listitem><para>Invites the user with &nickname; <userinput><replaceable>nick</replaceable></userinput> to join <userinput><replaceable>channel</replaceable></userinput>.  This command is especially useful if the channel is invite-only.  When entered in a channel tab, <userinput><replaceable>channel</replaceable></userinput> may be omitted.</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/exec </command><replaceable>script</replaceable> <replaceable>[parameters]</replaceable></userinput></term>
-<listitem><para>Executes the &konversation;-compatible shell script named
-<userinput><replaceable>script</replaceable></userinput>, passing it
-<userinput><replaceable>parameters</replaceable></userinput>.  See
-<link linkend="scripting">Scripting</link> for more information on using and writing
-scripts.</para>
-<para>Examples:</para>
-
-<para><userinput><replaceable>/exec kdeversion</replaceable></userinput></para>
-
-<para>Sends your system's &kde; and &Qt; version numbers to the channel.</para>
-
-<para><userinput><replaceable>/exec cmd uname -a</replaceable></userinput></para>
-
-<para>Sends your &Linux; version string to the channel.</para>
-
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/notify </command><replaceable>[nick]</replaceable></userinput></term>
-<listitem><para>Adds or removes <userinput><replaceable>nick</replaceable></userinput> from
-your <link linkend="nicksonline">Watched Nicks Online</link> list.  If the &nickname; is already
-in the list, it is removed.  If it is not in the list, it is added.  If <userinput><replaceable>nick</replaceable></userinput> is omitted, displays the current list
-of watched &nickname;s.</para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/prefs </command>[<command>list</command>|<replaceable>group</replaceable>]  [<command>list</command>|<replaceable>option</replaceable>]  [<replaceable>value</replaceable>]</userinput></term>
-<listitem><para>Displays or sets &konversation; settings without using the Settings screen.
-If a parameter contains spaces, surround it with quotes.</para>
-
-<para>Examples:</para>
-
-<para><userinput><replaceable>/prefs list</replaceable></userinput></para>
-
-<para>lists the available option groups.</para>
-
-<para><userinput><replaceable>/prefs "General Options" list</replaceable></userinput></para>
-
-<para>lists the options available in group <userinput><replaceable>General Options</replaceable></userinput> along with their current values</para>
-
-<para><userinput><replaceable>/prefs "General Options" ShowTrayIcon</replaceable></userinput></para>
-
-<para>Displays the current value of the setting for displaying the &konversation; icon in the system tray.</para>
-
-<para><userinput><replaceable>/prefs "General Options" ShowTrayIcon false</replaceable></userinput></para>
-
-<para>Turns off the &konversation; icon in the system tray.</para>
-
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/kick </command><replaceable>nick</replaceable> <replaceable>reason</replaceable></userinput></term>
-<listitem><para>When entered in a channel tab, attempts to kick the user with &nickname;
-<userinput><replaceable>nick</replaceable></userinput> from the channel with
-<userinput><replaceable>reason</replaceable></userinput>.  If <userinput><replaceable>reason</replaceable></userinput> is not entered, defaults to the
-reason in the <link linkend="identity">Settings</link>.  This command may only be used in
-a channel tab.</para>
-</listitem></varlistentry>
-
-<varlistentry>
-<term><userinput><command>/ban </command> [<command>-host</command>|<command>-domain</command>|
-<command>-userhost</command>|<command>-userdomain</command>] <replaceable>[channel]</replaceable> <replaceable>user</replaceable>|<replaceable>mask</replaceable></userinput></term>
-<listitem><para>Attempts to ban the <userinput><replaceable>user</replaceable></userinput> or <userinput><replaceable>mask</replaceable></userinput> from <userinput><replaceable>channel</replaceable></userinput>.  When entered in a channel tab,
-<userinput><replaceable>channel</replaceable></userinput> may be omitted.  For more information
-on hosts, domains, and masks, see the documents at <ulink url="http://www.irchelp.org/">irchelp.org</ulink>.
-Too get the current ban list for a channel, enter
-<userinput><command>/mode </command><replaceable>channel</replaceable> <command>b</command></userinput>.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/unban </command> <replaceable>[channel]</replaceable> <replaceable>pattern</replaceable></userinput></term>
-<listitem><para>Reverts a previous banning from a channel.  When entered in a channel tab,
-<userinput><replaceable>channel</replaceable></userinput> may be omitted.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/ignore </command> [<command>-all</command>] <replaceable>nick</replaceable> </userinput></term>
-<listitem><para>Adds <userinput><replaceable>nick</replaceable></userinput> to your Ignore list.
-You may specify more than one &nickname; separated by spaces.  Channel messages from users on your Ignore
-list are not displayed.  In addition, if you enter <userinput><command>-all</command></userinput>, all message types
-(queries, notices, &CTCP;, DCC, and Exceptions) from the user are ignored as well as channel messages.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/quote </command> <replaceable>cmd</replaceable></userinput></term>
-<listitem><para>Sends <userinput><replaceable>cmd</replaceable></userinput> to the server.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/say </command> <replaceable>msg</replaceable></userinput></term>
-<listitem><para>When entered in a channel tab, sends <userinput><replaceable>msg</replaceable></userinput> to the channel.  This is the same as entering <userinput><replaceable>msg</replaceable></userinput>
-in the channel <interface>Input Line</interface>.  Useful for sending &irc; commands when you don't want
-to execute the command.  Two command characters (//) in a row does the same thing as
-<userinput><command>/say</command></userinput>.  Also used by <link linkend="scripting">scripts</link> to send messages.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/raw </command> [<command>open</command>|<command>close</command>]</userinput></term>
-<listitem><para>Places the server log in raw mode (<command>open</command>) or stops raw mode (<command>close</command>).  If neither <command>open</command> or <command>close</command> is entered, defaults to <command>open</command>.  In raw mode, the log displays every message received from the server in native &irc; format.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/konsole </command></userinput></term>
-<listitem><para>Opens a new tab running a &kde; &konsole;.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/server </command> <replaceable>[url]</replaceable> <replaceable>[pwd]</replaceable></userinput></term>
-<listitem><para>Connects to the server at address <userinput><replaceable>url</replaceable></userinput>.  If
-<userinput><replaceable>url</replaceable></userinput> is omitted, connects to the server associated
-with the tab where you enter the command.  This is useful for re-connecting to a server when
-disconnected.  If the server
-requires a password in order to connect to it, enter it for <userinput><replaceable>pwd</replaceable></userinput>.  If
-the server requires a port number other than the default (6667), enter the <userinput><replaceable>url</replaceable></userinput> like this: <replaceable>irc.kde.org:6665</replaceable>.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/dcc </command> <command>SEND </command><replaceable>nick</replaceable>
-<replaceable>[filename]</replaceable></userinput></term>
-<listitem><para>Sends <userinput><replaceable>filename</replaceable></userinput> to the user with
-&nickname; <userinput><replaceable>nick</replaceable></userinput>.
-If <userinput><replaceable>filename</replaceable></userinput> is omitted, a dialog appears for you to select
-a file.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/dcc </command></userinput></term>
-<listitem><para>Opens a DCC Status tab.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/ctcp </command><replaceable>nick|channel</replaceable> <command>ping</command></userinput></term>
-<listitem><para>Sends a PING message to <userinput><replaceable>nick</replaceable></userinput>
-or <userinput><replaceable>channel</replaceable></userinput>.  This is useful for
-determining if someone you are talking with has a high network lag, or (when sent to
-a channel) if your system has a high lag.
-</para></listitem>
-</varlistentry>
-
-<varlistentry>
-<term><userinput><command>/ctcp </command><replaceable>nick|channel</replaceable> <replaceable>msg</replaceable></userinput></term>
-<listitem><para>Sends a message to <userinput><replaceable>nick</replaceable></userinput>
-or all users in <userinput><replaceable>channel</replaceable></userinput>.  This
-is similar to the <userinput><command>/msg</command></userinput> command above, except that
-the message is sent using the &CTCP; protocol.  The response on the other end
-depends on the &irc; client program the user is running.  For example, when
-conversing with another &konversation; user,
-<userinput><replaceable>/ctcp Eisfuchs TIME</replaceable></userinput> will return
-the system time on Eisfuch's computer.  <userinput><replaceable>/ctcp Eisfuchs VERSION</replaceable></userinput> will return the &konversation; version number
-from Eisfuch's computer.
-</para></listitem>
-</varlistentry>
-
-</variablelist>
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="scripting">
-<title>Scripting</title>
-
-<para>&konversation; comes with some handy scripts you can run from the program.  To
-run a script, in a channel, query, DCC, or server tab, type a command of the form</para>
-
-<para><userinput><command>/exec </command> <replaceable>script</replaceable>
- [<replaceable>parameters</replaceable>]</userinput></para>
-
-<para>which executes the script named <userinput><replaceable>script</replaceable></userinput>
-passing it (optional) <userinput><replaceable>parameters</replaceable></userinput>.</para>
-
-<para>For example, type the following command in a channel tab</para>
-
-<para><userinput><replaceable>/exec kdeversion</replaceable></userinput></para>
-
-<para>to send your &kde; and &Qt; version numbers to the channel.</para>
-
-<para><userinput><replaceable>/exec cmd uname -a</replaceable></userinput></para>
-
-<para>executes the <userinput><replaceable>cmd</replaceable></userinput> script,
-passing it <userinput><replaceable>uname -a</replaceable></userinput>.  This sends your
-&Linux; version string to the channel.</para>
-
-<para>To get a list of all available scripts, type the following command in a
-&konsole; screen.</para>
-
-<para><userinput><replaceable>ls $KDEDIR/share/apps/konversation/scripts</replaceable></userinput></para>
-
-<para>You can write your own scripts.  Scripts are shell scripts and can be written in
-any shell language, such as bash, perl, or python.  When &konversation; runs a script, the
-first three parameters sent to the script are:</para>
-
-<itemizedlist>
-
-<listitem><para>The port number for the &irc; server of the tab where the
-<userinput><command>/exec</command></userinput> command was entered.</para>
-</listitem>
-
-<listitem><para>The address of the server.</para></listitem>
-
-<listitem><para>The channel name.</para></listitem>
-
-</itemizedlist>
-
-<para>Here is a sample shell script (cmd).</para>
-
-<para>
-<programlisting>
-#!/bin/sh
-
-# Executes a command and prints the output into Konversation.
-
-PORT=$1;
-SERVER=$2;
-TARGET=$3;
-shift;shift;shift;
-
-$@ | while read line; do dcop $PORT Konversation say $SERVER "$TARGET" "$@: $line"; done
-</programlisting>
-</para>
-
-<para>Notice that the script uses &DCOP; to communicate with &konversation;.  The <computeroutput>say</computeroutput> command causes
-the output to be sent to the channel as a normal message.  To display something
-in the tab without sending it to other users, use <computeroutput>info</computeroutput>
-instead.  Look at the existing script files for more examples of writing scripts.</para>
-
-<para>To be able to run a script you have written, you must install it by copying
-it to $KDEDIR/share/apps/konversation/scripts or to $HOME/.kde/share/apps/konversation/scripts.  You must also give the file execute
-privilege, for example <userinput><replaceable>chmod a+x myscript</replaceable></userinput>.</para>
-
-</sect1>
-
-</chapter>
-
-<!-- =================================================================== -->
-
-<chapter id="commands">
-<title>Command Reference</title>
-
-<!-- (OPTIONAL, BUT RECOMMENDED) This chapter should list all of the
-application windows and their menubar and toolbar commands for easy reference.
-Also include any keys that have a special function but have no equivalent in the
-menus or toolbars. This may not be necessary for small apps or apps with no tool
-or menu bars. -->
-
-<!-- =================================================================== -->
-
-<sect1 id="kapp-mainwindow">
-<title>The main &konversation; window</title>
-
-<sect2>
-<title>The File Menu</title>
-<para>
-<variablelist>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F2</keycap>
-				</shortcut>
-			<guimenu>File</guimenu>
-			<guimenuitem>Server List</guimenuitem>
-		</menuchoice></term>
-		<listitem><para><action>Displays the <link linkend="irc-basics">list of servers and channels</link>.
-		</action></para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F7</keycap>
-				</shortcut>
-			<guimenu>File</guimenu>
-			<guimenuitem>Quick Connect</guimenuitem>
-		</menuchoice></term>
-		<listitem><para><action>Displays the <link linkend="quickconnect">Quick Connect</link> screen for connecting to a server.
-		</action></para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>File</guimenu>
-			<guimenuitem>Reconnect</guimenuitem>
-		</menuchoice></term>
-		<listitem><para><action>Reconnects to all servers that were disconnected
-        by a network error or other problem.
-		</action></para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<shortcut>
-				<keycombo action="simul">&Ctrl;<keycap>J</keycap></keycombo>
-			</shortcut>
-			<guimenu>File</guimenu>
-			<guimenuitem>Join Channel</guimenuitem>
-		</menuchoice></term>
-		<listitem><para><action>Displays a dialog for you to enter the name
-        of a channel to join.  Does the same thing as entering
-        <command>/join <userinput>#channelname</userinput></command> in a channel
-        or server tab.</action></para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<shortcut>
-				<keycombo action="simul">&Alt; &Ctrl;<keycap>Q</keycap></keycombo>
-			</shortcut>
-			<guimenu>File</guimenu>
-			<guimenuitem>Set Away Globally</guimenuitem>
-		</menuchoice></term>
-		<listitem><para><action>Changes your &nickname; status to away in all channels.
-		</action></para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<shortcut>
-				<keycombo action="simul">&Ctrl;<keycap>Q</keycap></keycombo>
-			</shortcut>
-			<guimenu>File</guimenu>
-			<guimenuitem>Quit</guimenuitem>
-		</menuchoice></term>
-		<listitem><para><action>Quits</action> &konversation;</para></listitem>
-	</varlistentry>
-</variablelist>
-</para>
-</sect2>
-
-<sect2>
-<title>The <guimenu>Edit</guimenu> Menu</title>
-<para>
-<variablelist>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>F</keycap></keycombo>
-				</shortcut>
-				<guimenu>Edit</guimenu>
-				<guimenuitem>Find</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Searches for text strings in the current screen.</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F3</keycap>
-				</shortcut>
-				<guimenu>Edit</guimenu>
-				<guimenuitem>Find Next</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Searches again for text strings in the current screen
-				using the previous search string.</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>L</keycap></keycombo>
-				</shortcut>
-				<guimenu>Edit</guimenu>
-				<guimenuitem>Clear Window</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Clears the current screen.</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl; &Shift;<keycap>L</keycap></keycombo>
-				</shortcut>
-				<guimenu>Edit</guimenu>
-				<guimenuitem>Clear All Windows</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Clears all screens.</action>
-			</para></listitem>
-	</varlistentry>
-</variablelist>
-</para>
-</sect2>
-
-<sect2>
-<title>The <guimenu>Insert</guimenu> Menu</title>
-<para>
-<variablelist>
-	<varlistentry>
-		<term><menuchoice>
-			<shortcut>
-				<keycombo action="simul">&Ctrl;<keycap>K</keycap></keycombo>
-			</shortcut>
-			<guimenu>Insert</guimenu>
-			<guimenuitem>&irc; Color</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>See <link linkend="color-msgs">Sending colorful messages</link>.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>R</keycap></keycombo>
-				</shortcut>
-				<guimenu>Insert</guimenu>
-				<guimenuitem>Remember Line</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>See <link linkend="rememberlines">Marking Channel and Query Logs</link>.</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Alt; &Shift;<keycap>C</keycap></keycombo>
-				</shortcut>
-			<guimenu>Insert</guimenu>
-			<guimenuitem>Special Character</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Used to enter special characters, such as foreign
-				characters.</action>
-			</para></listitem>
-	</varlistentry>
-</variablelist>
-</para>
-</sect2>
-
-<sect2>
-<title>The <guimenu>Bookmarks</guimenu> Menu</title>
-<para>
-<variablelist>
-	<varlistentry>
-		<term><menuchoice>
-			<shortcut>
-				<keycombo action="simul">&Ctrl;<keycap>B</keycap></keycombo>
-			</shortcut>
-			<guimenu>Bookmarks</guimenu>
-			<guimenuitem>Add Bookmark</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-		    <action>Bookmarks current network &amp; channel</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<guimenu>Bookmarks</guimenu>
-				<guimenuitem>Edit Bookmarks</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Opens bookmark editor</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Bookmarks</guimenu>
-			<guimenuitem>New Bookmark Folder</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Creates a new bookmark folder</action>
-			</para></listitem>
-	</varlistentry>
-</variablelist>
-</para>
-</sect2>
-
-<sect2>
-<title>The <guimenu>Settings</guimenu> Menu</title>
-<para>
-<variablelist>
-	<varlistentry>
-		<term><menuchoice>
-			<shortcut>
-				<keycombo action="simul">&Ctrl;<keycap>M</keycap></keycombo>
-			</shortcut>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Hide Menubar</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Hides the main menu.  Hit
-				<keycombo action="simul">&Ctrl;<keycap>M</keycap></keycombo>
-		to display it again.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Hide Toolbar</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Hides the toolbar.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Hide Statusbar</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Hides the status bar at the bottom of the main screen.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<guimenu>Settings</guimenu>
-				<guimenuitem>Identities</guimenuitem>
-			</menuchoice></term>
-		<listitem><para><action>Displays the <link linkend="identity">Identities</link> screen
-		for setting your identification information.
-		</action></para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Configure Shortcuts</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Allows you to change keyboard shortcuts for &konversation;.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Configure Toolbars</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Allows you to add or remove buttons from the &konversation; toolbar.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Configure Notifications</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays the <link linkend="cfg-notifications">Notifications Settings</link> screen.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Settings</guimenu>
-			<guimenuitem>Configure &konversation;</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays the <guilabel>Edit Preferences</guilabel> screen.</action>
-		</para></listitem>
-	</varlistentry>
-</variablelist>
-</para>
-</sect2>
-
-<sect2>
-<title>The <guimenu>Window</guimenu> Menu</title>
-<para>
-<variablelist>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>.</keycap></keycombo>
-				</shortcut>
-				<guimenu>Window</guimenu>
-				<guimenuitem>Previous Tab</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Displays the screen corresponding to the previous tab.</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>,</keycap></keycombo>
-				</shortcut>
-				<guimenu>Window</guimenu>
-				<guimenuitem>Next Tab</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Displays the screen corresponding to the next tab.</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>W</keycap></keycombo>
-				</shortcut>
-				<guimenu>Window</guimenu>
-				<guimenuitem>Close Tab</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Closes the current screen.  If closing a channel, leaves the channel.  If closing a
-					<interface>Server Messages</interface> tab, closes all open channels on that server
-					and disconnects from the server.
-				</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F11</keycap>
-				</shortcut>
-				<guimenu>Window</guimenu>
-				<guimenuitem>Close All Open Queries</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Closes all <link linkend="query">Private conversations (queries)</link>.
-				</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>H</keycap></keycombo>
-				</shortcut>
-				<guimenu>Window</guimenu>
-				<guimenuitem>Hide Nicklist</guimenuitem>
-			</menuchoice></term>
-		<listitem><para>
-				<action>Hides (or displays) the panel of &nickname;s in channel tabs.
-				</action>
-			</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F4</keycap>
-				</shortcut>
-			<guimenu>Window</guimenu>
-			<guimenuitem>Watched Nicks Online</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays the <guilabel>Watched Nicks Online</guilabel> screen.   See <link linkend="nicksonline">Monitoring who is online</link>.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F5</keycap>
-				</shortcut>
-			<guimenu>Window</guimenu>
-			<guimenuitem>Channel List</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays a <link linkend="list-channels">list of channels</link> available on the server.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycap>F6</keycap>
-				</shortcut>
-			<guimenu>Window</guimenu>
-			<guimenuitem>&url; Catcher</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays the <link linkend="urlcatcher">&url; Catcher</link> screen.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-			<guimenu>Window</guimenu>
-			<guimenuitem>New Konsole</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays a terminal screen.  You may open as many <guilabel>Konsole</guilabel> tabs as you like.</action>
-		</para></listitem>
-	</varlistentry>
-	<varlistentry>
-		<term><menuchoice>
-				<shortcut>
-					<keycombo action="simul">&Ctrl;<keycap>O</keycap></keycombo>
-				</shortcut>
-			<guimenu>Window</guimenu>
-			<guimenuitem>Open Logfile</guimenuitem>
-		</menuchoice></term>
-		<listitem><para>
-			<action>Displays a screen with the log of messages from the current tab.  Only works for
-				<interface>Channel</interface>, <interface>Server Messages</interface>,
-				and <interface>Query</interface> tabs.  Logging must be enabled in
-				<menuchoice>
-					<guisubmenu>Settings</guisubmenu>
-					<guisubmenu>Configure Konversation</guisubmenu>
-					<guisubmenu>Behavior</guisubmenu>
-					<guisubmenu>Logging</guisubmenu>
-				</menuchoice> on the main menu.
-			</action>
-		</para></listitem>
-	</varlistentry>
-</variablelist>
-</para>
-</sect2>
-
-<sect2>
-<title>The <guimenu>Help</guimenu> Menu</title>
-
-<!-- Assuming you have a standard help menu (help, what's this, about -->
-<!-- &konversation;, about KDE) then the documentation is already written. -->
-<!-- The following entity is valid anywhere that a variablelist is -->
-<!-- valid.  -->
-
-&help.menu.documentation;
-
-</sect2>
-
-</sect1>
-</chapter>
-
-<!-- =================================================================== -->
-
-<chapter id="faq">
-<title>Questions and Answers</title>
-
-<!-- (OPTIONAL but recommended) This chapter should include all of the silly
-(and not-so-silly) newbie questions that fill up your mailbox. This chapter
-should be reserved for BRIEF questions and answers! If one question uses more
-than a page or so then it should probably be part of the
-"Using this Application" chapter instead. You should use links to
-cross-reference questions to the parts of your documentation that answer them.
-This is also a great place to provide pointers to other FAQ's if your users
-must do some complicated configuration on other programs in order for your
-application work. -->
-
-&reporting.bugs;
-&updating.documentation;
-
-<qandaset id="faqlist">
-
-<qandaentry>
-<question>
-<para>When I start &konversation;, I'd like to connect to a server without joining any channels.   How do I do that?</para>
-</question>
-<answer>
-<para>In the <link linkend="serverlist-addnetwork">Edit Server</link> screen, leave the <guilabel>Channels</guilabel> frame empty.</para>
-</answer>
-</qandaentry>
-
-<qandaentry>
-<question>
-<para>&konversation; won't connect to any servers.  What is wrong.?</para>
-</question>
-<answer>
-<para>There are several things that could be wrong.</para>
-<orderedlist>
-<listitem>
-<para>
-Make sure that you have entered the correct <guilabel>Server name</guilabel> and the correct <guilabel>Port</guilabel> in the <link linkend="serverlist-addserver">Add Server</link> screen.
-</para>
-</listitem>
-<listitem>
-<para>
-Check the output in the <link linkend="channel-screen-tour">Server Messages</link> screen for any error messages.  Did the server reject the connection because of a bad password?  Did the server reject the connection because it requires <acronym>IDENTD</acronym> and
-your computer did not respond to the <acronym>IDENT</acronym> request?  Did you check
-the SSL protocol box but the server does not support SSL?
-</para>
-</listitem>
-<listitem>
-<para>
-If you are behind a firewall, make sure the correct ports are enabled.  &konversation; needs the following ports enabled:
-</para>
-
-<para>
-<itemizedlist>
-<listitem><para>Outgoing TCP 6667 (or the port of the server you connect to)</para></listitem>
-<listitem><para>Incoming TCP 113 (if the server requires IDENTD)</para></listitem>
-<!-- <listitem><para>TODO (Incoming port numbers?)</para></listitem> -->
-</itemizedlist>
-</para>
-
-<para>For more information on &irc; connection problems, see <ulink url="http://www.irchelp.org/irchelp/networks/connectprob.html">irchelp.org</ulink>.
-</para>
-
-</listitem>
-
-</orderedlist>
-</answer>
-</qandaentry>
-
-<qandaentry>
-<question>
-<para>When I go to
-<menuchoice>
-<guisubmenu>Window</guisubmenu>
-<guisubmenu>Channel List</guisubmenu>
-</menuchoice>, I cannot select it. Why is that?</para>
-</question>
-<answer>
-<para>
-The
-<menuchoice>
-<guisubmenu>Windows</guisubmenu>
-<guisubmenu>Channel List</guisubmenu>
-</menuchoice>  menu entry will be greyed-out if a non-channel tab, &eg; <guilabel>Watched Nicks Online</guilabel>, is currently being viewed.
-To make it selectable again go back to a channel tab or the server tab.
-</para>
-</answer>
-</qandaentry>
-
-</qandaset>
-</chapter>
-
-<chapter id="credits">
-
-<!-- Include credits for the programmers, documentation writers, and
-contributors here. The license for your software should then be included below
-the credits with a reference to the appropriate license file included in the KDE
-distribution. -->
-
-<title>Credits and License</title>
-
-<para>
-&konversation;
-</para>
-<para>
-Program copyright 2002-2005 by the &konversation; team.
-</para>
-<para><ulink url="&konviwebsite;">&konviwebsite;</ulink>
-</para>
-<para>
-Contributors:
-<itemizedlist>
-<listitem><para>Dario Abatianni <email>eisfuchs@tigress.com</email></para></listitem>
-<listitem><para>Peter Simonsson <email>psn@linux.se</email></para></listitem>
-<listitem><para>Christian Muehlhaeuser <email>chris@chris.de</email></para></listitem>
-<listitem><para>John Tapsel <email>john@geola.geo.uk</email></para></listitem>
-<listitem><para>Ismail Donmez <email>ismail.donmez@boun.edu.tr</email></para></listitem>
-<listitem><para>Shintaro Matsuoka <email>shin@shoegazed.org</email></para></listitem>
-<listitem><para>Gary Cramblitt <email>garycramblitt@comcast.net</email></para></listitem>
-<listitem><para>Matthias Gierlings <email>gismore@users.sourceforge.net</email></para></listitem>
-<listitem><para>&Alex.Zepeda; <email>garbanzo@hooked.net</email></para></listitem>
-<listitem><para>Stanislav Karchebny <email>berkus@users.sourceforge.net</email></para></listitem>
-<listitem><para>Mickael Marchand <email>marchand@kde.org</email></para></listitem>
-</itemizedlist>
-</para>
-
-<para>
-Thanks to:
-<itemizedlist>
-<listitem><para>Michael Goettsche <email>michael.goettsche@kdemail.net</email></para></listitem>
-<listitem><para>Benjamin Meyer <email>ben+konversation@kdemail.net</email></para></listitem>
-<listitem><para>Jacub Stachowski <email>qbast@go2.pl</email></para></listitem>
-<listitem><para>Sabastian Sariego <email>segfault@kde.cl</email></para></listitem>
-<listitem><para>Olivier Bedard <email>www.konversation.org hosting</email></para></listitem>
-<listitem><para>Frauke Oster <email>frauke@frsv.de</email></para></listitem>
-<listitem><para>Lucijan Busch <email>lucijan@kde.org</email></para></listitem>
-<listitem><para>Sascha Cunz <email>mail@sacu.de</email></para></listitem>
-<listitem><para>Steve Wollkind <email>steve@njord.org</email></para></listitem>
-<listitem><para>Thomas Nagy <email>thomas.nagy@eleve.emn.fr</email></para></listitem>
-<listitem><para>Tobias Olry <email>tobias.olry@web.de</email></para></listitem>
-<listitem><para>Ruud Nabben <email>r.nabben@gawab.com</email></para></listitem>
-</itemizedlist>
-</para>
-
-<para>
-Documentation Copyright &copy; 2003-2005 Gary R. Cramblitt <email>garycramblitt@comcast.net</email>
-</para>
-
-<!-- TRANS:CREDIT_FOR_TRANSLATORS -->
-
-&underFDL;               <!-- FDL: do not remove -->
-
-<!-- Determine which license your application is licensed under,
-     and delete all the remaining licenses below:
-
-     (NOTE:  All documentation are licensed under the FDL,
-     regardless of what license the application uses) -->
-
-&underGPL;        	 <!-- GPL License -->
-
-</chapter>
-
-<appendix id="installation">
-<title>Installation</title>
-
-<!-- =================================================================== -->
-
-<sect1 id="getting-kapp">
-<title>How to obtain &konversation;</title>
-
-<!-- This first entity contains boiler plate for applications that are
-part of KDE CVS.  You should remove it if you are releasing your
-application -->
-
-&install.intro.documentation;
-
-<para>
-The latest versions of &konversation;, including source code and build instructions
-can also be obtained from the
-<ulink url="&konviwebsite;">&konviwebsite; website</ulink>.
-</para>
-
-</sect1>
-
-<!-- =================================================================== -->
-
-<sect1 id="requirements">
-<title>Requirements</title>
-
-<!--
-List any special requirements for your application here. This should include:
-.Libraries or other software that is not included in kdesupport,
-kdelibs, or kdebase.
-.Hardware requirements like amount of RAM, disk space, graphics card
-capabilities, screen resolution, special expansion cards, etc.
-.Operating systems the app will run on. If your app is designed only for a
-specific OS, (you wrote a graphical LILO configurator for example) put this
-information here.
--->
-
-<para>
-In order to successfully use &konversation;, you need &kde; 3.2 or later and a network connection.
-On earlier &kde; versions some features may be missing.
-If you will be running &konversation; from behind a firewall, see <link linkend="faq">Questions and Answers</link>.  If you wish to use SSL protocol, you may need OpenSSL.
-</para>
-
-</sect1>
-</appendix>
-
-&documentation.index;
-</book>
-
-<!--
-Local Variables:
-mode: xml
-sgml-minimize-attributes:nil
-sgml-general-insert-case:lower
-sgml-indent-step:0
-sgml-indent-data:nil
-End:
-
-vim:tabstop=2:shiftwidth=2:expandtab
--->

=== removed file 'doc/konversation/irc_admin.png'
Binary files doc/konversation/irc_admin.png and doc/konversation/irc_admin.png differ
=== removed file 'doc/konversation/irc_away.png'
Binary files doc/konversation/irc_away.png and doc/konversation/irc_away.png differ
=== removed file 'doc/konversation/irc_halfop.png'
Binary files doc/konversation/irc_halfop.png and doc/konversation/irc_halfop.png differ
=== removed file 'doc/konversation/irc_normal.png'
Binary files doc/konversation/irc_normal.png and doc/konversation/irc_normal.png differ
=== removed file 'doc/konversation/irc_op.png'
Binary files doc/konversation/irc_op.png and doc/konversation/irc_op.png differ
=== removed file 'doc/konversation/irc_owner.png'
Binary files doc/konversation/irc_owner.png and doc/konversation/irc_owner.png differ
=== removed file 'doc/konversation/irc_voice.png'
Binary files doc/konversation/irc_voice.png and doc/konversation/irc_voice.png differ
=== removed file 'doc/konversation/kaddressbook.png'
Binary files doc/konversation/kaddressbook.png and doc/konversation/kaddressbook.png differ
=== removed file 'doc/konversation/kimproxy_create_screen2.png'
Binary files doc/konversation/kimproxy_create_screen2.png and doc/konversation/kimproxy_create_screen2.png differ
=== removed file 'doc/konversation/kimproxy_create_screen_co.png'
Binary files doc/konversation/kimproxy_create_screen_co.png and doc/konversation/kimproxy_create_screen_co.png differ
=== removed file 'doc/konversation/led_blue_off.png'
Binary files doc/konversation/led_blue_off.png and doc/konversation/led_blue_off.png differ
=== removed file 'doc/konversation/led_blue_on.png'
Binary files doc/konversation/led_blue_on.png and doc/konversation/led_blue_on.png differ
=== removed file 'doc/konversation/led_green_off.png'
Binary files doc/konversation/led_green_off.png and doc/konversation/led_green_off.png differ
=== removed file 'doc/konversation/led_green_on.png'
Binary files doc/konversation/led_green_on.png and doc/konversation/led_green_on.png differ
=== removed file 'doc/konversation/led_red_off.png'
Binary files doc/konversation/led_red_off.png and doc/konversation/led_red_off.png differ
=== removed file 'doc/konversation/led_red_on.png'
Binary files doc/konversation/led_red_on.png and doc/konversation/led_red_on.png differ
=== removed file 'doc/konversation/led_yellow_off.png'
Binary files doc/konversation/led_yellow_off.png and doc/konversation/led_yellow_off.png differ
=== removed file 'doc/konversation/led_yellow_on.png'
Binary files doc/konversation/led_yellow_on.png and doc/konversation/led_yellow_on.png differ
=== removed file 'doc/konversation/logviewer_co.png'
Binary files doc/konversation/logviewer_co.png and doc/konversation/logviewer_co.png differ
=== removed file 'doc/konversation/nicksonline_co.png'
Binary files doc/konversation/nicksonline_co.png and doc/konversation/nicksonline_co.png differ
=== removed file 'doc/konversation/nickthemes_screen_co.png'
Binary files doc/konversation/nickthemes_screen_co.png and doc/konversation/nickthemes_screen_co.png differ
=== removed file 'doc/konversation/notification_screen_co.png'
Binary files doc/konversation/notification_screen_co.png and doc/konversation/notification_screen_co.png differ
=== removed file 'doc/konversation/notifylist_screen_co.png'
Binary files doc/konversation/notifylist_screen_co.png and doc/konversation/notifylist_screen_co.png differ
=== removed file 'doc/konversation/osd_demo.png'
Binary files doc/konversation/osd_demo.png and doc/konversation/osd_demo.png differ
=== removed file 'doc/konversation/osd_screen_co.png'
Binary files doc/konversation/osd_screen_co.png and doc/konversation/osd_screen_co.png differ
=== removed file 'doc/konversation/prefs_identity_screen_co.png'
Binary files doc/konversation/prefs_identity_screen_co.png and doc/konversation/prefs_identity_screen_co.png differ
=== removed file 'doc/konversation/quickbuttons_screen.png'
Binary files doc/konversation/quickbuttons_screen.png and doc/konversation/quickbuttons_screen.png differ
=== removed file 'doc/konversation/quickconnect_screen.png'
Binary files doc/konversation/quickconnect_screen.png and doc/konversation/quickconnect_screen.png differ
=== removed file 'doc/konversation/serverlist_co.png'
Binary files doc/konversation/serverlist_co.png and doc/konversation/serverlist_co.png differ
=== removed file 'doc/konversation/serverlist_screen_co.png'
Binary files doc/konversation/serverlist_screen_co.png and doc/konversation/serverlist_screen_co.png differ
=== removed file 'doc/konversation/urlcatcher_screen_co.png'
Binary files doc/konversation/urlcatcher_screen_co.png and doc/konversation/urlcatcher_screen_co.png differ
=== removed file 'doc/konversation/webbrowser_screen_co.png'
Binary files doc/konversation/webbrowser_screen_co.png and doc/konversation/webbrowser_screen_co.png differ
=== modified file 'src/CMakeLists.txt'
--- src/CMakeLists.txt	2009-04-10 16:16:59 +0000
+++ src/CMakeLists.txt	2009-05-15 11:24:24 +0000
@@ -73,6 +73,7 @@
     irc/channeloptionsui.ui
     irc/joinchannelui.ui
     irc/servergroupdialogui.ui
+    irc/serverlistdialogui.ui
 )
 
     #=== Preferences

=== modified file 'src/application.cpp'
--- src/application.cpp	2009-04-10 16:16:59 +0000
+++ src/application.cpp	2009-05-15 11:24:24 +0000
@@ -188,8 +188,8 @@
                 this,SLOT (dbusInfo(const QString&)) );
             connect(dbusObject,SIGNAL (dbusInsertMarkerLine()),
                 mainWindow,SIGNAL(insertMarkerLine()));
-            connect(dbusObject, SIGNAL(connectTo(Konversation::ConnectionFlag, const QString&, uint, const QString&, const QString&, const QString&, bool)),
-                m_connectionManager, SLOT(connectTo(Konversation::ConnectionFlag, const QString&, uint, const QString&, const QString&, const QString&, bool)));
+            connect(dbusObject, SIGNAL(connectTo(Konversation::ConnectionFlag, const QString&, const QString&, const QString&, const QString&, const QString&, bool)),
+                m_connectionManager, SLOT(connectTo(Konversation::ConnectionFlag, const QString&, const QString&, const QString&, const QString&, const QString&, bool)));
         }
 
         m_notificationHandler = new Konversation::NotificationHandler(this);
@@ -201,7 +201,7 @@
     {
         getConnectionManager()->connectTo(Konversation::SilentlyReuseConnection,
                                           args->getOption("server"),
-                                          args->getOption("port").toUInt(),
+                                          args->getOption("port"),
                                           args->getOption("password"),
                                           args->getOption("nick"),
                                           args->getOption("channel"),
@@ -463,21 +463,56 @@
 
     KConfigGroup cgAutoreplace(KGlobal::config()->group("Autoreplace List"));
     // Read all default entries
-    QStringList autoreplaceList(Preferences::autoreplaceList());
+    QList<QStringList> autoreplaceList(Preferences::autoreplaceList());
     // Read all entries
     index=0;
-    while (cgAutoreplace.hasKey(QString("Autoreplace%1").arg(index)))
+    // legacy code for old autoreplace format 4/6/09
+    QString autoReplaceString("Autoreplace");
+    while (cgAutoreplace.hasKey(autoReplaceString + QString::number(index)))
     {
   // read entry and get length of the string
-        QString entry=cgAutoreplace.readEntry(QString("Autoreplace%1").arg(index++));
-        unsigned int length=entry.length()-1;
+        QString entry=cgAutoreplace.readEntry(autoReplaceString + QString::number(index++));
+        int length=entry.length()-1;
         // if there's a "#" in the end, strip it (used to preserve blanks at the end of the replacement text)
         // there should always be one, but older versions did not do it, so we check first
         if (entry.at(length)=='#')
             entry=entry.left(length);
+        QString regex = entry.section(',',0,0);
+        QString direction = entry.section(',',1,1);
+        QString pattern = entry.section(',',2,2);
+        QString replace = entry.section(',',3);
         // add entry to internal list
-        autoreplaceList.append(entry);
+        autoreplaceList.append(QStringList() << regex << direction << pattern << replace);
     } // while
+    //end legacy code for old autoreplace format
+    index=0; //new code for autoreplace config
+    QString indexString(QString::number(index));
+    QString regexString("Regex");
+    QString directString("Direction");
+    QString patternString("Pattern");
+    QString replaceString("Replace");
+    while (cgAutoreplace.hasKey(patternString + indexString))
+    {
+        QString pattern = cgAutoreplace.readEntry(patternString + indexString);
+        QString regex = cgAutoreplace.readEntry(regexString + indexString, QString("0"));
+        QString direction = cgAutoreplace.readEntry(directString + indexString, QString("o"));
+        QString replace = cgAutoreplace.readEntry(replaceString + indexString, QString());
+        if (replace.length()>0)
+        {
+            int repLen=replace.length()-1;
+            if (replace.at(repLen)=='#')
+                replace=replace.left(repLen);
+        }
+        if (pattern.length()>0)
+        {
+            int patLen=pattern.length()-1;
+            if (pattern.at(patLen)=='#')
+                pattern=pattern.left(patLen);
+        }
+        index++;
+        indexString = QString::number(index);
+        autoreplaceList.append(QStringList() << regex << direction << pattern << replace);
+    }
     // Put back the changed autoreplace list
     Preferences::setAutoreplaceList(autoreplaceList);
 
@@ -782,9 +817,9 @@
 void KonversationApplication::openQuickConnectDialog()
 {
     quickConnectDialog = new QuickConnectDialog(mainWindow);
-    connect(quickConnectDialog, SIGNAL(connectClicked(Konversation::ConnectionFlag, const QString&, uint,
-        const QString&, const QString&, const QString&, bool)),
-        m_connectionManager, SLOT(connectTo(Konversation::ConnectionFlag, const QString&, uint,
+    connect(quickConnectDialog, SIGNAL(connectClicked(Konversation::ConnectionFlag, const QString&,
+        const QString&, const QString&, const QString&, const QString&, bool)),
+        m_connectionManager, SLOT(connectTo(Konversation::ConnectionFlag, const QString&, const QString&,
         const QString&, const QString&, const QString&, bool)));
     quickConnectDialog->show();
 }
@@ -802,8 +837,8 @@
     //kaddresbook uses the utf separator 0xE120, so treat that as a separator as well
     QString nickServer = nick_server;
     nickServer.replace(QChar(0xE120), "@");
-    ircnick = nickServer.section("@",0,0);
-    serverOrGroup = nickServer.section("@",1);
+    ircnick = nickServer.section('@',0,0);
+    serverOrGroup = nickServer.section('@',1);
 }
 
 NickInfoPtr KonversationApplication::getNickInfo(const QString &ircnick, const QString &serverOrGroup)
@@ -829,7 +864,7 @@
 QString KonversationApplication::doAutoreplace(const QString& text,bool output)
 {
     // get autoreplace list
-    QStringList autoreplaceList=Preferences::autoreplaceList();
+    QList<QStringList> autoreplaceList=Preferences::autoreplaceList();
     // working copy
     QString line=text;
 
@@ -837,12 +872,12 @@
     for (int index=0;index<autoreplaceList.count();index++)
     {
         // get autoreplace definition
-        QString definition=autoreplaceList[index];
+        QStringList definition=autoreplaceList[index];
         // split definition in parts
-        QString regex=definition.section(',',0,0);
-        QString direction=definition.section(',',1,1);
-        QString pattern=definition.section(',',2,2);
-        QString replacement=definition.section(',',3);
+        QString regex=definition.at(0);
+        QString direction=definition.at(1);
+        QString pattern=definition.at(2);
+        QString replacement=definition.at(3);
 
         QString isDirection=output ? "o" : "i";
 
@@ -859,7 +894,6 @@
                 int index = 0;
 
                 do {
-                    replacement = definition.section(',',3);
                     // find matches
                     index = line.indexOf(needleReg, index);
 
@@ -873,7 +907,7 @@
                         {
                             replacement.replace(QString("%%1").arg(capture),captures[capture]);
                         }
-                        replacement.replace(QRegExp("%[0-9]"),QString());
+                        replacement.remove(QRegExp("%[0-9]"));
                         // replace input with replacement
                         line.replace(index, captures[0].length(), replacement);
                         index += replacement.length();
@@ -882,9 +916,32 @@
             }
             else
             {
-                QRegExp needleReg("\\b" + QRegExp::escape(pattern) + "\\b");
-                needleReg.setCaseSensitivity(Qt::CaseInsensitive);
-                line.replace(needleReg,replacement);
+                QRegExp needleReg(pattern);
+                needleReg.setPatternSyntax(QRegExp::FixedString);
+                int index=line.indexOf(needleReg);
+                while (index>=0)
+                {   
+                    int length,nextLength,patLen,repLen;
+                    patLen=pattern.length();
+                    repLen=replacement.length();
+                    length=index;
+                    length+=patLen;
+                    nextLength=length;
+                    //nextlength is used to account for the replacement taking up less space
+                    QChar before,after;
+                    if (index!=0) before = line.at(index-1);
+                    if (line.length() > length) after = line.at(length);
+
+                    if (index==0 || before.isSpace() || before.isPunct())
+                    {
+                        if (line.length() == length || after.isSpace() || after.isPunct())
+                        {
+                            line.replace(index,patLen,replacement);
+                            nextLength = index+repLen;
+                        }
+                    }
+                    index=line.indexOf(needleReg,nextLength);
+                }
             }
         }
     }

=== modified file 'src/awaymanager.cpp'
--- src/awaymanager.cpp	2009-04-10 16:16:59 +0000
+++ src/awaymanager.cpp	2009-05-15 11:24:24 +0000
@@ -16,7 +16,7 @@
 #include "connectionmanager.h"
 #include "server.h"
 #include "preferences.h"
-#include "config-konversation.h"
+#include <config-konversation.h>
 
 #include <qvariant.h>
 #include <qtimer.h>

=== modified file 'src/blowfish/b64stuff.h'
--- src/blowfish/b64stuff.h	2009-04-10 16:16:59 +0000
+++ src/blowfish/b64stuff.h	2009-05-15 11:24:24 +0000
@@ -33,8 +33,8 @@
 
 //---------------------------------------------------------------------------
 // To prevent multiple includes
-#ifndef _b64stuffh
-#define _b64stuffh
+#ifndef B64STUFF_H
+#define B64STUFF_H
 //---------------------------------------------------------------------------
 
 //---------------------------------------------------------------------------
@@ -49,5 +49,5 @@
 
 
 //---------------------------------------------------------------------------
-#endif
+#endif /* B64STUFF_H */
 //---------------------------------------------------------------------------

=== modified file 'src/blowfish/mc_blowfish.h'
--- src/blowfish/mc_blowfish.h	2009-04-10 16:16:59 +0000
+++ src/blowfish/mc_blowfish.h	2009-05-15 11:24:24 +0000
@@ -15,8 +15,8 @@
 
 //---------------------------------------------------------------------------
 // To prevent multiple includes
-#ifndef _mcblowfishh
-#define _mcblowfishh
+#ifndef MCBLOWFISH_H
+#define MCBLOWFISH_H
 //---------------------------------------------------------------------------
 
 
@@ -30,5 +30,5 @@
 
 //---------------------------------------------------------------------------
 // header guard
-#endif
+#endif /* MCBLOWFISH_H */
 //---------------------------------------------------------------------------

=== modified file 'src/blowfish/newblowfish.h'
--- src/blowfish/newblowfish.h	2009-04-10 16:16:59 +0000
+++ src/blowfish/newblowfish.h	2009-05-15 11:24:24 +0000
@@ -14,8 +14,8 @@
 
 //---------------------------------------------------------------------------
 // To prevent multiple includes
-#ifndef _newblowfishh
-#define _newblowfishh
+#ifndef NEWBLOWFISH_H
+#define NEWBLOWFISH_H
 //---------------------------------------------------------------------------
 
 //---------------------------------------------------------------------------
@@ -28,5 +28,5 @@
 
 //---------------------------------------------------------------------------
 // header guard
-#endif
+#endif /* NEWBLOWFISH_H */
 //---------------------------------------------------------------------------

=== modified file 'src/blowfish/oldblowfish1.h'
--- src/blowfish/oldblowfish1.h	2009-04-10 16:16:59 +0000
+++ src/blowfish/oldblowfish1.h	2009-05-15 11:24:24 +0000
@@ -11,8 +11,8 @@
 
 //---------------------------------------------------------------------------
 // To prevent multiple includes
-#ifndef _oldblowfish1h
-#define _oldblowfish1h
+#ifndef OLDBLOWFISH1_H
+#define OLDBLOWFISH1_H
 //---------------------------------------------------------------------------
 
 //---------------------------------------------------------------------------
@@ -136,6 +136,6 @@
 
 
 //---------------------------------------------------------------------------
-#endif
+#endif /* OLDBLOWFISH1_H */
 //---------------------------------------------------------------------------
 

=== modified file 'src/blowfish/oldblowfish2.h'
--- src/blowfish/oldblowfish2.h	2009-04-10 16:16:59 +0000
+++ src/blowfish/oldblowfish2.h	2009-05-15 11:24:24 +0000
@@ -15,8 +15,8 @@
 
 //---------------------------------------------------------------------------
 // To prevent multiple includes
-#ifndef _oldblowfish2h
-#define _oldblowfish2h
+#ifndef OLDBLOWFISH2_H
+#define OLDBLOWFISH2_H
 //---------------------------------------------------------------------------
 
 //---------------------------------------------------------------------------
@@ -291,5 +291,5 @@
 
 //---------------------------------------------------------------------------
 // header guard
-#endif
+#endif /* OLDBLOWFISH2_H */
 //---------------------------------------------------------------------------

=== modified file 'src/commit.h'
--- src/commit.h	2009-04-10 16:16:59 +0000
+++ src/commit.h	2009-05-15 11:24:24 +0000
@@ -1,4 +1,4 @@
 // This COMMIT number is added to version string to be used as "patch level"
 #ifndef COMMIT
-#define COMMIT 3400
+#define COMMIT 3401
 #endif

=== modified file 'src/common.cpp'
--- src/common.cpp	2009-04-10 16:16:59 +0000
+++ src/common.cpp	2009-05-15 11:24:24 +0000
@@ -60,7 +60,7 @@
 
         if(useCustomColor)
         {
-            link = "<font color=\""+linkColor+"\"><a href=\"#%1\">%2</a></font>";
+            link = "<a href=\"#%1\" style=\"color:" + linkColor + "\">%2</a>";
         }
         else
         {
@@ -76,8 +76,7 @@
                 urlLen = href.length();
                 pos += chanExp.cap(1).length();
 
-                // HACK:Use space as a placeholder for \ as Qt tries to be clever and does a replace to / in urls in QTextEdit
-                insertText = link.arg(QString(href).replace('\\', " "), href);
+                insertText = link.arg(href, href);
                 filteredLine.replace(pos, urlLen, insertText);
                 pos += insertText.length();
             }
@@ -92,11 +91,11 @@
         // FIXME this should probably go away with the text control upgrade
         if(useCustomColor)
         {
-            link = QString("<font color=\"" + linkColor + "\"><u><a href=\"%1%2\">%3</a></u></font>");
+            link = "<a href=\"%1%2\" style=\"color:" + linkColor + "\">%3</a>";
         }
         else
         {
-            link = QString("<u><a href=\"%1%2\">%3</a></u>");
+            link = "<a href=\"%1%2\">%3</a>";
         }
 
         while ((pos = urlPattern.indexIn(filteredLine, pos)) >= 0)
@@ -149,9 +148,8 @@
             else if (urlPattern.cap(1).isEmpty())
                 protocol = "mailto:";
 
-            // Use \x0b as a placeholder for & so we can readd them after changing all & in the normal text to &amp;
-            // HACK Replace % with \x03 in the url to keep Qt from doing stupid things
-            insertText = link.arg(protocol, QString(href).replace('&', "\x0b").replace('%', "\x03"), href) + append;
+            // Use \x0b as a placeholder for & so we can read them after changing all & in the normal text to &amp;
+            insertText = link.arg(protocol, QString(href).replace('&', "\x0b"), href) + append;
             filteredLine.replace(pos, urlLen, insertText);
             pos += insertText.length();
             KonversationApplication::instance()->storeUrl(fromNick, href);

=== modified file 'src/config/konversation.kcfg'
--- src/config/konversation.kcfg	2009-04-10 16:16:59 +0000
+++ src/config/konversation.kcfg	2009-05-15 11:24:24 +0000
@@ -612,7 +612,7 @@
   </group>
   <group name="DCC Settings">
     <entry key="BufferSize" type="Int" name="DccBufferSize">
-      <default>8192</default>
+      <default>16384</default>
       <label></label>
       <whatsthis></whatsthis>
     </entry>
@@ -669,7 +669,7 @@
     <entry key="SpaceToUnderscore" type="Bool" name="DccSpaceToUnderscore">
       <default>true</default>
       <label></label>
-      <whatis></whatis>
+      <whatsthis></whatsthis>
     </entry>
     <entry key="AutoGet" type="Bool" name="DccAutoGet">
       <default>false</default>
@@ -809,9 +809,16 @@
       <whatsthis></whatsthis>
     </entry>
   </group>
+  <group name="External Log Viewer">
+    <entry key="UseExternalLogViewer" type="Bool">
+	<default>false</default>
+	<label></label>
+	<whatsthis></whatsthis>
+    </entry>
+  </group>
   <group name="Themes">
     <entry key="IconTheme" type="String">
-      <default>oxygen</default>
+      <default>default</default>
       <label></label>
       <whatsthis></whatsthis>
     </entry>

=== modified file 'src/config/preferences.cpp'
--- src/config/preferences.cpp	2009-04-10 16:16:59 +0000
+++ src/config/preferences.cpp	2009-05-15 11:24:24 +0000
@@ -71,7 +71,7 @@
     Konversation::ServerGroupSettingsPtr serverGroup(new Konversation::ServerGroupSettings);
     serverGroup->setName("Freenode");
     Konversation::ServerSettings server;
-    server.setHost("irc.freenode.org");
+    server.setHost("chat.freenode.net");
     server.setPort(8001);
     serverGroup->addServer(server);
     serverGroup->setIdentityId(mIdentity->id());
@@ -124,18 +124,20 @@
 
 // --------------------------- AutoReplace ---------------------------
 
-const QStringList Preferences::defaultAutoreplaceList()
+const QList<QStringList> Preferences::defaultAutoreplaceList()
 {
-    return QStringList() << "1,o,\\[\\[([^\\s]+)\\]\\],http://en.wikipedia.org/wiki/Special:Search?go=Go&search=%1"
-                         << "1,o,(BUG:|bug:)([0-9]+),http://bugs.kde.org/show_bug.cgi?id=%2";
+    QList<QStringList> defaultList;
+    defaultList.append(QStringList() << "1" << "o" << "\\[\\[([^\\s]+)\\]\\]" << "http://en.wikipedia.org/wiki/Special:Search?go=Go&search=%1");
+    defaultList.append(QStringList() << "1" << "o" << "(BUG:|bug:)([0-9]+)" << "http://bugs.kde.org/show_bug.cgi?id=%2");
+    return defaultList;
 }
 
-const QStringList Preferences::autoreplaceList()
+const QList<QStringList> Preferences::autoreplaceList()
 {
   return self()->mAutoreplaceList;
 }
 
-void Preferences::setAutoreplaceList(const QStringList newList)
+void Preferences::setAutoreplaceList(const QList<QStringList> newList)
 {
   self()->mAutoreplaceList=newList;
 }

=== modified file 'src/config/preferences.h'
--- src/config/preferences.h	2009-04-10 16:16:59 +0000
+++ src/config/preferences.h	2009-05-15 11:24:24 +0000
@@ -100,9 +100,9 @@
         static void setQuickButtonList(const QStringList newList);
         static void clearQuickButtonList();
 
-        static const QStringList autoreplaceList();
-        static const QStringList defaultAutoreplaceList();
-        static void setAutoreplaceList(const QStringList newList);
+        static const QList<QStringList> autoreplaceList();
+        static const QList<QStringList> defaultAutoreplaceList();
+        static void setAutoreplaceList(const QList<QStringList> newList);
         static void clearAutoreplaceList();
 
         static void addIdentity(IdentityPtr identity);
@@ -163,7 +163,7 @@
         QMap<int, QStringList> mNotifyList;  // network id, list of nicks
         QMap< int,QMap<QString,QString> > mChannelEncodingsMap;  // mChannelEncodingsMap[serverGroupdId][channelName]
         QStringList mQuickButtonList;
-        QStringList mAutoreplaceList;
+        QList<QStringList> mAutoreplaceList;
         QString mSortingOrder;
 };
 #endif

=== modified file 'src/connectionmanager.cpp'
--- src/connectionmanager.cpp	2009-04-10 16:16:59 +0000
+++ src/connectionmanager.cpp	2009-05-15 11:24:24 +0000
@@ -34,7 +34,7 @@
 }
 
 void ConnectionManager::connectTo(Konversation::ConnectionFlag flag, const QString& target,
-    uint port, const QString& password, const QString& nick, const QString& channel,
+    const QString& port, const QString& password, const QString& nick, const QString& channel,
     bool useSSL)
 {
     ConnectionSettings settings;
@@ -47,7 +47,7 @@
 
         Konversation::ServerSettings server = settings.server();
 
-        server.setPort(port);
+        if (!port.isEmpty()) server.setPort(port.toInt());
 
         if (!password.isEmpty()) server.setPassword(password);
 
@@ -323,7 +323,7 @@
     // Example: Non-RFC 2732 notation: 2001:0DB8:0000:0000:0000:0000:1428:57ab:6666
     if (address.contains(':')==8)
     {
-        host = address.section(':',0,-2).remove("[").remove("]");
+        host = address.section(':',0,-2).remove('[').remove(']');
         port = address.section(':',-1);
     }
     // Full-length IPv6 address without port or not-full-length IPv6 address with port
@@ -335,15 +335,15 @@
         // Last segment does not end with ], but the next to last does;
         // Assume not-full-length IPv6 address with port
         // Example: [2001:0DB8::1428:57ab]:6666
-        if (address.section(':',0,-2).endsWith("]") && !address.section(':',-1).endsWith("]"))
+        if (address.section(':',0,-2).endsWith(']') && !address.section(':',-1).endsWith(']'))
         {
-            host = address.section(':',0,-2).remove("[").remove("]");
+            host = address.section(':',0,-2).remove('[').remove(']');
             port = address.section(':',-1);
         }
         else
         {
             QString addressCopy = address;
-            host = addressCopy.remove("[").remove("]");
+            host = addressCopy.remove('[').remove(']');
         }
     }
     // IPv4 address or ordinary hostname with port
@@ -501,13 +501,13 @@
     QString errors;
 
     if (identity->getIdent().isEmpty())
-        errors+=i18n("Please fill in your <b>Ident</b>.<br>");
+        errors+=i18n("Please fill in your <b>Ident</b>.<br/>");
 
     if (identity->getRealName().isEmpty())
-        errors+=i18n("Please fill in your <b>Real name</b>.<br>");
+        errors+=i18n("Please fill in your <b>Real name</b>.<br/>");
 
     if (identity->getNickname(0).isEmpty())
-        errors+=i18n("Please provide at least one <b>Nickname</b>.<br>");
+        errors+=i18n("Please provide at least one <b>Nickname</b>.<br/>");
 
     if (!errors.isEmpty())
     {
@@ -515,7 +515,7 @@
         {
             int result = KMessageBox::warningContinueCancel(
                     mainWindow,
-                    i18n("<qt>Your identity \"%1\" is not set up correctly:<br>%2</qt>", identity->getName(), errors),
+                    i18n("<qt>Your identity \"%1\" is not set up correctly:<br/>%2</qt>", identity->getName(), errors),
                     i18n("Identity Settings"),
                     KGuiItem(i18n("Edit Identity...")),
                     KStandardGuiItem::cancel());

=== modified file 'src/connectionmanager.h'
--- src/connectionmanager.h	2009-04-10 16:16:59 +0000
+++ src/connectionmanager.h	2009-05-15 11:24:24 +0000
@@ -44,7 +44,7 @@
     public slots:
         void connectTo(Konversation::ConnectionFlag flag,
                        const QString& target,
-                       uint port = 0,
+                       const QString& port = "",
                        const QString& password = "",
                        const QString& nick = "",
                        const QString& channel = "",

=== modified file 'src/dbus.cpp'
--- src/dbus.cpp	2009-04-10 16:16:59 +0000
+++ src/dbus.cpp	2009-05-15 11:24:24 +0000
@@ -146,7 +146,7 @@
 
 void DBus::connectToServer(const QString& address, int port, const QString& channel, const QString& password)
 {
-    emit connectTo(Konversation::SilentlyReuseConnection, address, port, password, "", channel);
+    emit connectTo(Konversation::SilentlyReuseConnection, address, QString::number(port), password, "", channel);
 }
 
 QString DBus::getNickname(const QString& serverName)

=== modified file 'src/dbus.h'
--- src/dbus.h	2009-04-10 16:16:59 +0000
+++ src/dbus.h	2009-05-15 11:24:24 +0000
@@ -43,7 +43,7 @@
 
         void connectTo(Konversation::ConnectionFlag flag,
                        const QString& hostName,
-                       uint port = 0,
+                       const QString& port = "",
                        const QString& password = "",
                        const QString& nick = "",
                        const QString& channel = "",

=== modified file 'src/dcc/chat.cpp'
--- src/dcc/chat.cpp	2009-04-10 16:16:59 +0000
+++ src/dcc/chat.cpp	2009-05-15 11:24:24 +0000
@@ -219,15 +219,15 @@
 
         QStringList lines = line.split('\n', QString::SkipEmptyParts);
 
-        for( QStringList::iterator itLine = lines.begin() ; itLine != lines.end() ; itLine++ )
+        for( QStringList::iterator itLine = lines.begin() ; itLine != lines.end() ; ++itLine )
         {
             if( (*itLine).startsWith( "\x01" ) )
             {
                 // cut out the CTCP command
                 QString ctcp = (*itLine).mid( 1, (*itLine).indexOf( 1, 1 ) - 1 );
 
-                QString ctcpCommand = ctcp.section( " ", 0, 0 );
-                QString ctcpArgument = ctcp.section( " ", 1 );
+                QString ctcpCommand = ctcp.section( ' ', 0, 0 );
+                QString ctcpArgument = ctcp.section( ' ', 1 );
 
                 if( ctcpCommand.toLower() == "action" )
                     appendAction( m_partnerNick, ctcpArgument );
@@ -272,7 +272,7 @@
         // init stream props
         stream.setCodec(Konversation::IRCCharsets::self()->codecForName(m_encoding.isEmpty() ? Konversation::IRCCharsets::self()->encodingForLocale() : m_encoding));
 
-        for( QStringList::iterator itLine = lines.begin() ; itLine != lines.end() ; itLine++ )
+        for( QStringList::iterator itLine = lines.begin() ; itLine != lines.end() ; ++itLine )
         {
             QString line( *itLine );
 
@@ -285,8 +285,8 @@
             QString cmd=line.section(' ', 0,0).toLower();
             if (cmd == cc+"me")
             {
-                appendAction( m_ownNick, line.section( " ", 1 ) );
-                line=QString("\x01%1 %2\x01").arg("ACTION").arg(line.section(" ",1));
+                appendAction( m_ownNick, line.section( ' ', 1 ) );
+                line=QString("\x01%1 %2\x01").arg("ACTION").arg(line.section(' ',1));
             }
             else if (cmd == cc+"close")
             {

=== modified file 'src/dcc/transfer.cpp'
--- src/dcc/transfer.cpp	2009-04-10 16:16:59 +0000
+++ src/dcc/transfer.cpp	2009-05-15 11:24:24 +0000
@@ -12,6 +12,9 @@
 */
 
 #include "transfer.h" ////// header renamed
+#include "application.h" ////// header renamed
+#include "connectionmanager.h"
+#include "notificationhandler.h"
 #include "preferences.h"
 
 #include <qfileinfo.h>
@@ -137,6 +140,25 @@
     updateTransferMeters();
 }
 
+void DccTransfer::cleanUp()
+{
+}
+
+// just for convenience
+void DccTransfer::failed( const QString& errorMessage )
+{
+    cleanUp();
+    KonversationApplication* konv_app = KonversationApplication::instance();
+    Server* server = konv_app->getConnectionManager()->getServerByConnectionId( m_connectionId );
+    if (server)
+    {
+        kDebug() << "notification:" << errorMessage;
+        konv_app->notificationHandler()->dccError(server->getStatusView(), errorMessage);
+    }
+    setStatus( Failed, errorMessage );
+    emit done( this );
+}
+
 void DccTransfer::setStatus( DccStatus status, const QString& statusDetail )
 {
     bool changed = ( status != m_status );
@@ -147,6 +169,17 @@
     {
         emit statusChanged( this, m_status, oldStatus );
     }
+
+    if (m_status == Done)
+    {
+        KonversationApplication* konv_app = KonversationApplication::instance();
+        Server* server = konv_app->getConnectionManager()->getServerByConnectionId( m_connectionId );
+        if (server)
+        {
+            kDebug() << "notification:" << m_fileName;
+            konv_app->notificationHandler()->dccTransferDone(server->getStatusView(), m_fileName);
+        }
+    }
 }
 
 void DccTransfer::updateTransferMeters()

=== modified file 'src/dcc/transfer.h'
--- src/dcc/transfer.h	2009-04-10 16:16:59 +0000
+++ src/dcc/transfer.h	2009-05-15 11:24:24 +0000
@@ -107,9 +107,12 @@
         virtual void abort() {};
 
     protected:
+        virtual void cleanUp();
+        void failed(const QString& errorMessage = QString() );
+
         /**
          * setStatus behavior changed:
-         * Now make sure to run functions that change transfer informations before setStatus.
+         * Now make sure to run functions that change transfer information before setStatus.
          * For example cleanUp();
          *
          * If you call setStatus(..) and change the "Started at:"-time afterwards,

=== modified file 'src/dcc/transferrecv.cpp'
--- src/dcc/transferrecv.cpp	2009-04-10 16:16:59 +0000
+++ src/dcc/transferrecv.cpp	2009-05-15 11:24:24 +0000
@@ -113,14 +113,6 @@
     }
 }
 
-// just for convenience
-void DccTransferRecv::failed( const QString& errorMessage )
-{
-    cleanUp();
-    setStatus( Failed, errorMessage );
-    emit done( this );
-}
-
 void DccTransferRecv::setPartnerIp( const QString& ip )
 {
     if ( getStatus() == Configuring )
@@ -402,9 +394,9 @@
         }
         else
         {
-            askAndPrepareLocalKio( i18n( "<b>A partial file exists.</b><br>"
-                "%1<br>"
-                "Size of the partial file: %2 bytes<br>",
+            askAndPrepareLocalKio( i18n( "<b>A partial file exists.</b><br/>"
+                "%1<br/>"
+                "Size of the partial file: %2 bytes<br/>",
                 m_fileURL.prettyUrl(),
                 KGlobal::locale()->formatNumber( size, 0 ) ),
                 DccResumeDialog::RA_Resume | DccResumeDialog::RA_Overwrite | DccResumeDialog::RA_Rename | DccResumeDialog::RA_Cancel,
@@ -610,7 +602,9 @@
 
     connect( m_recvSocket, SIGNAL( readyRead() ),                        this, SLOT( readData() )              );
     //connect( m_recvSocket, SIGNAL( readyWrite() ),                       this, SLOT( sendAck() )               );
-    connect( m_recvSocket, SIGNAL( disconnected() ),                           this, SLOT( slotSocketClosed() )      );
+
+    //Not needed, error is also emitted when this happens + covers more cases
+    //connect( m_recvSocket, SIGNAL( disconnected() ),                           this, SLOT( slotSocketClosed() )      );
 
     m_transferStartPosition = m_transferringPosition;
 
@@ -625,8 +619,11 @@
                                                   // slot
 void DccTransferRecv::connectionFailed( QAbstractSocket::SocketError errorCode )
 {
+    finishTransferLogger();
     kDebug() << "Code = " << errorCode << ", string = " << m_recvSocket->errorString();
-    failed( i18n( "Connection failure: %1", m_recvSocket->errorString() ) );
+    failed( m_recvSocket->errorString() );
+    setStatus( Failed );
+    emit done( this );
 }
 
 void DccTransferRecv::readData()                  // slot
@@ -703,12 +700,14 @@
     failed( i18n( "Timed out" ) );
 }
 
+/*
 void DccTransferRecv::slotSocketClosed()
 {
     finishTransferLogger();
     if ( getStatus() == Transferring )
         failed( i18n( "Remote user disconnected" ) );
 }
+*/
 
 // WriteCacheHandler
 

=== modified file 'src/dcc/transferrecv.h'
--- src/dcc/transferrecv.h	2009-04-10 16:16:59 +0000
+++ src/dcc/transferrecv.h	2009-05-15 11:24:24 +0000
@@ -88,7 +88,7 @@
         void readData();
         void sendAck();
         void connectionTimeout();
-        void slotSocketClosed();
+        //void slotSocketClosed(); //same as connectionFailed
 
         // Reverse DCC
         void slotServerSocketReadyAccept();
@@ -96,7 +96,6 @@
 
     protected:
         void cleanUp();
-        void failed(const QString& errorMessage = QString() );
 
                                                   // (startPosition == 0) means "don't resume"
         void prepareLocalKio( bool overwrite, bool resume, KIO::fileoffset_t startPosition = 0 );

=== modified file 'src/dcc/transfersend.cpp'
--- src/dcc/transfersend.cpp	2009-04-10 16:16:59 +0000
+++ src/dcc/transfersend.cpp	2009-05-15 11:24:24 +0000
@@ -81,7 +81,7 @@
     finishTransferLogger();
     if ( !m_tmpFile.isEmpty() )
         KIO::NetAccess::removeTempFile( m_tmpFile );
-    m_tmpFile = QString();
+    m_tmpFile.clear();
     m_file.close();
     if ( m_sendSocket )
     {
@@ -95,14 +95,6 @@
     }
 }
 
-// just for convenience
-void DccTransferSend::failed( const QString& errorMessage )
-{
-    cleanUp();
-    setStatus( Failed, errorMessage );
-    emit done( this );
-}
-
 void DccTransferSend::setFileURL( const KUrl& url )
 {
     if ( getStatus() == Configuring )

=== modified file 'src/dcc/transfersend.h'
--- src/dcc/transfersend.h	2009-04-10 16:16:59 +0000
+++ src/dcc/transfersend.h	2009-05-15 11:24:24 +0000
@@ -70,7 +70,6 @@
 
     protected:
         void cleanUp();
-        void failed(const QString& errorMessage = QString() );
 
         void startConnectionTimer( int sec );
         void stopConnectionTimer();

=== modified file 'src/identitydialog.cpp'
--- src/identitydialog.cpp	2009-04-10 16:16:59 +0000
+++ src/identitydialog.cpp	2009-05-15 11:24:24 +0000
@@ -54,6 +54,13 @@
         // add encodings to combo box
         m_codecCBox->addItems(Konversation::IRCCharsets::self()->availableEncodingDescriptiveNames());
 
+        // set the suffix for the inactivity time spinbox
+#if KDE_IS_VERSION(4, 2, 80)
+        m_awayInactivitySpin->setSuffix(ki18np(" minute", " minutes"));
+#else
+        m_awayInactivitySpin->setSuffix(i18n(" minutes"));
+#endif
+
         // set values for the widgets
         updateIdentity(0);
 

=== modified file 'src/identitydialog.ui'
--- src/identitydialog.ui	2009-04-10 16:16:59 +0000
+++ src/identitydialog.ui	2009-05-15 11:24:24 +0000
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>427</width>
-    <height>404</height>
+    <width>428</width>
+    <height>408</height>
    </rect>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
@@ -22,7 +22,10 @@
         </sizepolicy>
        </property>
        <property name="text">
-        <string>Identity:</string>
+        <string>&amp;Identity:</string>
+       </property>
+       <property name="buddy">
+        <cstring>m_identityCBox</cstring>
        </property>
       </widget>
      </item>
@@ -58,6 +61,9 @@
            <height>28</height>
           </size>
          </property>
+         <property name="toolTip">
+          <string>Add</string>
+         </property>
          <property name="iconSize">
           <size>
            <width>16</width>
@@ -86,6 +92,9 @@
            <height>28</height>
           </size>
          </property>
+         <property name="toolTip">
+          <string>Duplicate</string>
+         </property>
          <property name="iconSize">
           <size>
            <width>16</width>
@@ -114,6 +123,9 @@
            <height>28</height>
           </size>
          </property>
+         <property name="toolTip">
+          <string>Rename</string>
+         </property>
          <property name="text">
           <string comment="Edit"/>
          </property>
@@ -145,6 +157,9 @@
            <height>28</height>
           </size>
          </property>
+         <property name="toolTip">
+          <string>Remove</string>
+         </property>
          <property name="iconSize">
           <size>
            <width>16</width>
@@ -172,7 +187,10 @@
          <item>
           <widget class="QLabel" name="realNameLabel">
            <property name="text">
-            <string>Real name:</string>
+            <string>&amp;Real name:</string>
+           </property>
+           <property name="buddy">
+            <cstring>m_realNameEdit</cstring>
            </property>
           </widget>
          </item>
@@ -206,7 +224,10 @@
           <item row="0" column="0">
            <widget class="QLabel" name="botLabel">
             <property name="text">
-             <string>Service:</string>
+             <string>Ser&amp;vice:</string>
+            </property>
+            <property name="buddy">
+             <cstring>m_botEdit</cstring>
             </property>
            </widget>
           </item>
@@ -220,7 +241,10 @@
           <item row="0" column="2">
            <widget class="QLabel" name="passwordLabel">
             <property name="text">
-             <string>Password:</string>
+             <string>Pa&amp;ssword:</string>
+            </property>
+            <property name="buddy">
+             <cstring>m_passwordEdit</cstring>
             </property>
            </widget>
           </item>
@@ -263,7 +287,7 @@
          <item row="1" column="1">
           <widget class="KLineEdit" name="m_awayNickEdit">
            <property name="whatsThis">
-            <string>Enter a nickname that indicates you are away. Whenever you perform an &lt;b&gt;/away msg&lt;/b&gt; command in any channel joined with this Identity, Konversation will automatically change your nickname to the Away nickname. Other users will be able to tell you are away from your computer. Whenever you perform an &lt;b&gt;/away&lt;/b&gt; command in any channel in which you are away, Konversation will automatically change your nickname back to the original. If you do not wish to automatically change your nickname when going away, leave blank.        </string>
+            <string>Enter a nickname that indicates you are away. Whenever you perform an &lt;b&gt;/away msg&lt;/b&gt; command in any channel joined with this Identity, Konversation will automatically change your nickname to the Away nickname. Other users will be able to tell you are away from your computer. Whenever you perform an &lt;b&gt;/away&lt;/b&gt; command in any channel in which you are away, Konversation will automatically change your nickname back to the original. If you do not wish to automatically change your nickname when going away, leave blank.</string>
            </property>
           </widget>
          </item>
@@ -363,7 +387,10 @@
           <item row="0" column="0">
            <widget class="QLabel" name="awayLabel">
             <property name="text">
-             <string>Away message:</string>
+             <string>Away &amp;message:</string>
+            </property>
+            <property name="buddy">
+             <cstring>m_awayEdit</cstring>
             </property>
            </widget>
           </item>
@@ -373,7 +400,10 @@
           <item row="1" column="0">
            <widget class="QLabel" name="unAwayLabel">
             <property name="text">
-             <string>Return message:</string>
+             <string>Re&amp;turn message:</string>
+            </property>
+            <property name="buddy">
+             <cstring>m_unAwayEdit</cstring>
             </property>
            </widget>
           </item>
@@ -406,7 +436,10 @@
        <item row="0" column="0">
         <widget class="QLabel" name="sCommandLabel">
          <property name="text">
-          <string>Pre-shell command:</string>
+          <string>&amp;Pre-shell command:</string>
+         </property>
+         <property name="buddy">
+          <cstring>m_sCommandEdit</cstring>
          </property>
         </widget>
        </item>
@@ -426,7 +459,10 @@
           </sizepolicy>
          </property>
          <property name="text">
-          <string>Encoding:</string>
+          <string>&amp;Encoding:</string>
+         </property>
+         <property name="buddy">
+          <cstring>m_codecCBox</cstring>
          </property>
         </widget>
        </item>
@@ -440,7 +476,10 @@
        <item row="2" column="0">
         <widget class="QLabel" name="loginLabel">
          <property name="text">
-          <string>Ident:</string>
+          <string>I&amp;dent:</string>
+         </property>
+         <property name="buddy">
+          <cstring>m_loginEdit</cstring>
          </property>
         </widget>
        </item>
@@ -454,7 +493,10 @@
        <item row="3" column="0">
         <widget class="QLabel" name="quitLabel">
          <property name="text">
-          <string>Quit reason:</string>
+          <string>&amp;Quit reason:</string>
+         </property>
+         <property name="buddy">
+          <cstring>m_quitEdit</cstring>
          </property>
         </widget>
        </item>
@@ -471,18 +513,17 @@
        <item row="4" column="0">
         <widget class="QLabel" name="partLabel">
          <property name="text">
-          <string>Part reason:</string>
+          <string>&amp;Part reason:</string>
+         </property>
+         <property name="buddy">
+          <cstring>m_partEdit</cstring>
          </property>
         </widget>
        </item>
        <item row="4" column="1">
         <widget class="KLineEdit" name="m_partEdit">
          <property name="whatsThis">
-          <string>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
-&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
-p, li { white-space: pre-wrap; }
-&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Sans Serif'; font-size:10pt; font-weight:400; font-style:normal;&quot;&gt;
-&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:'Courier New'; color:#333333;&quot;&gt;Whenever you leave a channel, this message is sent to the channel.&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          <string>Whenever you leave a channel, this message is sent to the channel.</string>
          </property>
          <property name="text">
           <string>Konversation terminated!</string>
@@ -492,7 +533,10 @@
        <item row="5" column="0">
         <widget class="QLabel" name="kickLabel">
          <property name="text">
-          <string>Kick reason:</string>
+          <string>&amp;Kick reason:</string>
+         </property>
+         <property name="buddy">
+          <cstring>m_kickEdit</cstring>
          </property>
         </widget>
        </item>
@@ -514,9 +558,9 @@
  </widget>
  <customwidgets>
   <customwidget>
-   <class>KComboBox</class>
-   <extends>QComboBox</extends>
-   <header>kcombobox.h</header>
+   <class>KIntSpinBox</class>
+   <extends>QSpinBox</extends>
+   <header>knuminput.h</header>
   </customwidget>
   <customwidget>
    <class>KEditListBox</class>
@@ -524,9 +568,9 @@
    <header>keditlistbox.h</header>
   </customwidget>
   <customwidget>
-   <class>KIntSpinBox</class>
-   <extends>QSpinBox</extends>
-   <header>knuminput.h</header>
+   <class>KPushButton</class>
+   <extends>QPushButton</extends>
+   <header>kpushbutton.h</header>
   </customwidget>
   <customwidget>
    <class>KLineEdit</class>
@@ -534,9 +578,9 @@
    <header>klineedit.h</header>
   </customwidget>
   <customwidget>
-   <class>KPushButton</class>
-   <extends>QPushButton</extends>
-   <header>kpushbutton.h</header>
+   <class>KComboBox</class>
+   <extends>QComboBox</extends>
+   <header>kcombobox.h</header>
   </customwidget>
   <customwidget>
    <class>KTabWidget</class>

=== modified file 'src/irc/channel.cpp'
--- src/irc/channel.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/channel.cpp	2009-05-15 11:24:24 +0000
@@ -42,7 +42,6 @@
 #include <qsplitter.h>
 #include <qcheckbox.h>
 #include <qtimer.h>
-#include <qcombobox.h>
 #include <qtextcodec.h>
 #include <qtoolbutton.h>
 #include <qlayout.h>
@@ -61,6 +60,7 @@
 #include <KColorScheme>
 #include <kvbox.h>
 #include <khbox.h>
+#include <kcombobox.h>
 
 bool nickTimestampLessThan(const Nick* nick1, const Nick* nick2)
 {
@@ -239,9 +239,11 @@
     commandLineBox = new KHBox(this);
     commandLineBox->setSpacing(spacing());
 
-    nicknameCombobox = new QComboBox(commandLineBox);
+    nicknameCombobox = new KComboBox(commandLineBox);
     nicknameCombobox->setEditable(true);
-    nicknameCombobox->setSizeAdjustPolicy(QComboBox::AdjustToContents);
+    nicknameCombobox->setSizeAdjustPolicy(KComboBox::AdjustToContents);
+    KLineEdit* nicknameComboboxLineEdit = qobject_cast<KLineEdit*>(nicknameCombobox->lineEdit());
+    if (nicknameComboboxLineEdit) nicknameComboboxLineEdit->setClearButtonShown(false);
     nicknameCombobox->setWhatsThis(i18n("<qt><p>This shows your current nick, and any alternatives you have set up.  If you select or type in a different nickname, then a request will be sent to the IRC server to change your nick.  If the server allows it, the new nickname will be selected.  If you type in a new nickname, you need to press 'Enter' at the end.</p><p>You can add change the alternative nicknames from the <em>Identities</em> option in the <em>File</em> menu.</p></qt>"));
 
     awayLabel = new QLabel(i18n("(away)"), commandLineBox);
@@ -1371,11 +1373,24 @@
         }
         else
         {
-            kWarning() << "Channel::removeNick(): Nickname " << channelNick->getNickname() << " not found!"<< endl;
+            kWarning() << "Nickname " << channelNick->getNickname() << " not found!"<< endl;
         }
     }
 }
 
+void Channel::flushPendingNicks()
+{
+    if (m_processingTimer)
+    {
+        m_processingTimer->stop();
+    }
+
+    while (!m_pendingChannelNickLists.isEmpty())
+    {
+        processPendingNicks();
+    }
+}
+
 void Channel::kickNick(ChannelNickPtr channelNick, const QString &kicker, const QString &reason)
 {
     QString displayReason = reason;
@@ -1454,7 +1469,7 @@
 
         if(nick == 0)
         {
-            kWarning() << "Channel::kickNick(): Nickname " << channelNick->getNickname() << " not found!"<< endl;
+            kWarning() << "Nickname " << channelNick->getNickname() << " not found!"<< endl;
         }
         else
         {
@@ -1466,7 +1481,7 @@
 
 Nick* Channel::getNickByName(const QString &lookname)
 {
-    QString lcLookname = lookname.toLower();
+    QString lcLookname(lookname.toLower());
 
     foreach (Nick* nick, nicknameList)
     {
@@ -2118,9 +2133,9 @@
         quickButton->setDefinition(buttonText);
 
         // Add tool tips
-        QString toolTip=buttonText.replace("&","&amp;").
-            replace("<","&lt;").
-            replace(">","&gt;");
+        QString toolTip=buttonText.replace('&',"&amp;").
+            replace('<',"&lt;").
+            replace('>',"&gt;");
 
         quickButton->setToolTip(toolTip);
 
@@ -2367,7 +2382,7 @@
         connect(m_processingTimer, SIGNAL(timeout()), this, SLOT(processPendingNicks()));
     }
 
-    m_pendingChannelNickLists.append(pendingChannelNickList);
+    m_pendingChannelNickLists << pendingChannelNickList;
 
     if (!m_processingTimer->isActive())
         m_processingTimer->start(0);
@@ -2578,7 +2593,7 @@
         purgeNicks();
         getTextView()->setNickAndChannelContextMenusEnabled(false);
         nicknameCombobox->setEnabled(false);
-        topicLine->setText(QString::null);
+        topicLine->clear();
         clearModeList();
         clearBanList();
     }
@@ -2626,24 +2641,16 @@
                         (halfop ?  2 : 0) +
                         (voice  ?  1 : 0);
 
-    // Check if nick is already in the nicklist
-    if (!getNickByName(nickname))
-    {
-        ChannelNickPtr nick = m_server->addNickToJoinedChannelsList(getName(), nickname);
-        Q_ASSERT(nick);
-        nick->setMode(mode);
-
-        fastAddNickname(nick);
-
-        if (nick->isAdmin() || nick->isOwner() || nick->isOp() || nick->isHalfOp())
-            m_opsToAdd++;
-
-        m_currentIndex++;
-    }
-    else
-    {
-        m_pendingChannelNickLists.first().pop_front();
-    }
+    ChannelNickPtr nick = m_server->addNickToJoinedChannelsList(getName(), nickname);
+    Q_ASSERT(nick);
+    nick->setMode(mode);
+
+    fastAddNickname(nick);
+
+    if (nick->isAdmin() || nick->isOwner() || nick->isOp() || nick->isHalfOp())
+        m_opsToAdd++;
+
+    m_currentIndex++;
 
     if (m_pendingChannelNickLists.first().count() <= m_currentIndex)
     {

=== modified file 'src/irc/channel.h'
--- src/irc/channel.h	2009-04-10 16:16:59 +0000
+++ src/irc/channel.h	2009-05-15 11:24:24 +0000
@@ -29,13 +29,13 @@
 class QStringList;
 class QSplitter;
 class Q3Grid;
-class QComboBox;
 class QDropEvent;
 class QToolButton;
 
 class KLineEdit;
 class KVBox;
 class KHBox;
+class KComboBox;
 
 class NickListView;
 class QuickButton;
@@ -119,6 +119,8 @@
 
 //Nicklist
     public:
+        void flushPendingNicks();
+
         ChannelNickPtr getOwnChannelNick();
         ChannelNickPtr getChannelNick(const QString &ircnick);
 
@@ -323,7 +325,7 @@
         KHBox* commandLineBox;
         KVBox* nickListButtons;
         Q3Grid* buttonsGrid;
-        QComboBox* nicknameCombobox;
+        KComboBox* nicknameCombobox;
         QString oldNick; ///< GUI
         QLabel* awayLabel;
         QLabel* blowfishLabel;

=== modified file 'src/irc/channeldialog.cpp'
--- src/irc/channeldialog.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/channeldialog.cpp	2009-05-15 11:24:24 +0000
@@ -13,10 +13,10 @@
 
 #include <qlayout.h>
 #include <qlabel.h>
-#include <qlineedit.h>
 
 #include <klocale.h>
 #include <kmessagebox.h>
+#include <klineedit.h>
 
 
 namespace Konversation
@@ -33,13 +33,13 @@
         mainLayout->setMargin(0);
 
         QLabel* channelLbl = new QLabel(i18n("C&hannel:"), mainWidget());
-        m_channelEdit = new QLineEdit(mainWidget());
+        m_channelEdit = new KLineEdit(mainWidget());
         m_channelEdit->setMaxLength(50);
         channelLbl->setBuddy(m_channelEdit);
 
         QLabel* passwordLbl = new QLabel(i18n("Pass&word:"), mainWidget());
-        m_passwordEdit = new QLineEdit(mainWidget());
-        m_passwordEdit->setEchoMode(QLineEdit::Password);
+        m_passwordEdit = new KLineEdit(mainWidget());
+        m_passwordEdit->setEchoMode(KLineEdit::Password);
         passwordLbl->setBuddy(m_passwordEdit);
 
         mainLayout->addWidget(channelLbl, 0, 0);

=== modified file 'src/irc/channeldialog.h'
--- src/irc/channeldialog.h	2009-04-10 16:16:59 +0000
+++ src/irc/channeldialog.h	2009-05-15 11:24:24 +0000
@@ -15,7 +15,7 @@
 #include <kdialog.h>
 
 
-class QLineEdit;
+class KLineEdit;
 
 namespace Konversation
 {
@@ -37,8 +37,8 @@
             void slotOk();
         void slotServerNameChanged( const QString& );
         private:
-            QLineEdit* m_channelEdit;
-            QLineEdit* m_passwordEdit;
+            KLineEdit* m_channelEdit;
+            KLineEdit* m_passwordEdit;
 
     };
 

=== modified file 'src/irc/channeloptionsui.ui'
--- src/irc/channeloptionsui.ui	2009-04-10 16:16:59 +0000
+++ src/irc/channeloptionsui.ui	2009-05-15 11:24:24 +0000
@@ -21,7 +21,7 @@
     <number>0</number>
    </property>
    <item>
-    <widget class="QTabWidget" name="channelTabWidget">
+    <widget class="KTabWidget" name="channelTabWidget">
      <property name="currentIndex">
       <number>0</number>
      </property>
@@ -57,9 +57,6 @@
           <attribute name="headerShowSortIndicator" stdset="0">
            <bool>false</bool>
           </attribute>
-          <attribute name="headerShowSortIndicator" stdset="0">
-           <bool>false</bool>
-          </attribute>
           <column>
            <property name="text">
             <string>Nickname</string>
@@ -376,6 +373,12 @@
    <header>klineedit.h</header>
   </customwidget>
   <customwidget>
+   <class>KTabWidget</class>
+   <extends>QTabWidget</extends>
+   <header>ktabwidget.h</header>
+   <container>1</container>
+  </customwidget>
+  <customwidget>
    <class>KTextEdit</class>
    <extends>QTextEdit</extends>
    <header>ktextedit.h</header>

=== modified file 'src/irc/inputfilter.cpp'
--- src/irc/inputfilter.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/inputfilter.cpp	2009-05-15 11:24:24 +0000
@@ -48,115 +48,186 @@
     server=newServer;
 }
 
-void InputFilter::parseLine(const QString& a_newLine)
-{
-    QString trailing;
-    QString newLine(a_newLine);
-
-    // Remove white spaces at the end and beginning
-    newLine = newLine.trimmed();
-    // Find end of middle parameter list
-    int pos = newLine.indexOf(" :");
-    // Was there a trailing parameter?
-    if(pos != -1)
-    {
-        // Copy trailing parameter
-        trailing = newLine.mid(pos + 2);
-        // Cut trailing parameter from string
-        newLine = newLine.left(pos);
-    }
-    // Remove all unnecessary white spaces to make parsing easier
-    newLine = newLine.simplified();
-
+/*
+Prefix parsePrefix(QString prefix)
+{
+    //3 possibilities - bare nickname, nickname and a host with optional ident, or a server if there is no punct, its a nickname
+    //there must be at least 1 character before a symbol or its some kind of screwed up nickname
+    Prefix pre;
+    int id=prefix.indexOf("!");
+    int ad=prefix.indexOf("@");
+    if (prefix.indexOf(".") > 0 && id==-1 && ad==-1 ) // it is a server
+    {
+        pre.isServer=true;
+        pre.host=prefix;
+    }
+    else
+    {
+        if (ad >0)
+        {
+            pre.host=prefix.mid(ad+1);
+            prefix.truncate(ad);
+            if (id > 0 && id < ad)
+            {
+                pre.ident=prefix.mid(id+1);
+                prefix.truncate(id);
+            }
+        }
+        //else // consider all of it a nickname
+        pre.nickname=prefix;
+    }
+    return pre;
+}
+*/
+
+template<typename T>
+int posOrLen(T chr, const QString& str, int from=0)
+{
+    int p=str.indexOf(chr, from);
+    if (p<0)
+        return str.size();
+    return p;
+}
+
+/// "[22:08] >> :thiago!n=thiago@kde/thiago QUIT :Read error: 110 (Connection timed out)"
+/// "[21:47] >> :Zarin!n=x365@kde/developer/lmurray PRIVMSG #plasma :If the decoration doesn't have paint( QPixmap ) it falls back to the old one"
+/// "[21:49] >> :niven.freenode.net 352 argonel #kde-forum i=beezle konversation/developer/argonel irc.freenode.net argonel H :0 Konversation User "
+void InputFilter::parseLine(const QString& line)
+{
     QString prefix;
+    int start=0;
+    int end(posOrLen(' ', line));
 
-    // Do we have a prefix?
-    if(newLine[0] == ':')
+    if (line[0]==':')
     {
-        // Find end of prefix
-        pos = newLine.indexOf(' ');
-        // Copy prefix
-        prefix = newLine.mid(1, pos - 1);
-        // Remove prefix from line
-        newLine = newLine.mid(pos + 1);
+        start=end+1;
+        prefix=line.mid(1, end-1); //skips the colon and does not include the trailing space
+        end=posOrLen(' ', line, start);
     }
 
-    // Find end of command
-    pos = newLine.indexOf(' ');
-    // Copy command (all lowercase to make parsing easier)
-    QString command = newLine.left(pos).toLower();
-    // Are there parameters left in the string?
+    //even though the standard is UPPER CASE, someone when through a great deal of trouble to make this lower case...
+    QString command = QString(line.mid(start, end-start)).toLower();
+    start=end+1;
+
+    int trailing=line.indexOf(" :", end);
+    if (trailing >= 0)
+        end=trailing;
+    else
+        end=line.size();
+
     QStringList parameterList;
 
-    if(pos != -1)
+    while (start < end)
     {
-        // Cut out the command
-        newLine = newLine.mid(pos + 1);
-        // The rest of the string will be the parameter list
-        parameterList = newLine.split(' ');
-    }
-
-    Q_ASSERT(server);
-
+        if (line[start]==' ')
+            start++;
+        else
+        {
+            int p=line.indexOf(' ', start); //easier to have Qt loop for me :)
+            if (p<0)
+                p=end;
+            parameterList << line.mid(start, p-start);
+            start=p+1;
+        }
+    };
+
+    /* Quote: "The final colon is specified as a "last argument" designator, and
+     * is always valid before the final argument."
+     * Quote: "The last parameter may be an empty string."
+     * Quote: "After extracting the parameter list, all parameters are equal
+     * whether matched by <middle> or <trailing>. <trailing> is just a
+     * syntactic trick to allow SPACE within the parameter."
+     */
+
+    if (trailing >= 0 ) //<-- trailing == ":" - per above we need the empty string
+        parameterList << line.mid( qMin(trailing+2, line.size()) );
+
+    Q_ASSERT(server); //how could we have gotten a line without a server?
+
+    
     // Server command, if no "!" was found in prefix
-    if((!prefix.contains('!')) && (prefix != server->getNickname()))
+    if ((!prefix.contains('!')) && (prefix != server->getNickname()))
     {
-
-        parseServerCommand(prefix, command, parameterList, trailing);
+        parseServerCommand(prefix, command, parameterList);
     }
     else
     {
-        parseClientCommand(prefix, command, parameterList, trailing);
+        parseClientCommand(prefix, command, parameterList);
     }
 }
 
-void InputFilter::parseClientCommand(const QString &prefix, const QString &command, const QStringList &parameterList, const QString &_trailing)
-{
-    KonversationApplication* konv_app = static_cast<KonversationApplication *>(KApplication::kApplication());
+#define trailing parameterList.last()
+#define plHas(x) _plHas(parameterList.count(), (x))
+
+bool _plHad=false;
+int _plWanted = 0;
+
+bool _plHas(int count, int x)
+{
+    _plHad=(count >= x);
+    _plWanted = x;
+    if (!_plHad)
+        kDebug() << "plhad" << count << "wanted" << x;
+    return _plHad;
+}
+
+void InputFilter::parseClientCommand(const QString &prefix, const QString &command, QStringList &parameterList)
+{
+    KonversationApplication* konv_app = KonversationApplication::instance();
     Q_ASSERT(konv_app);
     Q_ASSERT(server);
+
     // Extract nickname from prefix
     int pos = prefix.indexOf('!');
     QString sourceNick = prefix.left(pos);
     QString sourceHostmask = prefix.mid(pos + 1);
+
     // remember hostmask for this nick, it could have changed
-    server->addHostmaskToNick(sourceNick,sourceHostmask);
-    QString trailing = _trailing;
+    server->addHostmaskToNick(sourceNick, sourceHostmask);
+    if (parameterList.isEmpty())
+        return;
 
-    if(command=="privmsg")
+    //PRIVMSG #channel :message
+    if (command == "privmsg" && plHas(2))
     {
         bool isChan = isAChannel(parameterList.value(0));
         // CTCP message?
-        if(server->identifyMsg() && (trailing.at(0) == '+' || trailing.at(0) == '-')) {
+        if (server->identifyMsg() && (trailing.length() > 1 && (trailing.at(0) == '+' || trailing.at(0) == '-')))
+        {
             trailing = trailing.mid(1);
         }
 
-        if(!trailing.isEmpty() && trailing.at(0)==QChar(0x01))
+        if (!trailing.isEmpty() && trailing.at(0)==QChar(0x01))
         {
             // cut out the CTCP command
-            QString ctcp = trailing.mid(1,trailing.indexOf(1,1)-1);
+            QString ctcp = trailing.mid(1,trailing.indexOf(QChar(0x01),1)-1);
 
-            QString ctcpCommand=ctcp.left(ctcp.indexOf(' ')).toLower();
-            QString ctcpArgument=ctcp.mid(ctcp.indexOf(' ')+1);
-            ctcpArgument=static_cast<KonversationApplication*>(kapp)->doAutoreplace(ctcpArgument,false);
+            //QString::left(-1) returns the entire string
+            QString ctcpCommand = ctcp.left(ctcp.indexOf(' ')).toLower();
+            bool hasArg = ctcp.indexOf(' ') > 0;
+            //QString::mid(-1)+1 = 0, which returns the entire string if there is no space, resulting in command==arg
+            QString ctcpArgument = hasArg ? ctcp.mid(ctcp.indexOf(' ')+1) : QString();
+            hasArg = !ctcpArgument.isEmpty();
+            if (hasArg)
+                ctcpArgument = konv_app->doAutoreplace(ctcpArgument, false);
 
             // If it was a ctcp action, build an action string
-            if(ctcpCommand=="action" && isChan)
+            if (ctcpCommand == "action" && isChan && hasArg)
             {
-                if(!isIgnore(prefix,Ignore::Channel))
+                if (!isIgnore(prefix,Ignore::Channel))
                 {
                     Channel* channel = server->getChannelByName( parameterList.value(0) );
 
-                    if(!channel) {
+                    if (!channel) {
                         kError() << "Didn't find the channel " << parameterList.value(0) << endl;
                         return;
                     }
 
-                    channel->appendAction(sourceNick,ctcpArgument);
+                    channel->appendAction(sourceNick, ctcpArgument);
 
-                    if(sourceNick != server->getNickname())
+                    if (sourceNick != server->getNickname())
                     {
-                        if(ctcpArgument.toLower().contains(QRegExp("(^|[^\\d\\w])"
+                        if (ctcpArgument.toLower().contains(QRegExp("(^|[^\\d\\w])"
                             + QRegExp::escape(server->loweredNickname())
                             + "([^\\d\\w]|$)")))
                         {
@@ -170,10 +241,10 @@
                 }
             }
             // If it was a ctcp action, build an action string
-            else if(ctcpCommand=="action" && !isChan)
+            else if (ctcpCommand == "action" && !isChan && hasArg)
             {
                 // Check if we ignore queries from this nick
-                if(!isIgnore(prefix,Ignore::Query))
+                if (!isIgnore(prefix,Ignore::Query))
                 {
                     NickInfoPtr nickinfo = server->obtainNickInfo(sourceNick);
                     nickinfo->setHostmask(sourceHostmask);
@@ -192,11 +263,11 @@
             }
 
             // Answer ping requests
-            else if(ctcpCommand=="ping")
+            else if (ctcpCommand == "ping" && hasArg)
             {
-                if(!isIgnore(prefix,Ignore::CTCP))
+                if (!isIgnore(prefix,Ignore::CTCP))
                 {
-                    if(isChan)
+                    if (isChan)
                     {
                         server->appendMessageToFrontmost(i18n("CTCP"),
                             i18n("Received CTCP-PING request from %1 to channel %2, sending answer.",
@@ -215,7 +286,7 @@
             }
 
             // Maybe it was a version request, so act appropriately
-            else if(ctcpCommand=="version")
+            else if (ctcpCommand == "version")
             {
                 if(!isIgnore(prefix,Ignore::CTCP))
                 {
@@ -235,7 +306,7 @@
                     }
 
                     QString reply;
-                    if(Preferences::self()->customVersionReplyEnabled())
+                    if (Preferences::self()->customVersionReplyEnabled())
                     {
                         reply = Preferences::self()->customVersionReply().trimmed();
                     }
@@ -251,9 +322,9 @@
                 }
             }
             // DCC request?
-            else if(ctcpCommand=="dcc" && !isChan)
+            else if (ctcpCommand=="dcc" && !isChan && hasArg)
             {
-                if(!isIgnore(prefix,Ignore::DCC))
+                if (!isIgnore(prefix,Ignore::DCC))
                 {
                     // Extract DCC type and argument list
                     QString dccType=ctcpArgument.toLower().section(' ',0,0);
@@ -273,17 +344,17 @@
                     }
                     dccArgumentList += dccArguments.split(' ', QString::SkipEmptyParts);
 
-                    if(dccType=="send")
+                    if (dccType=="send")
                     {
-                        if(dccArgumentList.count()==4)
+                        if (dccArgumentList.count()==4)
                         {
                             // incoming file
                             konv_app->notificationHandler()->dccIncoming(server->getStatusView(), sourceNick);
                             emit addDccGet(sourceNick,dccArgumentList);
                         }
-                        else if(dccArgumentList.count()>=5)
+                        else if (dccArgumentList.count() >= 5)
                         {
-                            if(dccArgumentList[dccArgumentList.size() - 3] == "0")
+                            if (dccArgumentList[dccArgumentList.size() - 3] == "0")
                             {
                                 // incoming file (Reverse DCC)
                                 konv_app->notificationHandler()->dccIncoming(server->getStatusView(), sourceNick);
@@ -303,10 +374,10 @@
                                 );
                         }
                     }
-                    else if(dccType=="accept")
+                    else if (dccType=="accept")
                     {
                         // resume request was accepted
-                        if(dccArgumentList.count()>=3)
+                        if (dccArgumentList.count() >= 3)
                         {
                             emit resumeDccGetTransfer(sourceNick,dccArgumentList);
                         }
@@ -319,9 +390,9 @@
                         }
                     }
                     // Remote client wants our sent file resumed
-                    else if(dccType=="resume")
+                    else if (dccType=="resume")
                     {
-                        if(dccArgumentList.count()>=3)
+                        if (dccArgumentList.count() >= 3)
                         {
                             emit resumeDccSendTransfer(sourceNick,dccArgumentList);
                         }
@@ -333,10 +404,10 @@
                                 );
                         }
                     }
-                    else if(dccType=="chat")
+                    else if (dccType=="chat")
                     {
 
-                        if(dccArgumentList.count()==3)
+                        if (dccArgumentList.count()==3)
                         {
                             // will be connected via Server to KonversationMainWindow::addDccChat()
                             emit addDccChat(server->getNickname(),sourceNick,dccArgumentList,false);
@@ -366,7 +437,7 @@
                     );
                 server->ctcpReply(sourceNick,QString("CLIENTINFO ACTION CLIENTINFO DCC PING TIME VERSION"));
             }
-            else if(ctcpCommand=="time" && !isChan)
+            else if (ctcpCommand=="time" && !isChan)
             {
                 server->appendMessageToFrontmost(i18n("CTCP"),
                     i18n("Received CTCP-%1 request from %2, sending answer.",
@@ -378,7 +449,7 @@
             // No known CTCP request, give a general message
             else
             {
-                if(!isIgnore(prefix,Ignore::CTCP))
+                if (!isIgnore(prefix,Ignore::CTCP))
                 {
                     if (isChan)
                         server->appendServerMessageToChannel(
@@ -398,31 +469,30 @@
         // No CTCP, so it's an ordinary channel or query message
         else
         {
-            parsePrivMsg (prefix, parameterList, trailing);
+            parsePrivMsg(prefix, parameterList);
         }
     }
-    else if(command=="notice")
+    else if (command=="notice" && plHas(2))
     {
-        if(!isIgnore(prefix,Ignore::Notice))
+        if (!isIgnore(prefix,Ignore::Notice))
         {
             // Channel notice?
             if(isAChannel(parameterList.value(0)))
             {
-                if(server->identifyMsg())
+                if (server->identifyMsg() && (trailing.length() > 1 && (trailing.at(0) == '+' || trailing.at(0) == '-')))
                 {
                     trailing = trailing.mid(1);
                 }
 
                 server->appendServerMessageToChannel(parameterList.value(0), i18n("Notice"),
-                    i18n("-%1 to %2- %3",
-                         sourceNick, parameterList.value(0), trailing)
+                        i18n("-%1 to %2- %3", sourceNick, parameterList.value(0), trailing)
                     );
             }
             // Private notice
             else
             {
                 // Was this a CTCP reply?
-                if(!trailing.isEmpty() && trailing.at(0)==QChar(0x01))
+                if (!trailing.isEmpty() && trailing.at(0) == QChar(0x01))
                 {
                     // cut 0x01 bytes from trailing string
                     QString ctcp(trailing.mid(1,trailing.length()-2));
@@ -430,7 +500,7 @@
                     QString reply(ctcp.section(' ',1));
 
                     // pong reply, calculate turnaround time
-                    if(replyReason.toLower()=="ping")
+                    if (replyReason.toLower()=="ping")
                     {
                         int dateArrived=QDateTime::currentDateTime().toTime_t();
                         int dateSent=reply.toInt();
@@ -466,7 +536,7 @@
                     else if (server->identifyMsg())
                         trailing = trailing.mid(1);
 
-                    if(trailing.toLower() == "password accepted - you are now recognized"
+                    if (trailing.toLower() == "password accepted - you are now recognized"
                         || trailing.toLower() == "you have already identified")
                     {
                         NickInfoPtr nickInfo = server->getNickInfo(server->getNickname());
@@ -478,15 +548,13 @@
             }
         }
     }
-    else if(command=="join")
+    else if (command=="join" && plHas(1))
     {
         QString channelName(trailing);
         // Sometimes JOIN comes without ":" in front of the channel name
-        if(channelName.isEmpty())
-            channelName=parameterList[parameterList.count()-1];
 
         // Did we join the channel, or was it someone else?
-        if(server->isNickname(sourceNick))
+        if (server->isNickname(sourceNick))
         {
             /*
                 QString key;
@@ -525,53 +593,35 @@
             konv_app->notificationHandler()->join(channel, sourceNick);
         }
     }
-    else if(command=="kick")
+    else if (command=="kick" && plHas(2))
     {
         server->nickWasKickedFromChannel(parameterList.value(0),parameterList.value(1),sourceNick,trailing);
     }
-    else if(command=="part")
+    else if (command=="part" && plHas(1))
     {
-        /* FIXME: Ugly workaround for a version of the PART line encountered on ircu:
-         *   :Nick!user@host PART :#channel
-         * Quote: "The final colon is specified as a "last argument" designator, and
-         * is always valid before the final argument."
-         */
-
-        QString channel;
-        QString reason;
-
-        if (parameterList.value(0).isEmpty())
-        {
-            channel = trailing;
-        }
-        else
-        {
-            channel = parameterList.value(0);
-            reason = trailing;
-        }
-
-        Channel* channelPtr = server->removeNickFromChannel(channel,sourceNick,reason);
-
-        if(sourceNick != server->getNickname())
+        // A version of the PART line encountered on ircu: ":Nick!user@host PART :#channel"
+
+        QString channel(parameterList.value(0));
+        QString reason(parameterList.value(1));
+
+        Channel* channelPtr = server->removeNickFromChannel(channel, sourceNick, reason);
+
+        if (sourceNick != server->getNickname())
         {
             konv_app->notificationHandler()->part(channelPtr, sourceNick);
         }
     }
-    else if(command=="quit")
+    else if (command=="quit" && plHas(1))
     {
-        server->removeNickFromServer(sourceNick,trailing);
-        if(sourceNick != server->getNickname())
+        server->removeNickFromServer(sourceNick, trailing);
+        if (sourceNick != server->getNickname())
         {
             konv_app->notificationHandler()->quit(server->getStatusView(), sourceNick);
         }
     }
-    else if(command=="nick")
+    else if (command=="nick" && plHas(1))
     {
-        QString newNick(trailing);
-
-        // Message may not include ":" in front of the new nickname
-        if (newNick.isEmpty())
-            newNick=parameterList[parameterList.count()-1];
+        QString newNick(parameterList.value(0)); // Message may not include ":" in front of the new nickname
 
         server->renameNick(sourceNick,newNick);
 
@@ -580,63 +630,57 @@
             konv_app->notificationHandler()->nickChange(server->getStatusView(), sourceNick, newNick);
         }
     }
-    else if(command=="topic")
+    else if (command=="topic" && plHas(2))
     {
         server->setChannelTopic(sourceNick,parameterList.value(0),trailing);
     }
-    else if(command=="mode") // mode #channel -/+ mmm params
+    else if (command=="mode" && plHas(2)) // mode #channel -/+ mmm params
     {
-        QStringList params=parameterList;
-        if (!trailing.isEmpty())
-            params << trailing;
-        parseModes(sourceNick, params);
+        parseModes(sourceNick, parameterList);
         Channel* channel = server->getChannelByName(parameterList.value(0));
-        if(sourceNick != server->getNickname())
+        if (sourceNick != server->getNickname())
         {
             konv_app->notificationHandler()->mode(channel, sourceNick);
         }
     }
-    else if(command=="invite")
+    else if (command=="invite" && plHas(2)) //:ejm!i=beezle@bas5-oshawa95-1176455927.dsl.bell.ca INVITE argnl :#sug4
     {
-        QString channel;
-
-        if (parameterList.count() > 1)
-            channel = parameterList.value(1);
-        else
-            channel = trailing;
+        QString channel(trailing);
 
         server->appendMessageToFrontmost(i18n("Invite"),
-            i18n("%1 invited you to channel %2.",
-                 sourceNick, channel)
+            i18n("%1 invited you to channel %2.", sourceNick, channel)
             );
         emit invitation(sourceNick,channel);
     }
     else
     {
-        server->appendMessageToFrontmost(command,parameterList.join(" ")+' '+trailing);
+        kDebug() << "unknown client command" << parameterList.count() << _plHad << _plWanted << command << parameterList.join(" ");
+        server->appendMessageToFrontmost(command, parameterList.join(" "));
     }
 }
 
-void InputFilter::parseServerCommand(const QString &prefix, const QString &command, const QStringList &parameterList, const QString &trailing)
+void InputFilter::parseServerCommand(const QString &prefix, const QString &command, QStringList &parameterList)
 {
     bool isNumeric;
     int numeric = command.toInt(&isNumeric);
 
-    Q_ASSERT(server); if(!server) return;
+    Q_ASSERT(server);
+    if (!server)
+        return;
 
-    if(!isNumeric)
+    if (!isNumeric)
     {
-        if(command=="ping")
+        if (command == "ping")
         {
             QString text;
             text = (!trailing.isEmpty()) ? trailing : parameterList.join(" ");
 
-            if(!trailing.isEmpty())
+            if (!trailing.isEmpty())
             {
                 text = prefix + " :" + text;
             }
 
-            if(!text.startsWith(" "))
+            if (!text.startsWith(' '))
             {
                 text.prepend(' ');
             }
@@ -645,517 +689,605 @@
             server->queue("PONG"+text, Server::HighPriority);
 
         }
-        else if(command=="error :closing link:")
+        else if (command == "error :closing link:")
         {
             kDebug() << "link closed";
         }
-        else if(command=="pong")
+        else if (command == "pong")
         {
             // double check if we are in lag measuring mode since some servers fail to send
             // the LAG cookie back in PONG
-            if(trailing.startsWith("LAG") || getLagMeasuring())
+            if (trailing.startsWith("LAG") || getLagMeasuring())
             {
                 server->pongReceived();
             }
         }
-        else if(command=="mode")
+        else if (command == "mode")
         {
-            QStringList params=parameterList;
-            if (!trailing.isEmpty())
-                params << trailing;
-            parseModes(prefix, params);
+            parseModes(prefix, parameterList);
         }
-        else if(command=="notice")
+        else if (command == "notice")
         {
             server->appendStatusMessage(i18n("Notice"),i18n("-%1- %2", prefix, trailing));
         }
-        else if(command=="kick")
+        else if (command == "kick" && plHas(3))
         {
-            server->nickWasKickedFromChannel(parameterList.value(0),parameterList.value(1),prefix,trailing);
+            server->nickWasKickedFromChannel(parameterList.value(1), parameterList.value(2), prefix, trailing);
         }
-        else if(command == "privmsg")
+        else if (command == "privmsg")
         {
-            parsePrivMsg(prefix, parameterList, trailing);
+            parsePrivMsg(prefix, parameterList);
         }
         // All yet unknown messages go into the frontmost window unaltered
         else
         {
-            server->appendMessageToFrontmost(command,parameterList.join(" ")+' '+trailing);
+            kDebug() << "unknown server command" << command;
+            server->appendMessageToFrontmost(command, parameterList.join(" "));
         }
     }
-    else
+    else if (plHas(2)) //[0]==ourNick, [1] needs to be *something*
     {
+        //:niven.freenode.net 353 argnl @ #konversation :@argonel psn @argnl bugbot pinotree CIA-13
+        //QString serverAssignedNick(parameterList.takeFirst());
+        QString serverAssignedNick(parameterList.first());
+
         switch (numeric)
         {
             case RPL_WELCOME:
             case RPL_YOURHOST:
             case RPL_CREATED:
             {
-                if(numeric==RPL_WELCOME)
+                if (plHas(0)) //make the script happy
                 {
-                    QString host;
-
-                    if(trailing.contains("@"))
-                        host = trailing.section("@",1);
-
-                    // re-set nickname, since the server may have truncated it
-                    if(parameterList.value(0)!=server->getNickname())
-                        server->renameNick(server->getNickname(), parameterList.value(0));
-
-                    // Send the welcome signal, so the server class knows we are connected properly
-                    emit welcome(host);
-                    m_connecting = true;
+                    if (numeric == RPL_WELCOME)
+                    {
+                        QString host;
+
+                        if (trailing.contains("@"))
+                            host = trailing.section('@', 1);
+
+                        // re-set nickname, since the server may have truncated it
+                        if (serverAssignedNick != server->getNickname())
+                        {
+                            server->renameNick(server->getNickname(), serverAssignedNick);
+                        }
+
+                        // Send the welcome signal, so the server class knows we are connected properly
+                        emit welcome(host);
+                        m_connecting = true;
+                    }
+                    server->appendStatusMessage(i18n("Welcome"), trailing);
                 }
-                server->appendStatusMessage(i18n("Welcome"),trailing);
                 break;
             }
             case RPL_MYINFO:
             {
-                server->appendStatusMessage(i18n("Welcome"),
-                    i18n("Server %1 (Version %2), User modes: %3, Channel modes: %4",
+                if (plHas(5))
+                {
+                    server->appendStatusMessage(i18n("Welcome"),
+                        i18n("Server %1 (Version %2), User modes: %3, Channel modes: %4",
                          parameterList.value(1),
                          parameterList.value(2),
                          parameterList.value(3),
                          parameterList.value(4))
-                    );
+                        );
                 server->setAllowedChannelModes(parameterList.value(4));
+                }
                 break;
             }
             //case RPL_BOUNCE:   // RFC 1459 name, now seems to be obsoleted by ...
             case RPL_ISUPPORT:                    // ... DALnet RPL_ISUPPORT
             {
-                server->appendStatusMessage(i18n("Support"),parameterList.join(" "));
+                if (plHas(0)) //make the script happy
+                {
+                    server->appendStatusMessage(i18n("Support"),parameterList.join(" "));
 
                 // The following behaviour is neither documented in RFC 1459 nor in 2810-2813
-                // Nowadays, most ircds send server capabilities out via 005 (BOUNCE).
-                // refer to http://www.irc.org/tech_docs/005.html for a kind of documentation.
-                // More on http://www.irc.org/tech_docs/draft-brocklesby-irc-isupport-03.txt
+                    // Nowadays, most ircds send server capabilities out via 005 (BOUNCE).
+                    // refer to http://www.irc.org/tech_docs/005.html for a kind of documentation.
+                    // More on http://www.irc.org/tech_docs/draft-brocklesby-irc-isupport-03.txt
 
-                QStringList::const_iterator it = parameterList.constBegin();
-                // don't want the user name
-                ++it;
-                for (; it != parameterList.constEnd(); ++it )
-                {
-                    QString property, value;
-                    int pos;
-                    if ((pos=(*it).indexOf( '=' )) !=-1)
-                    {
-                        property = (*it).left(pos);
-                        value = (*it).mid(pos+1);
-                    }
-                    else
-                    {
-                        property = *it;
-                    }
-                    if (property=="PREFIX")
-                    {
-                        pos = value.indexOf(')',1);
-                        if(pos==-1)
-                        {
-                            server->setPrefixes(QString(), value);
-                            // XXX if ) isn't in the string, NOTHING should be there. anyone got a server
-                            if (value.length() || property.length())
-                                server->appendStatusMessage("","XXX Server sent bad PREFIX in RPL_ISUPPORT, please report.");
-                        }
-                        else
-                        {
-                            server->setPrefixes (value.mid(1, pos-1), value.mid(pos+1));
-                        }
-                    }
-                    else if (property=="CHANTYPES")
-                    {
-                        server->setChannelTypes(value);
-                    }
-                    else if (property == "CAPAB")
-                    {
-                        // Disable as we don't use this for anything yet
-                        //server->queue("CAPAB IDENTIFY-MSG");
-                    }
-                    else
-                    {
-                        //kDebug() << "Ignored server-capability: " << property << " with value '" << value << "'";
-                    }
-                }                                 // endfor
+                    QStringList::const_iterator it = parameterList.constBegin();
+                    // don't want the user name
+                    ++it;
+                    for (; it != parameterList.constEnd(); ++it )
+                    {
+                        QString property, value;
+                        int pos;
+                        if ((pos=(*it).indexOf( '=' )) !=-1)
+                        {
+                            property = (*it).left(pos);
+                            value = (*it).mid(pos+1);
+                        }
+                        else
+                        {
+                            property = *it;
+                        }
+                        if (property=="PREFIX")
+                        {
+                            pos = value.indexOf(')',1);
+                            if(pos==-1)
+                            {
+                                server->setPrefixes(QString(), value);
+                                // XXX if ) isn't in the string, NOTHING should be there. anyone got a server
+                                if (value.length() || property.length())
+                                    server->appendStatusMessage("","XXX Server sent bad PREFIX in RPL_ISUPPORT, please report.");
+                            }
+                            else
+                            {
+                                server->setPrefixes (value.mid(1, pos-1), value.mid(pos+1));
+                            }
+                        }
+                        else if (property=="CHANTYPES")
+                        {
+                            server->setChannelTypes(value);
+                        }
+                        else if (property == "CAPAB")
+                        {
+                            // Disable as we don't use this for anything yet
+                            //server->queue("CAPAB IDENTIFY-MSG");
+                        }
+                        else
+                        {
+                            //kDebug() << "Ignored server-capability: " << property << " with value '" << value << "'";
+                        }
+                    }                                 // endfor
+                }
                 break;
             }
             case RPL_UMODEIS:
             {
-                QString message=QString("%1 %2").arg(i18n("Your personal modes are:")).arg(parameterList.join(" ").section(' ',1) + ' '+trailing);
-                server->appendMessageToFrontmost("Info", message);
+                if (plHas(0))
+                {
+                    // TODO check this one... I amputated  + ' '+trailing
+                    QString message=QString("%1 %2").arg(i18n("Your personal modes are:")).arg(parameterList.join(QChar(' ')).section(' ',1));
+                    server->appendMessageToFrontmost("Info", message);
+                }
                 break;
             }
             case RPL_CHANNELMODEIS:
             {
-                const QString modeString=parameterList.value(2);
-                // This is the string the user will see
-                QString modesAre;
-                QString message = i18n("Channel modes: ") + modeString;
+                if (plHas(2))
+                {
+                    const QString modeString=parameterList.value(2); // TEST this one was a 2
+                    // This is the string the user will see
+                    QString modesAre;
+                    QString message = i18n("Channel modes: ") + modeString;
 
-                for(int index=0;index<modeString.length();index++)
-                {
-                    QString parameter;
-                    int parameterCount=3;
-                    char mode(modeString[index].toAscii());
-                    if(mode!='+')
-                    {
-                        if(!modesAre.isEmpty())
-                            modesAre+=", ";
-                        if(mode=='t')
-                            modesAre+=i18n("topic protection");
-                        else if(mode=='n')
-                            modesAre+=i18n("no messages from outside");
-                        else if(mode=='s')
-                            modesAre+=i18n("secret");
-                        else if(mode=='i')
-                            modesAre+=i18n("invite only");
-                        else if(mode=='p')
-                            modesAre+=i18n("private");
-                        else if(mode=='m')
-                            modesAre+=i18n("moderated");
-                        else if(mode=='k')
-                        {
-                            parameter=parameterList[parameterCount++];
-                            message += ' ' + parameter;
-                            modesAre+=i18n("password protected");
-                        }
-                        else if(mode=='a')
-                            modesAre+=i18n("anonymous");
-                        else if(mode=='r')
-                            modesAre+=i18n("server reop");
-                        else if(mode=='c')
-                            modesAre+=i18n("no colors allowed");
-                        else if(mode=='l')
-                        {
-                            parameter=parameterList[parameterCount++];
-                            message += ' ' + parameter;
-                            modesAre+=i18np("limited to %1 user", "limited to %1 users", parameter.toInt());
-                        }
-                        else
-                        {
-                            modesAre+=mode;
-                        }
-                        server->updateChannelModeWidgets(parameterList.value(1),mode,parameter);
-                    }
-                } // endfor
-                if(!modesAre.isEmpty() && Preferences::self()->useLiteralModes())
-                {
-                    server->appendCommandMessageToChannel(parameterList.value(1),i18n("Mode"),message);
-                }
-                else
-                {
-                    server->appendCommandMessageToChannel(parameterList.value(1),i18n("Mode"),
-                        i18n("Channel modes: ") + modesAre
-                        );
+                    for (int index=0;index<modeString.length();index++)
+                    {
+                        QString parameter;
+                        int parameterCount=3;
+                        char mode(modeString[index].toAscii());
+                        if(mode!='+')
+                        {
+                            if(!modesAre.isEmpty())
+                                modesAre+=", ";
+                            if(mode=='t')
+                                modesAre+=i18n("topic protection");
+                            else if(mode=='n')
+                                modesAre+=i18n("no messages from outside");
+                            else if(mode=='s')
+                                modesAre+=i18n("secret");
+                            else if(mode=='i')
+                                modesAre+=i18n("invite only");
+                            else if(mode=='p')
+                                modesAre+=i18n("private");
+                            else if(mode=='m')
+                                modesAre+=i18n("moderated");
+                            else if(mode=='k')
+                            {
+                                parameter=parameterList.value(parameterCount++);
+                                message += ' ' + parameter;
+                                modesAre+=i18n("password protected");
+                            }
+                            else if(mode=='a')
+                                modesAre+=i18n("anonymous");
+                            else if(mode=='r')
+                                modesAre+=i18n("server reop");
+                            else if(mode=='c')
+                                modesAre+=i18n("no colors allowed");
+                            else if(mode=='l')
+                            {
+                                parameter=parameterList.value(parameterCount++);
+                                message += ' ' + parameter;
+                                modesAre+=i18np("limited to %1 user", "limited to %1 users", parameter.toInt());
+                            }
+                            else
+                            {
+                                modesAre+=mode;
+                            }
+                            server->updateChannelModeWidgets(parameterList.value(1), mode, parameter);
+                        }
+                    } // endfor
+                    if (!modesAre.isEmpty() && Preferences::self()->useLiteralModes())
+                    {
+                        server->appendCommandMessageToChannel(parameterList.value(1), i18n("Mode"), message);
+                    }
+                    else
+                    {
+                        server->appendCommandMessageToChannel(parameterList.value(1), i18n("Mode"),
+                            i18n("Channel modes: ") + modesAre
+                            );
+                    }
                 }
                 break;
             }
             case RPL_CHANNELURLIS:
             {// :niven.freenode.net 328 argonel #channel :http://www.buggeroff.com/
-                server->appendCommandMessageToChannel(parameterList.value(1), i18n("URL"),
-                    i18n("Channel URL: %1", trailing));
+                if (plHas(3))
+                {
+                    server->appendCommandMessageToChannel(parameterList.value(1), i18n("URL"),
+                        i18n("Channel URL: %1", trailing));
+                }
                 break;
             }
             case RPL_CHANNELCREATED:
             {
-                QDateTime when;
-                when.setTime_t(parameterList.value(2).toUInt());
-                server->appendCommandMessageToChannel(parameterList.value(1),i18n("Created"),
-                    i18n("This channel was created on %1.",
-                         when.toString(Qt::LocalDate))
-                    );
-
-                if(Preferences::self()->autoWhoContinuousEnabled())
+                if (plHas(3))
                 {
-                    emit endOfWho(parameterList.value(1));
+                    QDateTime when;
+                    when.setTime_t(parameterList.value(2).toUInt());
+                    server->appendCommandMessageToChannel(parameterList.value(1), i18n("Created"),
+                        i18n("This channel was created on %1.",
+                            when.toString(Qt::LocalDate))
+                        );
                 }
-
                 break;
             }
             case RPL_WHOISACCOUNT:
             {
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
+                if (plHas(2))
                 {
-                    server->appendMessageToFrontmost(i18n("Whois"),i18n("%1 is logged in as %2.", parameterList.value(1), parameterList.value(2)));
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Whois"), i18n("%1 is logged in as %2.", parameterList.value(1), parameterList.value(2)) );
+                    }
                 }
                 break;
             }
+            //:niven.freenode.net 353 argnl @ #konversation :@argonel psn @argnl bugbot pinotree CIA-13
             case RPL_NAMREPLY:
             {
-                QStringList nickList;
+                if (plHas(4))
+                {
+                    QStringList nickList;
 
-                if(!trailing.isEmpty())
-                {
-                    nickList = trailing.split(' ', QString::SkipEmptyParts);
-                }
-                else if(parameterList.count() > 3)
-                {
-                    for(int i = 3; i < parameterList.count(); i++) {
+                    if (!trailing.isEmpty())
+                    {
+                        nickList = trailing.split(' ', QString::SkipEmptyParts);
+                    }
+                    else if (parameterList.count() > 3)
+                    {
+                        for(int i = 3; i < parameterList.count(); i++) {
                         nickList.append(parameterList.value(i));
-                    }
-                }
-                else
-                {
-                    kDebug() << "Hmm seems something is broken... can't get to the names!";
-                }
-
-                // send list to channel
-                server->addPendingNickList(parameterList.value(2), nickList);
-
-                // Display message only if this was not an automatic request.
-                if(!getAutomaticRequest("NAMES",parameterList.value(2))==1)
-                {
-                    server->appendMessageToFrontmost(i18n("Names"),trailing);
+                        }
+                    }
+                    else
+                    {
+                        kDebug() << "Hmm seems something is broken... can't get to the names!";
+                    }
+
+                    // send list to channel
+                    server->addPendingNickList(parameterList.value(2), nickList); // TEST this was a 2
+
+                    // Display message only if this was not an automatic request.
+                    if (!getAutomaticRequest("NAMES", parameterList.value(2)) == 1)
+                    {
+                        server->appendMessageToFrontmost(i18n("Names"), trailing);
+                    }
                 }
                 break;
             }
             case RPL_ENDOFNAMES:
             {
-                if(getAutomaticRequest("NAMES",parameterList.value(1))==1)
-                {
-                    // This code path was taken for the automatic NAMES input on JOIN, upcoming
-                    // NAMES input for this channel will be manual invocations of /names
-                    setAutomaticRequest("NAMES",parameterList.value(1),false);
-                }
-                else
-                {
-                    server->appendMessageToFrontmost(i18n("Names"),i18n("End of NAMES list."));
+                if (plHas(2))
+                {
+                    if (getAutomaticRequest("NAMES",parameterList.value(1)) == 1)
+                    {
+                        // This code path was taken for the automatic NAMES input on JOIN, upcoming
+                        // NAMES input for this channel will be manual invocations of /names
+                        setAutomaticRequest("NAMES", parameterList.value(1), false);
+
+                    if (Preferences::self()->autoWhoContinuousEnabled())
+                    {
+                        emit endOfWho(parameterList.value(1));
+                    }
+                    }
+                    else
+                    {
+                        server->appendMessageToFrontmost(i18n("Names"),i18n("End of NAMES list."));
+                    }
                 }
                 break;
             }
             // Topic set messages
             case RPL_NOTOPIC:
             {
-                server->appendMessageToFrontmost(i18n("TOPIC"),i18n("The channel %1 has no topic set.", parameterList.value(1)) /*.arg(parameterList.value(2))*/); //FIXME ok, whats the second parameter supposed to be?
-
+                if (plHas(2))
+                {
+                    //this really has 3, but [2] is "No topic has been set"
+                    server->appendMessageToFrontmost(i18n("TOPIC"), i18n("The channel %1 has no topic set.", parameterList.value(1)));
+                }
                 break;
             }
             case RPL_TOPIC:
             {
-                QString topic = Konversation::removeIrcMarkup(trailing);
-
-                // FIXME: This is an abuse of the automaticRequest system: We're
-                // using it in an inverted manner, i.e. the automaticRequest is
-                // set to true by a manual invocation of /topic. Bad bad bad -
-                // needs rethinking of automaticRequest.
-                if(getAutomaticRequest("TOPIC",parameterList.value(1))==0)
-                {
-                    // Update channel window
-                    server->setChannelTopic(parameterList.value(1),topic);
-                }
-                else
-                {
-                    server->appendMessageToFrontmost(i18n("Topic"),i18n("The channel topic for %1 is: \"%2\"", parameterList.value(1), topic));
-                }
-
+                if (plHas(3))
+                {
+                    QString topic = Konversation::removeIrcMarkup(trailing);
+
+                    // FIXME: This is an abuse of the automaticRequest system: We're
+                    // using it in an inverted manner, i.e. the automaticRequest is
+                    // set to true by a manual invocation of /topic. Bad bad bad -
+                    // needs rethinking of automaticRequest.
+                    if (getAutomaticRequest("TOPIC", parameterList.value(1)) == 0)
+                    {
+                        // Update channel window
+                        server->setChannelTopic(parameterList.value(1), topic);
+                    }
+                    else
+                    {
+                        server->appendMessageToFrontmost(i18n("Topic"), i18n("The channel topic for %1 is: \"%2\"", parameterList.value(1), topic));
+                    }
+                }
                 break;
             }
             case RPL_TOPICSETBY:
             {
-                // Inform user who set the topic and when
-                QDateTime when;
-                when.setTime_t(parameterList.value(3).toUInt());
-
-                // See FIXME in RPL_TOPIC
-                if(getAutomaticRequest("TOPIC",parameterList.value(1))==0)
-                {
-                    server->appendCommandMessageToChannel(parameterList.value(1),i18n("Topic"),
-                        i18n("The topic was set by %1 on %2.",
-                             parameterList.value(2), when.toString(Qt::LocalDate)),
-                        false);
-                }
-                else
-                {
-                    server->appendMessageToFrontmost(i18n("Topic"),i18n("The topic for %1 was set by %2 on %3.",
-                        parameterList.value(1),
-                        parameterList.value(2),
-                        when.toString(Qt::LocalDate))
-                        );
-                    setAutomaticRequest("TOPIC",parameterList.value(1),false);
-                }
-                emit topicAuthor(parameterList.value(1), parameterList.value(2), when);
-
+                if (plHas(4))
+                {
+                    // Inform user who set the topic and when
+                    QDateTime when;
+                    when.setTime_t(parameterList.value(3).toUInt());
+
+                    // See FIXME in RPL_TOPIC
+                    if (getAutomaticRequest("TOPIC", parameterList.value(1)) == 0)
+                    {
+                        server->appendCommandMessageToChannel(parameterList.value(1), i18n("Topic"),
+                            i18n("The topic was set by %1 on %2.",
+                                parameterList.value(2), when.toString(Qt::LocalDate)),
+                            false);
+                    }
+                    else
+                    {
+                        server->appendMessageToFrontmost(i18n("Topic"),i18n("The topic for %1 was set by %2 on %3.",
+                            parameterList.value(1),
+                            parameterList.value(2),
+                            when.toString(Qt::LocalDate))
+                            );
+                        setAutomaticRequest("TOPIC",parameterList.value(1), false);
+                    }
+                    emit topicAuthor(parameterList.value(1), parameterList.value(2), when);
+                }
                 break;
             }
             case RPL_WHOISACTUALLY:
             {
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
+                if (plHas(3))
                 {
-                    server->appendMessageToFrontmost(i18n("Whois"),i18n("%1 is actually using the host %2.", parameterList.value(1), parameterList.value(2)));
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS",parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Whois"),i18n("%1 is actually using the host %2.", parameterList.value(1), parameterList.value(2)));
+                    }
                 }
                 break;
             }
             case ERR_NOSUCHNICK:
             {
-                // Display slightly different error message in case we performed a WHOIS for
-                // IP resolve purposes, and clear it from the automaticRequest list
-                if(getAutomaticRequest("DNS",parameterList.value(1))==0)
-                {
-                    server->appendMessageToFrontmost(i18n("Error"),i18n("%1: No such nick/channel.", parameterList.value(1)));
-                }
-                else if(getAutomaticRequest("WHOIS",parameterList.value(1))==0) //Display message only if this was not an automatic request.
-                {
-                    server->appendMessageToFrontmost(i18n("Error"),i18n("No such nick: %1.", parameterList.value(1)));
-                    setAutomaticRequest("DNS", parameterList.value(1), false);
-                }
-
+                if (plHas(2))
+                {
+                    // Display slightly different error message in case we performed a WHOIS for
+                    // IP resolve purposes, and clear it from the automaticRequest list
+                    if (getAutomaticRequest("DNS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Error"), i18n("%1: No such nick/channel.", parameterList.value(1)));
+                    }
+                    else if(getAutomaticRequest("WHOIS", parameterList.value(1)) == 0) //Display message only if this was not an automatic request.
+                    {
+                        server->appendMessageToFrontmost(i18n("Error"), i18n("No such nick: %1.", parameterList.value(1)));
+                        setAutomaticRequest("DNS", parameterList.value(1), false);
+                    }
+                }
                 break;
             }
             case ERR_NOSUCHCHANNEL:
             {
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
+                if (plHas(2))
                 {
-                    server->appendMessageToFrontmost(i18n("Error"),i18n("%1: No such channel.", parameterList.value(1)));
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Error"), i18n("%1: No such channel.", parameterList.value(1)));
+                    }
                 }
                 break;
             }
             // Nick already on the server, so try another one
             case ERR_NICKNAMEINUSE:
             {
-                // if we are already connected, don't try tro find another nick ourselves
-                if(server->isConnected())
-                {                                 // Show message
-                    server->appendMessageToFrontmost(i18n("Nick"),i18n("Nickname already in use, try a different one."));
-                }
-                else                              // not connected yet, so try to find a nick that's not in use
+                if (plHas(1))
                 {
-                    // Get the next nick from the list or ask for a new one
-                    QString newNick = server->getNextNickname();
+                    // if we are already connected, don't try tro find another nick ourselves
+                    if (server->isConnected()) // Show message
+                    {
+                        server->appendMessageToFrontmost(i18n("Nick"), i18n("Nickname already in use, try a different one."));
+                    }
+                    else // not connected yet, so try to find a nick that's not in use
+                    {
+                        // Get the next nick from the list or ask for a new one
+                        QString newNick = server->getNextNickname();
 
-                    // The user chose to disconnect
-                    if (newNick.isNull())
-                    {
-                        server->disconnect();
-                    }
-                    else
-                    {
-                        // Update Server window
-                        server->obtainNickInfo(server->getNickname()) ;
-                        server->renameNick(server->getNickname(), newNick);
-                        // Show message
-                        server->appendMessageToFrontmost(i18n("Nick"), i18n("Nickname already in use. Trying %1.", newNick));
-                        // Send nickchange request to the server
-                        server->queue("NICK "+newNick);
+                        // The user chose to disconnect
+                        if (newNick.isNull())
+                        {
+                            server->disconnect();
+                        }
+                        else
+                        {
+                            // Update Server window
+                            server->obtainNickInfo(server->getNickname()) ;
+                            server->renameNick(server->getNickname(), newNick);
+                            // Show message
+                            server->appendMessageToFrontmost(i18n("Nick"), i18n("Nickname already in use. Trying %1.", newNick));
+                            // Send nickchange request to the server
+                            server->queue("NICK "+newNick);
+                        }
                     }
                 }
                 break;
             }
             case ERR_ERRONEUSNICKNAME:
             {
-                if(server->isConnected())
-                {                                 // We are already connected. Just print the error message
-                    server->appendMessageToFrontmost(i18n("Nick"), trailing);
-                }
-                else                              // Find a new nick as in ERR_NICKNAMEINUSE
+                if (plHas(1))
                 {
-                    QString newNick = server->getNextNickname();
+                    if (server->isConnected())
+                    {                                 // We are already connected. Just print the error message
+                        server->appendMessageToFrontmost(i18n("Nick"), trailing);
+                    }
+                    else                              // Find a new nick as in ERR_NICKNAMEINUSE
+                    {
+                        QString newNick = server->getNextNickname();
 
-                    // The user chose to disconnect
-                    if (newNick.isNull())
-                    {
-                        server->disconnect();
-                    }
-                    else
-                    {
-                        server->obtainNickInfo(server->getNickname()) ;
-                        server->renameNick(server->getNickname(), newNick);
-                        server->appendMessageToFrontmost(i18n("Nick"), i18n("Erroneus nickname. Changing nick to %1.", newNick));
-                        server->queue("NICK "+newNick);
+                        // The user chose to disconnect
+                        if (newNick.isNull())
+                        {
+                            server->disconnect();
+                        }
+                        else
+                        {
+                            server->obtainNickInfo(server->getNickname()) ;
+                            server->renameNick(server->getNickname(), newNick);
+                            server->appendMessageToFrontmost(i18n("Nick"), i18n("Erroneus nickname. Changing nick to %1.", newNick));
+                            server->queue("NICK "+newNick);
+                        }
                     }
                 }
                 break;
             }
             case ERR_NOTONCHANNEL:
             {
-                server->appendMessageToFrontmost(i18n("Error"),i18n("You are not on %1.", parameterList.value(1)));
-
+                if (plHas(2))
+                {
+                    server->appendMessageToFrontmost(i18n("Error"), i18n("You are not on %1.", parameterList.value(1)));
+                }
                 break;
             }
             case RPL_MOTDSTART:
             {
-                if(!m_connecting || !Preferences::self()->skipMOTD())
-                  server->appendStatusMessage(i18n("MOTD"),i18n("Message of the day:"));
+                if (plHas(1))
+                {
+                    if (!m_connecting || !Preferences::self()->skipMOTD())
+                    server->appendStatusMessage(i18n("MOTD"), i18n("Message of the day:"));
+                }
                 break;
             }
             case RPL_MOTD:
             {
-                if(!m_connecting || !Preferences::self()->skipMOTD())
-                    server->appendStatusMessage(i18n("MOTD"),trailing);
+                if (plHas(2))
+                {
+                    if (!m_connecting || !Preferences::self()->skipMOTD())
+                        server->appendStatusMessage(i18n("MOTD"), trailing);
+                }
                 break;
             }
             case RPL_ENDOFMOTD:
             {
-                if(!m_connecting || !Preferences::self()->skipMOTD())
-                    server->appendStatusMessage(i18n("MOTD"),i18n("End of message of the day"));
-
-                if(m_connecting)
-                    server->autoCommandsAndChannels();
-
-                m_connecting = false;
+                if (plHas(1))
+                {
+                    if (!m_connecting || !Preferences::self()->skipMOTD())
+                        server->appendStatusMessage(i18n("MOTD"), i18n("End of message of the day"));
+
+                    if (m_connecting)
+                        server->autoCommandsAndChannels();
+
+                    m_connecting = false;
+                }
                 break;
             }
             case ERR_NOMOTD:
             {
-                if(m_connecting)
-                    server->autoCommandsAndChannels();
+                if (plHas(1))
+                {
+                    if (m_connecting)
+                        server->autoCommandsAndChannels();
 
-                m_connecting = false;
+                    m_connecting = false;
+                }
                 break;
             }
             case RPL_YOUREOPER:
             {
-                server->appendMessageToFrontmost(i18n("Notice"),i18n("You are now an IRC operator on this server."));
-
+                if (plHas(1))
+                {
+                    server->appendMessageToFrontmost(i18n("Notice"), i18n("You are now an IRC operator on this server."));
+                }
                 break;
             }
             case RPL_GLOBALUSERS:                 // Current global users: 589 Max: 845
             {
-                QString current(trailing.section(' ',3));
-                //QString max(trailing.section(' ',5,5));
-                server->appendStatusMessage(i18n("Users"),i18n("Current users on the network: %1", current));
+                if (plHas(2))
+                {
+                    QString current(trailing.section(' ',3));
+                    //QString max(trailing.section(' ',5,5));
+                    server->appendStatusMessage(i18n("Users"), i18n("Current users on the network: %1", current));
+                }
                 break;
             }
             case RPL_LOCALUSERS:                  // Current local users: 589 Max: 845
             {
-                QString current(trailing.section(' ',3));
-                //QString max(trailing.section(' ',5,5));
-                server->appendStatusMessage(i18n("Users"),i18n("Current users on %1: %2.", prefix, current));
+                if (plHas(2))
+                {
+                    QString current(trailing.section(' ', 3));
+                    //QString max(trailing.section(' ',5,5));
+                    server->appendStatusMessage(i18n("Users"),i18n("Current users on %1: %2.", prefix, current));
+                }
                 break;
             }
             case RPL_ISON:
             {
-                // Tell server to start the next notify timer round
-                emit notifyResponse(trailing);
+                if (plHas(2))
+                {
+                    // Tell server to start the next notify timer round
+                    emit notifyResponse(trailing);
+                }
                 break;
             }
             case RPL_AWAY:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
-                if(nickInfo)
-                {
-                    nickInfo->setAway(true);
-                    if( nickInfo->getAwayMessage() == trailing )
-                        break;
-                    nickInfo->setAwayMessage(trailing);
-                }
-
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                {
-                    server->appendMessageToFrontmost(i18n("Away"),i18n("%1 is away: %2",
-                        parameterList.value(1), trailing)
-                        );
-                }
-
+                if (plHas(3))
+                {
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
+                    if (nickInfo)
+                    {
+                        nickInfo->setAway(true);
+                        if (nickInfo->getAwayMessage() != trailing) // FIXME i think this check should be in the setAwayMessage method
+                        {
+                            nickInfo->setAwayMessage(trailing);
+                            // TEST this used to skip the automatic request handler below
+                        }
+                    }
+
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Away"),
+                            i18n("%1 is away: %2", parameterList.value(1), trailing)
+                            );
+                    }
+                }
                 break;
             }
             case RPL_INVITING:
             {
-                server->appendMessageToFrontmost(i18n("Invite"),
-                    i18n("You invited %1 to channel %2.",
-                         parameterList.value(1), parameterList.value(2))
-                    );
+                if (plHas(3))
+                {
+                    server->appendMessageToFrontmost(i18n("Invite"),
+                            i18n("You invited %1 to channel %2.",
+                            parameterList.value(1), parameterList.value(2))
+                        );
+                }
                 break;
             }
             //Sample WHOIS response
@@ -1169,52 +1301,55 @@
             //[19:11] :zahn.freenode.net 318 PhantomsDad psn :End of /WHOIS list.
             case RPL_WHOISUSER:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
-                if(nickInfo)
-                {
-                    nickInfo->setHostmask(i18n("%1@%2", parameterList.value(2), parameterList.value(3)));
-                    nickInfo->setRealName(trailing);
-                }
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                {
-                    // escape html tags
-                    QString escapedRealName(trailing);
-                    escapedRealName.replace("<","&lt;").replace(">","&gt;");
-                    server->appendMessageToFrontmost(i18n("Whois"),
-                        i18n("%1 is %2@%3 (%4)",
-                             parameterList.value(1),
-                             parameterList.value(2),
-                             parameterList.value(3),
-                             escapedRealName), false);   // Don't parse any urls
-                }
-                else
-                {
-                    // This WHOIS was requested by Server for DNS resolve purposes; try to resolve the host
-                    if(getAutomaticRequest("DNS",parameterList.value(1))==1)
-                    {
-                        QHostInfo resolved = QHostInfo::fromName(parameterList.value(3));
-                        if(resolved.error() == QHostInfo::NoError && !resolved.addresses().isEmpty())
-                        {
-                            QString ip = resolved.addresses().first().toString();
-                            server->appendMessageToFrontmost(i18n("DNS"),
-                                i18n("Resolved %1 (%2) to address: %3",
-                                     parameterList.value(1),
-                                     parameterList.value(3),
-                                     ip)
-                                );
-                        }
-                        else
-                        {
-                            server->appendMessageToFrontmost(i18n("Error"),
-                                i18n("Unable to resolve address for %1 (%2)",
-                                     parameterList.value(1),
-                                     parameterList.value(3))
-                                );
-                        }
+                if (plHas(4))
+                {
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
+                    if (nickInfo)
+                    {
+                        nickInfo->setHostmask(i18n("%1@%2", parameterList.value(2), parameterList.value(3)));
+                        nickInfo->setRealName(trailing);
+                    }
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        // escape html tags
+                        QString escapedRealName(trailing);
+                        escapedRealName.replace('<', "&lt;").replace('>', "&gt;");
+                        server->appendMessageToFrontmost(i18n("Whois"),
+                            i18n("%1 is %2@%3 (%4)",
+                                parameterList.value(1),
+                                parameterList.value(2),
+                                parameterList.value(3),
+                                escapedRealName), false);   // Don't parse any urls
+                    }
+                    else
+                    {
+                        // This WHOIS was requested by Server for DNS resolve purposes; try to resolve the host
+                        if (getAutomaticRequest("DNS", parameterList.value(1)) == 1)
+                        {
+                            QHostInfo resolved = QHostInfo::fromName(parameterList.value(3));
+                            if (resolved.error() == QHostInfo::NoError && !resolved.addresses().isEmpty())
+                            {
+                                QString ip = resolved.addresses().first().toString();
+                                server->appendMessageToFrontmost(i18n("DNS"),
+                                    i18n("Resolved %1 (%2) to address: %3",
+                                        parameterList.value(1),
+                                        parameterList.value(3),
+                                        ip)
+                                    );
+                            }
+                            else
+                            {
+                                server->appendMessageToFrontmost(i18n("Error"),
+                                    i18n("Unable to resolve address for %1 (%2)",
+                                        parameterList.value(1),
+                                        parameterList.value(3))
+                                    );
+                            }
 
-                        // Clear this from the automaticRequest list so it works repeatedly
-                        setAutomaticRequest("DNS", parameterList.value(1), false);
+                            // Clear this from the automaticRequest list so it works repeatedly
+                            setAutomaticRequest("DNS", parameterList.value(1), false);
+                        }
                     }
                 }
                 break;
@@ -1224,17 +1359,20 @@
             case RPL_WHOISIDENTIFY:
             case RPL_IDENTIFIED:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
-                if(nickInfo)
-                {
-                    nickInfo->setIdentified(true);
-                }
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                {
-                    // Prints "psn is an identified user"
-                    //server->appendStatusMessage(i18n("Whois"),parameterList.join(" ").section(' ',1)+' '+trailing);
-                    // The above line works fine, but can't be i18n'ised. So use the below instead.. I hope this is okay.
-                    server->appendMessageToFrontmost(i18n("Whois"), i18n("%1 is an identified user.", parameterList.value(1)));
+                if (plHas(2))
+                {
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
+                    if (nickInfo)
+                    {
+                        nickInfo->setIdentified(true);
+                    }
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        // Prints "psn is an identified user"
+                        //server->appendStatusMessage(i18n("Whois"),parameterList.join(" ").section(' ',1)+' '+trailing);
+                        // The above line works fine, but can't be i18n'ised. So use the below instead.. I hope this is okay.
+                        server->appendMessageToFrontmost(i18n("Whois"), i18n("%1 is an identified user.", parameterList.value(1)));
+                    }
                 }
                 break;
             }
@@ -1244,463 +1382,530 @@
             //[21:39] [352] #lounge ~Nottingha worldforge.org irc.worldforge.org SherwoodSpirit H 0 Arboreal Entity
             case RPL_WHOREPLY:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(5));
-                                                  // G=away G@=away,op G+=away,voice
-                bool bAway = parameterList.value(6).toUpper().startsWith("G");
-                if(nickInfo)
+                if (plHas(6))
                 {
-                    nickInfo->setHostmask(i18n("%1@%2", parameterList.value(2), parameterList.value(3)));
-                                                  //Strip off the "0 "
-                    nickInfo->setRealName(trailing.section(" ", 1));
-                    nickInfo->setAway(bAway);
-                    if(!bAway)
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(5));
+                                                    // G=away G@=away,op G+=away,voice
+                    bool bAway = parameterList.value(6).toUpper().startsWith('G');
+                    if (nickInfo)
                     {
-                        nickInfo->setAwayMessage(QString());
+                        nickInfo->setHostmask(i18n("%1@%2", parameterList.value(2), parameterList.value(3)));
+                                                    //Strip off the "0 "
+                        nickInfo->setRealName(trailing.section(' ', 1));
+                        nickInfo->setAway(bAway);
+                        if(!bAway)
+                        {
+                            nickInfo->setAwayMessage(QString());
+                        }
                     }
-                }
-                // Display message only if this was not an automatic request.
-                if(!whoRequestList.isEmpty())     // for safe
-                {
-                    if(getAutomaticRequest("WHO",whoRequestList.front())==0)
+                    // Display message only if this was not an automatic request.
+                    if (!whoRequestList.isEmpty())     // for safe
                     {
-                        server->appendMessageToFrontmost(i18n("Who"),
-                            i18n("%1 is %2@%3 (%4)%5",parameterList.value(5),
-                            parameterList.value(2),
-                            parameterList.value(3),
-                            trailing.section(" ", 1),
-                            bAway?i18n(" (Away)"):QString())
-                            , false); // Don't parse as url
+                        if (getAutomaticRequest("WHO",whoRequestList.front())==0)
+                        {
+                            server->appendMessageToFrontmost(i18n("Who"),
+                                i18n("%1 is %2@%3 (%4)%5", parameterList.value(5),
+                                    parameterList.value(2),
+                                    parameterList.value(3),
+                                    trailing.section(' ', 1),
+                                    bAway?i18n(" (Away)"):QString()),
+                                false); // Don't parse as url
+                        }
                     }
                 }
                 break;
             }
             case RPL_ENDOFWHO:
             {
-                if(!whoRequestList.isEmpty())
+                if (plHas(2))
                 {
-                    const QString param = parameterList.value(1).toLower();
-                    // for safety
-                    const int idx = whoRequestList.indexOf(param);
-                    if(idx > -1)
+                    if (!whoRequestList.isEmpty())
                     {
-                        if(getAutomaticRequest("WHO", param) == 0)
+                        const QString param = parameterList.value(1).toLower();
+                        // for safety
+                        const int idx = whoRequestList.indexOf(param);
+                        if (idx > -1)
                         {
-                            server->appendMessageToFrontmost(i18n("Who"),
-                                i18n("End of /WHO list for %1",
-                                     parameterList.value(1)));
+                            if (getAutomaticRequest("WHO", param) == 0)
+                            {
+                                server->appendMessageToFrontmost(i18n("Who"),
+                                    i18n("End of /WHO list for %1",
+                                        parameterList.value(1)));
+                            }
+                            else
+                            {
+                                setAutomaticRequest("WHO", param, false);
+                            }
+
+                            whoRequestList.removeAt(idx);
                         }
                         else
                         {
-                            setAutomaticRequest("WHO", param, false);
+                            // whoRequestList seems to be broken.
+                            kDebug() << "RPL_ENDOFWHO: malformed ENDOFWHO. retrieved: "
+                                << parameterList.value(1) << " expected: " << whoRequestList.front();
+                            whoRequestList.clear();
                         }
-
-                        whoRequestList.removeAt(idx);
                     }
                     else
                     {
-                        // whoRequestList seems to be broken.
-                        kDebug() << "RPL_ENDOFWHO: malformed ENDOFWHO. retrieved: "
-                            << parameterList.value(1) << " expected: " << whoRequestList.front();
-                        whoRequestList.clear();
+                        kDebug() << "RPL_ENDOFWHO: unexpected ENDOFWHO. retrieved: "
+                            << parameterList.value(1);
                     }
-                }
-                else
-                {
-                    kDebug() << "RPL_ENDOFWHO: unexpected ENDOFWHO. retrieved: "
-                        << parameterList.value(1);
-                }
 
-                emit endOfWho(parameterList.value(1));
+                    emit endOfWho(parameterList.value(1));
+                }
                 break;
             }
             case RPL_WHOISCHANNELS:
             {
-                QStringList userChannels,voiceChannels,opChannels,halfopChannels,ownerChannels,adminChannels;
-
-                // get a list of all channels the user is in
-                QStringList channelList=trailing.split(' ', QString::SkipEmptyParts);
-                channelList.sort();
-
-                // split up the list in channels where they are operator / user / voice
-                for(int index=0; index < channelList.count(); index++)
-                {
-                    QString lookChannel=channelList[index];
-                    if(lookChannel.startsWith('*') || lookChannel.startsWith('&'))
-                    {
-                        adminChannels.append(lookChannel.mid(1));
-                        server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 16);
-                    }
-                                                  // See bug #97354 part 2
-                    else if((lookChannel.startsWith("!") || lookChannel.startsWith("~")) && server->isAChannel(lookChannel.mid(1)))
-                    {
-                        ownerChannels.append(lookChannel.mid(1));
-                        server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 8);
-                    }
-                                                  // See bug #97354 part 1
-                    else if(lookChannel.startsWith("@+"))
-                    {
-                        opChannels.append(lookChannel.mid(2));
-                        server->setChannelNick(lookChannel.mid(2), parameterList.value(1), 4);
-                    }
-                    else if(lookChannel.startsWith("@"))
-                    {
-                        opChannels.append(lookChannel.mid(1));
-                        server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 4);
-                    }
-                    else if(lookChannel.startsWith("%"))
-                    {
-                        halfopChannels.append(lookChannel.mid(1));
-                        server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 2);
-                    }
-                    else if(lookChannel.startsWith("+"))
-                    {
-                        voiceChannels.append(lookChannel.mid(1));
-                        server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 1);
-                    }
-                    else
-                    {
-                        userChannels.append(lookChannel);
-                        server->setChannelNick(lookChannel, parameterList.value(1), 0);
-                    }
-                }                                 // endfor
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                {
-                    if(userChannels.count())
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 is a user on channels: %2",
-                                 parameterList.value(1),
-                                 userChannels.join(" "))
-                            );
-                    }
-                    if(voiceChannels.count())
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 has voice on channels: %2",
-                                 parameterList.value(1), voiceChannels.join(" "))
-                            );
-                    }
-                    if(halfopChannels.count())
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 is a halfop on channels: %2",
-                                 parameterList.value(1), halfopChannels.join(" "))
-                            );
-                    }
-                    if(opChannels.count())
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 is an operator on channels: %2",
-                                 parameterList.value(1), opChannels.join(" "))
-                            );
-                    }
-                    if(ownerChannels.count())
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 is owner of channels: %2",
-                                 parameterList.value(1), ownerChannels.join(" "))
-                            );
-                    }
-                    if(adminChannels.count())
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 is admin on channels: %2",
-                                 parameterList.value(1), adminChannels.join(" "))
-                            );
+                if (plHas(3))
+                {
+                    QStringList userChannels,voiceChannels,opChannels,halfopChannels,ownerChannels,adminChannels;
+
+                    // get a list of all channels the user is in
+                    QStringList channelList=trailing.split(' ', QString::SkipEmptyParts);
+                    channelList.sort();
+
+                    // split up the list in channels where they are operator / user / voice
+                    for (int index=0; index < channelList.count(); index++)
+                    {
+                        QString lookChannel=channelList[index];
+                        if (lookChannel.startsWith('*') || lookChannel.startsWith('&'))
+                        {
+                            adminChannels.append(lookChannel.mid(1));
+                            server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 16);
+                        }
+                                                    // See bug #97354 part 2
+                        else if((lookChannel.startsWith('!') || lookChannel.startsWith('~')) && server->isAChannel(lookChannel.mid(1)))
+                        {
+                            ownerChannels.append(lookChannel.mid(1));
+                            server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 8);
+                        }
+                                                    // See bug #97354 part 1
+                        else if (lookChannel.startsWith("@+"))
+                        {
+                            opChannels.append(lookChannel.mid(2));
+                            server->setChannelNick(lookChannel.mid(2), parameterList.value(1), 4);
+                        }
+                        else if (lookChannel.startsWith('@'))
+                        {
+                            opChannels.append(lookChannel.mid(1));
+                            server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 4);
+                        }
+                        else if (lookChannel.startsWith('%'))
+                        {
+                            halfopChannels.append(lookChannel.mid(1));
+                            server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 2);
+                        }
+                        else if (lookChannel.startsWith('+'))
+                        {
+                            voiceChannels.append(lookChannel.mid(1));
+                            server->setChannelNick(lookChannel.mid(1), parameterList.value(1), 1);
+                        }
+                        else
+                        {
+                            userChannels.append(lookChannel);
+                            server->setChannelNick(lookChannel, parameterList.value(1), 0);
+                        }
+                    }                                 // endfor
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        if (userChannels.count())
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 is a user on channels: %2",
+                                    parameterList.value(1),
+                                    userChannels.join(" "))
+                                );
+                        }
+                        if (voiceChannels.count())
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 has voice on channels: %2",
+                                    parameterList.value(1), voiceChannels.join(" "))
+                                );
+                        }
+                        if (halfopChannels.count())
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 is a halfop on channels: %2",
+                                    parameterList.value(1), halfopChannels.join(" "))
+                                );
+                        }
+                        if (opChannels.count())
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 is an operator on channels: %2",
+                                    parameterList.value(1), opChannels.join(" "))
+                                );
+                        }
+                        if (ownerChannels.count())
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 is owner of channels: %2",
+                                    parameterList.value(1), ownerChannels.join(" "))
+                                );
+                        }
+                        if (adminChannels.count())
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 is admin on channels: %2",
+                                    parameterList.value(1), adminChannels.join(" "))
+                                );
+                        }
                     }
                 }
                 break;
             }
             case RPL_WHOISSERVER:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
-                if(nickInfo)
-                {
-                    nickInfo->setNetServer(parameterList.value(2));
-                    nickInfo->setNetServerInfo(trailing);
-                    // Clear the away state on assumption that if nick is away, this message will be followed
-                    // by a 301 RPL_AWAY message.  Not necessary a invalid assumption, but what can we do?
-                    nickInfo->setAway(false);
-                    nickInfo->setAwayMessage(QString());
-                }
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                {
-                    server->appendMessageToFrontmost(i18n("Whois"),
-                        i18n("%1 is online via %2 (%3).",parameterList.value(1),
-                        parameterList.value(2),trailing)
-                        );
+                if (plHas(4))
+                {
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
+                    if (nickInfo)
+                    {
+                        nickInfo->setNetServer(parameterList.value(2));
+                        nickInfo->setNetServerInfo(trailing);
+                        // Clear the away state on assumption that if nick is away, this message will be followed
+                        // by a 301 RPL_AWAY message.  Not necessary a invalid assumption, but what can we do?
+                        nickInfo->setAway(false);
+                        nickInfo->setAwayMessage(QString());
+                    }
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Whois"),
+                            i18n("%1 is online via %2 (%3).", parameterList.value(1),
+                                parameterList.value(2), trailing)
+                            );
+                    }
                 }
                 break;
             }
             case RPL_WHOISHELPER:
             {
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
+                if (plHas(2))
                 {
-                    server->appendMessageToFrontmost(i18n("Whois"),
-                        i18n("%1 is available for help.",
-                             parameterList.value(1))
-                        );
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Whois"),
+                            i18n("%1 is available for help.",
+                                parameterList.value(1))
+                            );
+                    }
                 }
                 break;
             }
             case RPL_WHOISOPERATOR:
             {
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
+                if (plHas(2))
                 {
-                    if (trailing.toLower().simplified().startsWith("is an irc operator"))
-                        server->appendMessageToFrontmost(i18n("Whois"),i18n("%1 is an IRC Operator.", parameterList.value(1)));
-                    else
-                        server->appendMessageToFrontmost(i18n("Whois"),QString("%1 %2").arg(parameterList.value(1)).arg(trailing));
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        if (trailing.toLower().simplified().startsWith("is an irc operator"))
+                            server->appendMessageToFrontmost(i18n("Whois"), i18n("%1 is an IRC Operator.", parameterList.value(1)));
+                        else
+                            server->appendMessageToFrontmost(i18n("Whois"),QString("%1 %2").arg(parameterList.value(1)).arg(trailing));
+                    }
                 }
                 break;
             }
             case RPL_WHOISIDLE:
             {
-                // get idle time in seconds
-                long seconds=parameterList.value(2).toLong();
-                long minutes=seconds/60;
-                long hours  =minutes/60;
-                long days   =hours/24;
-
-                // if idle time is longer than a day
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
+                if (plHas(3))
                 {
-                    if(days)
-                    {
-                        const QString daysString = i18np("1 day", "%1 days", days);
-                        const QString hoursString = i18np("1 hour", "%1 hours", (hours % 24));
-                        const QString minutesString = i18np("1 minute", "%1 minutes", (minutes % 60));
-                        const QString secondsString = i18np("1 second", "%1 seconds", (seconds % 60));
-
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18nc("%1 = name of person, %2 = (x days), %3 = (x hours), %4 = (x minutes), %5 = (x seconds)",
-                            "%1 has been idle for %2, %3, %4, and %5.",
-                            parameterList.value(1),
-                            daysString, hoursString, minutesString, secondsString)
-                            );
-                        // or longer than an hour
-                    }
-                    else if(hours)
-                    {
+                    // get idle time in seconds
+                    long seconds = parameterList.value(2).toLong();
+                    long minutes = seconds/60;
+                    long hours   = minutes/60;
+                    long days    = hours/24;
+
+                    // if idle time is longer than a day
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        if (days)
+                        {
+                            const QString daysString = i18np("1 day", "%1 days", days);
+                            const QString hoursString = i18np("1 hour", "%1 hours", (hours % 24));
+                            const QString minutesString = i18np("1 minute", "%1 minutes", (minutes % 60));
+                            const QString secondsString = i18np("1 second", "%1 seconds", (seconds % 60));
+
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18nc("%1 = name of person, %2 = (x days), %3 = (x hours), %4 = (x minutes), %5 = (x seconds)",
+                                    "%1 has been idle for %2, %3, %4, and %5.",
+                                    parameterList.value(1),
+                                    daysString, hoursString, minutesString, secondsString)
+                                );
+                            // or longer than an hour
+                        }
+                        else if (hours)
+                        {
                         const QString hoursString = i18np("1 hour", "%1 hours", hours);
-                        const QString minutesString = i18np("1 minute", "%1 minutes", (minutes % 60));
-                        const QString secondsString = i18np("1 second", "%1 seconds", (seconds % 60));
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18nc("%1 = name of person, %2 = (x hours), %3 = (x minutes), %4 = (x seconds)",
-                            "%1 has been idle for %2, %3, and %4.", parameterList.value(1), hoursString, minutesString, secondsString)
-                            );
-                        // or longer than a minute
-                    }
-                    else if(minutes)
-                    {
-                        const QString minutesString = i18np("1 minute", "%1 minutes", minutes);
-                        const QString secondsString = i18np("1 second", "%1 seconds", (seconds % 60));
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18nc("%1 = name of person, %2 = (x minutes), %3 = (x seconds)",
-                            "%1 has been idle for %2 and %3.", parameterList.value(1), minutesString, secondsString)
-                            );
-                        // or just some seconds
-                    }
-                    else
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
+                            const QString minutesString = i18np("1 minute", "%1 minutes", (minutes % 60));
+                            const QString secondsString = i18np("1 second", "%1 seconds", (seconds % 60));
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18nc("%1 = name of person, %2 = (x hours), %3 = (x minutes), %4 = (x seconds)",
+                                    "%1 has been idle for %2, %3, and %4.", parameterList.value(1), hoursString,
+                                    minutesString, secondsString)
+                                );
+                            // or longer than a minute
+                        }
+                        else if (minutes)
+                        {
+                            const QString minutesString = i18np("1 minute", "%1 minutes", minutes);
+                            const QString secondsString = i18np("1 second", "%1 seconds", (seconds % 60));
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18nc("%1 = name of person, %2 = (x minutes), %3 = (x seconds)",
+                                    "%1 has been idle for %2 and %3.", parameterList.value(1), minutesString, secondsString)
+                                );
+                            // or just some seconds
+                        }
+                        else
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
                             i18np("%1 has been idle for 1 second.", "%1 has been idle for %2 seconds.", parameterList.value(1), seconds)
-                            );
+                                );
+                        }
                     }
-                }
 
-                if(parameterList.count()==4)
-                {
-                    QDateTime when;
-                    when.setTime_t(parameterList.value(3).toUInt());
-                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
-                    if(nickInfo)
-                    {
-                        nickInfo->setOnlineSince(when);
-                    }
-                    // Display message only if this was not an automatic request.
-                    if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                    {
-                        server->appendMessageToFrontmost(i18n("Whois"),
-                            i18n("%1 has been online since %2.",
-                                 parameterList.value(1), when.toString(Qt::LocalDate))
-                            );
+                    // FIXME this one will fail if we pop the nick off
+                    if (parameterList.count()==4)
+                    {
+                        QDateTime when;
+                        when.setTime_t(parameterList.value(3).toUInt());
+                        NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
+                        if (nickInfo)
+                        {
+                            nickInfo->setOnlineSince(when);
+                        }
+                        // Display message only if this was not an automatic request.
+                        if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                        {
+                            server->appendMessageToFrontmost(i18n("Whois"),
+                                i18n("%1 has been online since %2.",
+                                    parameterList.value(1), when.toString(Qt::LocalDate))
+                                );
+                        }
                     }
                 }
                 break;
             }
             case RPL_ENDOFWHOIS:
             {
+                if (plHas(2))
+                {
+                    /*FIXME why is the nickinfo line below commented out?
                 //NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(1));
-                // Display message only if this was not an automatic request.
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))==0)
-                {
-                    server->appendMessageToFrontmost(i18n("Whois"),i18n("End of WHOIS list."));
-                }
-                // was this an automatic request?
-                if(getAutomaticRequest("WHOIS",parameterList.value(1))!=0)
-                {
-                    setAutomaticRequest("WHOIS",parameterList.value(1),false);
+                    */
+                    // Display message only if this was not an automatic request.
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) == 0)
+                    {
+                        server->appendMessageToFrontmost(i18n("Whois"),i18n("End of WHOIS list."));
+                    }
+                    // was this an automatic request?
+                    if (getAutomaticRequest("WHOIS", parameterList.value(1)) != 0)
+                    {
+                        setAutomaticRequest("WHOIS", parameterList.value(1), false);
+                    }
                 }
                 break;
             }
             case RPL_USERHOST:
             {
-                // iterate over all nick/masks in reply
-                QStringList uhosts=trailing.split(' ', QString::SkipEmptyParts);
-
-                for(int index=0;index<uhosts.count();index++)
+                if (plHas(2))
                 {
-                    // extract nickname and hostmask from reply
-                    QString nick(uhosts[index].section('=',0,0));
-                    QString mask(uhosts[index].section('=',1));
-
-                    // get away and IRC operator flags
-                    bool away=(mask[0]=='-');
-                    bool ircOp=(nick[nick.length()-1]=='*');
-
-                    // cut flags from nick/hostmask
-                    mask=mask.mid(1);
-                    if(ircOp)
-                    {
-                        nick=nick.left(nick.length()-1);
-                    }
-
-                    // inform server of this user's data
-                    emit userhost(nick,mask,away,ircOp);
-
-                    // display message only if this was no automatic request
-                    if(getAutomaticRequest("USERHOST",nick)==0)
-                    {
-                        server->appendMessageToFrontmost(i18n("Userhost"),
-                            i18nc("%1 = nick, %2 = shows if nick is op, %3 = hostmask, %4 = shows away", "%1%2 is %3%4.",
-                            nick,
-                            (ircOp) ? i18n(" (IRC Operator)") : QString()
-                            ,mask,
-                            (away) ? i18n(" (away)") : QString()));
-                    }
-
-                    // was this an automatic request?
-                    if(getAutomaticRequest("USERHOST",nick)!=0)
-                    {
-                        setAutomaticRequest("USERHOST",nick,false);
-                    }
-                }                                 // for
+                    // iterate over all nick/masks in reply
+                    QStringList uhosts=trailing.split(' ', QString::SkipEmptyParts);
+
+                    for (int index=0;index<uhosts.count();index++)
+                    {
+                        // extract nickname and hostmask from reply
+                        QString nick(uhosts[index].section('=',0,0));
+                        QString mask(uhosts[index].section('=',1));
+
+                        // get away and IRC operator flags
+                        bool away=(mask[0]=='-');
+                        bool ircOp=(nick[nick.length()-1]=='*');
+
+                        // cut flags from nick/hostmask
+                        mask=mask.mid(1);
+                        if (ircOp)
+                        {
+                            nick=nick.left(nick.length()-1);
+                        }
+
+                        // inform server of this user's data
+                        emit userhost(nick,mask,away,ircOp);
+
+                        // display message only if this was no automatic request
+                        if (getAutomaticRequest("USERHOST",nick)==0)
+                        {
+                            server->appendMessageToFrontmost(i18n("Userhost"),
+                                i18nc("%1 = nick, %2 = shows if nick is op, %3 = hostmask, %4 = shows away", "%1%2 is %3%4.",
+                                nick,
+                                (ircOp) ? i18n(" (IRC Operator)") : QString()
+                                ,mask,
+                                (away) ? i18n(" (away)") : QString()));
+                        }
+
+                        // was this an automatic request?
+                        if (getAutomaticRequest("USERHOST",nick)!=0)
+                        {
+                            setAutomaticRequest("USERHOST",nick,false);
+                        }
+                    }                                 // for
+                }
                 break;
             }
             case RPL_LISTSTART:                   //FIXME This reply is obsolete!!!
             {
-                if(getAutomaticRequest("LIST",QString())==0)
+                if (plHas(0))
                 {
-                    server->appendMessageToFrontmost(i18n("List"),i18n("List of channels:"));
+                    if (getAutomaticRequest("LIST",QString())==0)
+                    {
+                        server->appendMessageToFrontmost(i18n("List"),i18n("List of channels:"));
+                    }
                 }
                 break;
             }
             case RPL_LIST:
             {
-                if(getAutomaticRequest("LIST",QString())==0)
-                {
-                    QString message;
-                    message=i18np("%2 (%1 user): %3", "%2 (%1 users): %3", parameterList.value(2).toInt(), parameterList.value(1), trailing);
-                    server->appendMessageToFrontmost(i18n("List"),message);
-                }
-                else                              // send them to /LIST window
-                {
-                    emit addToChannelList(parameterList.value(1),parameterList.value(2).toInt(),trailing);
-                }
-
+                if (plHas(3))
+                {
+                    if (getAutomaticRequest("LIST",QString())==0)
+                    {
+                        QString message;
+                        message=i18np("%2 (%1 user): %3", "%2 (%1 users): %3", parameterList.value(2).toInt(), parameterList.value(1), trailing);
+                        server->appendMessageToFrontmost(i18n("List"),message);
+                    }
+                    else                              // send them to /LIST window
+                    {
+                        emit addToChannelList(parameterList.value(1), parameterList.value(2).toInt(), trailing);
+                    }
+                }
                 break;
             }
             case RPL_LISTEND:
             {
-                // was this an automatic request?
-                if(getAutomaticRequest("LIST",QString())==0)
-                {
-                    server->appendMessageToFrontmost(i18n("List"),i18n("End of channel list."));
-                }
-                else
-                {
-                    setAutomaticRequest("LIST",QString(),false);
+                if (plHas(0))
+                {
+                    // was this an automatic request?
+                    if (getAutomaticRequest("LIST",QString())==0)
+                    {
+                        server->appendMessageToFrontmost(i18n("List"),i18n("End of channel list."));
+                    }
+                    else
+                    {
+                        setAutomaticRequest("LIST",QString(),false);
+                    }
                 }
                 break;
             }
             case RPL_NOWAWAY:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(0));
-                if (nickInfo) nickInfo->setAway(true);
-
-                server->setAway(true);
-
+                if (plHas(1))
+                {
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(0));
+                    if (nickInfo)
+                    {
+                        nickInfo->setAway(true);
+                    }
+
+                    server->setAway(true);
+                }
                 break;
             }
             case RPL_UNAWAY:
             {
-                NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(0));
-
-                if (nickInfo)
+                if (plHas(1))
                 {
-                    nickInfo->setAway(false);
-                    nickInfo->setAwayMessage(QString());
+                    NickInfoPtr nickInfo = server->getNickInfo(parameterList.value(0));
+
+                    if (nickInfo)
+                    {
+                        nickInfo->setAway(false);
+                        nickInfo->setAwayMessage(QString());
+                    }
+
+                    server->setAway(false);
                 }
-
-                server->setAway(false);
-
                 break;
             }
             case RPL_BANLIST:
             {
-                if (getAutomaticRequest("BANLIST", parameterList.value(1)))
+                if (plHas(5))
                 {
-                    server->addBan(parameterList.value(1), parameterList.join(" ").section(' ', 2, 4));
-                } else {
-                    QDateTime when;
-                    when.setTime_t(parameterList.value(4).toUInt());
+                    if (getAutomaticRequest("BANLIST", parameterList.value(1)))
+                    {
+                        server->addBan(parameterList.value(1), parameterList.join(" ").section(' ', 2, 4));
+                    }
+                    else
+                    {
+                        QDateTime when;
+                        when.setTime_t(parameterList.value(4).toUInt());
 
-                    server->appendMessageToFrontmost(i18n("BanList:%1", parameterList.value(1)), i18nc("BanList message: e.g. *!*@aol.com set by MrGrim on <date>", "%1 set by %2 on %3", parameterList.value(2), parameterList.value(3).section('!', 0, 0), when.toString(Qt::LocalDate)));
+                        server->appendMessageToFrontmost(i18n("BanList:%1", parameterList.value(1)),
+                                    i18nc("BanList message: e.g. *!*@aol.com set by MrGrim on <date>", "%1 set by %2 on %3",
+                                        parameterList.value(2), parameterList.value(3).section('!', 0, 0), when.toString(Qt::LocalDate))
+                                    );
+                    }
                 }
                 break;
             }
             case RPL_ENDOFBANLIST:
             {
-                if (getAutomaticRequest("BANLIST", parameterList.value(1)))
+                if (plHas(2))
                 {
-                    setAutomaticRequest("BANLIST", parameterList.value(1), false);
-                } else {
-                    server->appendMessageToFrontmost(i18n("BanList:%1", parameterList.value(1)), i18n("End of Ban List."));
+                    if (getAutomaticRequest("BANLIST", parameterList.value(1)))
+                    {
+                        setAutomaticRequest("BANLIST", parameterList.value(1), false);
+                    }
+                    else
+                    {
+                        server->appendMessageToFrontmost(i18n("BanList:%1", parameterList.value(1)), i18n("End of Ban List."));
+                    }
                 }
                 break;
             }
             case ERR_NOCHANMODES:
             {
-                ChatWindow *chatwindow = server->getChannelByName(parameterList.value(1));
-                if(chatwindow)
-                {
-                    chatwindow->appendServerMessage(i18n("Channel"), trailing);
-                }
-                else                              // We couldn't join the channel , so print the error. with [#channel] : <Error Message>
-                {
-                    server->appendMessageToFrontmost(i18n("Channel"), trailing);
+                if (plHas(3))
+                {
+                    ChatWindow *chatwindow = server->getChannelByName(parameterList.value(1));
+                    if (chatwindow)
+                    {
+                        chatwindow->appendServerMessage(i18n("Channel"), trailing);
+                    }
+                    else // We couldn't join the channel , so print the error. with [#channel] : <Error Message>
+                    {
+                        server->appendMessageToFrontmost(i18n("Channel"), trailing);
+                    }
                 }
                 break;
             }
             case ERR_NOSUCHSERVER:
             {
-                //Some servers don't know their name, so they return an error instead of the PING data
-                if (getLagMeasuring() && trailing.startsWith(prefix))
+                if (plHas(2))
                 {
-                    server->pongReceived();
+                    //Some servers don't know their name, so they return an error instead of the PING data
+                    if (getLagMeasuring() && trailing.startsWith(prefix))
+                    {
+                        server->pongReceived();
+                    }
                 }
                 break;
             }
             case ERR_UNAVAILRESOURCE:
             {
-                server->appendMessageToFrontmost(i18n("Error"),i18n("%1 is currently unavailable.", parameterList.value(1)));
-
+                if (plHas(2))
+                {
+                    server->appendMessageToFrontmost(i18n("Error"), i18n("%1 is currently unavailable.", parameterList.value(1)));
+                }
                 break;
             }
             case RPL_HIGHCONNECTCOUNT:
@@ -1709,49 +1914,69 @@
             case RPL_LUSERUNKNOWN:
             case RPL_LUSERCHANNELS:
             case RPL_LUSERME:
-            {
-                server->appendStatusMessage(i18n("Users"), parameterList.join(" ").section(' ',1) + ' '+trailing);
+            { // TODO make sure this works, i amputated the "+ ' '+trailing"
+                if (plHas(0))
+                {
+                    server->appendStatusMessage(i18n("Users"), parameterList.join(" ").section(' ',1));
+                }
                 break;
             }
             case ERR_UNKNOWNCOMMAND:
             {
-                server->appendMessageToFrontmost(i18n("Error"),i18n("%1: Unknown command.", parameterList.value(1)));
-
+                if (plHas(2))
+                {
+                    server->appendMessageToFrontmost(i18n("Error"), i18n("%1: Unknown command.", parameterList.value(1)));
+                }
                 break;
             }
             case ERR_NOTREGISTERED:
             {
-                server->appendMessageToFrontmost(i18n("Error"),i18n("Not registered."));
-
+                if (plHas(0))
+                {
+                    server->appendMessageToFrontmost(i18n("Error"),i18n("Not registered."));
+                }
                 break;
             }
             case ERR_NEEDMOREPARAMS:
             {
-                server->appendMessageToFrontmost(i18n("Error"),i18n("%1: This command requires more parameters.", parameterList.value(1)));
-
+                if (plHas(2))
+                {
+                    server->appendMessageToFrontmost(i18n("Error"),i18n("%1: This command requires more parameters.", parameterList.value(1)));
+                }
                 break;
             }
             case RPL_CAPAB: // Special freenode reply afaik
             {
-                // Disable as we don't use this for anything yet
-                if(trailing.contains("IDENTIFY-MSG"))
+                if (plHas(2))
                 {
-                    server->enableIdentifyMsg(true);
-                    break;
+                    // Disable as we don't use this for anything yet
+                    if (trailing.contains("IDENTIFY-MSG"))
+                    {
+                        server->enableIdentifyMsg(true);
+                    }
+                    else // TEST is this right? split the logic up in prep for slotization
+                    {
+                        server->appendMessageToFrontmost(command, parameterList.join(" ").section(' ',1) + ' '+trailing);
+                    }
                 }
-
-            /* don't break; - this is also used as RPL_DATASTR on ircu and some others */
+                break;
             }
-            // FALLTHROUGH to default to let the error display otherwise
             default:
             {
                 // All yet unknown messages go into the frontmost window without the
                 // preceding nickname
+                kDebug() << "unknown numeric" << parameterList.count() << _plHad << _plWanted << command << parameterList.join(" ");
                 server->appendMessageToFrontmost(command, parameterList.join(" ").section(' ',1) + ' '+trailing);
             }
-        }                                         // end of numeric switch
+        } // end of numeric switch
+        if (!_plHad)
+            kDebug() << "numeric format error" << parameterList.count() << _plHad << _plWanted << command << parameterList.join(" ");
+    } // end of numeric elseif
+    else
+    {
+        kDebug() << "unknown message format" << parameterList.count() << _plHad << _plWanted << command << parameterList.join(" ");
     }
-}
+} // end of server
 
 void InputFilter::parseModes(const QString &sourceNick, const QStringList &parameterList)
 {
@@ -1763,12 +1988,11 @@
         if (parameterList.value(0) == server->getNickname())
         {
             if (sourceNick == server->getNickname())
-            {
-                //XXX someone might care about the potentially unnecessary plural here
+            { //XXX someone might care about the potentially unnecessary plural here
                 message = i18n("You have set personal modes: ") + modestring;
             }
             else
-            {   //XXX someone might care about the potentially unnecessary plural here
+            { //XXX someone might care about the potentially unnecessary plural here
                 message = QString("%1 %2 %3").arg(sourceNick).arg(i18n("has changed your personal modes:")).arg(modestring);
             }
         }
@@ -1782,43 +2006,43 @@
     // List of modes that need a parameter (note exception with -k and -l)
     // Mode q is quiet on freenode and acts like b... if this is a channel mode on other
     //  networks then more logic is needed here. --MrGrim
-    QString parameterModes="aAoOvhkbleIq";
+    QString parameterModes = "aAoOvhkbleIq";
     QString message = sourceNick + i18n(" sets mode: ") + modestring;
 
-    for(int index=0;index<modestring.length();index++)
+    for (int index=0;index<modestring.length();index++)
     {
         unsigned char mode(modestring[index].toAscii());
         QString parameter;
 
         // Check if this is a mode or a +/- qualifier
-        if(mode=='+' || mode=='-')
+        if (mode=='+' || mode=='-')
         {
             plus=(mode=='+');
         }
         else
         {
             // Check if this was a parameter mode
-            if(parameterModes.contains(mode))
+            if (parameterModes.contains(mode))
             {
                 // Check if the mode actually wants a parameter. -k and -l do not!
-                if(plus || (!plus && (mode!='k') && (mode!='l')))
+                if (plus || (!plus && (mode!='k') && (mode!='l')))
                 {
                     // Remember the mode parameter
-                    parameter=parameterList[2+parameterIndex];
+                    parameter = parameterList[2+parameterIndex];
                     message += ' ' + parameter;
                     // Switch to next parameter
                     ++parameterIndex;
                 }
             }
             // Let the channel update its modes
-            if(parameter.isEmpty())               // XXX Check this to ensure the braces are in the correct place
+            if (parameter.isEmpty())               // XXX Check this to ensure the braces are in the correct place
             {
                 kDebug()   << "in updateChannelMode.  sourceNick: '" << sourceNick << "'  parameterlist: '"
                     << parameterList.join(", ") << "'";
             }
             server->updateChannelMode(sourceNick,parameterList.value(0),mode,plus,parameter);
         }
-    }                                             // endfor
+    } // endfor
 
     if (Preferences::self()->useLiteralModes())
     {
@@ -1831,6 +2055,8 @@
 // on their part - not ours. --Argonel
 bool InputFilter::isAChannel(const QString &check)
 {
+    if (check.isEmpty())
+        return false;
     Q_ASSERT(server);
     // if we ever see the assert, we need the ternary
     return server? server->isAChannel(check) : QString("#&").contains(check.at(0));
@@ -1882,9 +2108,7 @@
 
 bool InputFilter::getLagMeasuring()           { return lagMeasuring; }
 
-void InputFilter::parsePrivMsg(const QString& prefix,
-                               const QStringList& parameterList,
-                               const QString& trailing)
+void InputFilter::parsePrivMsg(const QString& prefix, QStringList& parameterList)
 {
     int pos = prefix.indexOf('!');
     QString source;

=== modified file 'src/irc/inputfilter.h'
--- src/irc/inputfilter.h	2009-04-10 16:16:59 +0000
+++ src/irc/inputfilter.h	2009-05-15 11:24:24 +0000
@@ -69,10 +69,10 @@
         void addDccChat(const QString& myNick,const QString& nick,const QStringList& arguments,bool listen);
 
     protected:
-        void parseClientCommand(const QString &prefix, const QString &command, const QStringList &parameterList, const QString &trailing);
-        void parseServerCommand(const QString &prefix, const QString &command, const QStringList &parameterList, const QString &trailing);
+        void parseClientCommand(const QString &prefix, const QString &command, QStringList &parameterList);
+        void parseServerCommand(const QString &prefix, const QString &command, QStringList &parameterList);
         void parseModes(const QString &sourceNick, const QStringList &parameterList);
-        void parsePrivMsg(const QString& prefix, const QStringList& parameterList, const QString& trailing);
+        void parsePrivMsg(const QString& prefix, QStringList& parameterList);
 
         bool isAChannel(const QString &check);
         bool isIgnore(const QString &pattern, Ignore::Type type);

=== modified file 'src/irc/irccharsets.cpp'
--- src/irc/irccharsets.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/irccharsets.cpp	2009-05-15 11:24:24 +0000
@@ -68,7 +68,7 @@
     {
         // simplify ambiguousName
         QString simplifiedAmbiguousName( ambiguousName.toLower() );
-        simplifiedAmbiguousName.replace( QRegExp( "[^a-z0-9]" ), "" );
+        simplifiedAmbiguousName.remove( QRegExp( "[^a-z0-9]" ));
 
         // search m_simplifiedShortNames
         int index = 0;
@@ -153,7 +153,7 @@
             else
             {
                 m_shortNames.append( encodingName );
-                m_simplifiedShortNames.append( encodingName.replace( reSimplify, "" ) );
+                m_simplifiedShortNames.append( encodingName.remove( reSimplify ));
 
                 if(encodingName == "jis7")        // Add iso-2022-jp which is same as jis7 but not in Qt
                 {

=== modified file 'src/irc/ircqueue.cpp'
--- src/irc/ircqueue.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/ircqueue.cpp	2009-05-15 11:24:24 +0000
@@ -9,11 +9,12 @@
   Copyright (C) 2008 Eli J. MacKenzie <argonel at gmail.com>
 */
 
+#include "ircqueue.h"
+
 #include <qdatetime.h>
 #include <qtimer.h>
 #include <qstring.h>
 
-#include "ircqueue.h"
 #include "server.h"
 
 //#include "/home/ejm/argnl.h"

=== modified file 'src/irc/ircqueue.h'
--- src/irc/ircqueue.h	2009-04-10 16:16:59 +0000
+++ src/irc/ircqueue.h	2009-05-15 11:24:24 +0000
@@ -13,8 +13,11 @@
 #ifndef IRCQUEUE_H
 #define IRCQUEUE_H
 
+#include <QObject>
 #include <QList>
+#include <QTime>
 
+class QTimer;
 class Server;
 
 //channel.cpp, outputfilter.cpp, query.cpp, server.cpp, statuspanel.cpp

=== modified file 'src/irc/nick.cpp'
--- src/irc/nick.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/nick.cpp	2009-05-15 11:24:24 +0000
@@ -27,7 +27,7 @@
 
 Nick::Nick(K3ListView *listView, const ChannelNickPtr& channelnick)
     : QObject (),
-    K3ListViewItem (listView, listView->lastItem(), QString::null,
+    K3ListViewItem (listView, listView->lastItem(), QString(),
                    channelnick->getNickname(), channelnick->getHostmask())
 {
     m_channelnickptr = channelnick;

=== modified file 'src/irc/nickinfo.cpp'
--- src/irc/nickinfo.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/nickinfo.cpp	2009-05-15 11:24:24 +0000
@@ -393,7 +393,7 @@
     else if(!getRealName().isEmpty() && getRealName().toLower() != loweredNickname())
     {
         QString escapedRealName( getRealName() );
-        escapedRealName.replace("<","&lt;").replace(">","&gt;");
+        escapedRealName.replace('<',"&lt;").replace('>',"&gt;");
         tooltip << escapedRealName;
         dirty = true;
     }

=== modified file 'src/irc/nicklistview.cpp'
--- src/irc/nicklistview.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/nicklistview.cpp	2009-05-15 11:24:24 +0000
@@ -123,14 +123,14 @@
         popup->addSeparator();
 
         m_openQueryAction = createAction(popup,i18n("Open &Query"),Konversation::OpenQuery);
-        m_openQueryAction->setWhatsThis("<qt><p>Start a private chat between you and this person.</p><p><em>Technical note:</em><br />The conversation between you and this person will be sent via the server.  This means that the conversation will be affected by server lag, server stability, and will be terminated when you disconnect from the server.</p></qt>");
+        m_openQueryAction->setWhatsThis(i18n("<qt><p>Start a private chat between you and this person.</p><p><em>Technical note:</em><br />The conversation between you and this person will be sent via the server.  This means that the conversation will be affected by server lag, server stability, and will be terminated when you disconnect from the server.</p></qt>"));
         m_startDccChatAction = createAction(popup,i18n("Open DCC &Chat"),Konversation::StartDccChat);
-        m_startDccChatAction->setWhatsThis("<qt><p>Start a private <em>D</em>irect <em>C</em>lient <em>C</em>onnection chat between you and this person.</p><p><em>Technical note:</em><br />The conversation between you and this person will be sent directly.  This means it is independent from the server - so if the server connection fails, or use disconnect, your DCC Chat will be unaffected.  It also means that no irc server admin can view or spy on this chat.</p></qt>");
+        m_startDccChatAction->setWhatsThis(i18n("<qt><p>Start a private <em>D</em>irect <em>C</em>lient <em>C</em>onnection chat between you and this person.</p><p><em>Technical note:</em><br />The conversation between you and this person will be sent directly.  This means it is independent from the server - so if the server connection fails, or use disconnect, your DCC Chat will be unaffected.  It also means that no irc server admin can view or spy on this chat.</p></qt>"));
         if (KAuthorized::authorizeKAction("allow_downloading"))
         {
             m_dccSendAction = createAction(popup,i18n("Send &File..."),Konversation::DccSend);
             m_dccSendAction->setIcon(KIcon("arrow-right-double"));
-            m_dccSendAction->setWhatsThis("<qt>Send a file to this person.  If you are having problem sending files, or they are sending slowly, see the Konversation Handbook and DCC preferences page.</qt>");
+            m_dccSendAction->setWhatsThis(i18n("<qt>Send a file to this person.  If you are having problem sending files, or they are sending slowly, see the Konversation Handbook and DCC preferences page.</qt>"));
         }
         m_sendMailAction = createAction(popup,i18n("&Send Email..."),Konversation::SendEmail);
         m_sendMailAction->setIcon(KIcon("mail-send"));

=== modified file 'src/irc/nicksonline.cpp'
--- src/irc/nicksonline.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/nicksonline.cpp	2009-05-15 11:24:24 +0000
@@ -311,7 +311,7 @@
     // watch list.
     networkRoot->setText(nlvcServerName, serverName);
     // Update list of servers in the network that are connected.
-    QStringList serverList = networkRoot->text(nlvcAdditionalInfo).split(",", QString::SkipEmptyParts);
+    QStringList serverList = networkRoot->text(nlvcAdditionalInfo).split(',', QString::SkipEmptyParts);
     if (!serverList.contains(serverName)) serverList.append(serverName);
     networkRoot->setText(nlvcAdditionalInfo, serverList.join(","));
     // Get item in nicklistview for the Offline branch.
@@ -548,7 +548,7 @@
     {
         Q3ListViewItem* nextChild = child->nextSibling();
         QString networkName = child->text(nlvcNetwork);
-        QStringList serverNameList = child->text(nlvcAdditionalInfo).split(",", QString::SkipEmptyParts);
+        QStringList serverNameList = child->text(nlvcAdditionalInfo).split(',', QString::SkipEmptyParts);
         QStringList::Iterator itEnd = serverNameList.end();
         QStringList::Iterator it = serverNameList.begin();
         while (it != itEnd)

=== modified file 'src/irc/outputfilter.cpp'
--- src/irc/outputfilter.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/outputfilter.cpp	2009-05-15 11:24:24 +0000
@@ -294,7 +294,7 @@
             QStringList outputList=splitForEncoding(inputLine, m_server->getPreLength("PRIVMSG", destination));
             if (outputList.count() > 1)
             {
-                result.output=QString();
+                result.output.clear();
                 result.outputList=outputList;
                 for ( QStringList::ConstIterator it = outputList.constBegin(); it != outputList.constEnd(); ++it )
                 {
@@ -381,7 +381,7 @@
             channelName=destination;
         }
         else if (!isAChannel(channelName))
-            channelName = "#" + channelName.trimmed();
+            channelName = '#' + channelName.trimmed();
 
         Channel* channel = m_server->getChannelByName(channelName);
 
@@ -648,8 +648,8 @@
     OutputFilterResult OutputFilter::parseMsg(const QString &myNick, const QString &parameter, bool isQuery)
     {
         OutputFilterResult result;
-        QString recipient = parameter.section(" ", 0, 0, QString::SectionSkipEmpty);
-        QString message = parameter.section(" ", 1);
+        QString recipient = parameter.section(' ', 0, 0, QString::SectionSkipEmpty);
+        QString message = parameter.section(' ', 1);
         QString output;
 
         if (recipient.isEmpty())
@@ -958,7 +958,7 @@
         return result;
     }
 
-    // Appect Passive Send Request, there aktive doesnt need that
+    // Accept Passive Send Request, there active doesn't need that
     OutputFilterResult OutputFilter::acceptPassiveSendRequest(const QString& recipient,const QString &fileName,const QString &address,uint port,unsigned long size,const QString &token)
     {
         OutputFilterResult result;
@@ -1540,17 +1540,16 @@
         {
             QStringList splitted = parameter.split(' ');
             QString host = splitted[0];
-            QString port = "6667";
             QString password;
 
             if (splitted.count() == 3)
-                emit connectTo(Konversation::CreateNewConnection, splitted[0], splitted[1].toUInt(), splitted[2]);
+                emit connectTo(Konversation::CreateNewConnection, splitted[0], splitted[1], splitted[2]);
             else if (splitted.count() == 2)
             {
                 if (splitted[0].contains(QRegExp(":[0-9]+$")))
                     emit connectTo(Konversation::CreateNewConnection, splitted[0], 0, splitted[1]);
                 else
-                    emit connectTo(Konversation::CreateNewConnection, splitted[0], splitted[1].toUInt());
+                    emit connectTo(Konversation::CreateNewConnection, splitted[0], splitted[1]);
             }
             else
                 emit connectTo(Konversation::CreateNewConnection, splitted[0]);

=== modified file 'src/irc/outputfilter.h'
--- src/irc/outputfilter.h	2009-04-10 16:16:59 +0000
+++ src/irc/outputfilter.h	2009-05-15 11:24:24 +0000
@@ -99,7 +99,7 @@
 
             void connectTo(Konversation::ConnectionFlag flag,
                            const QString& hostName,
-                           uint port = 0,
+                           const QString& port = "",
                            const QString& password = "",
                            const QString& nick = "",
                            const QString& channel = "",

=== modified file 'src/irc/server.cpp'
--- src/irc/server.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/server.cpp	2009-05-15 11:24:24 +0000
@@ -279,9 +279,9 @@
 
     KonversationApplication* konvApp = static_cast<KonversationApplication*>(kapp);
     connect(getOutputFilter(), SIGNAL(connectTo(Konversation::ConnectionFlag, const QString&,
-                uint, const QString&, const QString&, const QString&, bool)),
+                const QString&, const QString&, const QString&, const QString&, bool)),
             konvApp->getConnectionManager(), SLOT(connectTo(Konversation::ConnectionFlag,
-                const QString&, uint, const QString&, const QString&, const QString&, bool)));
+                const QString&, const QString&, const QString&, const QString&, const QString&, bool)));
     connect(konvApp->getDccTransferManager(), SIGNAL(newTransferQueued(DccTransfer*)),
             this, SLOT(slotNewDccTransferItemQueued(DccTransfer*)));
 
@@ -379,7 +379,7 @@
         updateConnectionState(Konversation::SSConnecting);
 
         m_autoIdentifyLock = false;
-        m_ownIpByUserhost = QString();
+        m_ownIpByUserhost.clear();
 
         resetQueues();
 
@@ -614,11 +614,11 @@
     QString reason;
     for(int i = 0; i < errors.size(); ++i)
     {
-        reason += errors.at(i).errorString() + " ";
+        reason += errors.at(i).errorString() + ' ';
     }
 
     //this message should be changed since sslError is called even after calling ignoreSslErrors()
-    QString error = i18n("Could not connect to %1:%2 using SSL encryption.Maybe the server does not support SSL, or perhaps you have the wrong port? %3",
+    QString error = i18n("Could not connect to %1:%2 using SSL encryption. Maybe the server does not support SSL, or perhaps you have the wrong port? %3",
         getConnectionSettings().server().host(),
         QString::number(getConnectionSettings().server().port()),
         reason);
@@ -822,7 +822,7 @@
         if (!getNickname().isEmpty())
             connectCommands.replace("%nick", getNickname());
 
-        QStringList connectCommandsList = connectCommands.split(";", QString::SkipEmptyParts);
+        QStringList connectCommandsList = connectCommands.split(';', QString::SkipEmptyParts);
         QStringList::iterator iter;
 
         for (iter = connectCommandsList.begin(); iter != connectCommandsList.end(); ++iter)
@@ -899,7 +899,7 @@
         if (m_rawLog)
         {
             QString toRaw = front;
-            m_rawLog->appendRaw("&gt;&gt; " + toRaw.replace("&","&amp;").replace("<","&lt;").replace(">","&gt;").replace(QRegExp("\\s"), "&nbsp;"));
+            m_rawLog->appendRaw("&gt;&gt; " + toRaw.replace('&',"&amp;").replace('<',"&lt;").replace('>',"&gt;").replace(QRegExp("\\s"), "&nbsp;"));
         }
         m_inputFilter.parseLine(front);
         m_processingIncoming = false;
@@ -922,7 +922,13 @@
     while (m_socket->canReadLine())
     {
         QByteArray line(m_socket->readLine());
-        line.chop(1);//remove \n blowfish doesnt like it
+        //remove \n blowfish doesn't like it
+        int i = line.size()-1;
+        while (line[i]=='\n' || line[i]=='\r') // since euIRC gets away with sending just \r, bet someone sends \n\r?
+        {
+            i--;
+        }
+        line.truncate(i+1);
         bufferLines.append(line);
     }
 
@@ -1091,7 +1097,7 @@
     // ex.: JIS7, eucJP, SJIS
     //int outlen=-1;
 
-    //leaving this done twice for now, i'm uncertain of the implications of not encoding other commands
+    //leaving this done twice for now, I'm uncertain of the implications of not encoding other commands
     QByteArray encoded = codec->fromUnicode(outputLine);
 
     QString blowfishKey;
@@ -1135,7 +1141,7 @@
     qint64 sout = m_socket->write(encoded, encoded.length());
 
     if (m_rawLog)
-        m_rawLog->appendRaw("&lt;&lt; " + outputLine.replace("&","&amp;").replace("<","&lt;").replace(">","&gt;"));
+        m_rawLog->appendRaw("&lt;&lt; " + outputLine.replace('&',"&amp;").replace('<',"&lt;").replace('>',"&gt;"));
 
     return sout;
 }
@@ -1514,7 +1520,7 @@
 
 void Server::requestUserhost(const QString& nicks)
 {
-    const QStringList nicksList = nicks.split(" ", QString::SkipEmptyParts);
+    const QStringList nicksList = nicks.split(' ', QString::SkipEmptyParts);
     for(QStringList::ConstIterator it=nicksList.constBegin() ; it!=nicksList.constEnd() ; ++it)
         m_inputFilter.setAutomaticRequest("USERHOST", *it, true);
     queue("USERHOST "+nicks, LowPriority);
@@ -1707,7 +1713,7 @@
 
     //we want a clean filename to get rid of the mass """filename"""
     //NOTE: if a filename starts really with a ", it is escaped -> \" (2 chars)
-    //      but most clients doesnt support that and just replace it with a _
+    //      but most clients doen't support that and just replace it with a _
     while (cleanFileName.startsWith('\"') && cleanFileName.endsWith('\"'))
     {
         cleanFileName = cleanFileName.mid(1, cleanFileName.length() - 2);
@@ -2222,7 +2228,7 @@
     bool doChannelJoinedSignal = false;
     bool doWatchedNickChangedSignal = false;
     bool doChannelMembersChangedSignal = false;
-    QString lcNickname = nickname.toLower();
+    QString lcNickname(nickname.toLower());
     // Create NickInfo if not already created.
     NickInfoPtr nickInfo = getNickInfo(nickname);
     if (!nickInfo)
@@ -2305,7 +2311,7 @@
     bool doChannelUnjoinedSignal = false;
     bool doWatchedNickChangedSignal = false;
     bool doChannelMembersChangedSignal = false;
-    QString lcNickname = nickname.toLower();
+    QString lcNickname(nickname.toLower());
     // Create NickInfo if not already created.
     NickInfoPtr nickInfo = getNickInfo(nickname);
     if (!nickInfo)
@@ -2364,7 +2370,7 @@
     NickInfoPtr nickInfo = getNickInfo(nickname);
     if (!nickInfo)
     {
-        QString lcNickname = nickname.toLower();
+        QString lcNickname(nickname.toLower());
         nickInfo = new NickInfo(nickname, this);
         m_allNicks.insert(lcNickname, nickInfo);
     }
@@ -2399,7 +2405,7 @@
 
 bool Server::setNickOffline(const QString& nickname)
 {
-    QString lcNickname = nickname.toLower();
+    QString lcNickname(nickname.toLower());
     NickInfoPtr nickInfo = getNickInfo(lcNickname);
 
     bool wasOnline = nickInfo ? nickInfo->getPrintedOnline() : false;
@@ -2438,7 +2444,7 @@
  */
 bool Server::deleteNickIfUnlisted(const QString &nickname)
 {
-    QString lcNickname = nickname.toLower();
+    QString lcNickname(nickname.toLower());
     // Don't delete our own nickinfo.
     if (lcNickname == loweredNickname()) return false;
 
@@ -2477,6 +2483,10 @@
             // Note: Channel should not be empty because user's own nick should still be
             // in it, so do not need to delete empty channel here.
         }
+        else
+        {
+            kDebug() << "Error: Tried to remove nickname=" << nickname << " from joined channel=" << channelName;
+        }
     }
     else
     {
@@ -2492,6 +2502,10 @@
                 // Caution: Any iterators across unjoinedChannels will be come invalid here.
                 if (channel->isEmpty()) m_unjoinedChannels.remove(lcChannelName);
             }
+            else
+            {
+                kDebug() << "Error: Tried to remove nickname=" << nickname << " from unjoined channel=" << channelName;
+            }
         }
     }
     if (doSignal) emit channelMembersChanged(this, channelName, joined, true, nickname);
@@ -2590,10 +2604,10 @@
     if (nickInfo)
     {
         // Get existing lowercase nickname and rename nickname in the NickInfo object.
-        QString lcNickname = nickInfo->loweredNickname();
+        QString lcNickname(nickInfo->loweredNickname());
         nickInfo->setNickname(newname);
         nickInfo->setIdentified(false);
-        QString lcNewname = newname.toLower();
+        QString lcNewname(newname.toLower());
         // Rename the key in m_allNicks list.
         m_allNicks.remove(lcNickname);
         m_allNicks.insert(lcNewname, nickInfo);
@@ -2620,13 +2634,13 @@
     }
     else
     {
-        kDebug() << "server::renameNickInfo() was called for newname='" << newname << "' but nickInfo is null";
+        kDebug() << "was called for newname='" << newname << "' but nickInfo is null";
     }
 }
 
 Channel* Server::nickJoinsChannel(const QString &channelName, const QString &nickname, const QString &hostmask)
 {
-    Channel* outChannel=getChannelByName(channelName);
+    Channel* outChannel = getChannelByName(channelName);
     if(outChannel)
     {
         // Update NickInfo.
@@ -2645,7 +2659,7 @@
 void Server::addHostmaskToNick(const QString& sourceNick, const QString& sourceHostmask)
 {
     // Update NickInfo.
-    NickInfoPtr nickInfo=getNickInfo(sourceNick);
+    NickInfoPtr nickInfo = getNickInfo(sourceNick);
     if (nickInfo)
     {
         if ((nickInfo->getHostmask() != sourceHostmask) && !sourceHostmask.isEmpty())
@@ -2657,11 +2671,15 @@
 
 Channel* Server::removeNickFromChannel(const QString &channelName, const QString &nickname, const QString &reason, bool quit)
 {
-    Channel* outChannel=getChannelByName(channelName);
+    Channel* outChannel = getChannelByName(channelName);
     if(outChannel)
     {
+        outChannel->flushPendingNicks();
         ChannelNickPtr channelNick = getChannelNick(channelName, nickname);
-        if(channelNick) outChannel->removeNick(channelNick,reason,quit);
+        if(channelNick)
+        {
+            outChannel->removeNick(channelNick,reason,quit);
+        }
     }
 
     // Remove the nick from the channel.
@@ -2680,9 +2698,10 @@
 
 void Server::nickWasKickedFromChannel(const QString &channelName, const QString &nickname, const QString &kicker, const QString &reason)
 {
-    Channel* outChannel=getChannelByName(channelName);
+    Channel* outChannel = getChannelByName(channelName);
     if(outChannel)
     {
+        outChannel->flushPendingNicks();
         ChannelNickPtr channelNick = getChannelNick(channelName, nickname);
 
         if(channelNick)
@@ -2698,6 +2717,7 @@
 {
     foreach (Channel* channel, m_channelList)
     {
+        channel->flushPendingNicks();
         // Check if nick is in this channel or not.
         if(channel->getNickByName(nickname))
             removeNickFromChannel(channel->getName(),nickname,reason,true);
@@ -2743,6 +2763,8 @@
         // Rename the nick in every channel they are in
         foreach (Channel* channel, m_channelList)
         {
+            channel->flushPendingNicks();
+
             // All we do is notify that the nick has been renamed.. we haven't actually renamed it yet
             // Note that NickPanel has already updated, so pass new nick to getNickByName.
             if (channel->getNickByName(newNick)) channel->nickRenamed(nickname, *nickInfo);
@@ -3044,7 +3066,7 @@
     {
         setAutoJoin(true);
 
-        setAutoJoinCommands(QStringList("JOIN " + channel.name() + " " + channel.password()));
+        setAutoJoinCommands(QStringList("JOIN " + channel.name() + ' ' + channel.password()));
 
         return;
     }
@@ -3089,7 +3111,7 @@
             {
                 if (passwords.last() == ".") passwords.pop_back();
 
-                joinCommands << "JOIN " + channels.join(",") + " " + passwords.join(",");
+                joinCommands << "JOIN " + channels.join(",") + ' ' + passwords.join(",");
 
                 channels.clear();
                 passwords.clear();
@@ -3106,7 +3128,7 @@
 
         if (passwords.last() == ".") passwords.pop_back();
 
-        joinCommands << "JOIN " + channels.join(",") + " " + passwords.join(",");
+        joinCommands << "JOIN " + channels.join(",") + ' ' + passwords.join(",");
 
         setAutoJoinCommands(joinCommands);
     }
@@ -3257,7 +3279,7 @@
     }
     else
     {
-        m_awayReason = QString();
+        m_awayReason.clear();
 
         emit awayState(false);
 

=== modified file 'src/irc/serverdialog.cpp'
--- src/irc/serverdialog.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/serverdialog.cpp	2009-05-15 11:24:24 +0000
@@ -14,12 +14,12 @@
 
 #include <qlayout.h>
 #include <qlabel.h>
-#include <qlineedit.h>
 #include <qspinbox.h>
 #include <qcheckbox.h>
 
 #include <klocale.h>
 #include <kmessagebox.h>
+#include <klineedit.h>
 
 
 namespace Konversation
@@ -36,7 +36,7 @@
         mainLayout->setMargin(0);
 
         QLabel* serverLbl = new QLabel(i18n("&Server:"), mainWidget());
-        m_serverEdit = new QLineEdit(mainWidget());
+        m_serverEdit = new KLineEdit(mainWidget());
         m_serverEdit->setWhatsThis(i18n("The name or IP number of the server. irchelp.org maintains a list of servers."));
         serverLbl->setBuddy(m_serverEdit);
 
@@ -50,8 +50,8 @@
         portLbl->setBuddy(m_portSBox);
 
         QLabel* passwordLbl = new QLabel(i18n("Pass&word:"), mainWidget());
-        m_passwordEdit = new QLineEdit(mainWidget());
-        m_passwordEdit->setEchoMode(QLineEdit::Password);
+        m_passwordEdit = new KLineEdit(mainWidget());
+        m_passwordEdit->setEchoMode(KLineEdit::Password);
         passwordLbl->setBuddy(m_passwordEdit);
 
         m_sslChBox = new QCheckBox(i18n("S&ecure connection (SSL)"), mainWidget());

=== modified file 'src/irc/serverdialog.h'
--- src/irc/serverdialog.h	2009-04-10 16:16:59 +0000
+++ src/irc/serverdialog.h	2009-05-15 11:24:24 +0000
@@ -14,7 +14,8 @@
 
 #include <kdialog.h>
 
-class QLineEdit;
+class KLineEdit;
+
 class QSpinBox;
 class QCheckBox;
 
@@ -38,9 +39,9 @@
             void slotOk();
         void slotServerNameChanged( const QString& );
         private:
-            QLineEdit* m_serverEdit;
+            KLineEdit* m_serverEdit;
             QSpinBox* m_portSBox;
-            QLineEdit* m_passwordEdit;
+            KLineEdit* m_passwordEdit;
             QCheckBox* m_sslChBox;
     };
 

=== modified file 'src/irc/servergroupdialog.cpp'
--- src/irc/servergroupdialog.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/servergroupdialog.cpp	2009-05-15 11:24:24 +0000
@@ -23,8 +23,6 @@
 
 #include <qlayout.h>
 #include <qlabel.h>
-#include <qlineedit.h>
-#include <qcombobox.h>
 #include <qpushbutton.h>
 #include <qtoolbutton.h>
 #include <qcheckbox.h>
@@ -34,6 +32,7 @@
 #include <kmessagebox.h>
 #include <kcombobox.h>
 #include <kpushbutton.h>
+#include <klineedit.h>
 
 
 namespace Konversation

=== modified file 'src/irc/servergroupdialogui.ui'
--- src/irc/servergroupdialogui.ui	2009-04-10 16:16:59 +0000
+++ src/irc/servergroupdialogui.ui	2009-05-15 11:24:24 +0000
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>ServerGroupDialogUI</class>
- <widget class="QWidget" name="ServerGroupDialogUI" >
-  <property name="geometry" >
+ <widget class="QWidget" name="ServerGroupDialogUI">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,142 +10,143 @@
     <height>493</height>
    </rect>
   </property>
-  <layout class="QGridLayout" name="gridLayout_3" >
-   <property name="margin" >
+  <layout class="QGridLayout" name="gridLayout_3">
+   <property name="margin">
     <number>0</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="QLabel" name="m_networkLabel" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
+   <item row="0" column="0">
+    <widget class="QLabel" name="m_networkLabel">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Maximum" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="text" >
+     <property name="text">
       <string>Network name:</string>
      </property>
-     <property name="wordWrap" >
+     <property name="wordWrap">
       <bool>false</bool>
      </property>
     </widget>
    </item>
-   <item row="0" column="1" colspan="2" >
-    <widget class="QLineEdit" name="m_nameEdit" />
-   </item>
-   <item row="1" column="0" >
-    <widget class="QLabel" name="m_identityLabel" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
+   <item row="2" column="0">
+    <widget class="QLabel" name="m_identityLabel">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Maximum" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="text" >
+     <property name="text">
       <string>Identity:</string>
      </property>
-     <property name="wordWrap" >
+     <property name="wordWrap">
       <bool>false</bool>
      </property>
     </widget>
    </item>
-   <item row="1" column="1" >
-    <widget class="QComboBox" name="m_identityCBox" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Fixed" hsizetype="Minimum" >
+   <item row="2" column="1">
+    <widget class="KComboBox" name="m_identityCBox">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
        <horstretch>2</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
     </widget>
    </item>
-   <item row="1" column="2" >
-    <widget class="KPushButton" name="m_editIdentityButton" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Minimum" hsizetype="Minimum" >
+   <item row="2" column="2">
+    <widget class="KPushButton" name="m_editIdentityButton">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="text" >
+     <property name="text">
       <string>&amp;Edit...</string>
      </property>
     </widget>
    </item>
-   <item row="2" column="0" >
-    <widget class="QLabel" name="m_commandsLabel" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="Preferred" hsizetype="Maximum" >
+   <item row="3" column="0">
+    <widget class="QLabel" name="m_commandsLabel">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Maximum" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="text" >
+     <property name="text">
       <string>Commands:</string>
      </property>
-     <property name="wordWrap" >
+     <property name="wordWrap">
       <bool>false</bool>
      </property>
     </widget>
    </item>
-   <item row="2" column="1" colspan="2" >
-    <widget class="QLineEdit" name="m_commandEdit" />
+   <item row="3" column="1" colspan="2">
+    <widget class="KLineEdit" name="m_commandEdit">
+     <property name="whatsThis">
+      <string>Optional. This command will be sent to the server after connecting. Example: &lt;b&gt;/msg NickServ IDENTIFY &lt;i&gt;konvirocks&lt;/i&gt;&lt;/b&gt;. This example is for the freenode network, which requires users to register their nickname with a password and login when connecting. &lt;i&gt;konvirocks&lt;/i&gt; is the password for the nickname given in Identity. You may enter more than one command by separating them with semicolons.</string>
+     </property>
+    </widget>
    </item>
-   <item row="3" column="0" colspan="3" >
-    <widget class="QCheckBox" name="m_autoConnectCBox" >
-     <property name="text" >
+   <item row="4" column="0" colspan="3">
+    <widget class="QCheckBox" name="m_autoConnectCBox">
+     <property name="text">
       <string>Co&amp;nnect on application start up</string>
      </property>
     </widget>
    </item>
-   <item row="4" column="0" colspan="3" >
-    <widget class="QGroupBox" name="groupBox" >
-     <property name="title" >
+   <item row="5" column="0" colspan="3">
+    <widget class="QGroupBox" name="groupBox">
+     <property name="title">
       <string>Servers</string>
      </property>
-     <property name="flat" >
+     <property name="flat">
       <bool>true</bool>
      </property>
-     <layout class="QGridLayout" name="gridLayout" >
-      <item row="0" column="0" colspan="6" >
-       <widget class="KListWidget" name="m_serverLBox" />
+     <layout class="QGridLayout" name="gridLayout">
+      <item row="0" column="0" colspan="6">
+       <widget class="KListWidget" name="m_serverLBox"/>
       </item>
-      <item row="1" column="0" >
-       <widget class="KPushButton" name="m_addServerButton" >
-        <property name="text" >
+      <item row="1" column="0">
+       <widget class="KPushButton" name="m_addServerButton">
+        <property name="text">
          <string>&amp;Add...</string>
         </property>
        </widget>
       </item>
-      <item row="1" column="1" >
-       <widget class="KPushButton" name="m_changeServerButton" >
-        <property name="enabled" >
+      <item row="1" column="1">
+       <widget class="KPushButton" name="m_changeServerButton">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string>E&amp;dit...</string>
         </property>
        </widget>
       </item>
-      <item row="1" column="2" >
-       <widget class="QToolButton" name="m_removeServerButton" >
-        <property name="enabled" >
+      <item row="1" column="2">
+       <widget class="QToolButton" name="m_removeServerButton">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string/>
         </property>
        </widget>
       </item>
-      <item row="1" column="3" >
-       <spacer name="serverSpacer" >
-        <property name="orientation" >
+      <item row="1" column="3">
+       <spacer name="serverSpacer">
+        <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
-        <property name="sizeType" >
+        <property name="sizeType">
          <enum>QSizePolicy::Expanding</enum>
         </property>
-        <property name="sizeHint" stdset="0" >
+        <property name="sizeHint" stdset="0">
          <size>
           <width>228</width>
           <height>20</height>
@@ -152,28 +154,28 @@
         </property>
        </spacer>
       </item>
-      <item row="1" column="4" >
-       <widget class="QToolButton" name="m_upServerBtn" >
-        <property name="enabled" >
+      <item row="1" column="4">
+       <widget class="QToolButton" name="m_upServerBtn">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string/>
         </property>
-        <property name="autoRepeat" >
+        <property name="autoRepeat">
          <bool>true</bool>
         </property>
        </widget>
       </item>
-      <item row="1" column="5" >
-       <widget class="QToolButton" name="m_downServerBtn" >
-        <property name="enabled" >
+      <item row="1" column="5">
+       <widget class="QToolButton" name="m_downServerBtn">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string/>
         </property>
-        <property name="autoRepeat" >
+        <property name="autoRepeat">
          <bool>true</bool>
         </property>
        </widget>
@@ -181,54 +183,54 @@
      </layout>
     </widget>
    </item>
-   <item row="5" column="0" colspan="3" >
-    <widget class="QGroupBox" name="groupBox_2" >
-     <property name="title" >
+   <item row="6" column="0" colspan="3">
+    <widget class="QGroupBox" name="groupBox_2">
+     <property name="title">
       <string>Auto Join Channels</string>
      </property>
-     <property name="flat" >
+     <property name="flat">
       <bool>true</bool>
      </property>
-     <layout class="QGridLayout" name="gridLayout_2" >
-      <item row="0" column="0" colspan="6" >
-       <widget class="KListWidget" name="m_channelLBox" />
+     <layout class="QGridLayout" name="gridLayout_2">
+      <item row="0" column="0" colspan="6">
+       <widget class="KListWidget" name="m_channelLBox"/>
       </item>
-      <item row="1" column="0" >
-       <widget class="KPushButton" name="m_addChannelButton" >
-        <property name="text" >
+      <item row="1" column="0">
+       <widget class="KPushButton" name="m_addChannelButton">
+        <property name="text">
          <string>Add...</string>
         </property>
        </widget>
       </item>
-      <item row="1" column="1" >
-       <widget class="KPushButton" name="m_changeChannelButton" >
-        <property name="enabled" >
+      <item row="1" column="1">
+       <widget class="KPushButton" name="m_changeChannelButton">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string>Ed&amp;it...</string>
         </property>
        </widget>
       </item>
-      <item row="1" column="2" >
-       <widget class="QToolButton" name="m_removeChannelButton" >
-        <property name="enabled" >
+      <item row="1" column="2">
+       <widget class="QToolButton" name="m_removeChannelButton">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string/>
         </property>
        </widget>
       </item>
-      <item row="1" column="3" >
-       <spacer name="channelSpacer" >
-        <property name="orientation" >
+      <item row="1" column="3">
+       <spacer name="channelSpacer">
+        <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
-        <property name="sizeType" >
+        <property name="sizeType">
          <enum>QSizePolicy::Expanding</enum>
         </property>
-        <property name="sizeHint" stdset="0" >
+        <property name="sizeHint" stdset="0">
          <size>
           <width>255</width>
           <height>20</height>
@@ -236,28 +238,28 @@
         </property>
        </spacer>
       </item>
-      <item row="1" column="4" >
-       <widget class="QToolButton" name="m_upChannelBtn" >
-        <property name="enabled" >
+      <item row="1" column="4">
+       <widget class="QToolButton" name="m_upChannelBtn">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string/>
         </property>
-        <property name="autoRepeat" >
+        <property name="autoRepeat">
          <bool>true</bool>
         </property>
        </widget>
       </item>
-      <item row="1" column="5" >
-       <widget class="QToolButton" name="m_downChannelBtn" >
-        <property name="enabled" >
+      <item row="1" column="5">
+       <widget class="QToolButton" name="m_downChannelBtn">
+        <property name="enabled">
          <bool>false</bool>
         </property>
-        <property name="text" >
+        <property name="text">
          <string/>
         </property>
-        <property name="autoRepeat" >
+        <property name="autoRepeat">
          <bool>true</bool>
         </property>
        </widget>
@@ -265,11 +267,24 @@
      </layout>
     </widget>
    </item>
+   <item row="0" column="1" colspan="2">
+    <widget class="KLineEdit" name="m_nameEdit"/>
+   </item>
   </layout>
  </widget>
- <layoutfunction spacing="KDialog::spacingHint" margin="KDialog::marginHint" />
+ <layoutfunction spacing="KDialog::spacingHint" margin="KDialog::marginHint"/>
  <customwidgets>
   <customwidget>
+   <class>KComboBox</class>
+   <extends>QComboBox</extends>
+   <header>kcombobox.h</header>
+  </customwidget>
+  <customwidget>
+   <class>KLineEdit</class>
+   <extends>QLineEdit</extends>
+   <header>klineedit.h</header>
+  </customwidget>
+  <customwidget>
    <class>KListWidget</class>
    <extends>QListWidget</extends>
    <header>klistwidget.h</header>
@@ -280,7 +295,6 @@
    <header>kpushbutton.h</header>
   </customwidget>
  </customwidgets>
- <includes/>
  <resources/>
  <connections/>
 </ui>

=== modified file 'src/irc/serverison.cpp'
--- src/irc/serverison.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/serverison.cpp	2009-05-15 11:24:24 +0000
@@ -120,7 +120,7 @@
         QMap<QString,QString> ISONMap;
         m_offlineNickToAddresseeMap.clear();
 
-        for( KABC::AddressBook::ConstIterator it =
+        for( KABC::AddressBook::Iterator it =
             Konversation::Addressbook::self()->getAddressBook()->begin();
             it != Konversation::Addressbook::self()->getAddressBook()->end(); ++it )
         {

=== modified file 'src/irc/serverlistdialog.cpp'
--- src/irc/serverlistdialog.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/serverlistdialog.cpp	2009-05-15 11:24:24 +0000
@@ -15,12 +15,11 @@
 #include "application.h" ////// header renamed
 #include "servergroupdialog.h"
 #include "connectionsettings.h"
+#include "ui_serverlistdialogui.h"
 
 #include <qpushbutton.h>
-#include <qlayout.h>
-#include <qstringlist.h>
-#include <q3header.h>
 #include <qcheckbox.h>
+#include <QHeaderView>
 
 #include <klocale.h>
 #include <kdebug.h>
@@ -35,9 +34,9 @@
     // ServerListItem
     //
 
-    ServerListItem::ServerListItem(K3ListView* parent, int serverGroupId, int sortIndex,
+    ServerListItem::ServerListItem(QTreeWidget* parent, int serverGroupId, int sortIndex,
         const QString& serverGroup, const QString& identity, const QString& channels)
-        : K3ListViewItem(parent, serverGroup, identity, channels)
+        : QTreeWidgetItem(parent, QStringList() << serverGroup << identity << channels)
     {
         m_serverGroupId = serverGroupId;
         m_sortIndex = sortIndex;
@@ -45,9 +44,9 @@
         m_isServer = false;
     }
 
-    ServerListItem::ServerListItem(Q3ListViewItem* parent, int serverGroupId, int sortIndex,
+    ServerListItem::ServerListItem(QTreeWidgetItem* parent, int serverGroupId, int sortIndex,
         const QString& name, const ServerSettings& server)
-        : K3ListViewItem(parent, name)
+        : QTreeWidgetItem(parent, QStringList() << name)
     {
         m_serverGroupId = serverGroupId;
         m_sortIndex = sortIndex;
@@ -55,95 +54,59 @@
         m_server = server;
         m_isServer = true;
     }
-
+    
     int ServerListItem::selectedChildrenCount()
     {
         int count = 0;
-
-        Q3ListViewItem* item = firstChild();
-
-        while (item)
+        for(int i=0; i<childCount(); i++)
         {
-            if (item->isSelected())
+            if (child(i)->isSelected())
                 ++count;
-
-            item = item->nextSibling();
         }
 
         return count;
     }
-
-    int ServerListItem::compare(Q3ListViewItem *i, int col, bool ascending) const
+    
+    bool ServerListItem::operator<(const QTreeWidgetItem &other) const
     {
-        ServerListItem* item = static_cast<ServerListItem*>(i);
-
-        if (col==0)
+        int column = treeWidget()->sortColumn();
+        const ServerListItem* item = static_cast<const ServerListItem*>(&other);
+        if (column==0)
         {
-            if (!item->server().host().isEmpty())
-            {
-                if (sortIndex() == item->sortIndex())
-                    return 0;
-                else if (sortIndex() < item->sortIndex())
-                    return ascending ? -1 : 1;
-                else
-                    return ascending ? 1 : -1;
-            }
-
-            if (sortIndex() == item->sortIndex())
-                return 0;
-            else if (sortIndex() < item->sortIndex())
-                return -1;
+            if (item->isServer())
+            {
+                return false; // to keep sorting of servers consistent
+            }
+            else if (sortIndex() >= item->sortIndex())
+            {
+                return false;
+            }
             else
-                return 1;
+            {
+                return true;
+            }
         }
-
-        return key( col, ascending ).localeAwareCompare( i->key( col, ascending ) );
+        return text(column) < other.text(column);    
     }
 
-    ServerListDialog::ServerListDialog(QWidget *parent)
+    ServerListDialog::ServerListDialog(const QString& title, QWidget *parent)
         : KDialog(parent)
     {
-        setCaption(i18n("Server List"));
+        setCaption(title);
         setButtons(Ok|Close);
-        setModal(false);
+
+        m_mainWidget = new Ui::ServerListDialogUI();
+        m_mainWidget->setupUi(mainWidget());
+        m_serverList = static_cast<ServerListView*>(m_mainWidget->m_serverList);
+        m_addButton = m_mainWidget->m_addButton;
+        m_delButton = m_mainWidget->m_delButton;
+        m_editButton = m_mainWidget->m_editButton;
+        m_showAtStartup = m_mainWidget->m_showAtStartup;
 
         setButtonGuiItem(Ok, KGuiItem(i18n("C&onnect"), "network-connect", i18n("Connect to the server"), i18n("Click here to connect to the selected IRC network and channel.")));
 
-        m_serverList = new ServerListView(mainWidget());
-        m_serverList->setWhatsThis(i18n("This shows the listof configured IRC networks. An IRC network is a collection of cooperating servers. You need only connect to one of the servers in the network to be connected to the entire IRC network. Once connected, Konversation will automatically join the channels shown. When Konversation is started for the first time, the Freenode network and the <i>#kde</i> channel are already entered for you."));
-        m_serverList->setAllColumnsShowFocus(true);
-        m_serverList->setRootIsDecorated(true);
-        m_serverList->setResizeMode(Q3ListView::AllColumns);
-        m_serverList->addColumn(i18n("Network"));
-        m_serverList->addColumn(i18n("Identity"));
-        m_serverList->addColumn(i18n("Channels"));
-        m_serverList->setSelectionModeExt(K3ListView::Extended);
-        m_serverList->setShowSortIndicator(true);
-        m_serverList->setSortColumn(0);
-        m_serverList->setDragEnabled(true);
-        m_serverList->setAcceptDrops(true);
-        m_serverList->setDropVisualizer(true);
-        m_serverList->header()->setMovingEnabled(false);
-
-        m_addButton = new QPushButton(i18n("&New..."), mainWidget());
-        m_addButton->setWhatsThis(i18n("Click here to define a new Network, including the server to connect to, and the Channels to automatically join once connected."));
-        m_editButton = new QPushButton(i18n("&Edit..."), mainWidget());
-        m_delButton = new QPushButton(i18n("&Delete"), mainWidget());
-
-        QCheckBox* showAtStartup = new QCheckBox(i18n("Show at application startup"), mainWidget());
-        showAtStartup->setChecked(Preferences::self()->showServerList());
-        connect(showAtStartup, SIGNAL(toggled(bool)), this, SLOT(setShowAtStartup(bool)));
-
-        QGridLayout* layout = new QGridLayout(mainWidget());
-        layout->setSpacing(spacingHint());
-        layout->setMargin(0);
-
-        layout->addWidget(m_serverList, 0, 0, 4, 1); 
-        layout->addWidget(m_addButton, 0, 1);
-        layout->addWidget(m_editButton, 1, 1);
-        layout->addWidget(m_delButton, 2, 1);
-        layout->addWidget(showAtStartup, 4, 0, 1, 2);
-        layout->setRowStretch(3, 10);
+        m_showAtStartup->setChecked(Preferences::self()->showServerList());
+        connect(m_showAtStartup, SIGNAL(toggled(bool)), this, SLOT(setShowAtStartup(bool)));
 
         m_serverList->setFocus();
 
@@ -156,10 +119,10 @@
 
         connect(m_serverList, SIGNAL(aboutToMove()), this, SLOT(slotAboutToMove()));
         connect(m_serverList, SIGNAL(moved()), this, SLOT(slotMoved()));
-        connect(m_serverList, SIGNAL(doubleClicked(Q3ListViewItem *, const QPoint&, int)), this, SLOT(slotOk()));
-        connect(m_serverList, SIGNAL(selectionChanged()), this, SLOT(updateButtons()));
-        connect(m_serverList, SIGNAL(expanded(Q3ListViewItem*)), this, SLOT(slotSetGroupExpanded(Q3ListViewItem*)));
-        connect(m_serverList, SIGNAL(collapsed(Q3ListViewItem*)), this, SLOT(slotSetGroupCollapsed(Q3ListViewItem*)));
+        connect(m_serverList, SIGNAL(itemDoubleClicked(QTreeWidgetItem*, int)), this, SLOT(slotOk()));
+        connect(m_serverList, SIGNAL(itemSelectionChanged()), this, SLOT(updateButtons()));
+        connect(m_serverList, SIGNAL(itemExpanded(QTreeWidgetItem*)), this, SLOT(slotSetGroupExpanded(QTreeWidgetItem*)));
+        connect(m_serverList, SIGNAL(itemCollapsed(QTreeWidgetItem*)), this, SLOT(slotSetGroupCollapsed(QTreeWidgetItem*)));
         connect(m_addButton, SIGNAL(clicked()), this, SLOT(slotAdd()));
         connect(m_editButton, SIGNAL(clicked()), this, SLOT(slotEdit()));
         connect(m_delButton, SIGNAL(clicked()), this, SLOT(slotDelete()));
@@ -172,8 +135,11 @@
         QSize newSize = size();
         newSize = config.readEntry("Size", newSize);
         resize(newSize);
-
-        m_serverList->setSelected(m_serverList->firstChild(), true);
+        m_serverList->header()->setMovable(false); // dont let the user reorder the header
+        m_serverList->sortItems(0, Qt::AscendingOrder);
+        //because it sorts the first column in ascending order by default
+        //causing problems and such.
+        m_serverList->topLevelItem(0)->setSelected(true);
     }
 
     ServerListDialog::~ServerListDialog()
@@ -190,12 +156,9 @@
 
     void ServerListDialog::slotOk()
     {
-        QList<Q3ListViewItem*> selected = m_serverList->selectedItems();
-        foreach (Q3ListViewItem* i, selected)
+        QList<QTreeWidgetItem*> selected = m_serverList->selectedItems();
+        foreach (QTreeWidgetItem* i, selected)
         {
-            if (!i->isVisible())
-                continue;
-
             ServerListItem * item = static_cast<ServerListItem*>(i);
             if (item->isServer())
             {
@@ -274,17 +237,17 @@
 
     void ServerListDialog::slotDelete()
     {
-        Q3PtrList<Q3ListViewItem> selectedItems = m_serverList->selectedServerListItems();
-
+        QList<QTreeWidgetItem*> selectedItems = m_serverList->selectedServerListItems();    
+        
         if (selectedItems.isEmpty())
             return;
 
-        ServerListItem* item = static_cast<ServerListItem*>(selectedItems.first());
         ServerListItem* parent = 0;
-
+        ServerListItem* item;
         // Make sure we're not deleting a network's only servers
-        while (item)
+        foreach (QTreeWidgetItem* itemWidget, selectedItems)
         {
+            item = static_cast<ServerListItem*>(itemWidget);
             if (item->isServer())
             {
                 parent = static_cast<ServerListItem*>(item->parent());
@@ -300,16 +263,10 @@
                     return;
                 }
             }
-
-            item = static_cast<ServerListItem*>(selectedItems.next());
         }
-
-        // Reset item
-        item = static_cast<ServerListItem*>(selectedItems.first());
-
         // Ask the user if he really wants to delete what he selected
         QString question;
-
+        item = static_cast<ServerListItem*>(selectedItems.first());
         if (selectedItems.count()>1)
             question = i18n("Do you really want to delete the selected entries?");
         else
@@ -320,63 +277,40 @@
             return;
         }
 
-        Q3ListViewItem* itemBelow = 0;
-        Q3ListViewItem* itemAbove = 0;
-
         // Have fun deleting
-        while (item)
+        foreach (QTreeWidgetItem* itemWidget, selectedItems)
         {
-            itemBelow = item->nextSibling();
-            itemAbove = item->itemAbove();
-
+            item = static_cast<ServerListItem*>(itemWidget);
+            
             if (item == m_selectedItemPtr)
                 m_selectedItemPtr = 0;
 
             if (item->isServer())
             {
+                item->parent()->takeChild(item->parent()->indexOfChild(item));
                 Konversation::ServerGroupSettingsPtr serverGroup = Preferences::serverGroupById(item->serverGroupId());
                 serverGroup->removeServer(item->server());
                 delete item;
             }
             else
             {
+                item->treeWidget()->takeTopLevelItem(item->treeWidget()->indexOfTopLevelItem(item));
                 Preferences::removeServerGroup(item->serverGroupId());
                 delete item;
             }
-
-            item = static_cast<ServerListItem*>(selectedItems.next());
-        }
-
-        if (itemBelow)
-        {
-            m_serverList->setSelected(itemBelow,true);
-            m_serverList->setCurrentItem(itemBelow);
-        }
-        else if (itemAbove)
-        {
-            m_serverList->setSelected(itemAbove,true);
-            m_serverList->setCurrentItem(itemAbove);
-        }
-        else
-        {
-            if (m_serverList->firstChild())
-            {
-                m_serverList->setSelected(m_serverList->firstChild(),true);
-                m_serverList->setCurrentItem(m_serverList->firstChild());
-            }
         }
 
         emit serverGroupsChanged();
    }
 
-    void ServerListDialog::slotSetGroupExpanded(Q3ListViewItem* item)
+    void ServerListDialog::slotSetGroupExpanded(QTreeWidgetItem* item)
     {
         ServerListItem* listItem = static_cast<ServerListItem*>(item);
         Konversation::ServerGroupSettingsPtr serverGroup = Preferences::serverGroupById(listItem->serverGroupId());
         serverGroup->setExpanded(true);
     }
 
-    void ServerListDialog::slotSetGroupCollapsed(Q3ListViewItem* item)
+    void ServerListDialog::slotSetGroupCollapsed(QTreeWidgetItem* item)
     {
         ServerListItem* listItem = static_cast<ServerListItem*>(item);
         Konversation::ServerGroupSettingsPtr serverGroup = Preferences::serverGroupById(listItem->serverGroupId());
@@ -386,36 +320,34 @@
     void ServerListDialog::slotAboutToMove()
     {
         m_lastSortColumn = m_serverList->sortColumn();
-        m_lastSortOrder = m_serverList->sortOrder();
-        m_serverList->setSortColumn(-1);
+        m_lastSortOrder = m_serverList->header()->sortIndicatorOrder();
+        m_serverList->setSortingEnabled(false);
     }
 
     void ServerListDialog::slotMoved()
     {
         Konversation::ServerGroupList newServerGroupList;
 
-        ServerListItem* item = static_cast<ServerListItem*>(m_serverList->firstChild());
-        int newSortIndex = 0;
-
-        while (item)
+        ServerListItem* item;
+        for (int i=0; i < m_serverList->topLevelItemCount(); i++ )
         {
+            item = static_cast<ServerListItem*>(m_serverList->topLevelItem(i));
             Konversation::ServerGroupSettingsPtr serverGroup = Preferences::serverGroupById(item->serverGroupId());
-            serverGroup->setSortIndex(newSortIndex);
+            serverGroup->setSortIndex(i);
 
             newServerGroupList.append(serverGroup);
 
-            item->setSortIndex(newSortIndex);
-
-            ++newSortIndex;
-            item = static_cast<ServerListItem*>(item->nextSibling());
-        }
-
-        Preferences::setServerGroupList(newServerGroupList);
-
-        m_serverList->setSortColumn(m_lastSortColumn);
-        m_serverList->setSortOrder(m_lastSortOrder);
-
-        emit serverGroupsChanged();
+            item->setSortIndex(i);
+
+        }
+        if(Preferences::serverGroupList() != newServerGroupList)
+        {
+            Preferences::setServerGroupList(newServerGroupList);
+
+            emit serverGroupsChanged();
+        }
+        m_serverList->setSortingEnabled(true);
+        m_serverList->sortItems(m_lastSortColumn, m_lastSortOrder);
     }
 
     void ServerListDialog::updateButtons()
@@ -432,18 +364,15 @@
 
     void ServerListDialog::addServerGroup(ServerGroupSettingsPtr serverGroup)
     {
-        if (m_serverList->lastChild())
-        {
-            ServerListItem* lastChild = static_cast<ServerListItem*>(m_serverList->lastChild());
-            serverGroup->setSortIndex(lastChild->sortIndex() + 1);
-        }
+        int sortTotal = m_serverList->topLevelItemCount();
+        serverGroup->setSortIndex(sortTotal + 1);
+        
 
         Preferences::addServerGroup(serverGroup);
-        Q3ListViewItem* item = insertServerGroup(serverGroup);
+        QTreeWidgetItem* item = insertServerGroup(serverGroup);
         m_serverList->clearSelection();
-        m_serverList->setSelected(item,true);
+        item->setSelected(true);
         m_serverList->setCurrentItem(item);
-        m_serverList->ensureItemVisible(item);
     }
 
     void ServerListDialog::updateServerList()
@@ -467,7 +396,7 @@
         Konversation::ServerGroupList serverGroups = Preferences::serverGroupList();
         Konversation::ServerGroupList::const_iterator it;
 
-        Q3ListViewItem* networkItem = 0;
+        QTreeWidgetItem* networkItem = 0;
 
         for(it = serverGroups.constBegin(); it != serverGroups.constEnd(); ++it)
         {
@@ -484,7 +413,7 @@
         // Highlight the last edited item
         if (m_selectedItem)
         {
-            m_serverList->setSelected(m_selectedItemPtr,true);
+            m_selectedItemPtr->setSelected(true);
             m_serverList->setCurrentItem(m_selectedItemPtr);
             m_selectedItem = false;
         }
@@ -493,7 +422,7 @@
         m_serverList->repaint();
     }
 
-    Q3ListViewItem* ServerListDialog::insertServerGroup(ServerGroupSettingsPtr serverGroup)
+    QTreeWidgetItem* ServerListDialog::insertServerGroup(ServerGroupSettingsPtr serverGroup)
     {
         // Produce a list of this server group's channels
         QString channels;
@@ -510,7 +439,7 @@
             channels += (*channelIt).name();
         }
 
-        Q3ListViewItem* networkItem = 0;
+        QTreeWidgetItem* networkItem = 0;
 
         // Insert the server group into the list
         networkItem = new ServerListItem(m_serverList,
@@ -522,7 +451,7 @@
 
         // Recreate expanded/collapsed state
         if (serverGroup->expanded())
-            networkItem->setOpen(true);
+            networkItem->setExpanded(true);
 
         // Produce a list of this server group's servers and iterate over it
         Konversation::ServerList serverList = serverGroup->serverList();
@@ -541,14 +470,12 @@
                 name += + " (SSL)";
 
             // Insert the server into the list, as child of the server group list item
-            Q3ListViewItem* serverItem = new ServerListItem(networkItem,
+            QTreeWidgetItem* serverItem = new ServerListItem(networkItem,
                                             serverGroup->id(),
                                             i,
                                             name,
                                             (*serverIt));
 
-            // The listview shouldn't allow this to be dragged
-            serverItem->setDragEnabled(false);
 
             // Initialize a pointer to the new location of the last edited server
             if (m_selectedItem && m_selectedServer==(*serverIt))

=== modified file 'src/irc/serverlistdialog.h'
--- src/irc/serverlistdialog.h	2009-04-10 16:16:59 +0000
+++ src/irc/serverlistdialog.h	2009-05-15 11:24:24 +0000
@@ -13,37 +13,38 @@
 #ifndef KONVERSATIONSERVERLISTDIALOG_H
 #define KONVERSATIONSERVERLISTDIALOG_H
 
-#include "serverlistview.h"
 #include "common.h"
 #include "servergroupsettings.h"
-
+#include "serverlistview.h"
 #include <kdialog.h>
 
 class ConnectionSettings;
-class QPushButton;
-
+class QTreeWidgetItem;
+class QCheckBox;
+namespace Ui
+{
+class ServerListDialogUI;
+}
 namespace Konversation
 {
-    class ServerListItem : public K3ListViewItem
+    class ServerListItem : public QTreeWidgetItem
     {
         public:
-            ServerListItem(K3ListView* parent, int serverGroupId, int sortIndex,
+            ServerListItem(QTreeWidget* parent, int serverGroupId, int sortIndex,
                 const QString& serverGroup, const QString& identity, const QString& channels);
-            ServerListItem(Q3ListViewItem* parent, int serverGroupId, int sortIndex, 
+            ServerListItem(QTreeWidgetItem* parent, int serverGroupId, int sortIndex, 
                 const QString& name, const ServerSettings& server);
-
+            
             int serverGroupId() const { return m_serverGroupId; }
-
             void setSortIndex(int id) { m_sortIndex = id; }
             int sortIndex() const { return m_sortIndex; }
 
             ServerSettings server() const { return m_server; }
             QString name() const { return m_name; }
             bool isServer() const { return m_isServer; }
-
             int selectedChildrenCount();
-
-            int compare(Q3ListViewItem *i, int col, bool ascending) const;
+            bool operator<(const QTreeWidgetItem &other) const;
+            void sortItems(int column, Qt::SortOrder order);
 
         private:
             int m_serverGroupId;
@@ -58,7 +59,7 @@
         Q_OBJECT
 
         public:
-            explicit ServerListDialog(QWidget *parent = 0);
+            explicit ServerListDialog(const QString& title, QWidget *parent = 0);
             ~ServerListDialog();
 
         public slots:
@@ -76,8 +77,8 @@
             void slotEdit();
             void slotDelete();
 
-            void slotSetGroupExpanded(Q3ListViewItem* item);
-            void slotSetGroupCollapsed(Q3ListViewItem* item);
+            void slotSetGroupExpanded(QTreeWidgetItem* item);
+            void slotSetGroupCollapsed(QTreeWidgetItem* item);
 
             void slotAboutToMove();
             void slotMoved();
@@ -87,22 +88,25 @@
             void setShowAtStartup(bool show);
 
         protected:
-            Q3ListViewItem* insertServerGroup(ServerGroupSettingsPtr serverGroup);
+            QTreeWidgetItem* insertServerGroup(ServerGroupSettingsPtr serverGroup);
             void addServerGroup(ServerGroupSettingsPtr serverGroup);
+            
+            int m_lastSortColumn;
+            Qt::SortOrder m_lastSortOrder;
 
         private:
-            ServerListView* m_serverList;
+            Ui::ServerListDialogUI* m_mainWidget;
             QPushButton* m_addButton;
+            QPushButton* m_delButton;
             QPushButton* m_editButton;
-            QPushButton* m_delButton;
+            QCheckBox* m_showAtStartup;
+            ServerListView* m_serverList;
 
             bool m_selectedItem;
             int m_selectedServerGroupId;
             ServerSettings m_selectedServer;
-            Q3ListViewItem* m_selectedItemPtr;
+            QTreeWidgetItem* m_selectedItemPtr;
 
-            int m_lastSortColumn;
-            Qt::SortOrder m_lastSortOrder;
     };
 }
 #endif

=== added file 'src/irc/serverlistdialogui.ui'
--- src/irc/serverlistdialogui.ui	1970-01-01 00:00:00 +0000
+++ src/irc/serverlistdialogui.ui	2009-06-03 19:41:13 +0000
@@ -0,0 +1,180 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>ServerListDialogUI</class>
+ <widget class="QWidget" name="ServerListDialogUI">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>533</width>
+    <height>274</height>
+   </rect>
+  </property>
+  <layout class="QGridLayout" name="gridLayout">
+   <item row="4" column="0">
+    <widget class="QCheckBox" name="m_showAtStartup">
+     <property name="text">
+      <string>&amp;Show at application startup</string>
+     </property>
+    </widget>
+   </item>
+   <item row="0" column="0" rowspan="4" colspan="2">
+    <widget class="ServerListView" name="m_serverList">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
+       <horstretch>2</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
+     <property name="focusPolicy">
+      <enum>Qt::WheelFocus</enum>
+     </property>
+     <property name="acceptDrops">
+      <bool>true</bool>
+     </property>
+     <property name="whatsThis">
+      <string>This shows the list of configured IRC networks. An IRC network is a collection of cooperating servers. You need only connect to one of the servers in the network to be connected to the entire IRC network. Once connected, Konversation will automatically join the channels shown. When Konversation is started for the first time, the Freenode network and the &lt;i&gt;#kde&lt;/i&gt; channel are already entered for you.</string>
+     </property>
+     <property name="verticalScrollBarPolicy">
+      <enum>Qt::ScrollBarAsNeeded</enum>
+     </property>
+     <property name="horizontalScrollBarPolicy">
+      <enum>Qt::ScrollBarAlwaysOff</enum>
+     </property>
+     <property name="dragEnabled">
+      <bool>true</bool>
+     </property>
+     <property name="dragDropMode">
+      <enum>QAbstractItemView::InternalMove</enum>
+     </property>
+     <property name="selectionMode">
+      <enum>QAbstractItemView::ExtendedSelection</enum>
+     </property>
+     <property name="selectionBehavior">
+      <enum>QAbstractItemView::SelectRows</enum>
+     </property>
+     <property name="rootIsDecorated">
+      <bool>true</bool>
+     </property>
+     <property name="uniformRowHeights">
+      <bool>false</bool>
+     </property>
+     <property name="sortingEnabled">
+      <bool>true</bool>
+     </property>
+     <property name="allColumnsShowFocus">
+      <bool>true</bool>
+     </property>
+     <property name="wordWrap">
+      <bool>false</bool>
+     </property>
+     <property name="headerHidden">
+      <bool>false</bool>
+     </property>
+     <property name="expandsOnDoubleClick">
+      <bool>false</bool>
+     </property>
+     <attribute name="headerVisible">
+      <bool>true</bool>
+     </attribute>
+     <attribute name="headerCascadingSectionResizes">
+      <bool>true</bool>
+     </attribute>
+     <attribute name="headerDefaultSectionSize">
+      <number>200</number>
+     </attribute>
+     <attribute name="headerHighlightSections">
+      <bool>false</bool>
+     </attribute>
+     <attribute name="headerShowSortIndicator" stdset="0">
+      <bool>true</bool>
+     </attribute>
+     <attribute name="headerStretchLastSection">
+      <bool>true</bool>
+     </attribute>
+     <column>
+      <property name="text">
+       <string>Network</string>
+      </property>
+     </column>
+     <column>
+      <property name="text">
+       <string>Identity</string>
+      </property>
+     </column>
+     <column>
+      <property name="text">
+       <string>Channels</string>
+      </property>
+     </column>
+    </widget>
+   </item>
+   <item row="0" column="2">
+    <widget class="QPushButton" name="m_addButton">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+       <horstretch>0</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
+     <property name="whatsThis">
+      <string>Click here to define a new Network, including the server to connect to, and the Channels to automatically join once connected.</string>
+     </property>
+     <property name="text">
+      <string>&amp;New...</string>
+     </property>
+     <property name="autoDefault">
+      <bool>false</bool>
+     </property>
+     <property name="default">
+      <bool>false</bool>
+     </property>
+     <property name="flat">
+      <bool>false</bool>
+     </property>
+    </widget>
+   </item>
+   <item row="2" column="2">
+    <widget class="QPushButton" name="m_delButton">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+       <horstretch>0</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
+     <property name="text">
+      <string>&amp;Delete</string>
+     </property>
+     <property name="autoDefault">
+      <bool>false</bool>
+     </property>
+    </widget>
+   </item>
+   <item row="1" column="2">
+    <widget class="QPushButton" name="m_editButton">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+       <horstretch>0</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
+     <property name="text">
+      <string>&amp;Edit...</string>
+     </property>
+     <property name="autoDefault">
+      <bool>false</bool>
+     </property>
+    </widget>
+   </item>
+  </layout>
+ </widget>
+ <customwidgets>
+  <customwidget>
+   <class>ServerListView</class>
+   <extends>QTreeWidget</extends>
+   <header>serverlistview.h</header>
+  </customwidget>
+ </customwidgets>
+ <resources/>
+ <connections/>
+</ui>

=== modified file 'src/irc/serverlistview.cpp'
--- src/irc/serverlistview.cpp	2009-04-10 16:16:59 +0000
+++ src/irc/serverlistview.cpp	2009-05-15 11:24:24 +0000
@@ -1,42 +1,36 @@
 /*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 */
 
 /*
-  ServerListView is derived from K3ListView and implements custom
-  drag'n'drop behavior needed in ServerListDialog.
+ServerListView is derived from K3ListView and implements custom
+drag'n'drop behavior needed in ServerListDialog.
 
-  Copyright (C) 2006 Eike Hein <hein@kde.org>
+Copyright (C) 2006 Eike Hein <hein@kde.org>
 */
 
 #include "serverlistview.h"
-
-#include <Q3StoredDrag>
-
+#include <qpainter.h>
 #include <kdebug.h>
 
 
 ServerListView::ServerListView(QWidget *parent)
-    : K3ListView(parent)
+: QTreeWidget(parent)
 {
 }
 
 ServerListView::~ServerListView()
 {
 }
-
-Q3PtrList<Q3ListViewItem> ServerListView::selectedServerListItems()
+QList<QTreeWidgetItem*> ServerListView::selectedServerListItems()
 {
-
-    QList<Q3ListViewItem*> selectedItems = K3ListView::selectedItems();
-    Q3PtrList<Q3ListViewItem> selectedServerListItems;
-
-    Q3ListViewItem* item;// = selectedItems.first();
-    foreach (item, selectedItems)
-    //while (item)
+    QList<QTreeWidgetItem*> selectedItems = this->selectedItems();
+    QList<QTreeWidgetItem*> selectedServerListItems;
+    
+    foreach (QTreeWidgetItem* item, selectedItems)
     {
         if (item->parent())
         {
@@ -47,70 +41,263 @@
         {
             selectedServerListItems.append(item);
         }
-
-        //item = selectedItems.next();
     }
-
     return selectedServerListItems;
 }
 
-void ServerListView::findDrop(const QPoint &pos, Q3ListViewItem *&parent, Q3ListViewItem *&after)
+void ServerListView::dragEnterEvent(QDragEnterEvent *e)
 {
-    QPoint p (contentsToViewport(pos));
-
-    // Get the position to put it in
-    Q3ListViewItem *atpos = itemAt(p);
-
-    Q3ListViewItem *above;
-    if (!atpos) // put it at the end
-        above = lastItem();
+    QModelIndex index = indexAt(e->pos());
+    if (index.isValid())
+    {
+        e->accept();
+        setState(DraggingState);
+    }
     else
     {
-        // Get the closest item before us ('atpos' or the one above, if any)
-        if (p.y() - itemRect(atpos).topLeft().y() < (atpos->height()/2))
-            above = atpos->itemAbove();
-        else
-            above = atpos;
-    }
-
-    if (above)
-    {
-        if (above->firstChild())
-        {
-            after = above;
-            parent = after->parent();
-            return;
-        }
-        else
-        {
-            after = above->parent();
-            parent = after ? after->parent() : 0L;
-            return;
-        }
-    }
-    // set as sibling
-    after = above;
-    parent = after ? after->parent() : 0L;
-}
-
-Q3DragObject* ServerListView::dragObject()
-{
-    if (!currentItem())
-        return 0;
-
-    QList<Q3ListViewItem*> selected = selectedItems();
-    Q3ListViewItem* item;// = selected.first();
-
-    foreach (item, selected)
-    //while (item)
-    {
-        if (!item->dragEnabled())
-            return 0;
-
-        //item = selected.next();
-    }
-
-    return new Q3StoredDrag("application/x-qlistviewitem", viewport());
-}
-
+        e->ignore();
+    }
+}
+
+void ServerListView::dragMoveEvent(QDragMoveEvent *e)
+{
+    
+    QTreeWidgetItem* item = this->itemAt(e->pos());
+    ServerListView* source = qobject_cast<ServerListView*>(e->source());
+    
+    QTreeWidgetItem* sItem= source->currentItem();
+    e->ignore();         //by default because
+    m_dropRect= QRect(); // we're cynics dur
+    QModelIndex index = indexAt(e->pos());
+    if (!this->droppingOnItself(e, index)) 
+    {
+        if (index.isValid())
+        {
+            QRect rect = visualItemRect(item);
+            m_dropPosition = position(e->pos(), rect);
+            int width = this->width();
+            if (indexOfTopLevelItem(sItem) >= 0 && indexOfTopLevelItem(item) >= 0) //this means it is a top level item ie server group
+            {
+                switch (m_dropPosition)
+                {
+                    case 0:
+                        m_dropRect = QRect(0, rect.top(), width, 0);
+                        e->accept();  
+                        break;
+                    case 1:
+                        if (!item->isExpanded()) //don't give the impression we're dropping parents on children <- lol
+                        {
+                            m_dropRect = QRect(0, rect.bottom(), width, 0);
+                            e->accept();
+                        }
+                        break;
+                        //we ignore case 2 because it gets sent a null qrect and that's default
+                    case 3:
+                        m_dropRect= QRect(0, rect.bottom(), width, 0);
+                        e->accept();
+                        break;
+                }      
+            }            
+        }
+        else //viewports...bleh
+        {
+            if(indexOfTopLevelItem(sItem) >= 0) // in case of children break glass
+            {
+                QTreeWidgetItem* lastTop = topLevelItem(topLevelItemCount()-1);
+                QRect rect = QRect();
+                if(!lastTop->isExpanded())
+                rect = visualItemRect(lastTop); // dishes out the last top item
+                else
+                {
+                    rect = visualItemRect(lastTop->child(lastTop->childCount()-1));
+                }
+                m_dropPosition= 3;
+                int width = this->width();
+                m_dropRect= QRect(0, rect.bottom(), width, 0);
+                e->accept();
+            }
+        }
+        
+    }
+    
+    emit aboutToMove();
+    viewport()->update();
+}
+void ServerListView::dragLeaveEvent(QDragLeaveEvent *)
+{
+    //stopAutoScroll();
+    m_dropRect = QRect();
+    setState(NoState);
+    viewport()->update();
+    //restart sorting
+    emit moved();
+}
+//implemented so we can find the position, also means we can nix OnItem -YAY'
+//For reference: AboveItem=0 BelowItem=1 (OnItem=2) OnViewport=3 
+//(Onitem) is basically completely nixed in the rest of the code, keeping it here in case somebody likes it later
+int ServerListView::position(const QPoint &pos, const QRect &rect)
+{
+    int r = 3;
+    
+    const int margin = 2;
+    if (pos.y() - rect.top() < margin) {
+        r = 0;
+    } else if (rect.bottom() - pos.y() < margin) {
+        r = 1;
+    } else if (rect.contains(pos, true)) {
+        r = 2;
+    }
+    
+    //for some reason i think this gets rid of onitem on it's own which makes me mad
+    if (r == 2) 
+        r = pos.y() < rect.center().y() ? 0 : 1;
+    
+    return r; 
+}
+//I dont want to talk about it
+void ServerListView::paintDropIndicator(QPainter *painter)
+{
+    if(m_dropRect.isNull())
+        return;
+    QStyleOption opt;
+    opt.init(this);
+    opt.rect = m_dropRect;
+    this->style()->drawPrimitive(QStyle::PE_IndicatorItemViewItemDrop, &opt, painter, this);
+}
+
+void ServerListView::paintEvent(QPaintEvent *event)
+{
+    #ifndef QT_NO_CURSOR
+    if (viewport()->cursor().shape() != Qt::ForbiddenCursor) {
+    #endif
+        QPainter painter(viewport());
+        drawTree(&painter, event->region());
+        this->paintDropIndicator(&painter);
+    #ifndef QT_NO_CURSOR
+    }
+    #endif
+}
+
+void ServerListView::dropEvent(QDropEvent *event) 
+{
+    if (event->source() == this && (event->dropAction() == Qt::MoveAction ||
+        dragDropMode() == QAbstractItemView::InternalMove)) 
+    {
+        QModelIndex topIndex;
+        int col = -1;
+        int row = -1;
+        if (this->dropOn(event, &row, &col, &topIndex)) 
+        {
+            QList<QModelIndex> idxs = selectedIndexes();
+            QList<QPersistentModelIndex> indexes;
+            for (int i = idxs.count()-1; i >= 0; --i) 
+                indexes.append(idxs.at(i));
+            
+            if (indexes.contains(topIndex))
+                return;
+            
+            // When removing items the drop location could shift
+            QPersistentModelIndex dropRow = model()->index(row, col, topIndex);
+            
+            // Remove the items
+            QList<QTreeWidgetItem *> taken;
+            for (int i = indexes.count() - 1; i >= 0; --i) //lol at unescessary complexity causing bugs
+            {
+                QTreeWidgetItem *parent = itemFromIndex(indexes.at(i));
+                if (!parent || !parent->parent()) 
+                {
+                    taken.append(takeTopLevelItem(indexes.at(i).row()));
+                }
+            }
+            
+            // insert them back in at their new positions
+            for (int i = 0; i < indexes.count(); ++i) 
+            {
+                // Either at a specific point or appended
+                if (row == -1) 
+                {
+                    insertTopLevelItem(topLevelItemCount(), taken.takeFirst());
+                    if (i==0) setCurrentItem(topLevelItem(topLevelItemCount()-1));
+                    else topLevelItem(topLevelItemCount()-1)->setSelected(true);
+                } 
+                else 
+                {
+                    int r = dropRow.row() >= 0 ? dropRow.row() : row;
+                    insertTopLevelItem(qMin(r, topLevelItemCount()), taken.takeFirst());
+                    if (i==0) setCurrentItem(topLevelItem(qMin(r, topLevelItemCount()-1)));
+                    else topLevelItem(qMin(r, topLevelItemCount()-1))->setSelected(true);
+                }
+            }
+            
+            event->accept();
+            // Don't want QAbstractItemView to delete it because it was "moved" we already did it
+            event->setDropAction(Qt::CopyAction);
+        }
+    }
+    QTreeView::dropEvent(event);
+    m_dropRect = QRect();
+    emit moved();
+}
+bool ServerListView::dropOn(QDropEvent *event, int *dropRow, int *dropCol, QModelIndex *dropIndex)
+{
+    if (event->isAccepted())
+        return false;
+    
+    QModelIndex index;
+    // rootIndex() (i.e. the viewport) might be a valid index
+    if (viewport()->rect().contains(event->pos())) {
+        index = this->indexAt(event->pos());
+        if (!index.isValid() || !this->visualRect(index).contains(event->pos()))
+            index = rootIndex();
+    }
+    
+    // If we are allowed to do the drop
+    if (this->supportedDropActions() & event->dropAction()) {
+        int row = -1;
+        int col = -1;
+        if (index != rootIndex()) 
+        {
+            m_dropPosition = position(event->pos(), this->visualRect(index));
+            switch (m_dropPosition)
+            {
+                case 0:
+                    row = index.row();
+                    col = index.column();
+                    index = index.parent();
+                    break;
+                case 1:
+                    row = index.row() + 1;
+                    col = index.column();
+                    index = index.parent();
+                    break;
+            }
+        } 
+        else 
+        {
+            m_dropPosition = 3;
+        }
+        *dropIndex = index;
+        *dropRow = row;
+        *dropCol = col;
+        if (!droppingOnItself(event, index))
+            return true;
+    }
+    return false;
+}
+bool ServerListView::droppingOnItself(QDropEvent *event, const QModelIndex &index)
+{
+    Qt::DropAction dropAction = event->dropAction();
+    dropAction = Qt::MoveAction;
+    if (event->source() == this) {
+        QModelIndexList selectedIndexes = this->selectedIndexes();
+        QModelIndex child = index;
+        while (child.isValid() && child != rootIndex()) 
+        {
+            if (selectedIndexes.contains(child))
+                return true;
+            child = child.parent();
+        }
+    }
+    return false;
+}
 #include "serverlistview.moc"

=== modified file 'src/irc/serverlistview.h'
--- src/irc/serverlistview.h	2009-04-10 16:16:59 +0000
+++ src/irc/serverlistview.h	2009-05-15 11:24:24 +0000
@@ -1,38 +1,52 @@
 /*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
 */
 
 /*
-  ServerListView is derived from K3ListView and implements custom
-  drag'n'drop behavior needed in ServerListDialog.
+ServerListView is derived from K3ListView and implements custom
+drag'n'drop behavior needed in ServerListDialog.
 
-  Copyright (C) 2006 Eike Hein <hein@kde.org>
+Copyright (C) 2006 Eike Hein <hein@kde.org>
 */
 
 #ifndef SERVERLISTVIEW_H
 #define SERVERLISTVIEW_H
 
-#include <k3listview.h>
-
-
-class Q3DragObject;
-
-class ServerListView : public K3ListView
+#include <QTreeWidget>
+
+#include <QDropEvent>
+
+class ServerListView : public QTreeWidget
 {
     Q_OBJECT
-
+    
     public:
         explicit ServerListView(QWidget *parent);
         ~ServerListView();
-
-        Q3PtrList<Q3ListViewItem> selectedServerListItems();
-
-    protected:
-        void findDrop(const QPoint &pos, Q3ListViewItem *&parent, Q3ListViewItem *&after);
-        Q3DragObject* dragObject();
+        
+        QList<QTreeWidgetItem*> selectedServerListItems();
+        
+    signals:
+        void moved();
+        void aboutToMove();
+        
+    private:
+        int m_dropPosition;
+        QRect m_dropRect;
+        
+    protected:        
+        void dragEnterEvent(QDragEnterEvent *e);
+        void dragMoveEvent(QDragMoveEvent *e);
+        void dragLeaveEvent(QDragLeaveEvent *);
+        int position(const QPoint &pos, const QRect &rect);
+        void paintDropIndicator(QPainter *painter);
+        void paintEvent(QPaintEvent *event);
+        void dropEvent(QDropEvent *event);
+        bool dropOn(QDropEvent *event, int *dropRow, int *dropCol, QModelIndex *dropIndex);
+        bool droppingOnItself(QDropEvent *event, const QModelIndex &index);
 };
 
 #endif

=== modified file 'src/linkaddressbook/addresseeitem.h'
--- src/linkaddressbook/addresseeitem.h	2009-04-10 16:16:59 +0000
+++ src/linkaddressbook/addresseeitem.h	2009-05-15 11:24:24 +0000
@@ -17,8 +17,8 @@
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
-#ifndef KABC_ADDRESSEEDIALOG_H
-#define KABC_ADDRESSEEDIALOG_H
+#ifndef ADDRESSEEITEM_H
+#define ADDRESSEEITEM_H
 
 #include <q3dict.h>
 
@@ -62,4 +62,5 @@
     private:
         KABC::Addressee mAddressee;
 };
-#endif
+
+#endif /* ADDRESSEEITEM_H */

=== modified file 'src/main.cpp'
--- src/main.cpp	2009-04-10 16:16:59 +0000
+++ src/main.cpp	2009-05-15 11:24:24 +0000
@@ -78,6 +78,7 @@
     aboutData.addCredit(ki18n("Emil Obermayr"),ki18n("Sysinfo script"),"nobs@tigress.com");
     aboutData.addCredit(ki18n("Stanislav Nikolov"),ki18n("Bug fixes"),"valsinats@gmail.com");
     aboutData.addCredit(ki18n("Juan Carlos Torres"),ki18n("Auto-join context menu"),"carlosdgtorres@gmail.com");
+    aboutData.addCredit(ki18n("Travis McHenry"),ki18n("Newlines remove button in multi-line paste editor, auto-replace fixes"),"tmchenryaz@cox.net");
 
     KCmdLineArgs::init(argc, argv, &aboutData);
     KCmdLineOptions options;

=== modified file 'src/mainwindow.cpp'
--- src/mainwindow.cpp	2009-04-10 16:16:59 +0000
+++ src/mainwindow.cpp	2009-05-15 11:24:24 +0000
@@ -420,7 +420,7 @@
     awayAction->setShortcut(KShortcut("Ctrl+Shift+A"));
     awayAction->setEnabled(false);
     awayAction->setIcon(KIcon("im-user-away"));
-    connect(awayAction, SIGNAL(toggled(bool)), KonversationApplication::instance()->getAwayManager(), SLOT(toggleGlobalAway(bool)));
+    connect(awayAction, SIGNAL(triggered(bool)), KonversationApplication::instance()->getAwayManager(), SLOT(toggleGlobalAway(bool)));
     actionCollection()->addAction("toggle_away", awayAction);
 
     action=new KAction(this);
@@ -747,7 +747,7 @@
 {
     if (!m_serverListDialog)
     {
-        m_serverListDialog = new Konversation::ServerListDialog(this);
+        m_serverListDialog = new Konversation::ServerListDialog(i18n("Server List"), this);
         KonversationApplication* konvApp = static_cast<KonversationApplication*>(kapp);
 
         connect(m_serverListDialog, SIGNAL(serverGroupsChanged(const Konversation::ServerGroupSettingsPtr)),

=== modified file 'src/mainwindow.h'
--- src/mainwindow.h	2009-04-10 16:16:59 +0000
+++ src/mainwindow.h	2009-05-15 11:24:24 +0000
@@ -13,8 +13,8 @@
   Copyright (C) 2005-2008 Eike Hein <hein@kde.org>
 */
 
-#ifndef _KONVERSATIONMAINWINDOW_H_
-#define _KONVERSATIONMAINWINDOW_H_
+#ifndef KONVERSATIONMAINWINDOW_H
+#define KONVERSATIONMAINWINDOW_H
 
 #include "channel.h"
 #include "preferences.h"
@@ -137,4 +137,4 @@
         bool m_closeApp;
 };
 
-#endif
+#endif /* KONVERSATIONMAINWINDOW_H */

=== modified file 'src/notificationhandler.cpp'
--- src/notificationhandler.cpp	2009-04-10 16:16:59 +0000
+++ src/notificationhandler.cpp	2009-05-15 11:24:24 +0000
@@ -200,6 +200,28 @@
         KNotification::event(QString::fromLatin1("dcc_incoming"), i18n("%1 wants to send a file to you",fromNick), QPixmap(), m_mainWindow);
     }
 
+    void NotificationHandler::dccError(ChatWindow* chatWin, const QString& error)
+    {
+        if (!chatWin || !chatWin->notificationsEnabled())
+            return;
+
+        if (Preferences::self()->disableNotifyWhileAway() && chatWin->getServer() && chatWin->getServer()->isAway())
+            return;
+
+        KNotification::event(QString::fromLatin1("dcc_error"), i18n("An Error has occurred in a DCC transfer: %1",error), QPixmap(), m_mainWindow);
+    }
+
+    void NotificationHandler::dccTransferDone(ChatWindow* chatWin, const QString& file)
+    {
+        if (!chatWin || !chatWin->notificationsEnabled())
+            return;
+
+        if (Preferences::self()->disableNotifyWhileAway() && chatWin->getServer() && chatWin->getServer()->isAway())
+            return;
+
+        KNotification::event(QString::fromLatin1("dcctransfer_done"), i18n("%1 File Transfer is complete",file), QPixmap(), m_mainWindow);
+    }
+
     void NotificationHandler::mode(ChatWindow* chatWin, const QString& /*nick*/)
     {
         if (!chatWin || !chatWin->notificationsEnabled())
@@ -292,6 +314,15 @@
             return;
 
         startTrayNotification(chatWin);
+        
+        QString cleanedMessage = Qt::escape(Konversation::removeIrcMarkup(message));
+        QString cutup = addLineBreaks(cleanedMessage);
+        
+        if(fromNick.isEmpty())
+            KNotification::event(QString::fromLatin1("highlight"), QString("<qt>(%1) *** %2</qt>").arg(chatWin->getName()).arg(cutup), QPixmap(), m_mainWindow);
+        else
+            KNotification::event(QString::fromLatin1("highlight"), QString("<qt>(%1) &lt;%2&gt; %3</qt>").arg(chatWin->getName()).arg(fromNick).arg(cutup), QPixmap(), m_mainWindow);
+        
         if(Preferences::self()->oSDShowOwnNick() &&
             (!m_mainWindow->isActiveWindow() || (chatWin != m_mainWindow->getViewContainer()->getFrontView())))
         {

=== modified file 'src/notificationhandler.h'
--- src/notificationhandler.h	2009-04-10 16:16:59 +0000
+++ src/notificationhandler.h	2009-05-15 11:24:24 +0000
@@ -38,6 +38,8 @@
             void quit(ChatWindow* chatWin, const QString& nick);
             void nickChange(ChatWindow* chatWin, const QString& oldNick, const QString& newNick);
             void dccIncoming(ChatWindow* chatWin, const QString& fromNick);
+            void dccError(ChatWindow* chatWin, const QString& error);
+            void dccTransferDone(ChatWindow* chatWin, const QString& file);
             void mode(ChatWindow* chatWin, const QString& nick);
             void query(ChatWindow* chatWin, const QString& fromNick);
             void queryMessage(ChatWindow* chatWin, const QString& fromNick, const QString& message);

=== modified file 'src/preferences/autoreplace_preferences.cpp'
--- src/preferences/autoreplace_preferences.cpp	2009-04-10 16:16:59 +0000
+++ src/preferences/autoreplace_preferences.cpp	2009-05-15 11:24:24 +0000
@@ -90,31 +90,40 @@
 }
 
 // fill listview with autoreplace definitions
-void Autoreplace_Config::setAutoreplaceListView(const QStringList &autoreplaceList)
+void Autoreplace_Config::setAutoreplaceListView(const QList<QStringList> &autoreplaceList)
 {
   // clear listView
   patternListView->clear();
   // go through the list
-  for(unsigned int index=autoreplaceList.count();index!=0;index--)
+  for (int index=0;index<autoreplaceList.count();index++)
   {
     // get autoreplace definition
-    QString definition=autoreplaceList[index-1];
+    QStringList definition=autoreplaceList[index];
     // cut definition apart in name and action, and create a new listview item
     QTreeWidgetItem* newItem=new QTreeWidgetItem(patternListView);
     newItem->setFlags(newItem->flags() &~ Qt::ItemIsDropEnabled);
-    newItem->setCheckState(0, Qt::Checked);
+    newItem->setCheckState(0, Qt::Unchecked);
     // Regular expression?
-    if(definition.section(',',0,0)=="1") newItem->setCheckState(0, Qt::Checked);
+    if (definition.at(0)=="1") newItem->setCheckState(0, Qt::Checked);
     // direction input/output/both
-    if(definition.section(',',1,1)=="i") newItem->setText(1,directionCombo->itemText(DIRECTION_INPUT));
-    else if(definition.section(',',1,1)=="o") newItem->setText(1,directionCombo->itemText(DIRECTION_OUTPUT));
-    else if(definition.section(',',1,1)=="io") newItem->setText(1,directionCombo->itemText(DIRECTION_BOTH));
+    if (definition.at(1)=="i") 
+    {
+        newItem->setText(1,directionCombo->itemText(DIRECTION_INPUT));
+    }
+    else if (definition.at(1)=="o")
+    {
+        newItem->setText(1,directionCombo->itemText(DIRECTION_OUTPUT));
+    }
+    else if (definition.at(1)=="io")
+    {
+        newItem->setText(1,directionCombo->itemText(DIRECTION_BOTH));
+    }
     // pattern
-    newItem->setText(2,definition.section(',',2,2));
+    newItem->setText(2,definition.at(2));
     // replacement
-    newItem->setText(3,definition.section(',',3));
+    newItem->setText(3,definition.at(3));
     // hidden column, so we are independent of the i18n()ed display string
-    newItem->setText(4,definition.section(',',1,1));
+    newItem->setText(4,definition.at(1));
   } // for
   patternListView->setCurrentItem(patternListView->topLevelItem(0));
 }
@@ -132,16 +141,26 @@
   KConfigGroup grp = config->group("Autoreplace List");
 
   // create empty list
-  QStringList newList=currentAutoreplaceList();
+  QList<QStringList> newList=currentAutoreplaceList();
 
   // check if there are any patterns in the list view
   if(newList.count())
   {
     // go through all patterns and save them into the configuration
+    QString regexString("Regex");
+    QString directString("Direction");
+    QString patternString("Pattern");
+    QString replaceString("Replace");
     for(int index=0;index<newList.count();index++)
     {
-      // write the current entry's pattern and replacement (adds a "#" to preserve blanks at the end of the line)
-     grp.writeEntry(QString("Autoreplace%1").arg(index),newList[index]+'#');
+        // write the current entry's pattern and replacement (adds a "#" to preserve blanks at the end of the line)
+        QString indexString(QString::number(index));
+        QStringList definition = newList[index];
+        grp.writeEntry(regexString + indexString,definition.at(0)); //regex status
+        grp.writeEntry(directString + indexString,definition.at(1)); //direction
+        grp.writeEntry(patternString + indexString,definition.at(2)+'#'); //pattern
+        grp.writeEntry(replaceString + indexString,definition.at(3)+'#'); //replace
+        
     } // for
   }
   // if there were no entries at all, write a dummy entry to prevent KConfigXT from "optimizing"
@@ -161,21 +180,21 @@
   setAutoreplaceListView(Preferences::defaultAutoreplaceList());
 }
 
-QStringList Autoreplace_Config::currentAutoreplaceList()
+QList<QStringList> Autoreplace_Config::currentAutoreplaceList()
 {
   // get first item of the autoreplace listview
   QTreeWidgetItem* item=patternListView->topLevelItem(0);
   // create empty list
-  QStringList newList;
+  QList<QStringList> newList;
 
   // go through all items and save them into the configuration
   while(item)
   {
-    QString checked="0";
-    if(static_cast<QTreeWidgetItem*>(item)->checkState(0) == Qt::Checked) checked="1";
+    QString regex="0";
+    if (static_cast<QTreeWidgetItem*>(item)->checkState(0) == Qt::Checked) regex="1";
 
     // remember entry in internal list (col 4 is hidden for input/output)
-    newList.append(checked+','+item->text(4)+','+item->text(2)+','+item->text(3));
+    newList.append(QStringList() << regex << item->text(4) << item->text(2) << item->text(3));
     // get next item in the listview
     item=patternListView->itemBelow(item);
   } // while
@@ -272,7 +291,14 @@
   if(item)
   {
     // rename pattern
-    item->setText(2,newPattern);
+    if (newPattern.length()>0)
+    {
+        item->setText(2,newPattern);
+    }
+    else
+    {
+        item->setText(2,QString("New"));
+    }
     // tell the config system that something has changed
     if(!m_newItemSelected) emit modified();
   }

=== modified file 'src/preferences/autoreplace_preferences.h'
--- src/preferences/autoreplace_preferences.h	2009-04-10 16:16:59 +0000
+++ src/preferences/autoreplace_preferences.h	2009-05-15 11:24:24 +0000
@@ -44,12 +44,12 @@
     void showRegExpEditor();
 
   protected:
-    void setAutoreplaceListView(const QStringList &autoreplaceList);
+    void setAutoreplaceListView(const QList<QStringList> &autoreplaceList);
 
     bool m_newItemSelected;
 
-    QStringList m_oldAutoreplaceList;
-    QStringList currentAutoreplaceList();
+    QList<QStringList> m_oldAutoreplaceList;
+    QList<QStringList> currentAutoreplaceList();
 };
 
 #endif

=== modified file 'src/preferences/log_preferences.ui'
--- src/preferences/log_preferences.ui	2009-04-10 16:16:59 +0000
+++ src/preferences/log_preferences.ui	2009-05-15 11:24:24 +0000
@@ -63,6 +63,13 @@
         </property>
        </widget>
       </item>
+      <item row ="4" column="0">
+       <widget class="QCheckBox" name="kcfg_UseExternalLogViewer" >
+        <property name="text">
+         <string>Use system text editor to open logs</string>
+        </property>
+       </widget>
+      </item>
      </layout>
     </widget>
    </item>
@@ -97,6 +104,7 @@
   <tabstop>kcfg_LowerLog</tabstop>
   <tabstop>kcfg_AddHostnameToLog</tabstop>
   <tabstop>kcfg_LogfilePath</tabstop>
+  <tabstop>kcfg_UseExternalLogViewer</tabstop>
  </tabstops>
  <includes>
   <include location="local" >kurlrequester.h</include>

=== modified file 'src/preferences/warnings_preferences.cpp'
--- src/preferences/warnings_preferences.cpp	2009-04-10 16:16:59 +0000
+++ src/preferences/warnings_preferences.cpp	2009-05-15 11:24:24 +0000
@@ -131,7 +131,7 @@
     item = new QTreeWidgetItem(dialogListView);
     item->setText(0, dialogDefinitions[i]);
     item->setFlags(item->flags() | Qt::ItemIsUserCheckable);
-    flagName = flagNames.section(",",i,i);
+    flagName = flagNames.section(',',i,i);
     item->setData(0, WarningNameRole, flagName);
 
     if (flagName == "LargePaste" || flagName == "Invitation")

=== modified file 'src/preferences/watchednicknames_preferences.h'
--- src/preferences/watchednicknames_preferences.h	2009-04-10 16:16:59 +0000
+++ src/preferences/watchednicknames_preferences.h	2009-05-15 11:24:24 +0000
@@ -55,4 +55,4 @@
         QStringList m_oldNotifyList;
 };
 
-#endif
+#endif /* WATCHEDNICKNAMES_CONFIG_H */

=== modified file 'src/queuetuner.cpp'
--- src/queuetuner.cpp	2009-04-10 16:16:59 +0000
+++ src/queuetuner.cpp	2009-05-15 11:24:24 +0000
@@ -29,6 +29,7 @@
 #include <kmenu.h>
 #include <kmessagebox.h>
 #include <klocale.h>
+#include <kcombobox.h>
 
 
 QueueTuner::QueueTuner(QWidget* parent, ViewContainer *container)
@@ -62,7 +63,7 @@
 }
 
 //lps, lpm, bps, kbps
-static void rateToWidget(IRCQueue::EmptyingRate& rate, QSpinBox *r, QComboBox* t, QSpinBox *i)
+static void rateToWidget(IRCQueue::EmptyingRate& rate, QSpinBox *r, KComboBox* t, QSpinBox *i)
 {
     r->setValue(rate.m_rate);
     t->setCurrentIndex(rate.m_type);

=== modified file 'src/queuetunerbase.ui'
--- src/queuetunerbase.ui	2009-04-10 16:16:59 +0000
+++ src/queuetunerbase.ui	2009-05-15 11:24:24 +0000
@@ -1,44 +1,45 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>QueueTunerBase</class>
- <widget class="QWidget" name="QueueTunerBase" >
-  <property name="geometry" >
+ <widget class="QWidget" name="QueueTunerBase">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>745</width>
-    <height>105</height>
+    <width>750</width>
+    <height>112</height>
    </rect>
   </property>
-  <property name="sizePolicy" >
-   <sizepolicy vsizetype="Fixed" hsizetype="Preferred" >
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
    </sizepolicy>
   </property>
-  <layout class="QHBoxLayout" >
-   <property name="spacing" >
+  <layout class="QHBoxLayout">
+   <property name="spacing">
     <number>1</number>
    </property>
-   <property name="margin" >
+   <property name="margin">
     <number>0</number>
    </property>
    <item>
-    <layout class="QVBoxLayout" >
-     <property name="spacing" >
+    <layout class="QVBoxLayout">
+     <property name="spacing">
       <number>0</number>
      </property>
-     <property name="margin" >
+     <property name="margin">
       <number>1</number>
      </property>
      <item>
-      <spacer name="spacer34" >
-       <property name="orientation" >
+      <spacer name="spacer34">
+       <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>16</width>
          <height>34</height>
@@ -47,33 +48,33 @@
       </spacer>
      </item>
      <item>
-      <widget class="QToolButton" name="m_closeButton" >
-       <property name="sizePolicy" >
-        <sizepolicy vsizetype="Fixed" hsizetype="Fixed" >
+      <widget class="QToolButton" name="m_closeButton">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="toolTip" >
+       <property name="toolTip">
         <string>Close</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string/>
        </property>
-       <property name="autoRaise" >
+       <property name="autoRaise">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
-      <spacer name="spacer35" >
-       <property name="orientation" >
+      <spacer name="spacer35">
+       <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>16</width>
          <height>33</height>
@@ -84,167 +85,167 @@
     </layout>
    </item>
    <item>
-    <widget class="QGroupBox" name="m_slowBox" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="MinimumExpanding" hsizetype="Preferred" >
+    <widget class="QGroupBox" name="m_slowBox">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Preferred" vsizetype="MinimumExpanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="title" >
+     <property name="title">
       <string>Slow Queue</string>
      </property>
-     <property name="lineWidth" stdset="0" >
+     <property name="lineWidth" stdset="0">
       <number>1</number>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="margin">
        <number>5</number>
       </property>
-      <item row="1" column="0" colspan="2" >
-       <layout class="QHBoxLayout" >
-        <property name="spacing" >
+      <item row="1" column="0" colspan="2">
+       <layout class="QHBoxLayout">
+        <property name="spacing">
          <number>0</number>
         </property>
-        <property name="margin" >
+        <property name="margin">
          <number>0</number>
         </property>
         <item>
-         <widget class="QSpinBox" name="m_slowRate" >
-          <property name="enabled" >
+         <widget class="QSpinBox" name="m_slowRate">
+          <property name="enabled">
            <bool>true</bool>
           </property>
-          <property name="maximum" >
+          <property name="maximum">
            <number>999</number>
           </property>
          </widget>
         </item>
         <item>
-         <widget class="QComboBox" name="m_slowType" >
-          <property name="enabled" >
+         <widget class="KComboBox" name="m_slowType">
+          <property name="enabled">
            <bool>false</bool>
           </property>
           <item>
-           <property name="text" >
+           <property name="text">
             <string>Lines</string>
            </property>
           </item>
           <item>
-           <property name="text" >
+           <property name="text">
             <string>Bytes</string>
            </property>
           </item>
          </widget>
         </item>
         <item>
-         <widget class="QSpinBox" name="m_slowInterval" >
-          <property name="maximum" >
+         <widget class="QSpinBox" name="m_slowInterval">
+          <property name="maximum">
            <number>999</number>
           </property>
          </widget>
         </item>
        </layout>
       </item>
-      <item row="0" column="0" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
-         <number>0</number>
-        </property>
-        <property name="spacing" >
-         <number>0</number>
-        </property>
-        <item rowspan="2" row="1" column="1" >
-         <widget class="QLabel" name="m_slowAge" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="scaledContents" >
-           <bool>false</bool>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_slowCount" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="scaledContents" >
-           <bool>false</bool>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="0" >
-         <widget class="QLabel" name="m_textLabel3_2" >
-          <property name="text" >
+      <item row="0" column="0">
+       <layout class="QGridLayout">
+        <property name="margin">
+         <number>0</number>
+        </property>
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item row="1" column="1" rowspan="2">
+         <widget class="QLabel" name="m_slowAge">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="scaledContents">
+           <bool>false</bool>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_slowCount">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="scaledContents">
+           <bool>false</bool>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="0">
+         <widget class="QLabel" name="m_textLabel3_2">
+          <property name="text">
            <string>Age:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
-        <item rowspan="2" row="0" column="0" >
-         <widget class="QLabel" name="m_textLabel3" >
-          <property name="text" >
+        <item row="0" column="0" rowspan="2">
+         <widget class="QLabel" name="m_textLabel3">
+          <property name="text">
            <string>Count:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
        </layout>
       </item>
-      <item row="0" column="1" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
-         <number>0</number>
-        </property>
-        <property name="spacing" >
-         <number>0</number>
-        </property>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="textLabel4_2_2" >
-          <property name="text" >
+      <item row="0" column="1">
+       <layout class="QGridLayout">
+        <property name="margin">
+         <number>0</number>
+        </property>
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item row="0" column="0">
+         <widget class="QLabel" name="textLabel4_2_2">
+          <property name="text">
            <string>Lines:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="textLabel5_2_2" >
-          <property name="text" >
+        <item row="1" column="0">
+         <widget class="QLabel" name="textLabel5_2_2">
+          <property name="text">
            <string>Bytes:</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_slowLines" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLabel" name="m_slowBytes" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_slowLines">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="m_slowBytes">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
@@ -255,167 +256,167 @@
     </widget>
    </item>
    <item>
-    <widget class="QGroupBox" name="m_normalBox" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="MinimumExpanding" hsizetype="Preferred" >
+    <widget class="QGroupBox" name="m_normalBox">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Preferred" vsizetype="MinimumExpanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="title" >
+     <property name="title">
       <string>Normal Queue</string>
      </property>
-     <property name="lineWidth" stdset="0" >
+     <property name="lineWidth" stdset="0">
       <number>1</number>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="margin">
        <number>5</number>
       </property>
-      <item row="1" column="0" colspan="2" >
-       <layout class="QHBoxLayout" >
-        <property name="spacing" >
+      <item row="1" column="0" colspan="2">
+       <layout class="QHBoxLayout">
+        <property name="spacing">
          <number>0</number>
         </property>
-        <property name="margin" >
+        <property name="margin">
          <number>0</number>
         </property>
         <item>
-         <widget class="QSpinBox" name="m_normalRate" >
-          <property name="enabled" >
+         <widget class="QSpinBox" name="m_normalRate">
+          <property name="enabled">
            <bool>true</bool>
           </property>
-          <property name="maximum" >
+          <property name="maximum">
            <number>999</number>
           </property>
          </widget>
         </item>
         <item>
-         <widget class="QComboBox" name="m_normalType" >
-          <property name="enabled" >
+         <widget class="KComboBox" name="m_normalType">
+          <property name="enabled">
            <bool>false</bool>
           </property>
           <item>
-           <property name="text" >
+           <property name="text">
             <string>Lines</string>
            </property>
           </item>
           <item>
-           <property name="text" >
+           <property name="text">
             <string>Bytes</string>
            </property>
           </item>
          </widget>
         </item>
         <item>
-         <widget class="QSpinBox" name="m_normalInterval" >
-          <property name="maximum" >
+         <widget class="QSpinBox" name="m_normalInterval">
+          <property name="maximum">
            <number>999</number>
           </property>
          </widget>
         </item>
        </layout>
       </item>
-      <item row="0" column="1" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
-         <number>0</number>
-        </property>
-        <property name="spacing" >
-         <number>0</number>
-        </property>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="textLabel4_2" >
-          <property name="text" >
+      <item row="0" column="1">
+       <layout class="QGridLayout">
+        <property name="margin">
+         <number>0</number>
+        </property>
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item row="0" column="0">
+         <widget class="QLabel" name="textLabel4_2">
+          <property name="text">
            <string>Lines:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="textLabel5_2" >
-          <property name="text" >
+        <item row="1" column="0">
+         <widget class="QLabel" name="textLabel5_2">
+          <property name="text">
            <string>Bytes:</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_normalLines" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLabel" name="m_normalBytes" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_normalLines">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="m_normalBytes">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
        </layout>
       </item>
-      <item row="0" column="0" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
-         <number>0</number>
-        </property>
-        <property name="spacing" >
-         <number>0</number>
-        </property>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="m_textLabel3_4" >
-          <property name="text" >
+      <item row="0" column="0">
+       <layout class="QGridLayout">
+        <property name="margin">
+         <number>0</number>
+        </property>
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item row="0" column="0">
+         <widget class="QLabel" name="m_textLabel3_4">
+          <property name="text">
            <string>Count:</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLabel" name="m_normalAge" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="scaledContents" >
-           <bool>false</bool>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_normalCount" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="scaledContents" >
-           <bool>false</bool>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="m_textLabel3_2_3" >
-          <property name="text" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="m_normalAge">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="scaledContents">
+           <bool>false</bool>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_normalCount">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="scaledContents">
+           <bool>false</bool>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="m_textLabel3_2_3">
+          <property name="text">
            <string>Age:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
@@ -426,170 +427,170 @@
     </widget>
    </item>
    <item>
-    <widget class="QGroupBox" name="m_fastBox" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="MinimumExpanding" hsizetype="Preferred" >
+    <widget class="QGroupBox" name="m_fastBox">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Preferred" vsizetype="MinimumExpanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="title" >
+     <property name="title">
       <string>Fast Queue</string>
      </property>
-     <property name="lineWidth" stdset="0" >
+     <property name="lineWidth" stdset="0">
       <number>1</number>
      </property>
-     <layout class="QGridLayout" >
-      <property name="margin" >
+     <layout class="QGridLayout">
+      <property name="margin">
        <number>5</number>
       </property>
-      <item row="1" column="0" colspan="2" >
-       <layout class="QHBoxLayout" >
-        <property name="spacing" >
+      <item row="1" column="0" colspan="2">
+       <layout class="QHBoxLayout">
+        <property name="spacing">
          <number>0</number>
         </property>
-        <property name="margin" >
+        <property name="margin">
          <number>0</number>
         </property>
         <item>
-         <widget class="QSpinBox" name="m_fastRate" >
-          <property name="maximum" >
+         <widget class="QSpinBox" name="m_fastRate">
+          <property name="maximum">
            <number>999</number>
           </property>
          </widget>
         </item>
         <item>
-         <widget class="QComboBox" name="m_fastType" >
-          <property name="enabled" >
+         <widget class="KComboBox" name="m_fastType">
+          <property name="enabled">
            <bool>false</bool>
           </property>
           <item>
-           <property name="text" >
+           <property name="text">
             <string>Lines</string>
            </property>
           </item>
           <item>
-           <property name="text" >
+           <property name="text">
             <string>Bytes</string>
            </property>
           </item>
          </widget>
         </item>
         <item>
-         <widget class="QSpinBox" name="m_fastInterval" >
-          <property name="enabled" >
+         <widget class="QSpinBox" name="m_fastInterval">
+          <property name="enabled">
            <bool>true</bool>
           </property>
-          <property name="maximum" >
+          <property name="maximum">
            <number>999</number>
           </property>
-          <property name="singleStep" >
+          <property name="singleStep">
            <number>1</number>
           </property>
          </widget>
         </item>
        </layout>
       </item>
-      <item row="0" column="0" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
-         <number>0</number>
-        </property>
-        <property name="spacing" >
-         <number>0</number>
-        </property>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="m_textLabel3_2_3_2" >
-          <property name="text" >
+      <item row="0" column="0">
+       <layout class="QGridLayout">
+        <property name="margin">
+         <number>0</number>
+        </property>
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item row="1" column="0">
+         <widget class="QLabel" name="m_textLabel3_2_3_2">
+          <property name="text">
            <string>Age:</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLabel" name="m_fastAge" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="scaledContents" >
-           <bool>false</bool>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_fastCount" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="scaledContents" >
-           <bool>false</bool>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="m_textLabel3_4_2" >
-          <property name="text" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="m_fastAge">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="scaledContents">
+           <bool>false</bool>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_fastCount">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="scaledContents">
+           <bool>false</bool>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="0">
+         <widget class="QLabel" name="m_textLabel3_4_2">
+          <property name="text">
            <string>Count:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
        </layout>
       </item>
-      <item row="0" column="1" >
-       <layout class="QGridLayout" >
-        <property name="margin" >
-         <number>0</number>
-        </property>
-        <property name="spacing" >
-         <number>0</number>
-        </property>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="textLabel4" >
-          <property name="text" >
+      <item row="0" column="1">
+       <layout class="QGridLayout">
+        <property name="margin">
+         <number>0</number>
+        </property>
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item row="0" column="0">
+         <widget class="QLabel" name="textLabel4">
+          <property name="text">
            <string>Lines:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="textLabel5" >
-          <property name="text" >
+        <item row="1" column="0">
+         <widget class="QLabel" name="textLabel5">
+          <property name="text">
            <string>Bytes:</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_fastLines" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLabel" name="m_fastBytes" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_fastLines">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="m_fastBytes">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
@@ -600,107 +601,107 @@
     </widget>
    </item>
    <item>
-    <widget class="QGroupBox" name="m_globalBox" >
-     <property name="sizePolicy" >
-      <sizepolicy vsizetype="MinimumExpanding" hsizetype="Preferred" >
+    <widget class="QGroupBox" name="m_globalBox">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Preferred" vsizetype="MinimumExpanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
-     <property name="title" >
+     <property name="title">
       <string>All Queues</string>
      </property>
-     <property name="lineWidth" stdset="0" >
+     <property name="lineWidth" stdset="0">
       <number>1</number>
      </property>
-     <layout class="QVBoxLayout" >
-      <property name="margin" >
+     <layout class="QVBoxLayout">
+      <property name="margin">
        <number>5</number>
       </property>
       <item>
-       <layout class="QGridLayout" >
-        <property name="margin" >
+       <layout class="QGridLayout">
+        <property name="margin">
          <number>0</number>
         </property>
-        <property name="spacing" >
+        <property name="spacing">
          <number>2</number>
         </property>
-        <item row="3" column="0" >
-         <widget class="QLabel" name="textLabel13" >
-          <property name="text" >
+        <item row="3" column="0">
+         <widget class="QLabel" name="textLabel13">
+          <property name="text">
            <string>Received:</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="1" >
-         <widget class="QLabel" name="m_recvBytes" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1" >
-         <widget class="QLabel" name="m_globalLines" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="textLabel9" >
-          <property name="text" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="1">
+         <widget class="QLabel" name="m_recvBytes">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLabel" name="m_globalLines">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="textLabel9">
+          <property name="text">
            <string>Bytes (Raw):</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
         </item>
-        <item row="2" column="0" >
-         <widget class="QLabel" name="textLabel4_3" >
-          <property name="text" >
+        <item row="2" column="0">
+         <widget class="QLabel" name="textLabel4_3">
+          <property name="text">
            <string>Bytes (Encoded):</string>
           </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1" >
-         <widget class="QLabel" name="m_globalBytes" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="1" >
-         <widget class="QLabel" name="m_srverBytes" >
-          <property name="text" >
-           <string>888</string>
-          </property>
-          <property name="wordWrap" >
-           <bool>false</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="textLabel8" >
-          <property name="text" >
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="m_globalBytes">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="1">
+         <widget class="QLabel" name="m_srverBytes">
+          <property name="text">
+           <string>888</string>
+          </property>
+          <property name="wordWrap">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="0">
+         <widget class="QLabel" name="textLabel8">
+          <property name="text">
            <string>Lines:</string>
           </property>
-          <property name="wordWrap" >
+          <property name="wordWrap">
            <bool>false</bool>
           </property>
          </widget>
@@ -712,6 +713,13 @@
    </item>
   </layout>
  </widget>
+ <customwidgets>
+  <customwidget>
+   <class>KComboBox</class>
+   <extends>QComboBox</extends>
+   <header>kcombobox.h</header>
+  </customwidget>
+ </customwidgets>
  <resources/>
  <connections/>
 </ui>

=== modified file 'src/quickconnectdialog.cpp'
--- src/quickconnectdialog.cpp	2009-04-10 16:16:59 +0000
+++ src/quickconnectdialog.cpp	2009-05-15 11:24:24 +0000
@@ -109,7 +109,7 @@
 
         emit connectClicked(Konversation::PromptToReuseConnection,
                             hostNameInput->text().trimmed(),
-                            portInput->text().toUInt(),
+                            portInput->text(),
                             passwordInput->text(),
                             nickInput->text(),
                             "",

=== modified file 'src/quickconnectdialog.h'
--- src/quickconnectdialog.h	2009-04-10 16:16:59 +0000
+++ src/quickconnectdialog.h	2009-05-15 11:24:24 +0000
@@ -34,7 +34,7 @@
     signals:
         void connectClicked(Konversation::ConnectionFlag flag,
                             const QString& hostName,
-                            uint port,
+                            const QString& port,
                             const QString& password,
                             const QString& nick,
                             const QString& channel,

=== modified file 'src/statusbar.cpp'
--- src/statusbar.cpp	2009-04-10 16:16:59 +0000
+++ src/statusbar.cpp	2009-05-15 11:24:24 +0000
@@ -105,7 +105,7 @@
 void KonversationStatusBar::clearMainLabelTempText()
 {
     // Unset the temp text so the next setMainLabelText won't fail.
-    m_tempMainLabelText = QString();
+    m_tempMainLabelText.clear();
 
     m_mainLabel->setText(m_oldMainLabelText);
 }

=== modified file 'src/statuspanel.cpp'
--- src/statuspanel.cpp	2009-04-10 16:16:59 +0000
+++ src/statuspanel.cpp	2009-05-15 11:24:24 +0000
@@ -19,7 +19,6 @@
 #include "server.h"
 
 #include <qpushbutton.h>
-#include <qcombobox.h>
 #include <qlabel.h>
 
 #include <qtextcodec.h>
@@ -29,6 +28,8 @@
 #include <klocale.h>
 #include <kmessagebox.h>
 #include <kvbox.h>
+#include <kcombobox.h>
+#include <klineedit.h>
 
 
 StatusPanel::StatusPanel(QWidget* parent) : ChatWindow(parent)
@@ -48,9 +49,11 @@
     commandLineBox->setSpacing(spacing());
     commandLineBox->setMargin(0);
 
-    nicknameCombobox=new QComboBox(commandLineBox);
+    nicknameCombobox = new KComboBox(commandLineBox);
     nicknameCombobox->setEditable(true);
-    nicknameCombobox->setSizeAdjustPolicy(QComboBox::AdjustToContents);
+    nicknameCombobox->setSizeAdjustPolicy(KComboBox::AdjustToContents);
+    KLineEdit* nicknameComboboxLineEdit = qobject_cast<KLineEdit*>(nicknameCombobox->lineEdit());
+    if (nicknameComboboxLineEdit) nicknameComboboxLineEdit->setClearButtonShown(false);
     nicknameCombobox->setWhatsThis(i18n("<qt><p>This shows your current nick, and any alternatives you have set up.  If you select or type in a different nickname, then a request will be sent to the IRC server to change your nick.  If the server allows it, the new nickname will be selected.  If you type in a new nickname, you need to press 'Enter' at the end.</p><p>You can add change the alternative nicknames from the <em>Identities</em> option in the <em>File</em> menu.</p></qt>"));
 
     awayLabel=new QLabel(i18n("(away)"), commandLineBox);

=== modified file 'src/statuspanel.h'
--- src/statuspanel.h	2009-04-10 16:16:59 +0000
+++ src/statuspanel.h	2009-05-15 11:24:24 +0000
@@ -20,7 +20,7 @@
 
 class QCheckBox;
 class QLabel;
-class QComboBox;
+class KComboBox;
 
 class IRCInput;
 
@@ -85,7 +85,7 @@
 
         void showEvent(QShowEvent* event);
 
-        QComboBox* nicknameCombobox;
+        KComboBox* nicknameCombobox;
         QLabel* awayLabel;
         IRCInput* statusInput;
         QCheckBox* logCheckBox;

=== modified file 'src/viewer/chatwindow.cpp'
--- src/viewer/chatwindow.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/chatwindow.cpp	2009-05-15 11:24:24 +0000
@@ -141,6 +141,12 @@
     textView->appendRaw(message, suppressTimestamps);
 }
 
+void ChatWindow::appendLog(const QString& message)
+{
+    if(!textView) return;
+    textView->appendLog(message);
+}
+
 void ChatWindow::append(const QString& nickname,const QString& message)
 {
     if(!textView) return ;
@@ -248,29 +254,38 @@
                     if(backlog.device()->size() > packetSize * ( offset + 1 ))
                     {
                         // Set file pointer to the packet size above the offset
-                        backlog.device()->seek(backlog.device()->size() - packetSize * ( offset + 1 ));
+                        backlog.seek(backlog.device()->size() - packetSize * ( offset + 1 ));
                         // Skip first line, since it may be incomplete
                         backlog.readLine();
                     }
                     else
                     {
                         // Set file pointer to the head
-                        backlog.device()->reset();
+
+                        // Qt 4.5 Doc: Note that when using a QTextStream on a
+                        // QFile, calling reset() on the QFile will not have the
+                        // expected result because QTextStream buffers the  file.
+                        // Use the QTextStream::seek() function instead.
+                        // backlog.device()->reset();
+                        backlog.seek( 0 );
                     }
 
-                    qint64 currentPacketHeadPosition = backlog.device()->pos();
+                    qint64 currentPacketHeadPosition = backlog.pos();
 
                     // Loop until end of file reached
-                    while(!backlog.atEnd() && backlog.device()->pos() < lastPacketHeadPosition)
+                    while(!backlog.atEnd() && backlog.pos() < lastPacketHeadPosition)
                     {
                         // remember actual file position to check for deadlocks
-                        filePosition = backlog.device()->pos();
+                        filePosition = backlog.pos();
                         backlogLine = backlog.readLine();
 
                         // check for deadlocks
-                        if(backlog.device()->pos() == filePosition) backlog.device()->seek(filePosition + 1);
+                        if(backlog.pos() == filePosition)
+                        {
+                            backlog.seek(filePosition + 1);
+                        }
 
-                        // if a tab character is present in the line
+                        // if a tab character is present in the line, meaning it is a valid chatline
                         if (backlogLine.contains('\t'))
                         {
                             // extract first column from log
@@ -309,7 +324,9 @@
                 QStringList::Iterator itFirstColumn = firstColumns.begin();
                 QStringList::Iterator itMessage = messages.begin();
                 for( ; itFirstColumn != firstColumns.end() ; ++itFirstColumn, ++itMessage )
+                {
                     appendBacklogMessage(*itFirstColumn, *itMessage);
+                }
             }
         } // if(Preferences::showBacklog())
     }
@@ -349,7 +366,7 @@
             // close file
             logfile.close();
         }
-        else kWarning() << "ChatWindow::logText(): open(QIODevice::Append) for " << logfile.fileName() << " failed!" << endl;
+        else kWarning() << "open(QIODevice::Append) for " << logfile.fileName() << " failed!";
     }
 }
 

=== modified file 'src/viewer/chatwindow.h'
--- src/viewer/chatwindow.h	2009-04-10 16:16:59 +0000
+++ src/viewer/chatwindow.h	2009-05-15 11:24:24 +0000
@@ -74,6 +74,7 @@
 
         virtual void append(const QString& nickname,const QString& message);
         virtual void appendRaw(const QString& message, bool suppressTimestamps=false);
+        virtual void appendLog(const QString& message);
         virtual void appendQuery(const QString& nickname,const QString& message, bool inChannel = false);
         virtual void appendAction(const QString& nickname,const QString& message);
         virtual void appendServerMessage(const QString& type,const QString& message, bool parseURL = true);

=== modified file 'src/viewer/ircinput.cpp'
--- src/viewer/ircinput.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/ircinput.cpp	2009-05-15 11:24:24 +0000
@@ -349,7 +349,7 @@
         bool signal=false;
 
         // replace \r with \n to make xterm pastes happy
-        pasteText.replace("\r","\n");
+        pasteText.replace('\r','\n');
         // remove blank lines
         while(pasteText.contains("\n\n"))
             pasteText.replace("\n\n","\n");

=== modified file 'src/viewer/ircview.cpp'
--- src/viewer/ircview.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/ircview.cpp	2009-05-15 11:24:24 +0000
@@ -110,7 +110,6 @@
     connect( this, SIGNAL( highlighted ( const QString &) ), this, SLOT( highlightedSlot( const QString &) ) );
     setOpenLinks(false);
     setUndoRedoEnabled(0);
-    //setLinkUnderline(false);
     document()->setDefaultStyleSheet("a.nick:link {text-decoration: none}");
     setWordWrapMode(QTextOption::WrapAtWordBoundaryOrAnywhere);
     //setNotifyClick(true); // TODO FIXME import the rest of the link handling
@@ -271,7 +270,7 @@
     QString nickLine = createNickLine(nick);
 
     QString line;
-    line = "<p><font color=\"" + channelColor + "\">%1" + nickLine + " %3</font></p>\n";
+    line = "<p><font color=\"" + channelColor + "\">%1" + nickLine + " %3</font></p>";
     line = line.arg(timeStamp(), nick, filter(message, channelColor, nick, true));
 
     emit textToLog(QString("<%1>\t%2").arg(nick).arg(message));
@@ -286,13 +285,23 @@
 
     QString line;
     if (suppressTimestamps)
-        line = QString("<p><font color=\"" + channelColor.name() + "\">" + message + "</font></p>\n");
+        line = QString("<p><font color=\"" + channelColor.name() + "\">" + message + "</font></p>");
     else
-        line = QString("<p>" + timeStamp() + " <font color=\"" + channelColor.name() + "\">" + message + "</font></p>\n");
+        line = QString("<p>" + timeStamp() + " <font color=\"" + channelColor.name() + "\">" + message + "</font></p>");
 
     doAppend(line, self);
 }
 
+void IRCView::appendLog(const QString & message)
+{
+    QColor channelColor = Preferences::self()->color(Preferences::ChannelMessage);
+    m_tabNotification = Konversation::tnfNone;
+
+    QString line("<p><font color=\"" + channelColor.name() + "\">" + message + "</font></p>");
+
+    doRawAppend(line);
+}
+
 void IRCView::appendQuery(const QString& nick, const QString& message, bool inChannel)
 {
     QString queryColor=Preferences::self()->color(Preferences::QueryMessage).name();
@@ -302,7 +311,7 @@
     QString nickLine = createNickLine(nick, true, inChannel);
 
     QString line;
-    line = "<p><font color=\"" + queryColor + "\">%1 " + nickLine + " %3</font></p>\n";
+    line = "<p><font color=\"" + queryColor + "\">%1 " + nickLine + " %3</font></p>";
     line = line.arg(timeStamp(), nick, filter(message, queryColor, nick, true));
 
     emit textToLog(QString("<%1>\t%2").arg(nick).arg(message));
@@ -329,7 +338,7 @@
     QString nickLine = createNickLine(nick, false);
 
     QString line;
-    line = "<p><font color=\"" + actionColor + "\">%1 * " + nickLine + " %3</font></p>\n";
+    line = "<p><font color=\"" + actionColor + "\">%1 * " + nickLine + " %3</font></p>";
     line = line.arg(timeStamp(), nick, filter(message, actionColor, nick, true));
 
     emit textToLog(QString("\t * %1 %2").arg(nick).arg(message));
@@ -351,7 +360,7 @@
     }
 
     QString line;
-    line = "<p><font color=\"" + serverColor + "\"" + fixed + ">%1 <b>[</b>%2<b>]</b> %3</font></p>\n";
+    line = "<p><font color=\"" + serverColor + "\"" + fixed + ">%1 <b>[</b>%2<b>]</b> %3</font></p>";
     if(type != i18n("Notify"))
         line = line.arg(timeStamp(), type, filter(message, serverColor, 0 , true, parseURL));
     else
@@ -384,7 +393,7 @@
     prefix=Qt::escape(prefix);
 
     QString line;
-    line = "<p><font color=\"" + commandColor + "\">%1 %2 %3</font></p>\n";
+    line = "<p><font color=\"" + commandColor + "\">%1 %2 %3</font></p>";
 
     line = line.arg(timeStamp(), prefix, filter(message, commandColor, 0, true, parseURL, self));
 
@@ -404,18 +413,18 @@
     time = nick.section(' ', 0, 4);
     nick = nick.section(' ', 5);
 
-    if(!nick.isEmpty() && !nick.startsWith("<") && !nick.startsWith("*"))
+    if(!nick.isEmpty() && !nick.startsWith('<') && !nick.startsWith('*'))
     {
         nick = '|' + nick + '|';
     }
 
     // Nicks are in "<nick>" format so replace the "<>"
-    nick.replace("<","&lt;");
-    nick.replace(">","&gt;");
+    nick.replace('<',"&lt;");
+    nick.replace('>',"&gt;");
 
     QString line;
 
-    line = "<p><font color=\"" + backlogColor + "\">%1 %2 %3</font></p>\n";
+    line = "<p><font color=\"" + backlogColor + "\">%1 %2 %3</font></p>";
     line = line.arg(time, nick, filter(message, backlogColor, NULL, false, false));
 
     doAppend(line);
@@ -423,23 +432,19 @@
 
 void IRCView::doAppend(const QString& newLine, bool self)
 {
-    QString line(newLine);
-
     if (!self && m_chatWin)
         m_chatWin->activateTabNotification(m_tabNotification);
 
     int scrollMax = Preferences::self()->scrollbackMax();
-    if (scrollMax != 0) {
+    if (scrollMax != 0)
+    {
         //don't remove lines if the user has scrolled up to read old lines
         bool atBottom = (verticalScrollBar()->value() == verticalScrollBar()->maximum());
         document()->setMaximumBlockCount(atBottom ? scrollMax : document()->maximumBlockCount() + 1);
         //setMaximumBlockCount(atBottom ? scrollMax : maximumBlockCount() + 1);
     }
 
-    line.remove('\n'); // TODO why have newlines? we get <p>, so the \n are unnecessary...
-
-    line.remove("<p>");//remove <p> for qtextbrowser
-    KTextBrowser::append(line);
+    doRawAppend(newLine);
 
     //appendHtml(line);
 
@@ -463,6 +468,16 @@
         emit clearStatusBarTempText();
 }
 
+void IRCView::doRawAppend(const QString& newLine)
+{
+    QString line(newLine);
+
+    line.remove('\n'); // TODO why have newlines? we get <p>, so the \n are unnecessary...
+    line.remove("<p>");//remove <p> for qtextbrowser
+
+    KTextBrowser::append(line);
+}
+
 QString IRCView::timeStamp()
 {
     if(Preferences::self()->timestamping())
@@ -562,9 +577,9 @@
 
     // TODO: Use QStyleSheet::escape() here
     // Replace all < with &lt;
-    filteredLine.replace("<","\x0blt;");
+    filteredLine.replace('<',"\x0blt;");
     // Replace all > with &gt;
-    filteredLine.replace(">", "\x0bgt;");
+    filteredLine.replace('>', "\x0bgt;");
 
     if(filteredLine.contains('\x07'))
     {
@@ -587,7 +602,7 @@
     {
         if(!allowColors)
         {
-            colorString = QString();
+            colorString.clear();
         }
         else
         {
@@ -619,7 +634,7 @@
         filteredLine+="</font>";
 
     // Replace all text decorations
-    // TODO: \017 should reset all textt decorations to plain text
+    // TODO: \017 should reset all text decorations to plain text
     replaceDecoration(filteredLine,'\x02','b');
     replaceDecoration(filteredLine,'\x09','i');
     replaceDecoration(filteredLine,'\x13','s');
@@ -721,7 +736,7 @@
                 {
                   m_autoTextToSend.replace(QString("%%1").arg(capture),captures[capture]);
                 }
-                m_autoTextToSend.replace(QRegExp("%[0-9]"),QString());
+                m_autoTextToSend.remove(QRegExp("%[0-9]"));
             }
         }
 
@@ -753,7 +768,7 @@
 
 void IRCView::clearContextNick()
 {
-    m_currentNick = QString();
+    m_currentNick.clear();
 }
 
 KMenu* IRCView::getPopup() const
@@ -877,24 +892,28 @@
 // FIXME do we still care about newtab? looks like konqi has lots of config now..
 void IRCView::openLink(const QString& url, bool)
 {
-    if (!url.isEmpty() && !url.startsWith("#"))
+    QString link(url);
+    // HACK Replace " " with %20 for channelnames, NOTE there can't be 2 channelnames in one link
+    link = link.replace (" ", "%20");
+
+    if (!link.isEmpty() && !link.startsWith('#'))
     {
-        if (url.startsWith("irc://"))
+        if (link.startsWith("irc://"))
         {
             KonversationApplication* konvApp = KonversationApplication::instance();
-            konvApp->getConnectionManager()->connectTo(Konversation::SilentlyReuseConnection, url);
+            konvApp->getConnectionManager()->connectTo(Konversation::SilentlyReuseConnection, link);
         }
-        else if (!Preferences::self()->useCustomBrowser() || url.startsWith("mailto:"))
+        else if (!Preferences::self()->useCustomBrowser() || link.startsWith("mailto:"))
         {
-            if (url.startsWith("mailto:"))
-                KToolInvocation::invokeMailer(KUrl(url));
+            if (link.startsWith("mailto:"))
+                KToolInvocation::invokeMailer(KUrl(link));
             else
-                KToolInvocation::invokeBrowser(url);
+                KToolInvocation::invokeBrowser(link);
         }
         else
         {
             QString cmd = Preferences::self()->webBrowserCmd();
-            cmd.replace("%u", url);
+            cmd.replace("%u", link);
             KProcess *proc = new KProcess;
             QStringList cmdAndArgs = KShell::splitArgs(cmd);
             *proc << cmdAndArgs;
@@ -907,17 +926,17 @@
         }
     }
     //FIXME: Don't do channel links in DCC Chats to begin with since they don't have a server.
-    else if (url.startsWith("##") && m_server && m_server->isConnected())
+    else if (link.startsWith("##") && m_server && m_server->isConnected())
     {
-        QString channel(url);
+        QString channel(link);
         channel.replace("##", "#");
         m_server->sendJoinCommand(channel);
     }
     //FIXME: Don't do user links in DCC Chats to begin with since they don't have a server.
-    else if (url.startsWith("#") && m_server && m_server->isConnected())
+    else if (link.startsWith('#') && m_server && m_server->isConnected())
     {
-        QString recipient(url);
-        recipient.remove("#");
+        QString recipient(link);
+        recipient.remove('#');
         NickInfoPtr nickInfo = m_server->obtainNickInfo(recipient);
         m_server->addQuery(nickInfo, true /*we initiated*/);
     }
@@ -940,8 +959,9 @@
 void IRCView::highlightedSlot(const QString& _link)
 {
     QString link = _link;
-    // HACK Replace % with \x03 in the url to keep Qt from doing stupid things
-    link = link.replace ('\x03', "%");
+    // HACK Replace " " with %20 for channelnames, NOTE there can't be 2 channelnames in one link
+    link = link.replace (" ", "%20");
+
     //Hack to handle the fact that we get a decoded url
     //FIXME someone who knows what it looks like when we get a decoded url can reenable this if necessary...
     //link = KUrl(link).url();
@@ -958,14 +978,14 @@
         if (!m_lastStatusText.isEmpty())
         {
             emit clearStatusBarTempText();
-            m_lastStatusText = QString();
+            m_lastStatusText.clear();
         }
     } else
     {
         m_lastStatusText = link;
     }
 
-    if(!link.startsWith("#"))
+    if(!link.startsWith('#'))
     {
         m_isOnNick = false;
         m_isOnChannel = false;
@@ -993,7 +1013,7 @@
             m_urlToCopy = link;
         }
     }
-    else if (link.startsWith("#") && !link.startsWith("##"))
+    else if (link.startsWith('#') && !link.startsWith("##"))
     {
         m_currentNick = link.mid(1);
         //FIXME how are menu titles done now? /me is too tired

=== modified file 'src/viewer/ircview.h'
--- src/viewer/ircview.h	2009-04-10 16:16:59 +0000
+++ src/viewer/ircview.h	2009-05-15 11:24:24 +0000
@@ -99,6 +99,7 @@
         //! FIXME enum { Raw, Query, Query+Action, Channel+Action, Server Message, Command Message, Backlog message } this looks more like a tuple
         void append(const QString& nick, const QString& message);
         void appendRaw(const QString& message, bool suppressTimestamps=false, bool self = false);
+        void appendLog(const QString& message);
 
         void appendQuery(const QString& nick, const QString& message, bool inChannel = false);
         void appendQueryAction(const QString& nick, const QString& message);
@@ -115,6 +116,11 @@
 
     protected:
         void doAppend(const QString& line, bool self=false);
+        /**
+         * Appends a newLine without any scrollback or notification checks
+         * @param newLine 
+         */
+        void doRawAppend(const QString& newLine);
         void appendLine(const QString& color);
         void appendRememberLine();
 

=== modified file 'src/viewer/logfilereader.cpp'
--- src/viewer/logfilereader.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/logfilereader.cpp	2009-05-15 11:24:24 +0000
@@ -125,7 +125,7 @@
         while(!stream.atEnd())
         {
             str = Qt::escape(stream.readLine());
-            getTextView()->appendRaw(str, true);
+            getTextView()->appendLog(str);
         }
 
         stream.setDevice(0);

=== modified file 'src/viewer/multilineedit.cpp'
--- src/viewer/multilineedit.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/multilineedit.cpp	2009-05-15 11:24:24 +0000
@@ -22,8 +22,9 @@
 MultilineEdit::MultilineEdit(QWidget* parent, const QString& text) :
 KDialog(parent )
 {
-    setButtons( KDialog::User1 | KDialog::Ok | KDialog::Cancel );
+    setButtons( KDialog::User1 | KDialog::User2 | KDialog::Ok | KDialog::Cancel );
     setButtonText( KDialog::User1, i18n("Add &Quotation Indicators") );
+    setButtonText( KDialog::User2, i18n("Remove Newlines") );
     setDefaultButton( KDialog::Ok );
     setCaption( i18n("Edit Multiline Paste") );
     setModal( true );
@@ -44,6 +45,7 @@
     connect( this, SIGNAL( okClicked() ), this, SLOT( slotOk() ) );
     connect( this, SIGNAL( cancelClicked() ), this, SLOT( slotCancel() ) );
     connect( this, SIGNAL( user1Clicked() ), this, SLOT( slotUser1() ) );
+    connect( this, SIGNAL( user2Clicked() ), this, SLOT( slotUser2() ) );   
 }
 
 MultilineEdit::~MultilineEdit()
@@ -53,7 +55,7 @@
 
 void MultilineEdit::slotCancel()
 {
-    returnText=QString();
+    returnText.clear();
     reject();
 }
 
@@ -72,6 +74,40 @@
     textEditor->setText(lines.join("\n"));
 }
 
+void MultilineEdit::slotUser2()
+{
+    QString pattern("\n");
+    QRegExp searchFor(pattern);
+    searchFor.setPatternSyntax(QRegExp::FixedString);
+    removeNonprintingChars();
+    QString line=textEditor->toPlainText();
+    int index=line.indexOf(searchFor);
+    int patLen = pattern.length();
+    while (index>=0)
+    {
+        QChar before,after;
+        int length,nextLength;
+        length=index;
+        length+=patLen;
+        if (index!=0) before = line.at(index-1);
+        if (line.length() > length) after = line.at(length);
+    
+        if (before.isSpace() || after.isSpace())
+        {
+            line.replace(index, patLen, QString());
+            nextLength = index;
+        }
+        else
+        {
+            line.replace(index, patLen, " ");
+            nextLength = index+1;
+        }
+        index=line.indexOf(searchFor,nextLength);
+    }
+    textEditor->setText(line);
+    dislayNonprintingChars();
+}
+
 QString MultilineEdit::edit(QWidget* parent, const QString& text)
 {
     MultilineEdit dlg(parent,text);

=== modified file 'src/viewer/multilineedit.h'
--- src/viewer/multilineedit.h	2009-04-10 16:16:59 +0000
+++ src/viewer/multilineedit.h	2009-05-15 11:24:24 +0000
@@ -32,6 +32,7 @@
         void slotOk();
         void slotCancel();
         void slotUser1();
+        void slotUser2();
         void dislayNonprintingChars();
 
     protected:

=== modified file 'src/viewer/osd.h'
--- src/viewer/osd.h	2009-04-10 16:16:59 +0000
+++ src/viewer/osd.h	2009-05-15 11:24:24 +0000
@@ -105,7 +105,7 @@
     Q_OBJECT
 
 public:
-    OSDPreviewWidget( const QString &appName, QWidget *parent = 0, const char *name = "osdpreview" );
+    explicit OSDPreviewWidget( const QString &appName, QWidget *parent = 0, const char *name = "osdpreview" );
 
     int screen() const     { return m_screen; }
     int alignment() const { return m_alignment; }

=== modified file 'src/viewer/rawlog.h'
--- src/viewer/rawlog.h	2009-04-10 16:16:59 +0000
+++ src/viewer/rawlog.h	2009-05-15 11:24:24 +0000
@@ -12,8 +12,8 @@
   email:     eisfuchs@tigress.com
 */
 
-#ifndef _RAWLOG_H_
-#define _RAWLOG_H_
+#ifndef RAWLOG_H
+#define RAWLOG_H
 
 #include "chatwindow.h"
 
@@ -38,4 +38,5 @@
         /** Called from ChatWindow adjustFocus */
         virtual void childAdjustFocus();
 };
-#endif
+
+#endif /* RAWLOG_H */

=== modified file 'src/viewer/topiclabel.cpp'
--- src/viewer/topiclabel.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/topiclabel.cpp	2009-05-15 11:24:24 +0000
@@ -80,7 +80,7 @@
     void TopicLabel::leaveEvent(QEvent* e)
     {
        emit clearStatusBarTempText();
-       m_lastStatusText = QString();
+       m_lastStatusText.clear();
        QLabel::leaveEvent(e);
     }
 
@@ -252,7 +252,7 @@
             if (!m_lastStatusText.isEmpty())
             {
                 emit clearStatusBarTempText();
-                m_lastStatusText = QString();
+                m_lastStatusText.clear();
             }
         } else {
             m_lastStatusText = link;

=== modified file 'src/viewer/viewcontainer.cpp'
--- src/viewer/viewcontainer.cpp	2009-04-10 16:16:59 +0000
+++ src/viewer/viewcontainer.cpp	2009-05-15 11:24:24 +0000
@@ -45,6 +45,8 @@
 #include <KGlobalSettings>
 #include <KVBox>
 #include <KXMLGUIFactory>
+#include <KRun>
+#include <KUrl>
 
 
 #include <KActionCollection>
@@ -1320,7 +1322,7 @@
             break;
     }
 
-    m_tabWidget->insertTab(placement, view, iconSet, label);
+    m_tabWidget->insertTab(placement, view, iconSet, QString(label).replace('&', "&&"));
     // HACK Seems like automatic resize isn't all that automatic currently.
     // Work around it by unsetting it and setting it again.
     if (Preferences::self()->useMaxSizedTabs())
@@ -1553,7 +1555,7 @@
             m_saveSplitterSizesLock = true;
             m_vbox->hide();
             emit resetStatusBar();
-            emit setWindowCaption(QString::null);
+            emit setWindowCaption(QString());
         }
     }
 
@@ -1967,9 +1969,16 @@
 {
     if (!file.isEmpty())
     {
-        LogfileReader* logReader = new LogfileReader(m_tabWidget, file);
-        addView(logReader, i18n("Logfile of %1",caption));
-        logReader->setServer(0);
+        if(Preferences::self()->useExternalLogViewer())
+        {
+            new KRun(KUrl(file), m_window, 0, false, false, "");
+        }
+        else
+        {
+            LogfileReader* logReader = new LogfileReader(m_tabWidget, file);
+            addView(logReader, i18n("Logfile of %1",caption));
+            logReader->setServer(0);
+        }
     }
 }
 

